#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2654
#define LARGE_STATE_COUNT 584
#define SYMBOL_COUNT 425
#define ALIAS_COUNT 1
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  anon_sym_SEMI = 4,
  anon_sym_AMP = 5,
  aux_sym_function_static_declaration_token1 = 6,
  anon_sym_COMMA = 7,
  anon_sym_EQ = 8,
  aux_sym_global_declaration_token1 = 9,
  aux_sym_namespace_definition_token1 = 10,
  aux_sym_namespace_use_declaration_token1 = 11,
  aux_sym_namespace_use_clause_token1 = 12,
  aux_sym__namespace_use_type_token1 = 13,
  aux_sym__namespace_use_type_token2 = 14,
  anon_sym_BSLASH = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  aux_sym_trait_declaration_token1 = 18,
  aux_sym_interface_declaration_token1 = 19,
  aux_sym_base_clause_token1 = 20,
  aux_sym_enum_declaration_token1 = 21,
  anon_sym_COLON = 22,
  anon_sym_string = 23,
  anon_sym_int = 24,
  aux_sym_enum_case_token1 = 25,
  aux_sym_class_declaration_token1 = 26,
  aux_sym_final_modifier_token1 = 27,
  aux_sym_abstract_modifier_token1 = 28,
  aux_sym_readonly_modifier_token1 = 29,
  aux_sym_class_interface_clause_token1 = 30,
  anon_sym_EQ_GT = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  anon_sym_LPAREN = 37,
  anon_sym_RPAREN = 38,
  anon_sym_LPAREN2 = 39,
  anon_sym_RPAREN2 = 40,
  aux_sym__arrow_function_header_token1 = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym__new_non_dereferencable_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_statement = 194,
  sym_empty_statement = 195,
  sym_reference_modifier = 196,
  sym_function_static_declaration = 197,
  sym_static_variable_declaration = 198,
  sym_global_declaration = 199,
  sym_namespace_definition = 200,
  sym_namespace_use_declaration = 201,
  sym_namespace_use_clause = 202,
  sym_qualified_name = 203,
  sym__name = 204,
  sym_namespace_name = 205,
  sym__namespace_use_group = 206,
  sym_namespace_use_group = 207,
  sym_trait_declaration = 208,
  sym_interface_declaration = 209,
  sym_base_clause = 210,
  sym_enum_declaration = 211,
  sym_enum_declaration_list = 212,
  sym__enum_member_declaration = 213,
  sym_enum_case = 214,
  sym_class_declaration = 215,
  sym_declaration_list = 216,
  sym_final_modifier = 217,
  sym_abstract_modifier = 218,
  sym_readonly_modifier = 219,
  sym_class_interface_clause = 220,
  sym__member_declaration = 221,
  sym_const_declaration = 222,
  sym__class_const_declaration = 223,
  sym__const_declaration = 224,
  sym_property_declaration = 225,
  sym__modifier = 226,
  sym_property_element = 227,
  sym_property_hook_list = 228,
  sym_property_hook = 229,
  sym__property_hook_body = 230,
  sym_method_declaration = 231,
  sym_static_modifier = 232,
  sym_use_declaration = 233,
  sym_use_list = 234,
  sym_use_instead_of_clause = 235,
  sym_use_as_clause = 236,
  sym_visibility_modifier = 237,
  sym_function_definition = 238,
  sym__function_definition_header = 239,
  sym_anonymous_function = 240,
  sym_anonymous_function_use_clause = 241,
  sym__anonymous_function_header = 242,
  sym__arrow_function_header = 243,
  sym_arrow_function = 244,
  sym_formal_parameters = 245,
  sym_property_promotion_parameter = 246,
  sym_simple_parameter = 247,
  sym_variadic_parameter = 248,
  sym_type = 249,
  sym__types = 250,
  sym_named_type = 251,
  sym_optional_type = 252,
  sym_union_type = 253,
  sym_intersection_type = 254,
  sym_disjunctive_normal_form_type = 255,
  sym_primitive_type = 256,
  sym_cast_type = 257,
  sym__return_type = 258,
  sym_const_element = 259,
  sym_echo_statement = 260,
  sym_exit_statement = 261,
  sym_unset_statement = 262,
  sym_declare_statement = 263,
  sym_declare_directive = 264,
  sym_literal = 265,
  sym_try_statement = 266,
  sym_catch_clause = 267,
  sym_type_list = 268,
  sym_finally_clause = 269,
  sym_goto_statement = 270,
  sym_continue_statement = 271,
  sym_break_statement = 272,
  sym_return_statement = 273,
  sym_throw_expression = 274,
  sym_while_statement = 275,
  sym_do_statement = 276,
  sym_for_statement = 277,
  sym__expressions = 278,
  sym_sequence_expression = 279,
  sym_foreach_statement = 280,
  sym_foreach_pair = 281,
  sym__foreach_value = 282,
  sym_if_statement = 283,
  sym_colon_block = 284,
  sym_else_if_clause = 285,
  sym_else_clause = 286,
  sym_else_if_clause_2 = 287,
  sym_else_clause_2 = 288,
  sym_match_expression = 289,
  sym_match_block = 290,
  sym_match_condition_list = 291,
  sym_match_conditional_expression = 292,
  sym_match_default_expression = 293,
  sym_switch_statement = 294,
  sym_switch_block = 295,
  sym_case_statement = 296,
  sym_default_statement = 297,
  sym_compound_statement = 298,
  sym_named_label_statement = 299,
  sym_expression_statement = 300,
  sym_expression = 301,
  sym__unary_expression = 302,
  sym_unary_op_expression = 303,
  sym_error_suppression_expression = 304,
  sym_clone_expression = 305,
  sym_primary_expression = 306,
  sym_parenthesized_expression = 307,
  sym_class_constant_access_expression = 308,
  sym_print_intrinsic = 309,
  sym_object_creation_expression = 310,
  sym__new_non_dereferencable_expression = 311,
  sym__new_dereferencable_expression = 312,
  sym__class_name_reference = 313,
  sym_anonymous_class = 314,
  sym_update_expression = 315,
  sym_cast_expression = 316,
  sym_cast_variable = 317,
  sym_assignment_expression = 318,
  sym_reference_assignment_expression = 319,
  sym_conditional_expression = 320,
  sym_augmented_assignment_expression = 321,
  sym__variable_member_access_expression = 322,
  sym_member_access_expression = 323,
  sym__variable_nullsafe_member_access_expression = 324,
  sym_nullsafe_member_access_expression = 325,
  sym__variable_scoped_property_access_expression = 326,
  sym_scoped_property_access_expression = 327,
  sym_list_literal = 328,
  sym__list_destructing = 329,
  sym__array_destructing = 330,
  sym__array_destructing_element = 331,
  sym_function_call_expression = 332,
  sym__callable_expression = 333,
  sym_scoped_call_expression = 334,
  sym__scope_resolution_qualifier = 335,
  sym_relative_scope = 336,
  sym_variadic_placeholder = 337,
  sym_arguments = 338,
  sym_argument = 339,
  sym__argument_name = 340,
  sym_member_call_expression = 341,
  sym_nullsafe_member_call_expression = 342,
  sym_variadic_unpacking = 343,
  sym__member_name = 344,
  sym__variable_subscript_expression = 345,
  sym__dereferencable_subscript_expression = 346,
  sym__dereferencable_expression = 347,
  sym__dereferencable_scalar = 348,
  sym_array_creation_expression = 349,
  sym_attribute_group = 350,
  sym_attribute_list = 351,
  sym_attribute = 352,
  sym__complex_string_part = 353,
  sym__simple_string_member_access_expression = 354,
  sym__simple_string_subscript_unary_expression = 355,
  sym__simple_string_array_access_argument = 356,
  sym__simple_string_subscript_expression = 357,
  sym__simple_string_part = 358,
  aux_sym__interpolated_string_body = 359,
  aux_sym__interpolated_string_body_heredoc = 360,
  sym_encapsed_string = 361,
  sym_string = 362,
  sym_string_content = 363,
  sym_heredoc_body = 364,
  sym_heredoc = 365,
  sym_nowdoc_body = 366,
  sym_nowdoc = 367,
  aux_sym__interpolated_execution_operator_body = 368,
  sym_shell_command_expression = 369,
  sym_boolean = 370,
  sym_null = 371,
  sym__string = 372,
  sym_dynamic_variable_name = 373,
  sym__simple_variable = 374,
  sym__new_variable = 375,
  sym__callable_variable = 376,
  sym_variable_name = 377,
  sym_by_ref = 378,
  sym_yield_expression = 379,
  sym_array_element_initializer = 380,
  sym_binary_expression = 381,
  sym_include_expression = 382,
  sym_include_once_expression = 383,
  sym_require_expression = 384,
  sym_require_once_expression = 385,
  sym__reserved_identifier = 386,
  sym__identifier = 387,
  sym__semicolon = 388,
  aux_sym_program_repeat1 = 389,
  aux_sym_function_static_declaration_repeat1 = 390,
  aux_sym_global_declaration_repeat1 = 391,
  aux_sym_namespace_use_declaration_repeat1 = 392,
  aux_sym_namespace_name_repeat1 = 393,
  aux_sym_base_clause_repeat1 = 394,
  aux_sym_enum_declaration_list_repeat1 = 395,
  aux_sym_class_declaration_repeat1 = 396,
  aux_sym_declaration_list_repeat1 = 397,
  aux_sym__const_declaration_repeat1 = 398,
  aux_sym_property_declaration_repeat1 = 399,
  aux_sym_property_hook_list_repeat1 = 400,
  aux_sym_use_list_repeat1 = 401,
  aux_sym_anonymous_function_use_clause_repeat1 = 402,
  aux_sym_formal_parameters_repeat1 = 403,
  aux_sym_union_type_repeat1 = 404,
  aux_sym_intersection_type_repeat1 = 405,
  aux_sym_disjunctive_normal_form_type_repeat1 = 406,
  aux_sym_unset_statement_repeat1 = 407,
  aux_sym_try_statement_repeat1 = 408,
  aux_sym_type_list_repeat1 = 409,
  aux_sym_if_statement_repeat1 = 410,
  aux_sym_if_statement_repeat2 = 411,
  aux_sym_match_block_repeat1 = 412,
  aux_sym_match_condition_list_repeat1 = 413,
  aux_sym_switch_block_repeat1 = 414,
  aux_sym__list_destructing_repeat1 = 415,
  aux_sym__array_destructing_repeat1 = 416,
  aux_sym_arguments_repeat1 = 417,
  aux_sym_array_creation_expression_repeat1 = 418,
  aux_sym_attribute_group_repeat1 = 419,
  aux_sym_attribute_list_repeat1 = 420,
  aux_sym_string_repeat1 = 421,
  aux_sym_string_content_repeat1 = 422,
  aux_sym_heredoc_body_repeat1 = 423,
  aux_sym_nowdoc_body_repeat1 = 424,
  alias_sym_operation = 425,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
  [alias_sym_operation] = "operation",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
  [alias_sym_operation] = alias_sym_operation,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_operation] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 1},
  [52] = {.index = 98, .length = 3},
  [53] = {.index = 101, .length = 3},
  [54] = {.index = 104, .length = 2},
  [57] = {.index = 106, .length = 2},
  [58] = {.index = 108, .length = 2},
  [59] = {.index = 110, .length = 3},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 5, .length = 1},
  [62] = {.index = 115, .length = 1},
  [63] = {.index = 116, .length = 1},
  [64] = {.index = 117, .length = 3},
  [65] = {.index = 120, .length = 3},
  [66] = {.index = 123, .length = 2},
  [67] = {.index = 125, .length = 2},
  [68] = {.index = 127, .length = 3},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 3},
  [71] = {.index = 136, .length = 3},
  [72] = {.index = 139, .length = 3},
  [73] = {.index = 142, .length = 3},
  [74] = {.index = 145, .length = 2},
  [75] = {.index = 147, .length = 2},
  [76] = {.index = 149, .length = 2},
  [77] = {.index = 151, .length = 2},
  [78] = {.index = 153, .length = 3},
  [79] = {.index = 156, .length = 3},
  [80] = {.index = 159, .length = 2},
  [81] = {.index = 161, .length = 3},
  [82] = {.index = 164, .length = 2},
  [83] = {.index = 166, .length = 3},
  [84] = {.index = 169, .length = 3},
  [85] = {.index = 172, .length = 3},
  [86] = {.index = 175, .length = 2},
  [87] = {.index = 177, .length = 3},
  [88] = {.index = 180, .length = 3},
  [89] = {.index = 183, .length = 1},
  [90] = {.index = 184, .length = 3},
  [91] = {.index = 187, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 189, .length = 2},
  [94] = {.index = 191, .length = 2},
  [95] = {.index = 193, .length = 4},
  [96] = {.index = 197, .length = 2},
  [97] = {.index = 199, .length = 1},
  [98] = {.index = 200, .length = 2},
  [99] = {.index = 202, .length = 3},
  [100] = {.index = 205, .length = 3},
  [101] = {.index = 208, .length = 2},
  [102] = {.index = 210, .length = 3},
  [103] = {.index = 213, .length = 2},
  [104] = {.index = 215, .length = 4},
  [105] = {.index = 219, .length = 3},
  [106] = {.index = 222, .length = 3},
  [108] = {.index = 225, .length = 4},
  [109] = {.index = 229, .length = 3},
  [110] = {.index = 232, .length = 3},
  [111] = {.index = 235, .length = 4},
  [112] = {.index = 239, .length = 4},
  [113] = {.index = 243, .length = 3},
  [114] = {.index = 246, .length = 1},
  [115] = {.index = 247, .length = 2},
  [116] = {.index = 249, .length = 3},
  [117] = {.index = 252, .length = 4},
  [118] = {.index = 256, .length = 3},
  [119] = {.index = 259, .length = 3},
  [120] = {.index = 262, .length = 3},
  [121] = {.index = 265, .length = 3},
  [122] = {.index = 268, .length = 4},
  [123] = {.index = 272, .length = 4},
  [124] = {.index = 276, .length = 3},
  [125] = {.index = 279, .length = 4},
  [126] = {.index = 283, .length = 3},
  [127] = {.index = 286, .length = 2},
  [128] = {.index = 288, .length = 4},
  [129] = {.index = 292, .length = 4},
  [130] = {.index = 296, .length = 3},
  [131] = {.index = 299, .length = 2},
  [132] = {.index = 301, .length = 1},
  [133] = {.index = 302, .length = 1},
  [134] = {.index = 303, .length = 2},
  [135] = {.index = 305, .length = 1},
  [136] = {.index = 306, .length = 1},
  [137] = {.index = 307, .length = 2},
  [140] = {.index = 309, .length = 3},
  [141] = {.index = 312, .length = 3},
  [142] = {.index = 315, .length = 3},
  [143] = {.index = 318, .length = 4},
  [144] = {.index = 322, .length = 4},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 326, .length = 3},
  [147] = {.index = 329, .length = 5},
  [148] = {.index = 334, .length = 4},
  [149] = {.index = 338, .length = 3},
  [150] = {.index = 341, .length = 2},
  [151] = {.index = 343, .length = 4},
  [152] = {.index = 347, .length = 4},
  [153] = {.index = 351, .length = 1},
  [154] = {.index = 352, .length = 1},
  [155] = {.index = 353, .length = 4},
  [156] = {.index = 357, .length = 4},
  [157] = {.index = 361, .length = 5},
  [158] = {.index = 366, .length = 4},
  [159] = {.index = 370, .length = 4},
  [160] = {.index = 374, .length = 4},
  [161] = {.index = 378, .length = 1},
  [162] = {.index = 379, .length = 5},
  [163] = {.index = 384, .length = 4},
  [164] = {.index = 388, .length = 2},
  [165] = {.index = 390, .length = 2},
  [166] = {.index = 392, .length = 1},
  [167] = {.index = 393, .length = 2},
  [168] = {.index = 395, .length = 1},
  [169] = {.index = 396, .length = 2},
  [170] = {.index = 398, .length = 1},
  [171] = {.index = 399, .length = 1},
  [172] = {.index = 400, .length = 2},
  [173] = {.index = 402, .length = 3},
  [174] = {.index = 405, .length = 3},
  [175] = {.index = 408, .length = 5},
  [176] = {.index = 413, .length = 3},
  [177] = {.index = 416, .length = 5},
  [178] = {.index = 421, .length = 2},
  [179] = {.index = 423, .length = 2},
  [180] = {.index = 425, .length = 2},
  [181] = {.index = 427, .length = 2},
  [182] = {.index = 429, .length = 5},
  [183] = {.index = 434, .length = 5},
  [184] = {.index = 439, .length = 5},
  [185] = {.index = 444, .length = 2},
  [186] = {.index = 446, .length = 2},
  [187] = {.index = 448, .length = 3},
  [188] = {.index = 451, .length = 3},
  [189] = {.index = 454, .length = 2},
  [190] = {.index = 456, .length = 3},
  [191] = {.index = 459, .length = 2},
  [192] = {.index = 461, .length = 3},
  [193] = {.index = 464, .length = 2},
  [194] = {.index = 466, .length = 2},
  [195] = {.index = 468, .length = 3},
  [196] = {.index = 471, .length = 3},
  [197] = {.index = 474, .length = 3},
  [198] = {.index = 477, .length = 3},
  [199] = {.index = 480, .length = 3},
  [200] = {.index = 483, .length = 3},
  [201] = {.index = 486, .length = 6},
  [202] = {.index = 492, .length = 3},
  [203] = {.index = 495, .length = 4},
  [204] = {.index = 499, .length = 3},
  [205] = {.index = 502, .length = 4},
  [206] = {.index = 506, .length = 4},
  [207] = {.index = 510, .length = 4},
  [208] = {.index = 514, .length = 4},
  [209] = {.index = 518, .length = 2},
  [210] = {.index = 520, .length = 2},
  [211] = {.index = 522, .length = 2},
  [212] = {.index = 524, .length = 5},
  [213] = {.index = 529, .length = 3},
  [214] = {.index = 532, .length = 3},
  [215] = {.index = 535, .length = 3},
  [216] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [49] = {
    [2] = alias_sym_operation,
  },
  [55] = {
    [1] = sym_list_literal,
  },
  [56] = {
    [2] = sym_list_literal,
  },
  [61] = {
    [0] = sym_name,
  },
  [92] = {
    [3] = sym_primitive_type,
  },
  [107] = {
    [3] = sym_name,
  },
  [131] = {
    [3] = sym_primitive_type,
  },
  [138] = {
    [3] = sym_list_literal,
  },
  [139] = {
    [4] = sym_list_literal,
  },
  [145] = {
    [4] = sym_primitive_type,
  },
  [174] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 2,
  [10] = 7,
  [11] = 8,
  [12] = 12,
  [13] = 7,
  [14] = 7,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 24,
  [26] = 26,
  [27] = 26,
  [28] = 16,
  [29] = 19,
  [30] = 20,
  [31] = 17,
  [32] = 21,
  [33] = 22,
  [34] = 22,
  [35] = 20,
  [36] = 21,
  [37] = 22,
  [38] = 23,
  [39] = 24,
  [40] = 21,
  [41] = 24,
  [42] = 26,
  [43] = 17,
  [44] = 23,
  [45] = 45,
  [46] = 19,
  [47] = 47,
  [48] = 26,
  [49] = 16,
  [50] = 50,
  [51] = 16,
  [52] = 23,
  [53] = 20,
  [54] = 19,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 61,
  [67] = 67,
  [68] = 64,
  [69] = 69,
  [70] = 70,
  [71] = 56,
  [72] = 72,
  [73] = 73,
  [74] = 64,
  [75] = 75,
  [76] = 76,
  [77] = 55,
  [78] = 78,
  [79] = 65,
  [80] = 64,
  [81] = 81,
  [82] = 82,
  [83] = 82,
  [84] = 63,
  [85] = 81,
  [86] = 78,
  [87] = 59,
  [88] = 65,
  [89] = 61,
  [90] = 67,
  [91] = 61,
  [92] = 76,
  [93] = 67,
  [94] = 67,
  [95] = 75,
  [96] = 65,
  [97] = 69,
  [98] = 98,
  [99] = 70,
  [100] = 72,
  [101] = 73,
  [102] = 61,
  [103] = 62,
  [104] = 67,
  [105] = 58,
  [106] = 98,
  [107] = 57,
  [108] = 60,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 111,
  [114] = 111,
  [115] = 109,
  [116] = 111,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 117,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 123,
  [125] = 121,
  [126] = 123,
  [127] = 123,
  [128] = 121,
  [129] = 123,
  [130] = 121,
  [131] = 123,
  [132] = 132,
  [133] = 133,
  [134] = 133,
  [135] = 132,
  [136] = 133,
  [137] = 132,
  [138] = 133,
  [139] = 132,
  [140] = 132,
  [141] = 133,
  [142] = 132,
  [143] = 143,
  [144] = 143,
  [145] = 145,
  [146] = 145,
  [147] = 145,
  [148] = 143,
  [149] = 145,
  [150] = 143,
  [151] = 143,
  [152] = 145,
  [153] = 143,
  [154] = 145,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 156,
  [159] = 157,
  [160] = 160,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 165,
  [167] = 160,
  [168] = 163,
  [169] = 164,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 173,
  [176] = 170,
  [177] = 177,
  [178] = 174,
  [179] = 171,
  [180] = 180,
  [181] = 180,
  [182] = 180,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 180,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 188,
  [193] = 190,
  [194] = 194,
  [195] = 195,
  [196] = 189,
  [197] = 188,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 194,
  [203] = 195,
  [204] = 194,
  [205] = 187,
  [206] = 201,
  [207] = 198,
  [208] = 199,
  [209] = 195,
  [210] = 200,
  [211] = 190,
  [212] = 201,
  [213] = 188,
  [214] = 190,
  [215] = 201,
  [216] = 189,
  [217] = 187,
  [218] = 195,
  [219] = 189,
  [220] = 194,
  [221] = 187,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 222,
  [226] = 222,
  [227] = 222,
  [228] = 228,
  [229] = 229,
  [230] = 222,
  [231] = 222,
  [232] = 224,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 233,
  [238] = 234,
  [239] = 239,
  [240] = 233,
  [241] = 236,
  [242] = 242,
  [243] = 243,
  [244] = 234,
  [245] = 245,
  [246] = 236,
  [247] = 233,
  [248] = 248,
  [249] = 235,
  [250] = 248,
  [251] = 239,
  [252] = 248,
  [253] = 233,
  [254] = 235,
  [255] = 248,
  [256] = 234,
  [257] = 233,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 260,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 276,
  [284] = 261,
  [285] = 285,
  [286] = 260,
  [287] = 280,
  [288] = 288,
  [289] = 289,
  [290] = 279,
  [291] = 291,
  [292] = 278,
  [293] = 293,
  [294] = 259,
  [295] = 262,
  [296] = 296,
  [297] = 263,
  [298] = 264,
  [299] = 277,
  [300] = 275,
  [301] = 265,
  [302] = 266,
  [303] = 267,
  [304] = 274,
  [305] = 272,
  [306] = 306,
  [307] = 273,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 269,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 309,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 321,
  [324] = 324,
  [325] = 325,
  [326] = 317,
  [327] = 327,
  [328] = 310,
  [329] = 282,
  [330] = 271,
  [331] = 281,
  [332] = 291,
  [333] = 282,
  [334] = 334,
  [335] = 322,
  [336] = 320,
  [337] = 337,
  [338] = 312,
  [339] = 285,
  [340] = 340,
  [341] = 279,
  [342] = 342,
  [343] = 273,
  [344] = 274,
  [345] = 345,
  [346] = 275,
  [347] = 277,
  [348] = 278,
  [349] = 280,
  [350] = 350,
  [351] = 276,
  [352] = 352,
  [353] = 261,
  [354] = 268,
  [355] = 293,
  [356] = 259,
  [357] = 262,
  [358] = 263,
  [359] = 264,
  [360] = 269,
  [361] = 265,
  [362] = 308,
  [363] = 266,
  [364] = 267,
  [365] = 322,
  [366] = 312,
  [367] = 272,
  [368] = 321,
  [369] = 369,
  [370] = 271,
  [371] = 317,
  [372] = 285,
  [373] = 291,
  [374] = 374,
  [375] = 272,
  [376] = 282,
  [377] = 267,
  [378] = 378,
  [379] = 379,
  [380] = 281,
  [381] = 381,
  [382] = 285,
  [383] = 310,
  [384] = 313,
  [385] = 266,
  [386] = 265,
  [387] = 387,
  [388] = 264,
  [389] = 282,
  [390] = 308,
  [391] = 281,
  [392] = 281,
  [393] = 282,
  [394] = 309,
  [395] = 381,
  [396] = 293,
  [397] = 263,
  [398] = 262,
  [399] = 320,
  [400] = 268,
  [401] = 282,
  [402] = 259,
  [403] = 387,
  [404] = 313,
  [405] = 320,
  [406] = 308,
  [407] = 281,
  [408] = 293,
  [409] = 313,
  [410] = 260,
  [411] = 291,
  [412] = 285,
  [413] = 317,
  [414] = 321,
  [415] = 415,
  [416] = 261,
  [417] = 276,
  [418] = 418,
  [419] = 419,
  [420] = 322,
  [421] = 312,
  [422] = 279,
  [423] = 280,
  [424] = 269,
  [425] = 310,
  [426] = 282,
  [427] = 282,
  [428] = 278,
  [429] = 429,
  [430] = 277,
  [431] = 275,
  [432] = 274,
  [433] = 387,
  [434] = 309,
  [435] = 273,
  [436] = 268,
  [437] = 271,
  [438] = 438,
  [439] = 438,
  [440] = 438,
  [441] = 438,
  [442] = 438,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 445,
  [448] = 446,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 452,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 453,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 579,
  [581] = 579,
  [582] = 579,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 589,
  [616] = 588,
  [617] = 617,
  [618] = 599,
  [619] = 619,
  [620] = 593,
  [621] = 585,
  [622] = 592,
  [623] = 594,
  [624] = 584,
  [625] = 603,
  [626] = 617,
  [627] = 627,
  [628] = 617,
  [629] = 605,
  [630] = 598,
  [631] = 608,
  [632] = 597,
  [633] = 587,
  [634] = 634,
  [635] = 635,
  [636] = 610,
  [637] = 607,
  [638] = 591,
  [639] = 639,
  [640] = 612,
  [641] = 586,
  [642] = 609,
  [643] = 643,
  [644] = 606,
  [645] = 645,
  [646] = 595,
  [647] = 602,
  [648] = 643,
  [649] = 613,
  [650] = 645,
  [651] = 611,
  [652] = 614,
  [653] = 604,
  [654] = 643,
  [655] = 600,
  [656] = 656,
  [657] = 601,
  [658] = 592,
  [659] = 596,
  [660] = 645,
  [661] = 617,
  [662] = 590,
  [663] = 663,
  [664] = 613,
  [665] = 665,
  [666] = 665,
  [667] = 667,
  [668] = 614,
  [669] = 643,
  [670] = 670,
  [671] = 671,
  [672] = 645,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 675,
  [677] = 677,
  [678] = 678,
  [679] = 677,
  [680] = 680,
  [681] = 680,
  [682] = 682,
  [683] = 674,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 688,
  [690] = 690,
  [691] = 688,
  [692] = 685,
  [693] = 693,
  [694] = 694,
  [695] = 693,
  [696] = 688,
  [697] = 694,
  [698] = 685,
  [699] = 688,
  [700] = 700,
  [701] = 701,
  [702] = 543,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 532,
  [707] = 589,
  [708] = 588,
  [709] = 709,
  [710] = 605,
  [711] = 585,
  [712] = 587,
  [713] = 594,
  [714] = 603,
  [715] = 612,
  [716] = 608,
  [717] = 591,
  [718] = 607,
  [719] = 719,
  [720] = 610,
  [721] = 593,
  [722] = 593,
  [723] = 723,
  [724] = 597,
  [725] = 606,
  [726] = 584,
  [727] = 609,
  [728] = 728,
  [729] = 701,
  [730] = 599,
  [731] = 598,
  [732] = 586,
  [733] = 590,
  [734] = 734,
  [735] = 588,
  [736] = 611,
  [737] = 601,
  [738] = 738,
  [739] = 604,
  [740] = 740,
  [741] = 596,
  [742] = 589,
  [743] = 602,
  [744] = 744,
  [745] = 600,
  [746] = 746,
  [747] = 595,
  [748] = 748,
  [749] = 605,
  [750] = 750,
  [751] = 600,
  [752] = 595,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 602,
  [763] = 586,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 598,
  [771] = 587,
  [772] = 594,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 703,
  [778] = 585,
  [779] = 599,
  [780] = 611,
  [781] = 781,
  [782] = 612,
  [783] = 452,
  [784] = 608,
  [785] = 601,
  [786] = 786,
  [787] = 787,
  [788] = 584,
  [789] = 596,
  [790] = 597,
  [791] = 610,
  [792] = 792,
  [793] = 609,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 583,
  [799] = 799,
  [800] = 590,
  [801] = 801,
  [802] = 802,
  [803] = 607,
  [804] = 603,
  [805] = 604,
  [806] = 806,
  [807] = 591,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 794,
  [821] = 606,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 453,
  [827] = 827,
  [828] = 828,
  [829] = 589,
  [830] = 593,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 709,
  [835] = 723,
  [836] = 687,
  [837] = 837,
  [838] = 588,
  [839] = 837,
  [840] = 840,
  [841] = 687,
  [842] = 828,
  [843] = 605,
  [844] = 585,
  [845] = 593,
  [846] = 607,
  [847] = 603,
  [848] = 765,
  [849] = 719,
  [850] = 608,
  [851] = 703,
  [852] = 597,
  [853] = 587,
  [854] = 594,
  [855] = 591,
  [856] = 728,
  [857] = 606,
  [858] = 858,
  [859] = 586,
  [860] = 598,
  [861] = 610,
  [862] = 862,
  [863] = 858,
  [864] = 864,
  [865] = 612,
  [866] = 866,
  [867] = 599,
  [868] = 609,
  [869] = 584,
  [870] = 596,
  [871] = 700,
  [872] = 602,
  [873] = 611,
  [874] = 765,
  [875] = 595,
  [876] = 589,
  [877] = 700,
  [878] = 600,
  [879] = 734,
  [880] = 880,
  [881] = 881,
  [882] = 740,
  [883] = 588,
  [884] = 723,
  [885] = 709,
  [886] = 604,
  [887] = 601,
  [888] = 590,
  [889] = 889,
  [890] = 595,
  [891] = 891,
  [892] = 781,
  [893] = 612,
  [894] = 802,
  [895] = 768,
  [896] = 795,
  [897] = 755,
  [898] = 796,
  [899] = 765,
  [900] = 825,
  [901] = 824,
  [902] = 812,
  [903] = 597,
  [904] = 753,
  [905] = 801,
  [906] = 607,
  [907] = 605,
  [908] = 823,
  [909] = 797,
  [910] = 583,
  [911] = 759,
  [912] = 584,
  [913] = 596,
  [914] = 748,
  [915] = 750,
  [916] = 610,
  [917] = 773,
  [918] = 774,
  [919] = 806,
  [920] = 814,
  [921] = 809,
  [922] = 816,
  [923] = 758,
  [924] = 787,
  [925] = 775,
  [926] = 776,
  [927] = 822,
  [928] = 585,
  [929] = 754,
  [930] = 593,
  [931] = 756,
  [932] = 532,
  [933] = 746,
  [934] = 764,
  [935] = 813,
  [936] = 936,
  [937] = 810,
  [938] = 827,
  [939] = 738,
  [940] = 757,
  [941] = 819,
  [942] = 543,
  [943] = 818,
  [944] = 594,
  [945] = 817,
  [946] = 815,
  [947] = 611,
  [948] = 587,
  [949] = 609,
  [950] = 811,
  [951] = 602,
  [952] = 799,
  [953] = 606,
  [954] = 604,
  [955] = 808,
  [956] = 600,
  [957] = 608,
  [958] = 760,
  [959] = 601,
  [960] = 583,
  [961] = 761,
  [962] = 590,
  [963] = 603,
  [964] = 591,
  [965] = 703,
  [966] = 586,
  [967] = 792,
  [968] = 598,
  [969] = 599,
  [970] = 744,
  [971] = 833,
  [972] = 786,
  [973] = 936,
  [974] = 769,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 840,
  [979] = 687,
  [980] = 980,
  [981] = 765,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 832,
  [988] = 988,
  [989] = 831,
  [990] = 766,
  [991] = 767,
  [992] = 992,
  [993] = 709,
  [994] = 994,
  [995] = 723,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 593,
  [1009] = 700,
  [1010] = 880,
  [1011] = 881,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 583,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1014,
  [1046] = 1046,
  [1047] = 1034,
  [1048] = 977,
  [1049] = 986,
  [1050] = 1032,
  [1051] = 1044,
  [1052] = 1044,
  [1053] = 1035,
  [1054] = 1029,
  [1055] = 992,
  [1056] = 1012,
  [1057] = 1013,
  [1058] = 1043,
  [1059] = 1035,
  [1060] = 1012,
  [1061] = 976,
  [1062] = 1034,
  [1063] = 1063,
  [1064] = 1037,
  [1065] = 1042,
  [1066] = 996,
  [1067] = 1042,
  [1068] = 1020,
  [1069] = 1037,
  [1070] = 1039,
  [1071] = 1031,
  [1072] = 1028,
  [1073] = 994,
  [1074] = 1016,
  [1075] = 1017,
  [1076] = 1019,
  [1077] = 1021,
  [1078] = 1023,
  [1079] = 980,
  [1080] = 1043,
  [1081] = 975,
  [1082] = 1038,
  [1083] = 984,
  [1084] = 1036,
  [1085] = 1030,
  [1086] = 997,
  [1087] = 998,
  [1088] = 1041,
  [1089] = 1033,
  [1090] = 1036,
  [1091] = 453,
  [1092] = 999,
  [1093] = 452,
  [1094] = 1025,
  [1095] = 1004,
  [1096] = 1022,
  [1097] = 1015,
  [1098] = 1013,
  [1099] = 1020,
  [1100] = 1018,
  [1101] = 1024,
  [1102] = 1003,
  [1103] = 1026,
  [1104] = 1000,
  [1105] = 1041,
  [1106] = 1001,
  [1107] = 1030,
  [1108] = 1014,
  [1109] = 1038,
  [1110] = 1025,
  [1111] = 1039,
  [1112] = 1027,
  [1113] = 1032,
  [1114] = 1022,
  [1115] = 1029,
  [1116] = 1031,
  [1117] = 1028,
  [1118] = 1026,
  [1119] = 1015,
  [1120] = 1016,
  [1121] = 1018,
  [1122] = 988,
  [1123] = 1002,
  [1124] = 1027,
  [1125] = 985,
  [1126] = 1006,
  [1127] = 1024,
  [1128] = 1017,
  [1129] = 1007,
  [1130] = 982,
  [1131] = 1033,
  [1132] = 983,
  [1133] = 1019,
  [1134] = 1005,
  [1135] = 1023,
  [1136] = 1021,
  [1137] = 1012,
  [1138] = 1035,
  [1139] = 1030,
  [1140] = 1014,
  [1141] = 1038,
  [1142] = 1025,
  [1143] = 1043,
  [1144] = 1042,
  [1145] = 1022,
  [1146] = 1037,
  [1147] = 1023,
  [1148] = 1034,
  [1149] = 1021,
  [1150] = 1015,
  [1151] = 1032,
  [1152] = 1027,
  [1153] = 1018,
  [1154] = 1044,
  [1155] = 1029,
  [1156] = 1019,
  [1157] = 1036,
  [1158] = 1026,
  [1159] = 1024,
  [1160] = 1028,
  [1161] = 1016,
  [1162] = 1041,
  [1163] = 1017,
  [1164] = 1020,
  [1165] = 1039,
  [1166] = 1033,
  [1167] = 1013,
  [1168] = 1031,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1180,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1025,
  [1189] = 1189,
  [1190] = 1184,
  [1191] = 1191,
  [1192] = 1186,
  [1193] = 1189,
  [1194] = 1194,
  [1195] = 1182,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1025,
  [1203] = 1191,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1181,
  [1208] = 1206,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1212,
  [1214] = 1214,
  [1215] = 1196,
  [1216] = 1196,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1181,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1206,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1212,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1233,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1236,
  [1242] = 1234,
  [1243] = 1243,
  [1244] = 1236,
  [1245] = 1245,
  [1246] = 1234,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1247,
  [1250] = 1240,
  [1251] = 1235,
  [1252] = 1234,
  [1253] = 1233,
  [1254] = 1236,
  [1255] = 1255,
  [1256] = 1236,
  [1257] = 1257,
  [1258] = 1236,
  [1259] = 1240,
  [1260] = 1248,
  [1261] = 1235,
  [1262] = 1233,
  [1263] = 1245,
  [1264] = 1238,
  [1265] = 1247,
  [1266] = 1235,
  [1267] = 1247,
  [1268] = 1268,
  [1269] = 1238,
  [1270] = 1247,
  [1271] = 1235,
  [1272] = 1236,
  [1273] = 1240,
  [1274] = 1274,
  [1275] = 1238,
  [1276] = 1276,
  [1277] = 1243,
  [1278] = 1235,
  [1279] = 1238,
  [1280] = 1236,
  [1281] = 1247,
  [1282] = 1236,
  [1283] = 1243,
  [1284] = 1238,
  [1285] = 1285,
  [1286] = 1234,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1288,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1290,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1297,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1305,
  [1307] = 1307,
  [1308] = 1307,
  [1309] = 1309,
  [1310] = 1307,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1305,
  [1314] = 1312,
  [1315] = 1309,
  [1316] = 1311,
  [1317] = 1304,
  [1318] = 1311,
  [1319] = 1319,
  [1320] = 1300,
  [1321] = 1321,
  [1322] = 1321,
  [1323] = 1299,
  [1324] = 1319,
  [1325] = 1321,
  [1326] = 1319,
  [1327] = 1327,
  [1328] = 1327,
  [1329] = 1301,
  [1330] = 1303,
  [1331] = 1331,
  [1332] = 1302,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1333,
  [1336] = 1333,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1339,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1343,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1348,
  [1351] = 1351,
  [1352] = 1342,
  [1353] = 1351,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1363,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1374,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1377,
  [1380] = 1378,
  [1381] = 1373,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 833,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1384,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1410,
  [1412] = 1407,
  [1413] = 1413,
  [1414] = 1409,
  [1415] = 1413,
  [1416] = 1408,
  [1417] = 1417,
  [1418] = 1408,
  [1419] = 1410,
  [1420] = 1420,
  [1421] = 1410,
  [1422] = 1422,
  [1423] = 1420,
  [1424] = 1422,
  [1425] = 1425,
  [1426] = 1425,
  [1427] = 1410,
  [1428] = 1425,
  [1429] = 1408,
  [1430] = 1410,
  [1431] = 1408,
  [1432] = 1425,
  [1433] = 1409,
  [1434] = 1407,
  [1435] = 1410,
  [1436] = 1425,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1417,
  [1441] = 1408,
  [1442] = 1408,
  [1443] = 1425,
  [1444] = 1425,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1447,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1455,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1456,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 597,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 597,
  [1490] = 597,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1437,
  [1500] = 1494,
  [1501] = 1496,
  [1502] = 1498,
  [1503] = 1503,
  [1504] = 1503,
  [1505] = 1505,
  [1506] = 1495,
  [1507] = 1507,
  [1508] = 443,
  [1509] = 1509,
  [1510] = 444,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1437,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 597,
  [1533] = 603,
  [1534] = 607,
  [1535] = 1535,
  [1536] = 1513,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1382,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1517,
  [1544] = 1544,
  [1545] = 1514,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 889,
  [1555] = 1517,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1518,
  [1561] = 1516,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 603,
  [1565] = 1565,
  [1566] = 687,
  [1567] = 445,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 446,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1568,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 445,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1582,
  [1584] = 1579,
  [1585] = 1585,
  [1586] = 1578,
  [1587] = 1582,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1549,
  [1591] = 1550,
  [1592] = 1581,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1574,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 607,
  [1601] = 597,
  [1602] = 1582,
  [1603] = 1579,
  [1604] = 1604,
  [1605] = 1582,
  [1606] = 1582,
  [1607] = 1582,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1437,
  [1611] = 1579,
  [1612] = 1608,
  [1613] = 1582,
  [1614] = 1582,
  [1615] = 1593,
  [1616] = 1582,
  [1617] = 1579,
  [1618] = 1553,
  [1619] = 1619,
  [1620] = 1585,
  [1621] = 1609,
  [1622] = 1550,
  [1623] = 603,
  [1624] = 1573,
  [1625] = 1569,
  [1626] = 597,
  [1627] = 1627,
  [1628] = 1582,
  [1629] = 446,
  [1630] = 1582,
  [1631] = 1579,
  [1632] = 1549,
  [1633] = 1604,
  [1634] = 1627,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1565,
  [1639] = 1531,
  [1640] = 1531,
  [1641] = 1597,
  [1642] = 607,
  [1643] = 1553,
  [1644] = 1598,
  [1645] = 1599,
  [1646] = 1619,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 452,
  [1655] = 453,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1458,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1665,
  [1679] = 1679,
  [1680] = 449,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1470,
  [1686] = 1461,
  [1687] = 1459,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1462,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1649,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 451,
  [1707] = 1707,
  [1708] = 1700,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1663,
  [1716] = 1716,
  [1717] = 1681,
  [1718] = 454,
  [1719] = 1719,
  [1720] = 1662,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1661,
  [1724] = 1660,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 450,
  [1729] = 1729,
  [1730] = 1704,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1658,
  [1736] = 1690,
  [1737] = 1468,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1467,
  [1742] = 1682,
  [1743] = 1445,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1713,
  [1747] = 1719,
  [1748] = 1458,
  [1749] = 1749,
  [1750] = 1459,
  [1751] = 1652,
  [1752] = 1653,
  [1753] = 1470,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1476,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1467,
  [1761] = 1651,
  [1762] = 1762,
  [1763] = 1462,
  [1764] = 1668,
  [1765] = 1450,
  [1766] = 1451,
  [1767] = 1673,
  [1768] = 1768,
  [1769] = 761,
  [1770] = 1770,
  [1771] = 1468,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1773,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1774,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1667,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1285,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1461,
  [1795] = 1795,
  [1796] = 1777,
  [1797] = 1779,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1476,
  [1802] = 1786,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1804,
  [1816] = 1696,
  [1817] = 1817,
  [1818] = 1804,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1781,
  [1824] = 1824,
  [1825] = 1745,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1781,
  [1829] = 1804,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1798,
  [1833] = 1807,
  [1834] = 1804,
  [1835] = 1806,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 700,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1474,
  [1843] = 1463,
  [1844] = 1810,
  [1845] = 1838,
  [1846] = 1846,
  [1847] = 1811,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1846,
  [1854] = 1792,
  [1855] = 1804,
  [1856] = 1669,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1781,
  [1860] = 1465,
  [1861] = 1840,
  [1862] = 1862,
  [1863] = 1804,
  [1864] = 1841,
  [1865] = 1457,
  [1866] = 1471,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1672,
  [1870] = 1846,
  [1871] = 1814,
  [1872] = 1872,
  [1873] = 1868,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1793,
  [1877] = 1837,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 568,
  [1881] = 1881,
  [1882] = 567,
  [1883] = 566,
  [1884] = 564,
  [1885] = 534,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 558,
  [1889] = 1889,
  [1890] = 556,
  [1891] = 555,
  [1892] = 1892,
  [1893] = 553,
  [1894] = 552,
  [1895] = 551,
  [1896] = 549,
  [1897] = 547,
  [1898] = 545,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 541,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 539,
  [1906] = 1906,
  [1907] = 535,
  [1908] = 523,
  [1909] = 1909,
  [1910] = 493,
  [1911] = 485,
  [1912] = 476,
  [1913] = 475,
  [1914] = 1914,
  [1915] = 457,
  [1916] = 527,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 522,
  [1921] = 490,
  [1922] = 462,
  [1923] = 463,
  [1924] = 487,
  [1925] = 496,
  [1926] = 500,
  [1927] = 512,
  [1928] = 524,
  [1929] = 575,
  [1930] = 572,
  [1931] = 562,
  [1932] = 560,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 456,
  [1936] = 511,
  [1937] = 482,
  [1938] = 480,
  [1939] = 1939,
  [1940] = 474,
  [1941] = 469,
  [1942] = 1942,
  [1943] = 465,
  [1944] = 461,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 570,
  [1949] = 550,
  [1950] = 546,
  [1951] = 531,
  [1952] = 516,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 458,
  [1956] = 459,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 533,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 554,
  [1967] = 561,
  [1968] = 577,
  [1969] = 576,
  [1970] = 1942,
  [1971] = 525,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 460,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 495,
  [1979] = 497,
  [1980] = 1980,
  [1981] = 498,
  [1982] = 502,
  [1983] = 1957,
  [1984] = 503,
  [1985] = 506,
  [1986] = 517,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1959,
  [1990] = 519,
  [1991] = 521,
  [1992] = 526,
  [1993] = 536,
  [1994] = 559,
  [1995] = 1963,
  [1996] = 1972,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 504,
  [2000] = 488,
  [2001] = 2001,
  [2002] = 481,
  [2003] = 479,
  [2004] = 2004,
  [2005] = 477,
  [2006] = 1878,
  [2007] = 472,
  [2008] = 2008,
  [2009] = 483,
  [2010] = 1744,
  [2011] = 484,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1998,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 548,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2016,
  [2027] = 499,
  [2028] = 2028,
  [2029] = 1289,
  [2030] = 505,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 455,
  [2036] = 514,
  [2037] = 515,
  [2038] = 557,
  [2039] = 2039,
  [2040] = 508,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1817,
  [2046] = 2025,
  [2047] = 574,
  [2048] = 2031,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2032,
  [2052] = 2052,
  [2053] = 542,
  [2054] = 538,
  [2055] = 2055,
  [2056] = 2034,
  [2057] = 528,
  [2058] = 2058,
  [2059] = 507,
  [2060] = 2060,
  [2061] = 529,
  [2062] = 537,
  [2063] = 540,
  [2064] = 544,
  [2065] = 565,
  [2066] = 2017,
  [2067] = 2067,
  [2068] = 578,
  [2069] = 2060,
  [2070] = 530,
  [2071] = 520,
  [2072] = 513,
  [2073] = 563,
  [2074] = 510,
  [2075] = 2075,
  [2076] = 501,
  [2077] = 2077,
  [2078] = 478,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 471,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 1821,
  [2085] = 468,
  [2086] = 467,
  [2087] = 1695,
  [2088] = 466,
  [2089] = 464,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 491,
  [2093] = 494,
  [2094] = 492,
  [2095] = 489,
  [2096] = 2075,
  [2097] = 2022,
  [2098] = 2020,
  [2099] = 2099,
  [2100] = 2077,
  [2101] = 2101,
  [2102] = 486,
  [2103] = 2103,
  [2104] = 1958,
  [2105] = 470,
  [2106] = 1964,
  [2107] = 2012,
  [2108] = 1478,
  [2109] = 2008,
  [2110] = 1812,
  [2111] = 518,
  [2112] = 2112,
  [2113] = 569,
  [2114] = 473,
  [2115] = 2083,
  [2116] = 2116,
  [2117] = 571,
  [2118] = 1881,
  [2119] = 1886,
  [2120] = 2120,
  [2121] = 1887,
  [2122] = 1889,
  [2123] = 2123,
  [2124] = 1476,
  [2125] = 1892,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 1904,
  [2131] = 1899,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 1946,
  [2135] = 2135,
  [2136] = 1900,
  [2137] = 1901,
  [2138] = 2099,
  [2139] = 1903,
  [2140] = 2101,
  [2141] = 2103,
  [2142] = 2142,
  [2143] = 1906,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 1909,
  [2161] = 1914,
  [2162] = 1987,
  [2163] = 2163,
  [2164] = 2152,
  [2165] = 1917,
  [2166] = 1918,
  [2167] = 1919,
  [2168] = 1977,
  [2169] = 1975,
  [2170] = 2126,
  [2171] = 2171,
  [2172] = 1973,
  [2173] = 2173,
  [2174] = 1939,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 1933,
  [2183] = 2103,
  [2184] = 2034,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 1934,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2103,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2034,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 1858,
  [2202] = 1954,
  [2203] = 1953,
  [2204] = 2103,
  [2205] = 2205,
  [2206] = 2034,
  [2207] = 2034,
  [2208] = 1945,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2103,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2224,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2237,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2219,
  [2244] = 2220,
  [2245] = 2223,
  [2246] = 1404,
  [2247] = 2247,
  [2248] = 2225,
  [2249] = 2249,
  [2250] = 2224,
  [2251] = 1390,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2224,
  [2255] = 2219,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2228,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 1757,
  [2265] = 2265,
  [2266] = 2237,
  [2267] = 2267,
  [2268] = 2230,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2224,
  [2278] = 2249,
  [2279] = 2149,
  [2280] = 2224,
  [2281] = 2281,
  [2282] = 2220,
  [2283] = 2267,
  [2284] = 1734,
  [2285] = 2285,
  [2286] = 2237,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2281,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2285,
  [2304] = 2289,
  [2305] = 2305,
  [2306] = 2291,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2295,
  [2312] = 2312,
  [2313] = 2218,
  [2314] = 2220,
  [2315] = 2221,
  [2316] = 2222,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 1709,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2237,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2326,
  [2337] = 2337,
  [2338] = 2297,
  [2339] = 2055,
  [2340] = 2052,
  [2341] = 2317,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2312,
  [2346] = 2288,
  [2347] = 2237,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2219,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2043,
  [2360] = 2360,
  [2361] = 2234,
  [2362] = 2325,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2352,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2232,
  [2371] = 2371,
  [2372] = 2308,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2233,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2368,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 881,
  [2390] = 2290,
  [2391] = 2355,
  [2392] = 2358,
  [2393] = 2393,
  [2394] = 2275,
  [2395] = 2395,
  [2396] = 2276,
  [2397] = 2217,
  [2398] = 2287,
  [2399] = 2374,
  [2400] = 2299,
  [2401] = 2401,
  [2402] = 2302,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2323,
  [2406] = 2324,
  [2407] = 2407,
  [2408] = 2353,
  [2409] = 2360,
  [2410] = 2357,
  [2411] = 2411,
  [2412] = 2321,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2384,
  [2416] = 2348,
  [2417] = 2385,
  [2418] = 2387,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2435,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2421,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2436,
  [2450] = 2042,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 1997,
  [2454] = 2454,
  [2455] = 2429,
  [2456] = 2430,
  [2457] = 2426,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2420,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2469,
  [2472] = 2439,
  [2473] = 2432,
  [2474] = 2424,
  [2475] = 2475,
  [2476] = 2420,
  [2477] = 2477,
  [2478] = 2445,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2464,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2458,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2467,
  [2488] = 2439,
  [2489] = 2489,
  [2490] = 2436,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2445,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2438,
  [2497] = 2477,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 1824,
  [2503] = 2460,
  [2504] = 2479,
  [2505] = 2505,
  [2506] = 2480,
  [2507] = 2466,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2433,
  [2517] = 2425,
  [2518] = 2491,
  [2519] = 2467,
  [2520] = 2520,
  [2521] = 2466,
  [2522] = 2498,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2486,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2468,
  [2529] = 2510,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2511,
  [2535] = 2535,
  [2536] = 2469,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2527,
  [2541] = 2541,
  [2542] = 2477,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2501,
  [2551] = 2531,
  [2552] = 2463,
  [2553] = 2461,
  [2554] = 2462,
  [2555] = 2463,
  [2556] = 2541,
  [2557] = 2557,
  [2558] = 2501,
  [2559] = 2479,
  [2560] = 2560,
  [2561] = 2475,
  [2562] = 2562,
  [2563] = 2467,
  [2564] = 2482,
  [2565] = 2483,
  [2566] = 2479,
  [2567] = 2485,
  [2568] = 2568,
  [2569] = 2467,
  [2570] = 2544,
  [2571] = 2463,
  [2572] = 2547,
  [2573] = 2573,
  [2574] = 2489,
  [2575] = 2477,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2544,
  [2579] = 2579,
  [2580] = 2501,
  [2581] = 2573,
  [2582] = 2501,
  [2583] = 2544,
  [2584] = 2462,
  [2585] = 2466,
  [2586] = 2520,
  [2587] = 2461,
  [2588] = 2588,
  [2589] = 2495,
  [2590] = 2539,
  [2591] = 2591,
  [2592] = 2480,
  [2593] = 2442,
  [2594] = 2469,
  [2595] = 2432,
  [2596] = 2463,
  [2597] = 2439,
  [2598] = 2432,
  [2599] = 2424,
  [2600] = 2424,
  [2601] = 2420,
  [2602] = 2602,
  [2603] = 2477,
  [2604] = 2499,
  [2605] = 2477,
  [2606] = 2606,
  [2607] = 2544,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2579,
  [2612] = 2612,
  [2613] = 2501,
  [2614] = 2577,
  [2615] = 2615,
  [2616] = 2520,
  [2617] = 2617,
  [2618] = 2462,
  [2619] = 2461,
  [2620] = 2421,
  [2621] = 2501,
  [2622] = 2479,
  [2623] = 2623,
  [2624] = 2539,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2446,
  [2628] = 2447,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2630,
  [2633] = 2608,
  [2634] = 2539,
  [2635] = 2527,
  [2636] = 2524,
  [2637] = 2577,
  [2638] = 2436,
  [2639] = 2576,
  [2640] = 2470,
  [2641] = 2445,
  [2642] = 2630,
  [2643] = 2509,
  [2644] = 2577,
  [2645] = 2629,
  [2646] = 2512,
  [2647] = 2513,
  [2648] = 2520,
  [2649] = 2514,
  [2650] = 2629,
  [2651] = 2630,
  [2652] = 2539,
  [2653] = 2629,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 124,
        '"', 172,
        '#', 253,
        '$', 176,
        '%', 213,
        '&', 73,
        '\'', 174,
        '(', 83,
        ')', 84,
        '*', 208,
        '+', 116,
        ',', 74,
        '-', 119,
        '.', 206,
        '/', 211,
        '0', 106,
        ':', 81,
        ';', 70,
        '<', 190,
        '=', 75,
        '>', 194,
        '?', 89,
        '@', 125,
        '[', 144,
        '\\', 77,
        ']', 145,
        '^', 184,
        '_', 248,
        '`', 175,
        '{', 78,
        '|', 94,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 214,
        'b', 214,
        'E', 217,
        'e', 217,
        'F', 218,
        'f', 218,
        'I', 232,
        'i', 232,
        'N', 246,
        'n', 246,
        'S', 244,
        's', 244,
        'T', 237,
        't', 237,
        'U', 230,
        'u', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(251);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(251);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(252);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 173,
        '\r', 173,
        '"', 172,
        '#', 254,
        '$', 176,
        '-', 32,
        '/', 21,
        '[', 144,
        '\\', 36,
        '{', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 173,
        '\r', 173,
        '#', 254,
        '$', 176,
        '-', 32,
        '/', 21,
        '[', 144,
        '\\', 37,
        '{', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 124,
        '"', 158,
        '#', 253,
        '$', 176,
        '%', 212,
        '&', 72,
        '\'', 160,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 206,
        '/', 210,
        '0', 106,
        ':', 80,
        ';', 70,
        '<', 191,
        '=', 31,
        '>', 195,
        '?', 92,
        '@', 125,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 183,
        '_', 248,
        '`', 175,
        '{', 78,
        '|', 95,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
        'E', 217,
        'e', 217,
        'F', 219,
        'f', 219,
        'N', 246,
        'n', 246,
        'T', 237,
        't', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 123,
        '"', 158,
        '#', 253,
        '$', 176,
        '&', 71,
        '\'', 160,
        '(', 85,
        ')', 86,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 102,
        '/', 21,
        '0', 106,
        '<', 28,
        '@', 125,
        '[', 144,
        '\\', 76,
        ']', 145,
        '_', 248,
        '`', 175,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
        'E', 217,
        'e', 217,
        'F', 219,
        'f', 219,
        'N', 246,
        'n', 246,
        'T', 237,
        't', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 123,
        '"', 158,
        '#', 253,
        '$', 176,
        '\'', 160,
        '(', 85,
        '+', 115,
        '-', 118,
        '.', 103,
        '/', 21,
        '0', 106,
        '<', 28,
        '@', 125,
        '[', 144,
        '\\', 76,
        '_', 248,
        '`', 175,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 214,
        'b', 214,
        'E', 217,
        'e', 217,
        'F', 218,
        'f', 218,
        'I', 232,
        'i', 232,
        'N', 246,
        'n', 246,
        'S', 244,
        's', 244,
        'T', 237,
        't', 237,
        'U', 230,
        'u', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 30,
        '"', 158,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 115,
        ',', 74,
        '-', 120,
        '.', 205,
        '/', 210,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 36,
        ']', 145,
        '^', 183,
        '`', 175,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 30,
        '"', 158,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 115,
        ',', 74,
        '-', 120,
        '.', 205,
        '/', 210,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 37,
        ']', 145,
        '^', 183,
        '`', 175,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 30,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '\'', 174,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 114,
        ',', 74,
        '-', 121,
        '.', 205,
        '/', 210,
        '0', 111,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 183,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 30,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 114,
        ',', 74,
        '-', 121,
        '.', 205,
        '/', 210,
        '0', 111,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 183,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 30,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 114,
        ',', 74,
        '-', 117,
        '.', 205,
        '/', 210,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 92,
        '\\', 76,
        ']', 145,
        '^', 183,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '\'') ADVANCE(159);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 158,
        '#', 254,
        '$', 176,
        '&', 71,
        '\'', 160,
        '(', 85,
        ')', 86,
        '.', 24,
        '/', 21,
        '<', 28,
        '[', 144,
        '\\', 76,
        '|', 93,
        '}', 79,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 158,
        '#', 254,
        '\'', 160,
        '.', 103,
        '/', 21,
        '0', 106,
        '<', 28,
        '_', 57,
        'B', 13,
        'b', 13,
        'E', 40,
        'e', 40,
        'F', 41,
        'f', 41,
        'N', 51,
        'n', 51,
        'T', 48,
        't', 48,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 253,
        '$', 176,
        '&', 71,
        '(', 85,
        ')', 86,
        ',', 74,
        '.', 24,
        '/', 21,
        '?', 88,
        '\\', 76,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 254,
        '$', 176,
        '&', 71,
        '(', 83,
        ')', 84,
        '/', 21,
        ';', 70,
        '?', 88,
        '\\', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 254,
        '$', 176,
        '&', 71,
        '(', 85,
        ')', 86,
        '.', 24,
        '/', 21,
        '=', 33,
        '?', 88,
        '\\', 76,
        '{', 78,
        '|', 93,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '#', 254,
        '$', 176,
        '&', 71,
        '(', 85,
        '/', 21,
        ';', 70,
        '?', 88,
        '\\', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(169);
      if (lookahead == '\'') ADVANCE(160);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(164);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(252);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(251);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(87);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(171);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(27);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(143);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(156);
      if (lookahead == 'x') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(151);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(155);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(161);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 41:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 42:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 43:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(47);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 46:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(42);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 51:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 52:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(109);
      END_STATE();
    case 53:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(107);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(108);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(154);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 124,
        '"', 158,
        '#', 253,
        '$', 176,
        '%', 213,
        '&', 73,
        '\'', 160,
        '(', 85,
        ')', 86,
        '*', 208,
        '+', 116,
        ',', 74,
        '-', 119,
        '.', 206,
        '/', 211,
        '0', 106,
        ':', 81,
        ';', 70,
        '<', 190,
        '=', 75,
        '>', 194,
        '?', 89,
        '@', 125,
        '[', 144,
        '\\', 77,
        ']', 145,
        '^', 184,
        '_', 248,
        '`', 175,
        '{', 78,
        '|', 94,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 214,
        'b', 214,
        'E', 217,
        'e', 217,
        'F', 218,
        'f', 218,
        'I', 232,
        'i', 232,
        'N', 246,
        'n', 246,
        'S', 244,
        's', 244,
        'T', 237,
        't', 237,
        'U', 230,
        'u', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 123,
        '"', 158,
        '#', 253,
        '$', 176,
        '&', 71,
        '\'', 160,
        '(', 85,
        ')', 86,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 103,
        '/', 21,
        '0', 106,
        ':', 80,
        ';', 70,
        '<', 29,
        '=', 33,
        '?', 34,
        '@', 125,
        '[', 144,
        '\\', 76,
        ']', 145,
        '_', 248,
        '`', 175,
        '{', 78,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
        'E', 217,
        'e', 217,
        'F', 219,
        'f', 219,
        'N', 246,
        'n', 246,
        'T', 237,
        't', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 30,
        '"', 158,
        '#', 254,
        '$', 176,
        '%', 213,
        '&', 73,
        '\'', 160,
        '(', 85,
        ')', 86,
        '*', 208,
        '+', 116,
        ',', 74,
        '-', 119,
        '.', 207,
        '/', 211,
        '0', 111,
        ':', 81,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 90,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 184,
        '{', 78,
        '|', 94,
        '}', 79,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(161);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(126);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '>') ADVANCE(67);
      if (lookahead == '?') ADVANCE(178);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '?') ADVANCE(178);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '?') ADVANCE(177);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(177);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(181);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(181);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 103,
        '_', 53,
        'B', 52,
        'b', 52,
        'E', 40,
        'e', 40,
        'O', 112,
        'o', 112,
        'X', 60,
        'x', 60,
        '8', 25,
        '9', 25,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(52);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(112);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(128);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(127);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(163);
      if (lookahead == '>') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(169);
      if (lookahead == '/') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(167);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(166);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(162);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(173);
      if (lookahead == '\r') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(188);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(189);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(201);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(200);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(199);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(204);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(203);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(171);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(180);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(179);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(252);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '\'') ADVANCE(159);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '\'') ADVANCE(159);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(248);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(229);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(149);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(100);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(147);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(226);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(99);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(252);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(252);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(252);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 64},
  [2] = {.lex_state = 64},
  [3] = {.lex_state = 64},
  [4] = {.lex_state = 64},
  [5] = {.lex_state = 64},
  [6] = {.lex_state = 64},
  [7] = {.lex_state = 64, .external_lex_state = 2},
  [8] = {.lex_state = 64},
  [9] = {.lex_state = 64},
  [10] = {.lex_state = 64, .external_lex_state = 2},
  [11] = {.lex_state = 64},
  [12] = {.lex_state = 64},
  [13] = {.lex_state = 64, .external_lex_state = 2},
  [14] = {.lex_state = 64, .external_lex_state = 2},
  [15] = {.lex_state = 64},
  [16] = {.lex_state = 64, .external_lex_state = 2},
  [17] = {.lex_state = 64, .external_lex_state = 2},
  [18] = {.lex_state = 64, .external_lex_state = 2},
  [19] = {.lex_state = 64, .external_lex_state = 2},
  [20] = {.lex_state = 64, .external_lex_state = 2},
  [21] = {.lex_state = 64, .external_lex_state = 2},
  [22] = {.lex_state = 64, .external_lex_state = 2},
  [23] = {.lex_state = 64, .external_lex_state = 2},
  [24] = {.lex_state = 64, .external_lex_state = 2},
  [25] = {.lex_state = 64, .external_lex_state = 2},
  [26] = {.lex_state = 64, .external_lex_state = 2},
  [27] = {.lex_state = 64, .external_lex_state = 2},
  [28] = {.lex_state = 64, .external_lex_state = 2},
  [29] = {.lex_state = 64, .external_lex_state = 2},
  [30] = {.lex_state = 64, .external_lex_state = 2},
  [31] = {.lex_state = 64, .external_lex_state = 2},
  [32] = {.lex_state = 64, .external_lex_state = 2},
  [33] = {.lex_state = 64, .external_lex_state = 2},
  [34] = {.lex_state = 64, .external_lex_state = 2},
  [35] = {.lex_state = 64, .external_lex_state = 2},
  [36] = {.lex_state = 64, .external_lex_state = 2},
  [37] = {.lex_state = 64, .external_lex_state = 2},
  [38] = {.lex_state = 64, .external_lex_state = 2},
  [39] = {.lex_state = 64, .external_lex_state = 2},
  [40] = {.lex_state = 64, .external_lex_state = 2},
  [41] = {.lex_state = 64, .external_lex_state = 2},
  [42] = {.lex_state = 64, .external_lex_state = 2},
  [43] = {.lex_state = 64, .external_lex_state = 2},
  [44] = {.lex_state = 64, .external_lex_state = 2},
  [45] = {.lex_state = 64},
  [46] = {.lex_state = 64, .external_lex_state = 2},
  [47] = {.lex_state = 64},
  [48] = {.lex_state = 64, .external_lex_state = 2},
  [49] = {.lex_state = 64, .external_lex_state = 2},
  [50] = {.lex_state = 64},
  [51] = {.lex_state = 64, .external_lex_state = 2},
  [52] = {.lex_state = 64, .external_lex_state = 2},
  [53] = {.lex_state = 64, .external_lex_state = 2},
  [54] = {.lex_state = 64, .external_lex_state = 2},
  [55] = {.lex_state = 64},
  [56] = {.lex_state = 64},
  [57] = {.lex_state = 64},
  [58] = {.lex_state = 64},
  [59] = {.lex_state = 64},
  [60] = {.lex_state = 64},
  [61] = {.lex_state = 64},
  [62] = {.lex_state = 64},
  [63] = {.lex_state = 64},
  [64] = {.lex_state = 64},
  [65] = {.lex_state = 64},
  [66] = {.lex_state = 64},
  [67] = {.lex_state = 64},
  [68] = {.lex_state = 64},
  [69] = {.lex_state = 64},
  [70] = {.lex_state = 64},
  [71] = {.lex_state = 64},
  [72] = {.lex_state = 64},
  [73] = {.lex_state = 64},
  [74] = {.lex_state = 64},
  [75] = {.lex_state = 64},
  [76] = {.lex_state = 64},
  [77] = {.lex_state = 64},
  [78] = {.lex_state = 64},
  [79] = {.lex_state = 64},
  [80] = {.lex_state = 64},
  [81] = {.lex_state = 64},
  [82] = {.lex_state = 64},
  [83] = {.lex_state = 64},
  [84] = {.lex_state = 64},
  [85] = {.lex_state = 64},
  [86] = {.lex_state = 64},
  [87] = {.lex_state = 64},
  [88] = {.lex_state = 64},
  [89] = {.lex_state = 64},
  [90] = {.lex_state = 64},
  [91] = {.lex_state = 64},
  [92] = {.lex_state = 64},
  [93] = {.lex_state = 64},
  [94] = {.lex_state = 64},
  [95] = {.lex_state = 64},
  [96] = {.lex_state = 64},
  [97] = {.lex_state = 64},
  [98] = {.lex_state = 64},
  [99] = {.lex_state = 64},
  [100] = {.lex_state = 64},
  [101] = {.lex_state = 64},
  [102] = {.lex_state = 64},
  [103] = {.lex_state = 64},
  [104] = {.lex_state = 64},
  [105] = {.lex_state = 64},
  [106] = {.lex_state = 64},
  [107] = {.lex_state = 64},
  [108] = {.lex_state = 64},
  [109] = {.lex_state = 64},
  [110] = {.lex_state = 64},
  [111] = {.lex_state = 64},
  [112] = {.lex_state = 64},
  [113] = {.lex_state = 64},
  [114] = {.lex_state = 64},
  [115] = {.lex_state = 64},
  [116] = {.lex_state = 64},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5, .external_lex_state = 2},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 64},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 64},
  [170] = {.lex_state = 64},
  [171] = {.lex_state = 64},
  [172] = {.lex_state = 64},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 64},
  [175] = {.lex_state = 6},
  [176] = {.lex_state = 64},
  [177] = {.lex_state = 64},
  [178] = {.lex_state = 64},
  [179] = {.lex_state = 64},
  [180] = {.lex_state = 64},
  [181] = {.lex_state = 64},
  [182] = {.lex_state = 64},
  [183] = {.lex_state = 64},
  [184] = {.lex_state = 64},
  [185] = {.lex_state = 6},
  [186] = {.lex_state = 64},
  [187] = {.lex_state = 64},
  [188] = {.lex_state = 64},
  [189] = {.lex_state = 64},
  [190] = {.lex_state = 64},
  [191] = {.lex_state = 64},
  [192] = {.lex_state = 64},
  [193] = {.lex_state = 64},
  [194] = {.lex_state = 64},
  [195] = {.lex_state = 64},
  [196] = {.lex_state = 64},
  [197] = {.lex_state = 64},
  [198] = {.lex_state = 64, .external_lex_state = 2},
  [199] = {.lex_state = 64, .external_lex_state = 2},
  [200] = {.lex_state = 64, .external_lex_state = 2},
  [201] = {.lex_state = 64},
  [202] = {.lex_state = 64},
  [203] = {.lex_state = 64},
  [204] = {.lex_state = 64},
  [205] = {.lex_state = 64},
  [206] = {.lex_state = 64},
  [207] = {.lex_state = 64, .external_lex_state = 2},
  [208] = {.lex_state = 64, .external_lex_state = 2},
  [209] = {.lex_state = 64},
  [210] = {.lex_state = 64, .external_lex_state = 2},
  [211] = {.lex_state = 64},
  [212] = {.lex_state = 64},
  [213] = {.lex_state = 64},
  [214] = {.lex_state = 64},
  [215] = {.lex_state = 64},
  [216] = {.lex_state = 64},
  [217] = {.lex_state = 64},
  [218] = {.lex_state = 64},
  [219] = {.lex_state = 64},
  [220] = {.lex_state = 64},
  [221] = {.lex_state = 64},
  [222] = {.lex_state = 64},
  [223] = {.lex_state = 64},
  [224] = {.lex_state = 64},
  [225] = {.lex_state = 64},
  [226] = {.lex_state = 64},
  [227] = {.lex_state = 64},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 6},
  [230] = {.lex_state = 64},
  [231] = {.lex_state = 64},
  [232] = {.lex_state = 64},
  [233] = {.lex_state = 64},
  [234] = {.lex_state = 64},
  [235] = {.lex_state = 64},
  [236] = {.lex_state = 64},
  [237] = {.lex_state = 64},
  [238] = {.lex_state = 64},
  [239] = {.lex_state = 64},
  [240] = {.lex_state = 64},
  [241] = {.lex_state = 64},
  [242] = {.lex_state = 64},
  [243] = {.lex_state = 64},
  [244] = {.lex_state = 64},
  [245] = {.lex_state = 64},
  [246] = {.lex_state = 64},
  [247] = {.lex_state = 64},
  [248] = {.lex_state = 64},
  [249] = {.lex_state = 64},
  [250] = {.lex_state = 64},
  [251] = {.lex_state = 64},
  [252] = {.lex_state = 64},
  [253] = {.lex_state = 64},
  [254] = {.lex_state = 64},
  [255] = {.lex_state = 64},
  [256] = {.lex_state = 64},
  [257] = {.lex_state = 64},
  [258] = {.lex_state = 64},
  [259] = {.lex_state = 64},
  [260] = {.lex_state = 64},
  [261] = {.lex_state = 64},
  [262] = {.lex_state = 64},
  [263] = {.lex_state = 64},
  [264] = {.lex_state = 64},
  [265] = {.lex_state = 64},
  [266] = {.lex_state = 64},
  [267] = {.lex_state = 64},
  [268] = {.lex_state = 64},
  [269] = {.lex_state = 64},
  [270] = {.lex_state = 64},
  [271] = {.lex_state = 64},
  [272] = {.lex_state = 64},
  [273] = {.lex_state = 64},
  [274] = {.lex_state = 64},
  [275] = {.lex_state = 64},
  [276] = {.lex_state = 64},
  [277] = {.lex_state = 64},
  [278] = {.lex_state = 64},
  [279] = {.lex_state = 64},
  [280] = {.lex_state = 64},
  [281] = {.lex_state = 64},
  [282] = {.lex_state = 64},
  [283] = {.lex_state = 64},
  [284] = {.lex_state = 64},
  [285] = {.lex_state = 64},
  [286] = {.lex_state = 64},
  [287] = {.lex_state = 64},
  [288] = {.lex_state = 64},
  [289] = {.lex_state = 64},
  [290] = {.lex_state = 64},
  [291] = {.lex_state = 64},
  [292] = {.lex_state = 64},
  [293] = {.lex_state = 64},
  [294] = {.lex_state = 64},
  [295] = {.lex_state = 64},
  [296] = {.lex_state = 64},
  [297] = {.lex_state = 64},
  [298] = {.lex_state = 64},
  [299] = {.lex_state = 64},
  [300] = {.lex_state = 64},
  [301] = {.lex_state = 64},
  [302] = {.lex_state = 64},
  [303] = {.lex_state = 64},
  [304] = {.lex_state = 64},
  [305] = {.lex_state = 64},
  [306] = {.lex_state = 64},
  [307] = {.lex_state = 64},
  [308] = {.lex_state = 64},
  [309] = {.lex_state = 64},
  [310] = {.lex_state = 64},
  [311] = {.lex_state = 64},
  [312] = {.lex_state = 64},
  [313] = {.lex_state = 64},
  [314] = {.lex_state = 64},
  [315] = {.lex_state = 64},
  [316] = {.lex_state = 64},
  [317] = {.lex_state = 64},
  [318] = {.lex_state = 64},
  [319] = {.lex_state = 64},
  [320] = {.lex_state = 64},
  [321] = {.lex_state = 64},
  [322] = {.lex_state = 64},
  [323] = {.lex_state = 64},
  [324] = {.lex_state = 64},
  [325] = {.lex_state = 64},
  [326] = {.lex_state = 64},
  [327] = {.lex_state = 64},
  [328] = {.lex_state = 64},
  [329] = {.lex_state = 64},
  [330] = {.lex_state = 64},
  [331] = {.lex_state = 64},
  [332] = {.lex_state = 64},
  [333] = {.lex_state = 64},
  [334] = {.lex_state = 64},
  [335] = {.lex_state = 64},
  [336] = {.lex_state = 64},
  [337] = {.lex_state = 64},
  [338] = {.lex_state = 64},
  [339] = {.lex_state = 64},
  [340] = {.lex_state = 64},
  [341] = {.lex_state = 64},
  [342] = {.lex_state = 64},
  [343] = {.lex_state = 64},
  [344] = {.lex_state = 64},
  [345] = {.lex_state = 64},
  [346] = {.lex_state = 64},
  [347] = {.lex_state = 64},
  [348] = {.lex_state = 64},
  [349] = {.lex_state = 64},
  [350] = {.lex_state = 64},
  [351] = {.lex_state = 64},
  [352] = {.lex_state = 64},
  [353] = {.lex_state = 64},
  [354] = {.lex_state = 64},
  [355] = {.lex_state = 64},
  [356] = {.lex_state = 64},
  [357] = {.lex_state = 64},
  [358] = {.lex_state = 64},
  [359] = {.lex_state = 64},
  [360] = {.lex_state = 64},
  [361] = {.lex_state = 64},
  [362] = {.lex_state = 64},
  [363] = {.lex_state = 64},
  [364] = {.lex_state = 64},
  [365] = {.lex_state = 64},
  [366] = {.lex_state = 64},
  [367] = {.lex_state = 64},
  [368] = {.lex_state = 64},
  [369] = {.lex_state = 64},
  [370] = {.lex_state = 64},
  [371] = {.lex_state = 64},
  [372] = {.lex_state = 64},
  [373] = {.lex_state = 64},
  [374] = {.lex_state = 64},
  [375] = {.lex_state = 64},
  [376] = {.lex_state = 64},
  [377] = {.lex_state = 64},
  [378] = {.lex_state = 64},
  [379] = {.lex_state = 64},
  [380] = {.lex_state = 64},
  [381] = {.lex_state = 64},
  [382] = {.lex_state = 64},
  [383] = {.lex_state = 64},
  [384] = {.lex_state = 64},
  [385] = {.lex_state = 64},
  [386] = {.lex_state = 64},
  [387] = {.lex_state = 64},
  [388] = {.lex_state = 64},
  [389] = {.lex_state = 64},
  [390] = {.lex_state = 64},
  [391] = {.lex_state = 64},
  [392] = {.lex_state = 64},
  [393] = {.lex_state = 64},
  [394] = {.lex_state = 64},
  [395] = {.lex_state = 64},
  [396] = {.lex_state = 64},
  [397] = {.lex_state = 64},
  [398] = {.lex_state = 64},
  [399] = {.lex_state = 64},
  [400] = {.lex_state = 64},
  [401] = {.lex_state = 64},
  [402] = {.lex_state = 64},
  [403] = {.lex_state = 64},
  [404] = {.lex_state = 64},
  [405] = {.lex_state = 64},
  [406] = {.lex_state = 64},
  [407] = {.lex_state = 64},
  [408] = {.lex_state = 64},
  [409] = {.lex_state = 64},
  [410] = {.lex_state = 64},
  [411] = {.lex_state = 64},
  [412] = {.lex_state = 64},
  [413] = {.lex_state = 64},
  [414] = {.lex_state = 64},
  [415] = {.lex_state = 64},
  [416] = {.lex_state = 64},
  [417] = {.lex_state = 64},
  [418] = {.lex_state = 64},
  [419] = {.lex_state = 64},
  [420] = {.lex_state = 64},
  [421] = {.lex_state = 64},
  [422] = {.lex_state = 64},
  [423] = {.lex_state = 64},
  [424] = {.lex_state = 64},
  [425] = {.lex_state = 64},
  [426] = {.lex_state = 64},
  [427] = {.lex_state = 64},
  [428] = {.lex_state = 64},
  [429] = {.lex_state = 64},
  [430] = {.lex_state = 64},
  [431] = {.lex_state = 64},
  [432] = {.lex_state = 64},
  [433] = {.lex_state = 64},
  [434] = {.lex_state = 64},
  [435] = {.lex_state = 64},
  [436] = {.lex_state = 64},
  [437] = {.lex_state = 64},
  [438] = {.lex_state = 64},
  [439] = {.lex_state = 64},
  [440] = {.lex_state = 64},
  [441] = {.lex_state = 64},
  [442] = {.lex_state = 64},
  [443] = {.lex_state = 64},
  [444] = {.lex_state = 64},
  [445] = {.lex_state = 64},
  [446] = {.lex_state = 64},
  [447] = {.lex_state = 64},
  [448] = {.lex_state = 64},
  [449] = {.lex_state = 64},
  [450] = {.lex_state = 64},
  [451] = {.lex_state = 64},
  [452] = {.lex_state = 64},
  [453] = {.lex_state = 64},
  [454] = {.lex_state = 64},
  [455] = {.lex_state = 64},
  [456] = {.lex_state = 64},
  [457] = {.lex_state = 64},
  [458] = {.lex_state = 64},
  [459] = {.lex_state = 64},
  [460] = {.lex_state = 64},
  [461] = {.lex_state = 64},
  [462] = {.lex_state = 64},
  [463] = {.lex_state = 64},
  [464] = {.lex_state = 64},
  [465] = {.lex_state = 64},
  [466] = {.lex_state = 64},
  [467] = {.lex_state = 64},
  [468] = {.lex_state = 64},
  [469] = {.lex_state = 64},
  [470] = {.lex_state = 64},
  [471] = {.lex_state = 64},
  [472] = {.lex_state = 64},
  [473] = {.lex_state = 64},
  [474] = {.lex_state = 64},
  [475] = {.lex_state = 64},
  [476] = {.lex_state = 64},
  [477] = {.lex_state = 64},
  [478] = {.lex_state = 64},
  [479] = {.lex_state = 64},
  [480] = {.lex_state = 64},
  [481] = {.lex_state = 64},
  [482] = {.lex_state = 64},
  [483] = {.lex_state = 64},
  [484] = {.lex_state = 64},
  [485] = {.lex_state = 64},
  [486] = {.lex_state = 64},
  [487] = {.lex_state = 64},
  [488] = {.lex_state = 64},
  [489] = {.lex_state = 64},
  [490] = {.lex_state = 64},
  [491] = {.lex_state = 64},
  [492] = {.lex_state = 64},
  [493] = {.lex_state = 64},
  [494] = {.lex_state = 64},
  [495] = {.lex_state = 64},
  [496] = {.lex_state = 64},
  [497] = {.lex_state = 64},
  [498] = {.lex_state = 64},
  [499] = {.lex_state = 64},
  [500] = {.lex_state = 64},
  [501] = {.lex_state = 64},
  [502] = {.lex_state = 64},
  [503] = {.lex_state = 64},
  [504] = {.lex_state = 64},
  [505] = {.lex_state = 64},
  [506] = {.lex_state = 64},
  [507] = {.lex_state = 64},
  [508] = {.lex_state = 64},
  [509] = {.lex_state = 64},
  [510] = {.lex_state = 64},
  [511] = {.lex_state = 64},
  [512] = {.lex_state = 64},
  [513] = {.lex_state = 64},
  [514] = {.lex_state = 64},
  [515] = {.lex_state = 64},
  [516] = {.lex_state = 64},
  [517] = {.lex_state = 64},
  [518] = {.lex_state = 64},
  [519] = {.lex_state = 64},
  [520] = {.lex_state = 64},
  [521] = {.lex_state = 64},
  [522] = {.lex_state = 64},
  [523] = {.lex_state = 64},
  [524] = {.lex_state = 64},
  [525] = {.lex_state = 64},
  [526] = {.lex_state = 64},
  [527] = {.lex_state = 64},
  [528] = {.lex_state = 64},
  [529] = {.lex_state = 64},
  [530] = {.lex_state = 64},
  [531] = {.lex_state = 64},
  [532] = {.lex_state = 64},
  [533] = {.lex_state = 64},
  [534] = {.lex_state = 64},
  [535] = {.lex_state = 64},
  [536] = {.lex_state = 64},
  [537] = {.lex_state = 64},
  [538] = {.lex_state = 64},
  [539] = {.lex_state = 64},
  [540] = {.lex_state = 64},
  [541] = {.lex_state = 64},
  [542] = {.lex_state = 64},
  [543] = {.lex_state = 64},
  [544] = {.lex_state = 64},
  [545] = {.lex_state = 64},
  [546] = {.lex_state = 64},
  [547] = {.lex_state = 64},
  [548] = {.lex_state = 64},
  [549] = {.lex_state = 64},
  [550] = {.lex_state = 64},
  [551] = {.lex_state = 64},
  [552] = {.lex_state = 64},
  [553] = {.lex_state = 64},
  [554] = {.lex_state = 64},
  [555] = {.lex_state = 64},
  [556] = {.lex_state = 64},
  [557] = {.lex_state = 64},
  [558] = {.lex_state = 64},
  [559] = {.lex_state = 64},
  [560] = {.lex_state = 64},
  [561] = {.lex_state = 64},
  [562] = {.lex_state = 64},
  [563] = {.lex_state = 64},
  [564] = {.lex_state = 64},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 64},
  [570] = {.lex_state = 64},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 64},
  [573] = {.lex_state = 64},
  [574] = {.lex_state = 64},
  [575] = {.lex_state = 64},
  [576] = {.lex_state = 64},
  [577] = {.lex_state = 64},
  [578] = {.lex_state = 64},
  [579] = {.lex_state = 64},
  [580] = {.lex_state = 64},
  [581] = {.lex_state = 64},
  [582] = {.lex_state = 64},
  [583] = {.lex_state = 64},
  [584] = {.lex_state = 65},
  [585] = {.lex_state = 65},
  [586] = {.lex_state = 65},
  [587] = {.lex_state = 65},
  [588] = {.lex_state = 65},
  [589] = {.lex_state = 65},
  [590] = {.lex_state = 65},
  [591] = {.lex_state = 65},
  [592] = {.lex_state = 65},
  [593] = {.lex_state = 65},
  [594] = {.lex_state = 65},
  [595] = {.lex_state = 65},
  [596] = {.lex_state = 65},
  [597] = {.lex_state = 65},
  [598] = {.lex_state = 65},
  [599] = {.lex_state = 65},
  [600] = {.lex_state = 65},
  [601] = {.lex_state = 65},
  [602] = {.lex_state = 65},
  [603] = {.lex_state = 65},
  [604] = {.lex_state = 65},
  [605] = {.lex_state = 65},
  [606] = {.lex_state = 65},
  [607] = {.lex_state = 65},
  [608] = {.lex_state = 65},
  [609] = {.lex_state = 65},
  [610] = {.lex_state = 65},
  [611] = {.lex_state = 65},
  [612] = {.lex_state = 65},
  [613] = {.lex_state = 65},
  [614] = {.lex_state = 65},
  [615] = {.lex_state = 65, .external_lex_state = 2},
  [616] = {.lex_state = 65, .external_lex_state = 2},
  [617] = {.lex_state = 65},
  [618] = {.lex_state = 65, .external_lex_state = 2},
  [619] = {.lex_state = 14},
  [620] = {.lex_state = 65, .external_lex_state = 2},
  [621] = {.lex_state = 65, .external_lex_state = 2},
  [622] = {.lex_state = 65, .external_lex_state = 2},
  [623] = {.lex_state = 65, .external_lex_state = 2},
  [624] = {.lex_state = 65, .external_lex_state = 2},
  [625] = {.lex_state = 65, .external_lex_state = 2},
  [626] = {.lex_state = 65},
  [627] = {.lex_state = 14},
  [628] = {.lex_state = 65, .external_lex_state = 2},
  [629] = {.lex_state = 65, .external_lex_state = 2},
  [630] = {.lex_state = 65, .external_lex_state = 2},
  [631] = {.lex_state = 65, .external_lex_state = 2},
  [632] = {.lex_state = 65, .external_lex_state = 2},
  [633] = {.lex_state = 65, .external_lex_state = 2},
  [634] = {.lex_state = 14},
  [635] = {.lex_state = 14},
  [636] = {.lex_state = 65, .external_lex_state = 2},
  [637] = {.lex_state = 65, .external_lex_state = 2},
  [638] = {.lex_state = 65, .external_lex_state = 2},
  [639] = {.lex_state = 14},
  [640] = {.lex_state = 65, .external_lex_state = 2},
  [641] = {.lex_state = 65, .external_lex_state = 2},
  [642] = {.lex_state = 65, .external_lex_state = 2},
  [643] = {.lex_state = 65},
  [644] = {.lex_state = 65, .external_lex_state = 2},
  [645] = {.lex_state = 65},
  [646] = {.lex_state = 65, .external_lex_state = 2},
  [647] = {.lex_state = 65, .external_lex_state = 2},
  [648] = {.lex_state = 65, .external_lex_state = 2},
  [649] = {.lex_state = 65, .external_lex_state = 2},
  [650] = {.lex_state = 65},
  [651] = {.lex_state = 65, .external_lex_state = 2},
  [652] = {.lex_state = 65, .external_lex_state = 2},
  [653] = {.lex_state = 65, .external_lex_state = 2},
  [654] = {.lex_state = 65},
  [655] = {.lex_state = 65, .external_lex_state = 2},
  [656] = {.lex_state = 65},
  [657] = {.lex_state = 65, .external_lex_state = 2},
  [658] = {.lex_state = 65},
  [659] = {.lex_state = 65, .external_lex_state = 2},
  [660] = {.lex_state = 65, .external_lex_state = 2},
  [661] = {.lex_state = 65},
  [662] = {.lex_state = 65, .external_lex_state = 2},
  [663] = {.lex_state = 14},
  [664] = {.lex_state = 65},
  [665] = {.lex_state = 65},
  [666] = {.lex_state = 65},
  [667] = {.lex_state = 65},
  [668] = {.lex_state = 65},
  [669] = {.lex_state = 65},
  [670] = {.lex_state = 65},
  [671] = {.lex_state = 65},
  [672] = {.lex_state = 65},
  [673] = {.lex_state = 65},
  [674] = {.lex_state = 65},
  [675] = {.lex_state = 14},
  [676] = {.lex_state = 14},
  [677] = {.lex_state = 14},
  [678] = {.lex_state = 65},
  [679] = {.lex_state = 14},
  [680] = {.lex_state = 65},
  [681] = {.lex_state = 65},
  [682] = {.lex_state = 65},
  [683] = {.lex_state = 65},
  [684] = {.lex_state = 14},
  [685] = {.lex_state = 14},
  [686] = {.lex_state = 65},
  [687] = {.lex_state = 10},
  [688] = {.lex_state = 14},
  [689] = {.lex_state = 14},
  [690] = {.lex_state = 65},
  [691] = {.lex_state = 14},
  [692] = {.lex_state = 14},
  [693] = {.lex_state = 14},
  [694] = {.lex_state = 14},
  [695] = {.lex_state = 14},
  [696] = {.lex_state = 14},
  [697] = {.lex_state = 14},
  [698] = {.lex_state = 14},
  [699] = {.lex_state = 14},
  [700] = {.lex_state = 10},
  [701] = {.lex_state = 12},
  [702] = {.lex_state = 10},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 12},
  [705] = {.lex_state = 12},
  [706] = {.lex_state = 10},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 10},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 10},
  [729] = {.lex_state = 12, .external_lex_state = 2},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 10},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 12},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 16},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 16},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 12},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 16},
  [829] = {.lex_state = 8, .external_lex_state = 2},
  [830] = {.lex_state = 12},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 12},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10, .external_lex_state = 2},
  [837] = {.lex_state = 16},
  [838] = {.lex_state = 8, .external_lex_state = 2},
  [839] = {.lex_state = 16},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 12},
  [842] = {.lex_state = 16},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 8, .external_lex_state = 2},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 10, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 16},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 6},
  [863] = {.lex_state = 16},
  [864] = {.lex_state = 16},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 16},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 10, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 10, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 12},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 12},
  [881] = {.lex_state = 12},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 10, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 6},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 12, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 12},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 12, .external_lex_state = 2},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 10},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 10, .external_lex_state = 2},
  [990] = {.lex_state = 10, .external_lex_state = 2},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12, .external_lex_state = 2},
  [1011] = {.lex_state = 12, .external_lex_state = 2},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12, .external_lex_state = 2},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 18},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 12},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12, .external_lex_state = 2},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 16},
  [1206] = {.lex_state = 16},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 16},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 16},
  [1213] = {.lex_state = 16},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 16},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 16},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 17},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 16},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 16},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 16},
  [1293] = {.lex_state = 16},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 16},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 16},
  [1300] = {.lex_state = 16},
  [1301] = {.lex_state = 16},
  [1302] = {.lex_state = 16},
  [1303] = {.lex_state = 16},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 65},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 65},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 65},
  [1315] = {.lex_state = 65},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 16},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 16},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 65},
  [1328] = {.lex_state = 65},
  [1329] = {.lex_state = 16},
  [1330] = {.lex_state = 16},
  [1331] = {.lex_state = 65},
  [1332] = {.lex_state = 16},
  [1333] = {.lex_state = 65},
  [1334] = {.lex_state = 65},
  [1335] = {.lex_state = 65},
  [1336] = {.lex_state = 65},
  [1337] = {.lex_state = 65},
  [1338] = {.lex_state = 65},
  [1339] = {.lex_state = 65},
  [1340] = {.lex_state = 65},
  [1341] = {.lex_state = 15},
  [1342] = {.lex_state = 65},
  [1343] = {.lex_state = 65},
  [1344] = {.lex_state = 65},
  [1345] = {.lex_state = 3, .external_lex_state = 3},
  [1346] = {.lex_state = 14},
  [1347] = {.lex_state = 65},
  [1348] = {.lex_state = 65},
  [1349] = {.lex_state = 3, .external_lex_state = 3},
  [1350] = {.lex_state = 65},
  [1351] = {.lex_state = 65},
  [1352] = {.lex_state = 65},
  [1353] = {.lex_state = 65},
  [1354] = {.lex_state = 3, .external_lex_state = 3},
  [1355] = {.lex_state = 3, .external_lex_state = 3},
  [1356] = {.lex_state = 3, .external_lex_state = 3},
  [1357] = {.lex_state = 3, .external_lex_state = 4},
  [1358] = {.lex_state = 8, .external_lex_state = 5},
  [1359] = {.lex_state = 16},
  [1360] = {.lex_state = 16},
  [1361] = {.lex_state = 16},
  [1362] = {.lex_state = 16},
  [1363] = {.lex_state = 8, .external_lex_state = 5},
  [1364] = {.lex_state = 8, .external_lex_state = 6},
  [1365] = {.lex_state = 16},
  [1366] = {.lex_state = 16},
  [1367] = {.lex_state = 16},
  [1368] = {.lex_state = 16},
  [1369] = {.lex_state = 8, .external_lex_state = 5},
  [1370] = {.lex_state = 16},
  [1371] = {.lex_state = 16},
  [1372] = {.lex_state = 16},
  [1373] = {.lex_state = 8, .external_lex_state = 6},
  [1374] = {.lex_state = 65},
  [1375] = {.lex_state = 65},
  [1376] = {.lex_state = 16},
  [1377] = {.lex_state = 8, .external_lex_state = 5},
  [1378] = {.lex_state = 8, .external_lex_state = 6},
  [1379] = {.lex_state = 8, .external_lex_state = 5},
  [1380] = {.lex_state = 8, .external_lex_state = 6},
  [1381] = {.lex_state = 8, .external_lex_state = 6},
  [1382] = {.lex_state = 18},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 65},
  [1385] = {.lex_state = 16},
  [1386] = {.lex_state = 16},
  [1387] = {.lex_state = 16},
  [1388] = {.lex_state = 16},
  [1389] = {.lex_state = 16},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 16},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 16},
  [1394] = {.lex_state = 16},
  [1395] = {.lex_state = 16},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 16},
  [1398] = {.lex_state = 16},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 65},
  [1402] = {.lex_state = 8, .external_lex_state = 4},
  [1403] = {.lex_state = 16},
  [1404] = {.lex_state = 16},
  [1405] = {.lex_state = 65},
  [1406] = {.lex_state = 65},
  [1407] = {.lex_state = 65},
  [1408] = {.lex_state = 65},
  [1409] = {.lex_state = 65},
  [1410] = {.lex_state = 65},
  [1411] = {.lex_state = 65},
  [1412] = {.lex_state = 65},
  [1413] = {.lex_state = 16},
  [1414] = {.lex_state = 65},
  [1415] = {.lex_state = 16},
  [1416] = {.lex_state = 65},
  [1417] = {.lex_state = 65},
  [1418] = {.lex_state = 65},
  [1419] = {.lex_state = 65},
  [1420] = {.lex_state = 65},
  [1421] = {.lex_state = 65},
  [1422] = {.lex_state = 16},
  [1423] = {.lex_state = 65},
  [1424] = {.lex_state = 16},
  [1425] = {.lex_state = 65},
  [1426] = {.lex_state = 65},
  [1427] = {.lex_state = 65},
  [1428] = {.lex_state = 65},
  [1429] = {.lex_state = 65},
  [1430] = {.lex_state = 65},
  [1431] = {.lex_state = 65},
  [1432] = {.lex_state = 65},
  [1433] = {.lex_state = 65},
  [1434] = {.lex_state = 65},
  [1435] = {.lex_state = 65},
  [1436] = {.lex_state = 65},
  [1437] = {.lex_state = 65},
  [1438] = {.lex_state = 65},
  [1439] = {.lex_state = 16},
  [1440] = {.lex_state = 65},
  [1441] = {.lex_state = 65},
  [1442] = {.lex_state = 65},
  [1443] = {.lex_state = 65},
  [1444] = {.lex_state = 65},
  [1445] = {.lex_state = 18},
  [1446] = {.lex_state = 65},
  [1447] = {.lex_state = 65},
  [1448] = {.lex_state = 65},
  [1449] = {.lex_state = 65},
  [1450] = {.lex_state = 18},
  [1451] = {.lex_state = 18},
  [1452] = {.lex_state = 65},
  [1453] = {.lex_state = 65},
  [1454] = {.lex_state = 65},
  [1455] = {.lex_state = 65},
  [1456] = {.lex_state = 65},
  [1457] = {.lex_state = 18},
  [1458] = {.lex_state = 65},
  [1459] = {.lex_state = 65},
  [1460] = {.lex_state = 65},
  [1461] = {.lex_state = 65},
  [1462] = {.lex_state = 65},
  [1463] = {.lex_state = 18},
  [1464] = {.lex_state = 65},
  [1465] = {.lex_state = 18},
  [1466] = {.lex_state = 3, .external_lex_state = 7},
  [1467] = {.lex_state = 65},
  [1468] = {.lex_state = 65},
  [1469] = {.lex_state = 65},
  [1470] = {.lex_state = 65},
  [1471] = {.lex_state = 18},
  [1472] = {.lex_state = 3, .external_lex_state = 7},
  [1473] = {.lex_state = 65},
  [1474] = {.lex_state = 18},
  [1475] = {.lex_state = 65},
  [1476] = {.lex_state = 65},
  [1477] = {.lex_state = 65},
  [1478] = {.lex_state = 18},
  [1479] = {.lex_state = 65, .external_lex_state = 2},
  [1480] = {.lex_state = 65, .external_lex_state = 2},
  [1481] = {.lex_state = 65, .external_lex_state = 2},
  [1482] = {.lex_state = 65, .external_lex_state = 2},
  [1483] = {.lex_state = 65},
  [1484] = {.lex_state = 8, .external_lex_state = 8},
  [1485] = {.lex_state = 65, .external_lex_state = 2},
  [1486] = {.lex_state = 65, .external_lex_state = 2},
  [1487] = {.lex_state = 8, .external_lex_state = 9},
  [1488] = {.lex_state = 65, .external_lex_state = 2},
  [1489] = {.lex_state = 8, .external_lex_state = 9},
  [1490] = {.lex_state = 8, .external_lex_state = 8},
  [1491] = {.lex_state = 65},
  [1492] = {.lex_state = 65, .external_lex_state = 2},
  [1493] = {.lex_state = 65},
  [1494] = {.lex_state = 65},
  [1495] = {.lex_state = 65},
  [1496] = {.lex_state = 65},
  [1497] = {.lex_state = 65},
  [1498] = {.lex_state = 65},
  [1499] = {.lex_state = 65, .external_lex_state = 2},
  [1500] = {.lex_state = 65},
  [1501] = {.lex_state = 65},
  [1502] = {.lex_state = 65},
  [1503] = {.lex_state = 65},
  [1504] = {.lex_state = 65},
  [1505] = {.lex_state = 65},
  [1506] = {.lex_state = 65},
  [1507] = {.lex_state = 65},
  [1508] = {.lex_state = 65},
  [1509] = {.lex_state = 65},
  [1510] = {.lex_state = 65},
  [1511] = {.lex_state = 65},
  [1512] = {.lex_state = 65},
  [1513] = {.lex_state = 65},
  [1514] = {.lex_state = 65},
  [1515] = {.lex_state = 65},
  [1516] = {.lex_state = 65},
  [1517] = {.lex_state = 10},
  [1518] = {.lex_state = 65},
  [1519] = {.lex_state = 14},
  [1520] = {.lex_state = 65, .external_lex_state = 2},
  [1521] = {.lex_state = 65, .external_lex_state = 2},
  [1522] = {.lex_state = 65, .external_lex_state = 2},
  [1523] = {.lex_state = 65, .external_lex_state = 2},
  [1524] = {.lex_state = 65, .external_lex_state = 2},
  [1525] = {.lex_state = 65, .external_lex_state = 2},
  [1526] = {.lex_state = 65},
  [1527] = {.lex_state = 3, .external_lex_state = 3},
  [1528] = {.lex_state = 65},
  [1529] = {.lex_state = 65},
  [1530] = {.lex_state = 65, .external_lex_state = 2},
  [1531] = {.lex_state = 3, .external_lex_state = 3},
  [1532] = {.lex_state = 3, .external_lex_state = 3},
  [1533] = {.lex_state = 3, .external_lex_state = 3},
  [1534] = {.lex_state = 3, .external_lex_state = 3},
  [1535] = {.lex_state = 65, .external_lex_state = 2},
  [1536] = {.lex_state = 65},
  [1537] = {.lex_state = 65, .external_lex_state = 2},
  [1538] = {.lex_state = 65},
  [1539] = {.lex_state = 65},
  [1540] = {.lex_state = 65, .external_lex_state = 2},
  [1541] = {.lex_state = 65},
  [1542] = {.lex_state = 65},
  [1543] = {.lex_state = 10},
  [1544] = {.lex_state = 65, .external_lex_state = 2},
  [1545] = {.lex_state = 65},
  [1546] = {.lex_state = 65, .external_lex_state = 2},
  [1547] = {.lex_state = 65},
  [1548] = {.lex_state = 65, .external_lex_state = 2},
  [1549] = {.lex_state = 3, .external_lex_state = 3},
  [1550] = {.lex_state = 3, .external_lex_state = 3},
  [1551] = {.lex_state = 65, .external_lex_state = 2},
  [1552] = {.lex_state = 65},
  [1553] = {.lex_state = 3, .external_lex_state = 3},
  [1554] = {.lex_state = 18},
  [1555] = {.lex_state = 10},
  [1556] = {.lex_state = 65, .external_lex_state = 2},
  [1557] = {.lex_state = 65, .external_lex_state = 2},
  [1558] = {.lex_state = 65, .external_lex_state = 2},
  [1559] = {.lex_state = 65, .external_lex_state = 2},
  [1560] = {.lex_state = 65},
  [1561] = {.lex_state = 65},
  [1562] = {.lex_state = 65},
  [1563] = {.lex_state = 65, .external_lex_state = 2},
  [1564] = {.lex_state = 8, .external_lex_state = 6},
  [1565] = {.lex_state = 65},
  [1566] = {.lex_state = 14},
  [1567] = {.lex_state = 65},
  [1568] = {.lex_state = 65},
  [1569] = {.lex_state = 65},
  [1570] = {.lex_state = 65},
  [1571] = {.lex_state = 65},
  [1572] = {.lex_state = 65},
  [1573] = {.lex_state = 65},
  [1574] = {.lex_state = 65},
  [1575] = {.lex_state = 65},
  [1576] = {.lex_state = 65},
  [1577] = {.lex_state = 8, .external_lex_state = 6},
  [1578] = {.lex_state = 20},
  [1579] = {.lex_state = 65},
  [1580] = {.lex_state = 65},
  [1581] = {.lex_state = 65},
  [1582] = {.lex_state = 65},
  [1583] = {.lex_state = 65},
  [1584] = {.lex_state = 65},
  [1585] = {.lex_state = 65},
  [1586] = {.lex_state = 20},
  [1587] = {.lex_state = 65},
  [1588] = {.lex_state = 20},
  [1589] = {.lex_state = 65},
  [1590] = {.lex_state = 8, .external_lex_state = 6},
  [1591] = {.lex_state = 8, .external_lex_state = 6},
  [1592] = {.lex_state = 65},
  [1593] = {.lex_state = 65},
  [1594] = {.lex_state = 8, .external_lex_state = 5},
  [1595] = {.lex_state = 65},
  [1596] = {.lex_state = 65},
  [1597] = {.lex_state = 65},
  [1598] = {.lex_state = 65},
  [1599] = {.lex_state = 65},
  [1600] = {.lex_state = 8, .external_lex_state = 6},
  [1601] = {.lex_state = 8, .external_lex_state = 5},
  [1602] = {.lex_state = 65},
  [1603] = {.lex_state = 65},
  [1604] = {.lex_state = 65},
  [1605] = {.lex_state = 65},
  [1606] = {.lex_state = 65},
  [1607] = {.lex_state = 65},
  [1608] = {.lex_state = 20},
  [1609] = {.lex_state = 65},
  [1610] = {.lex_state = 65},
  [1611] = {.lex_state = 65},
  [1612] = {.lex_state = 20},
  [1613] = {.lex_state = 65},
  [1614] = {.lex_state = 65},
  [1615] = {.lex_state = 65},
  [1616] = {.lex_state = 65},
  [1617] = {.lex_state = 65},
  [1618] = {.lex_state = 8, .external_lex_state = 5},
  [1619] = {.lex_state = 65},
  [1620] = {.lex_state = 65},
  [1621] = {.lex_state = 65},
  [1622] = {.lex_state = 8, .external_lex_state = 5},
  [1623] = {.lex_state = 8, .external_lex_state = 5},
  [1624] = {.lex_state = 65},
  [1625] = {.lex_state = 65},
  [1626] = {.lex_state = 8, .external_lex_state = 6},
  [1627] = {.lex_state = 65},
  [1628] = {.lex_state = 65},
  [1629] = {.lex_state = 65},
  [1630] = {.lex_state = 65},
  [1631] = {.lex_state = 65},
  [1632] = {.lex_state = 8, .external_lex_state = 5},
  [1633] = {.lex_state = 65},
  [1634] = {.lex_state = 65},
  [1635] = {.lex_state = 65},
  [1636] = {.lex_state = 65},
  [1637] = {.lex_state = 65},
  [1638] = {.lex_state = 65},
  [1639] = {.lex_state = 8, .external_lex_state = 6},
  [1640] = {.lex_state = 8, .external_lex_state = 5},
  [1641] = {.lex_state = 65},
  [1642] = {.lex_state = 8, .external_lex_state = 5},
  [1643] = {.lex_state = 8, .external_lex_state = 6},
  [1644] = {.lex_state = 65},
  [1645] = {.lex_state = 65},
  [1646] = {.lex_state = 65},
  [1647] = {.lex_state = 16},
  [1648] = {.lex_state = 16},
  [1649] = {.lex_state = 65},
  [1650] = {.lex_state = 65},
  [1651] = {.lex_state = 65},
  [1652] = {.lex_state = 65, .external_lex_state = 2},
  [1653] = {.lex_state = 65},
  [1654] = {.lex_state = 16},
  [1655] = {.lex_state = 16},
  [1656] = {.lex_state = 65, .external_lex_state = 2},
  [1657] = {.lex_state = 65},
  [1658] = {.lex_state = 65, .external_lex_state = 2},
  [1659] = {.lex_state = 16},
  [1660] = {.lex_state = 65, .external_lex_state = 2},
  [1661] = {.lex_state = 65, .external_lex_state = 2},
  [1662] = {.lex_state = 65, .external_lex_state = 2},
  [1663] = {.lex_state = 65, .external_lex_state = 2},
  [1664] = {.lex_state = 16},
  [1665] = {.lex_state = 65, .external_lex_state = 2},
  [1666] = {.lex_state = 65, .external_lex_state = 2},
  [1667] = {.lex_state = 65, .external_lex_state = 2},
  [1668] = {.lex_state = 65, .external_lex_state = 2},
  [1669] = {.lex_state = 65, .external_lex_state = 2},
  [1670] = {.lex_state = 65},
  [1671] = {.lex_state = 65},
  [1672] = {.lex_state = 65, .external_lex_state = 2},
  [1673] = {.lex_state = 65, .external_lex_state = 2},
  [1674] = {.lex_state = 65},
  [1675] = {.lex_state = 65},
  [1676] = {.lex_state = 65, .external_lex_state = 2},
  [1677] = {.lex_state = 65},
  [1678] = {.lex_state = 65, .external_lex_state = 2},
  [1679] = {.lex_state = 65},
  [1680] = {.lex_state = 65},
  [1681] = {.lex_state = 65, .external_lex_state = 2},
  [1682] = {.lex_state = 65, .external_lex_state = 2},
  [1683] = {.lex_state = 65},
  [1684] = {.lex_state = 65},
  [1685] = {.lex_state = 65, .external_lex_state = 2},
  [1686] = {.lex_state = 65, .external_lex_state = 2},
  [1687] = {.lex_state = 65, .external_lex_state = 2},
  [1688] = {.lex_state = 65},
  [1689] = {.lex_state = 16},
  [1690] = {.lex_state = 65, .external_lex_state = 2},
  [1691] = {.lex_state = 65, .external_lex_state = 2},
  [1692] = {.lex_state = 65},
  [1693] = {.lex_state = 16},
  [1694] = {.lex_state = 14},
  [1695] = {.lex_state = 65, .external_lex_state = 2},
  [1696] = {.lex_state = 65, .external_lex_state = 2},
  [1697] = {.lex_state = 16},
  [1698] = {.lex_state = 16},
  [1699] = {.lex_state = 65},
  [1700] = {.lex_state = 65, .external_lex_state = 2},
  [1701] = {.lex_state = 65},
  [1702] = {.lex_state = 65},
  [1703] = {.lex_state = 65},
  [1704] = {.lex_state = 65},
  [1705] = {.lex_state = 65},
  [1706] = {.lex_state = 65},
  [1707] = {.lex_state = 65},
  [1708] = {.lex_state = 65, .external_lex_state = 2},
  [1709] = {.lex_state = 65, .external_lex_state = 2},
  [1710] = {.lex_state = 16},
  [1711] = {.lex_state = 16},
  [1712] = {.lex_state = 16},
  [1713] = {.lex_state = 65, .external_lex_state = 2},
  [1714] = {.lex_state = 16},
  [1715] = {.lex_state = 65, .external_lex_state = 2},
  [1716] = {.lex_state = 65, .external_lex_state = 2},
  [1717] = {.lex_state = 65, .external_lex_state = 2},
  [1718] = {.lex_state = 65},
  [1719] = {.lex_state = 65, .external_lex_state = 2},
  [1720] = {.lex_state = 65, .external_lex_state = 2},
  [1721] = {.lex_state = 16},
  [1722] = {.lex_state = 65, .external_lex_state = 2},
  [1723] = {.lex_state = 65, .external_lex_state = 2},
  [1724] = {.lex_state = 65, .external_lex_state = 2},
  [1725] = {.lex_state = 65},
  [1726] = {.lex_state = 65, .external_lex_state = 2},
  [1727] = {.lex_state = 65},
  [1728] = {.lex_state = 65},
  [1729] = {.lex_state = 65, .external_lex_state = 2},
  [1730] = {.lex_state = 65},
  [1731] = {.lex_state = 14},
  [1732] = {.lex_state = 65, .external_lex_state = 2},
  [1733] = {.lex_state = 16},
  [1734] = {.lex_state = 65, .external_lex_state = 2},
  [1735] = {.lex_state = 65, .external_lex_state = 2},
  [1736] = {.lex_state = 65, .external_lex_state = 2},
  [1737] = {.lex_state = 65, .external_lex_state = 2},
  [1738] = {.lex_state = 16},
  [1739] = {.lex_state = 16},
  [1740] = {.lex_state = 16},
  [1741] = {.lex_state = 65, .external_lex_state = 2},
  [1742] = {.lex_state = 65, .external_lex_state = 2},
  [1743] = {.lex_state = 65, .external_lex_state = 2},
  [1744] = {.lex_state = 65, .external_lex_state = 2},
  [1745] = {.lex_state = 65, .external_lex_state = 2},
  [1746] = {.lex_state = 65, .external_lex_state = 2},
  [1747] = {.lex_state = 65, .external_lex_state = 2},
  [1748] = {.lex_state = 14},
  [1749] = {.lex_state = 16},
  [1750] = {.lex_state = 14},
  [1751] = {.lex_state = 65, .external_lex_state = 2},
  [1752] = {.lex_state = 65},
  [1753] = {.lex_state = 14},
  [1754] = {.lex_state = 65, .external_lex_state = 2},
  [1755] = {.lex_state = 65},
  [1756] = {.lex_state = 65, .external_lex_state = 2},
  [1757] = {.lex_state = 65, .external_lex_state = 2},
  [1758] = {.lex_state = 65},
  [1759] = {.lex_state = 65},
  [1760] = {.lex_state = 14},
  [1761] = {.lex_state = 65},
  [1762] = {.lex_state = 65},
  [1763] = {.lex_state = 14},
  [1764] = {.lex_state = 65, .external_lex_state = 2},
  [1765] = {.lex_state = 65, .external_lex_state = 2},
  [1766] = {.lex_state = 65, .external_lex_state = 2},
  [1767] = {.lex_state = 65, .external_lex_state = 2},
  [1768] = {.lex_state = 65},
  [1769] = {.lex_state = 65},
  [1770] = {.lex_state = 65},
  [1771] = {.lex_state = 14},
  [1772] = {.lex_state = 65},
  [1773] = {.lex_state = 65},
  [1774] = {.lex_state = 65},
  [1775] = {.lex_state = 65},
  [1776] = {.lex_state = 65},
  [1777] = {.lex_state = 65},
  [1778] = {.lex_state = 65},
  [1779] = {.lex_state = 65},
  [1780] = {.lex_state = 65, .external_lex_state = 2},
  [1781] = {.lex_state = 65},
  [1782] = {.lex_state = 65},
  [1783] = {.lex_state = 65},
  [1784] = {.lex_state = 3, .external_lex_state = 10},
  [1785] = {.lex_state = 65},
  [1786] = {.lex_state = 65},
  [1787] = {.lex_state = 17, .external_lex_state = 2},
  [1788] = {.lex_state = 65},
  [1789] = {.lex_state = 65},
  [1790] = {.lex_state = 65},
  [1791] = {.lex_state = 20},
  [1792] = {.lex_state = 3, .external_lex_state = 11},
  [1793] = {.lex_state = 65},
  [1794] = {.lex_state = 14},
  [1795] = {.lex_state = 65, .external_lex_state = 2},
  [1796] = {.lex_state = 65},
  [1797] = {.lex_state = 65},
  [1798] = {.lex_state = 65},
  [1799] = {.lex_state = 65},
  [1800] = {.lex_state = 65},
  [1801] = {.lex_state = 14},
  [1802] = {.lex_state = 65},
  [1803] = {.lex_state = 65},
  [1804] = {.lex_state = 65},
  [1805] = {.lex_state = 65},
  [1806] = {.lex_state = 65},
  [1807] = {.lex_state = 65},
  [1808] = {.lex_state = 65},
  [1809] = {.lex_state = 65, .external_lex_state = 2},
  [1810] = {.lex_state = 65},
  [1811] = {.lex_state = 65},
  [1812] = {.lex_state = 65, .external_lex_state = 2},
  [1813] = {.lex_state = 65},
  [1814] = {.lex_state = 65},
  [1815] = {.lex_state = 65},
  [1816] = {.lex_state = 65},
  [1817] = {.lex_state = 65, .external_lex_state = 2},
  [1818] = {.lex_state = 65},
  [1819] = {.lex_state = 65},
  [1820] = {.lex_state = 65, .external_lex_state = 2},
  [1821] = {.lex_state = 65, .external_lex_state = 2},
  [1822] = {.lex_state = 65, .external_lex_state = 2},
  [1823] = {.lex_state = 65},
  [1824] = {.lex_state = 65, .external_lex_state = 2},
  [1825] = {.lex_state = 65},
  [1826] = {.lex_state = 65},
  [1827] = {.lex_state = 65},
  [1828] = {.lex_state = 65},
  [1829] = {.lex_state = 65},
  [1830] = {.lex_state = 65},
  [1831] = {.lex_state = 65},
  [1832] = {.lex_state = 65},
  [1833] = {.lex_state = 65},
  [1834] = {.lex_state = 65},
  [1835] = {.lex_state = 65},
  [1836] = {.lex_state = 65},
  [1837] = {.lex_state = 65},
  [1838] = {.lex_state = 3, .external_lex_state = 11},
  [1839] = {.lex_state = 14},
  [1840] = {.lex_state = 65, .external_lex_state = 2},
  [1841] = {.lex_state = 65},
  [1842] = {.lex_state = 65, .external_lex_state = 2},
  [1843] = {.lex_state = 65, .external_lex_state = 2},
  [1844] = {.lex_state = 65},
  [1845] = {.lex_state = 3, .external_lex_state = 11},
  [1846] = {.lex_state = 65},
  [1847] = {.lex_state = 65},
  [1848] = {.lex_state = 20},
  [1849] = {.lex_state = 65},
  [1850] = {.lex_state = 65},
  [1851] = {.lex_state = 65},
  [1852] = {.lex_state = 65, .external_lex_state = 2},
  [1853] = {.lex_state = 65},
  [1854] = {.lex_state = 3, .external_lex_state = 11},
  [1855] = {.lex_state = 65},
  [1856] = {.lex_state = 65},
  [1857] = {.lex_state = 65},
  [1858] = {.lex_state = 65, .external_lex_state = 2},
  [1859] = {.lex_state = 65},
  [1860] = {.lex_state = 65, .external_lex_state = 2},
  [1861] = {.lex_state = 65, .external_lex_state = 2},
  [1862] = {.lex_state = 65},
  [1863] = {.lex_state = 65},
  [1864] = {.lex_state = 65},
  [1865] = {.lex_state = 65, .external_lex_state = 2},
  [1866] = {.lex_state = 65, .external_lex_state = 2},
  [1867] = {.lex_state = 3, .external_lex_state = 10},
  [1868] = {.lex_state = 65},
  [1869] = {.lex_state = 65},
  [1870] = {.lex_state = 65},
  [1871] = {.lex_state = 65},
  [1872] = {.lex_state = 65, .external_lex_state = 2},
  [1873] = {.lex_state = 65},
  [1874] = {.lex_state = 65},
  [1875] = {.lex_state = 65},
  [1876] = {.lex_state = 65},
  [1877] = {.lex_state = 65},
  [1878] = {.lex_state = 65, .external_lex_state = 2},
  [1879] = {.lex_state = 65},
  [1880] = {.lex_state = 65},
  [1881] = {.lex_state = 65, .external_lex_state = 2},
  [1882] = {.lex_state = 65},
  [1883] = {.lex_state = 65},
  [1884] = {.lex_state = 65},
  [1885] = {.lex_state = 65},
  [1886] = {.lex_state = 65, .external_lex_state = 2},
  [1887] = {.lex_state = 65, .external_lex_state = 2},
  [1888] = {.lex_state = 65},
  [1889] = {.lex_state = 65, .external_lex_state = 2},
  [1890] = {.lex_state = 65},
  [1891] = {.lex_state = 65},
  [1892] = {.lex_state = 65, .external_lex_state = 2},
  [1893] = {.lex_state = 65},
  [1894] = {.lex_state = 65},
  [1895] = {.lex_state = 65},
  [1896] = {.lex_state = 65},
  [1897] = {.lex_state = 65},
  [1898] = {.lex_state = 65},
  [1899] = {.lex_state = 65, .external_lex_state = 2},
  [1900] = {.lex_state = 65, .external_lex_state = 2},
  [1901] = {.lex_state = 65, .external_lex_state = 2},
  [1902] = {.lex_state = 65},
  [1903] = {.lex_state = 65, .external_lex_state = 2},
  [1904] = {.lex_state = 65, .external_lex_state = 2},
  [1905] = {.lex_state = 65},
  [1906] = {.lex_state = 65, .external_lex_state = 2},
  [1907] = {.lex_state = 65},
  [1908] = {.lex_state = 65},
  [1909] = {.lex_state = 65, .external_lex_state = 2},
  [1910] = {.lex_state = 65},
  [1911] = {.lex_state = 65},
  [1912] = {.lex_state = 65},
  [1913] = {.lex_state = 65},
  [1914] = {.lex_state = 65, .external_lex_state = 2},
  [1915] = {.lex_state = 65},
  [1916] = {.lex_state = 65},
  [1917] = {.lex_state = 65, .external_lex_state = 2},
  [1918] = {.lex_state = 65, .external_lex_state = 2},
  [1919] = {.lex_state = 65, .external_lex_state = 2},
  [1920] = {.lex_state = 65},
  [1921] = {.lex_state = 65},
  [1922] = {.lex_state = 65},
  [1923] = {.lex_state = 65},
  [1924] = {.lex_state = 65},
  [1925] = {.lex_state = 65},
  [1926] = {.lex_state = 65},
  [1927] = {.lex_state = 65},
  [1928] = {.lex_state = 65},
  [1929] = {.lex_state = 65},
  [1930] = {.lex_state = 65},
  [1931] = {.lex_state = 65},
  [1932] = {.lex_state = 65},
  [1933] = {.lex_state = 65, .external_lex_state = 2},
  [1934] = {.lex_state = 65, .external_lex_state = 2},
  [1935] = {.lex_state = 65},
  [1936] = {.lex_state = 65},
  [1937] = {.lex_state = 65},
  [1938] = {.lex_state = 65},
  [1939] = {.lex_state = 65, .external_lex_state = 12},
  [1940] = {.lex_state = 65},
  [1941] = {.lex_state = 65},
  [1942] = {.lex_state = 65, .external_lex_state = 2},
  [1943] = {.lex_state = 65},
  [1944] = {.lex_state = 65},
  [1945] = {.lex_state = 65, .external_lex_state = 2},
  [1946] = {.lex_state = 65},
  [1947] = {.lex_state = 65},
  [1948] = {.lex_state = 65},
  [1949] = {.lex_state = 65},
  [1950] = {.lex_state = 65},
  [1951] = {.lex_state = 65},
  [1952] = {.lex_state = 65},
  [1953] = {.lex_state = 65, .external_lex_state = 2},
  [1954] = {.lex_state = 65, .external_lex_state = 2},
  [1955] = {.lex_state = 65},
  [1956] = {.lex_state = 65},
  [1957] = {.lex_state = 65, .external_lex_state = 2},
  [1958] = {.lex_state = 65, .external_lex_state = 2},
  [1959] = {.lex_state = 65},
  [1960] = {.lex_state = 65},
  [1961] = {.lex_state = 65},
  [1962] = {.lex_state = 65},
  [1963] = {.lex_state = 65},
  [1964] = {.lex_state = 65, .external_lex_state = 2},
  [1965] = {.lex_state = 65},
  [1966] = {.lex_state = 65},
  [1967] = {.lex_state = 65},
  [1968] = {.lex_state = 65},
  [1969] = {.lex_state = 65},
  [1970] = {.lex_state = 65, .external_lex_state = 2},
  [1971] = {.lex_state = 65},
  [1972] = {.lex_state = 65},
  [1973] = {.lex_state = 65, .external_lex_state = 2},
  [1974] = {.lex_state = 65},
  [1975] = {.lex_state = 65, .external_lex_state = 2},
  [1976] = {.lex_state = 65},
  [1977] = {.lex_state = 65, .external_lex_state = 2},
  [1978] = {.lex_state = 65},
  [1979] = {.lex_state = 65},
  [1980] = {.lex_state = 65},
  [1981] = {.lex_state = 65},
  [1982] = {.lex_state = 65},
  [1983] = {.lex_state = 65, .external_lex_state = 2},
  [1984] = {.lex_state = 65},
  [1985] = {.lex_state = 65},
  [1986] = {.lex_state = 65},
  [1987] = {.lex_state = 65, .external_lex_state = 2},
  [1988] = {.lex_state = 14},
  [1989] = {.lex_state = 65},
  [1990] = {.lex_state = 65},
  [1991] = {.lex_state = 65},
  [1992] = {.lex_state = 65},
  [1993] = {.lex_state = 65},
  [1994] = {.lex_state = 65},
  [1995] = {.lex_state = 65},
  [1996] = {.lex_state = 65},
  [1997] = {.lex_state = 65, .external_lex_state = 2},
  [1998] = {.lex_state = 65},
  [1999] = {.lex_state = 65},
  [2000] = {.lex_state = 65},
  [2001] = {.lex_state = 65},
  [2002] = {.lex_state = 65},
  [2003] = {.lex_state = 65},
  [2004] = {.lex_state = 65},
  [2005] = {.lex_state = 65},
  [2006] = {.lex_state = 65, .external_lex_state = 2},
  [2007] = {.lex_state = 65},
  [2008] = {.lex_state = 65, .external_lex_state = 2},
  [2009] = {.lex_state = 65},
  [2010] = {.lex_state = 65},
  [2011] = {.lex_state = 65},
  [2012] = {.lex_state = 65, .external_lex_state = 2},
  [2013] = {.lex_state = 65},
  [2014] = {.lex_state = 65},
  [2015] = {.lex_state = 65},
  [2016] = {.lex_state = 65},
  [2017] = {.lex_state = 65, .external_lex_state = 2},
  [2018] = {.lex_state = 65},
  [2019] = {.lex_state = 65},
  [2020] = {.lex_state = 65, .external_lex_state = 2},
  [2021] = {.lex_state = 65},
  [2022] = {.lex_state = 65, .external_lex_state = 2},
  [2023] = {.lex_state = 65},
  [2024] = {.lex_state = 65},
  [2025] = {.lex_state = 65},
  [2026] = {.lex_state = 65},
  [2027] = {.lex_state = 65},
  [2028] = {.lex_state = 65},
  [2029] = {.lex_state = 65, .external_lex_state = 2},
  [2030] = {.lex_state = 65},
  [2031] = {.lex_state = 65},
  [2032] = {.lex_state = 3, .external_lex_state = 11},
  [2033] = {.lex_state = 65},
  [2034] = {.lex_state = 65},
  [2035] = {.lex_state = 65},
  [2036] = {.lex_state = 65},
  [2037] = {.lex_state = 65},
  [2038] = {.lex_state = 65},
  [2039] = {.lex_state = 65},
  [2040] = {.lex_state = 65},
  [2041] = {.lex_state = 65},
  [2042] = {.lex_state = 65, .external_lex_state = 2},
  [2043] = {.lex_state = 65, .external_lex_state = 2},
  [2044] = {.lex_state = 65, .external_lex_state = 2},
  [2045] = {.lex_state = 65},
  [2046] = {.lex_state = 65},
  [2047] = {.lex_state = 65},
  [2048] = {.lex_state = 65},
  [2049] = {.lex_state = 65, .external_lex_state = 2},
  [2050] = {.lex_state = 65},
  [2051] = {.lex_state = 3, .external_lex_state = 11},
  [2052] = {.lex_state = 65, .external_lex_state = 2},
  [2053] = {.lex_state = 65},
  [2054] = {.lex_state = 65},
  [2055] = {.lex_state = 65, .external_lex_state = 2},
  [2056] = {.lex_state = 65},
  [2057] = {.lex_state = 65},
  [2058] = {.lex_state = 65},
  [2059] = {.lex_state = 65},
  [2060] = {.lex_state = 65},
  [2061] = {.lex_state = 65},
  [2062] = {.lex_state = 65},
  [2063] = {.lex_state = 65},
  [2064] = {.lex_state = 65},
  [2065] = {.lex_state = 65},
  [2066] = {.lex_state = 65, .external_lex_state = 2},
  [2067] = {.lex_state = 14},
  [2068] = {.lex_state = 65},
  [2069] = {.lex_state = 65},
  [2070] = {.lex_state = 65},
  [2071] = {.lex_state = 65},
  [2072] = {.lex_state = 65},
  [2073] = {.lex_state = 65},
  [2074] = {.lex_state = 65},
  [2075] = {.lex_state = 65},
  [2076] = {.lex_state = 65},
  [2077] = {.lex_state = 65},
  [2078] = {.lex_state = 65},
  [2079] = {.lex_state = 14},
  [2080] = {.lex_state = 65},
  [2081] = {.lex_state = 65},
  [2082] = {.lex_state = 65},
  [2083] = {.lex_state = 65},
  [2084] = {.lex_state = 65},
  [2085] = {.lex_state = 65},
  [2086] = {.lex_state = 65},
  [2087] = {.lex_state = 65},
  [2088] = {.lex_state = 65},
  [2089] = {.lex_state = 65},
  [2090] = {.lex_state = 65, .external_lex_state = 2},
  [2091] = {.lex_state = 65},
  [2092] = {.lex_state = 65},
  [2093] = {.lex_state = 65},
  [2094] = {.lex_state = 65},
  [2095] = {.lex_state = 65},
  [2096] = {.lex_state = 65},
  [2097] = {.lex_state = 65, .external_lex_state = 2},
  [2098] = {.lex_state = 65, .external_lex_state = 2},
  [2099] = {.lex_state = 3, .external_lex_state = 11},
  [2100] = {.lex_state = 65},
  [2101] = {.lex_state = 3, .external_lex_state = 11},
  [2102] = {.lex_state = 65},
  [2103] = {.lex_state = 65},
  [2104] = {.lex_state = 65, .external_lex_state = 2},
  [2105] = {.lex_state = 65},
  [2106] = {.lex_state = 65, .external_lex_state = 2},
  [2107] = {.lex_state = 65, .external_lex_state = 2},
  [2108] = {.lex_state = 65, .external_lex_state = 2},
  [2109] = {.lex_state = 65, .external_lex_state = 2},
  [2110] = {.lex_state = 65},
  [2111] = {.lex_state = 65},
  [2112] = {.lex_state = 65},
  [2113] = {.lex_state = 65},
  [2114] = {.lex_state = 65},
  [2115] = {.lex_state = 65},
  [2116] = {.lex_state = 65},
  [2117] = {.lex_state = 65},
  [2118] = {.lex_state = 65, .external_lex_state = 2},
  [2119] = {.lex_state = 65, .external_lex_state = 2},
  [2120] = {.lex_state = 65},
  [2121] = {.lex_state = 65, .external_lex_state = 2},
  [2122] = {.lex_state = 65, .external_lex_state = 2},
  [2123] = {.lex_state = 65},
  [2124] = {.lex_state = 65},
  [2125] = {.lex_state = 65, .external_lex_state = 2},
  [2126] = {.lex_state = 65},
  [2127] = {.lex_state = 65},
  [2128] = {.lex_state = 65},
  [2129] = {.lex_state = 65},
  [2130] = {.lex_state = 65, .external_lex_state = 2},
  [2131] = {.lex_state = 65, .external_lex_state = 2},
  [2132] = {.lex_state = 65},
  [2133] = {.lex_state = 65},
  [2134] = {.lex_state = 65},
  [2135] = {.lex_state = 65},
  [2136] = {.lex_state = 65, .external_lex_state = 2},
  [2137] = {.lex_state = 65, .external_lex_state = 2},
  [2138] = {.lex_state = 3, .external_lex_state = 11},
  [2139] = {.lex_state = 65, .external_lex_state = 2},
  [2140] = {.lex_state = 3, .external_lex_state = 11},
  [2141] = {.lex_state = 65},
  [2142] = {.lex_state = 65},
  [2143] = {.lex_state = 65, .external_lex_state = 2},
  [2144] = {.lex_state = 65},
  [2145] = {.lex_state = 65},
  [2146] = {.lex_state = 65},
  [2147] = {.lex_state = 65},
  [2148] = {.lex_state = 65, .external_lex_state = 2},
  [2149] = {.lex_state = 65, .external_lex_state = 2},
  [2150] = {.lex_state = 65},
  [2151] = {.lex_state = 65},
  [2152] = {.lex_state = 65},
  [2153] = {.lex_state = 65},
  [2154] = {.lex_state = 65},
  [2155] = {.lex_state = 14},
  [2156] = {.lex_state = 65},
  [2157] = {.lex_state = 65},
  [2158] = {.lex_state = 65},
  [2159] = {.lex_state = 65},
  [2160] = {.lex_state = 65, .external_lex_state = 2},
  [2161] = {.lex_state = 65, .external_lex_state = 2},
  [2162] = {.lex_state = 65, .external_lex_state = 2},
  [2163] = {.lex_state = 65},
  [2164] = {.lex_state = 65},
  [2165] = {.lex_state = 65, .external_lex_state = 2},
  [2166] = {.lex_state = 65, .external_lex_state = 2},
  [2167] = {.lex_state = 65, .external_lex_state = 2},
  [2168] = {.lex_state = 65, .external_lex_state = 2},
  [2169] = {.lex_state = 65, .external_lex_state = 2},
  [2170] = {.lex_state = 65},
  [2171] = {.lex_state = 65},
  [2172] = {.lex_state = 65, .external_lex_state = 2},
  [2173] = {.lex_state = 65},
  [2174] = {.lex_state = 65, .external_lex_state = 12},
  [2175] = {.lex_state = 65},
  [2176] = {.lex_state = 65},
  [2177] = {.lex_state = 65},
  [2178] = {.lex_state = 65},
  [2179] = {.lex_state = 65},
  [2180] = {.lex_state = 65},
  [2181] = {.lex_state = 65},
  [2182] = {.lex_state = 65, .external_lex_state = 2},
  [2183] = {.lex_state = 65},
  [2184] = {.lex_state = 65},
  [2185] = {.lex_state = 65},
  [2186] = {.lex_state = 65},
  [2187] = {.lex_state = 65, .external_lex_state = 2},
  [2188] = {.lex_state = 65, .external_lex_state = 2},
  [2189] = {.lex_state = 65},
  [2190] = {.lex_state = 65},
  [2191] = {.lex_state = 65},
  [2192] = {.lex_state = 65},
  [2193] = {.lex_state = 65},
  [2194] = {.lex_state = 65},
  [2195] = {.lex_state = 65},
  [2196] = {.lex_state = 65},
  [2197] = {.lex_state = 65},
  [2198] = {.lex_state = 65},
  [2199] = {.lex_state = 65},
  [2200] = {.lex_state = 65},
  [2201] = {.lex_state = 65},
  [2202] = {.lex_state = 65, .external_lex_state = 2},
  [2203] = {.lex_state = 65, .external_lex_state = 2},
  [2204] = {.lex_state = 65},
  [2205] = {.lex_state = 65},
  [2206] = {.lex_state = 65},
  [2207] = {.lex_state = 65},
  [2208] = {.lex_state = 65, .external_lex_state = 2},
  [2209] = {.lex_state = 65},
  [2210] = {.lex_state = 65},
  [2211] = {.lex_state = 65},
  [2212] = {.lex_state = 65},
  [2213] = {.lex_state = 65},
  [2214] = {.lex_state = 65},
  [2215] = {.lex_state = 65},
  [2216] = {.lex_state = 65},
  [2217] = {.lex_state = 3, .external_lex_state = 11},
  [2218] = {.lex_state = 65},
  [2219] = {.lex_state = 65},
  [2220] = {.lex_state = 65},
  [2221] = {.lex_state = 65},
  [2222] = {.lex_state = 65},
  [2223] = {.lex_state = 65},
  [2224] = {.lex_state = 65},
  [2225] = {.lex_state = 65},
  [2226] = {.lex_state = 65},
  [2227] = {.lex_state = 65},
  [2228] = {.lex_state = 65},
  [2229] = {.lex_state = 65},
  [2230] = {.lex_state = 65},
  [2231] = {.lex_state = 65},
  [2232] = {.lex_state = 65},
  [2233] = {.lex_state = 65},
  [2234] = {.lex_state = 65},
  [2235] = {.lex_state = 65, .external_lex_state = 2},
  [2236] = {.lex_state = 65},
  [2237] = {.lex_state = 65},
  [2238] = {.lex_state = 65},
  [2239] = {.lex_state = 65},
  [2240] = {.lex_state = 65},
  [2241] = {.lex_state = 65},
  [2242] = {.lex_state = 65},
  [2243] = {.lex_state = 65},
  [2244] = {.lex_state = 65},
  [2245] = {.lex_state = 65},
  [2246] = {.lex_state = 65},
  [2247] = {.lex_state = 65},
  [2248] = {.lex_state = 65},
  [2249] = {.lex_state = 65},
  [2250] = {.lex_state = 65},
  [2251] = {.lex_state = 65},
  [2252] = {.lex_state = 65},
  [2253] = {.lex_state = 65},
  [2254] = {.lex_state = 65},
  [2255] = {.lex_state = 65},
  [2256] = {.lex_state = 65},
  [2257] = {.lex_state = 65},
  [2258] = {.lex_state = 65},
  [2259] = {.lex_state = 65},
  [2260] = {.lex_state = 65},
  [2261] = {.lex_state = 65},
  [2262] = {.lex_state = 65},
  [2263] = {.lex_state = 65},
  [2264] = {.lex_state = 65},
  [2265] = {.lex_state = 65},
  [2266] = {.lex_state = 65},
  [2267] = {.lex_state = 65},
  [2268] = {.lex_state = 65},
  [2269] = {.lex_state = 65},
  [2270] = {.lex_state = 65},
  [2271] = {.lex_state = 65},
  [2272] = {.lex_state = 65},
  [2273] = {.lex_state = 65},
  [2274] = {.lex_state = 65, .external_lex_state = 2},
  [2275] = {.lex_state = 65},
  [2276] = {.lex_state = 65},
  [2277] = {.lex_state = 65},
  [2278] = {.lex_state = 65},
  [2279] = {.lex_state = 65},
  [2280] = {.lex_state = 65},
  [2281] = {.lex_state = 65},
  [2282] = {.lex_state = 65},
  [2283] = {.lex_state = 65},
  [2284] = {.lex_state = 65},
  [2285] = {.lex_state = 65},
  [2286] = {.lex_state = 65},
  [2287] = {.lex_state = 65},
  [2288] = {.lex_state = 65},
  [2289] = {.lex_state = 65},
  [2290] = {.lex_state = 65},
  [2291] = {.lex_state = 65},
  [2292] = {.lex_state = 65},
  [2293] = {.lex_state = 65},
  [2294] = {.lex_state = 65},
  [2295] = {.lex_state = 65},
  [2296] = {.lex_state = 65},
  [2297] = {.lex_state = 65},
  [2298] = {.lex_state = 65},
  [2299] = {.lex_state = 3, .external_lex_state = 11},
  [2300] = {.lex_state = 65, .external_lex_state = 13},
  [2301] = {.lex_state = 65},
  [2302] = {.lex_state = 3, .external_lex_state = 11},
  [2303] = {.lex_state = 65},
  [2304] = {.lex_state = 65},
  [2305] = {.lex_state = 65},
  [2306] = {.lex_state = 65},
  [2307] = {.lex_state = 65},
  [2308] = {.lex_state = 65},
  [2309] = {.lex_state = 65},
  [2310] = {.lex_state = 65},
  [2311] = {.lex_state = 65},
  [2312] = {.lex_state = 65},
  [2313] = {.lex_state = 65},
  [2314] = {.lex_state = 65},
  [2315] = {.lex_state = 65},
  [2316] = {.lex_state = 65},
  [2317] = {.lex_state = 3, .external_lex_state = 11},
  [2318] = {.lex_state = 65},
  [2319] = {.lex_state = 65},
  [2320] = {.lex_state = 65},
  [2321] = {.lex_state = 65},
  [2322] = {.lex_state = 65},
  [2323] = {.lex_state = 65},
  [2324] = {.lex_state = 65},
  [2325] = {.lex_state = 65},
  [2326] = {.lex_state = 65},
  [2327] = {.lex_state = 65},
  [2328] = {.lex_state = 65},
  [2329] = {.lex_state = 65},
  [2330] = {.lex_state = 65},
  [2331] = {.lex_state = 65},
  [2332] = {.lex_state = 65},
  [2333] = {.lex_state = 65},
  [2334] = {.lex_state = 65},
  [2335] = {.lex_state = 65},
  [2336] = {.lex_state = 65},
  [2337] = {.lex_state = 65},
  [2338] = {.lex_state = 65},
  [2339] = {.lex_state = 65},
  [2340] = {.lex_state = 65},
  [2341] = {.lex_state = 3, .external_lex_state = 11},
  [2342] = {.lex_state = 65, .external_lex_state = 2},
  [2343] = {.lex_state = 65},
  [2344] = {.lex_state = 65},
  [2345] = {.lex_state = 65},
  [2346] = {.lex_state = 65},
  [2347] = {.lex_state = 65},
  [2348] = {.lex_state = 65},
  [2349] = {.lex_state = 65},
  [2350] = {.lex_state = 65},
  [2351] = {.lex_state = 65},
  [2352] = {.lex_state = 65},
  [2353] = {.lex_state = 65},
  [2354] = {.lex_state = 65},
  [2355] = {.lex_state = 65},
  [2356] = {.lex_state = 65},
  [2357] = {.lex_state = 65},
  [2358] = {.lex_state = 65},
  [2359] = {.lex_state = 65},
  [2360] = {.lex_state = 65},
  [2361] = {.lex_state = 65},
  [2362] = {.lex_state = 65},
  [2363] = {.lex_state = 65},
  [2364] = {.lex_state = 65},
  [2365] = {.lex_state = 65},
  [2366] = {.lex_state = 65},
  [2367] = {.lex_state = 65},
  [2368] = {.lex_state = 65},
  [2369] = {.lex_state = 65},
  [2370] = {.lex_state = 65},
  [2371] = {.lex_state = 65},
  [2372] = {.lex_state = 65, .external_lex_state = 2},
  [2373] = {.lex_state = 65},
  [2374] = {.lex_state = 3, .external_lex_state = 11},
  [2375] = {.lex_state = 65},
  [2376] = {.lex_state = 65},
  [2377] = {.lex_state = 65},
  [2378] = {.lex_state = 65},
  [2379] = {.lex_state = 65},
  [2380] = {.lex_state = 65, .external_lex_state = 2},
  [2381] = {.lex_state = 65, .external_lex_state = 2},
  [2382] = {.lex_state = 65},
  [2383] = {.lex_state = 65},
  [2384] = {.lex_state = 65},
  [2385] = {.lex_state = 65},
  [2386] = {.lex_state = 65},
  [2387] = {.lex_state = 65},
  [2388] = {.lex_state = 65, .external_lex_state = 2},
  [2389] = {.lex_state = 65},
  [2390] = {.lex_state = 65},
  [2391] = {.lex_state = 65},
  [2392] = {.lex_state = 65},
  [2393] = {.lex_state = 65},
  [2394] = {.lex_state = 65},
  [2395] = {.lex_state = 65},
  [2396] = {.lex_state = 65},
  [2397] = {.lex_state = 3, .external_lex_state = 11},
  [2398] = {.lex_state = 65},
  [2399] = {.lex_state = 3, .external_lex_state = 11},
  [2400] = {.lex_state = 3, .external_lex_state = 11},
  [2401] = {.lex_state = 65},
  [2402] = {.lex_state = 3, .external_lex_state = 11},
  [2403] = {.lex_state = 65},
  [2404] = {.lex_state = 65, .external_lex_state = 2},
  [2405] = {.lex_state = 65},
  [2406] = {.lex_state = 65},
  [2407] = {.lex_state = 65},
  [2408] = {.lex_state = 65},
  [2409] = {.lex_state = 65},
  [2410] = {.lex_state = 65},
  [2411] = {.lex_state = 65},
  [2412] = {.lex_state = 65},
  [2413] = {.lex_state = 65},
  [2414] = {.lex_state = 65},
  [2415] = {.lex_state = 65},
  [2416] = {.lex_state = 65},
  [2417] = {.lex_state = 65},
  [2418] = {.lex_state = 65},
  [2419] = {.lex_state = 65},
  [2420] = {.lex_state = 65},
  [2421] = {.lex_state = 65},
  [2422] = {.lex_state = 65},
  [2423] = {.lex_state = 65},
  [2424] = {.lex_state = 65},
  [2425] = {.lex_state = 65, .external_lex_state = 11},
  [2426] = {.lex_state = 65},
  [2427] = {.lex_state = 65},
  [2428] = {.lex_state = 65},
  [2429] = {.lex_state = 65},
  [2430] = {.lex_state = 65},
  [2431] = {.lex_state = 65},
  [2432] = {.lex_state = 65},
  [2433] = {.lex_state = 65, .external_lex_state = 11},
  [2434] = {.lex_state = 65},
  [2435] = {.lex_state = 65, .external_lex_state = 11},
  [2436] = {.lex_state = 65},
  [2437] = {.lex_state = 65},
  [2438] = {.lex_state = 65},
  [2439] = {.lex_state = 65},
  [2440] = {.lex_state = 65, .external_lex_state = 11},
  [2441] = {.lex_state = 65},
  [2442] = {.lex_state = 65},
  [2443] = {.lex_state = 65},
  [2444] = {.lex_state = 65},
  [2445] = {.lex_state = 65},
  [2446] = {.lex_state = 65, .external_lex_state = 11},
  [2447] = {.lex_state = 65, .external_lex_state = 11},
  [2448] = {.lex_state = 65},
  [2449] = {.lex_state = 65},
  [2450] = {.lex_state = 65},
  [2451] = {.lex_state = 65},
  [2452] = {.lex_state = 65},
  [2453] = {.lex_state = 65},
  [2454] = {.lex_state = 65},
  [2455] = {.lex_state = 65},
  [2456] = {.lex_state = 65},
  [2457] = {.lex_state = 65},
  [2458] = {.lex_state = 65},
  [2459] = {.lex_state = 65},
  [2460] = {.lex_state = 10},
  [2461] = {.lex_state = 65},
  [2462] = {.lex_state = 65},
  [2463] = {.lex_state = 65},
  [2464] = {.lex_state = 65},
  [2465] = {.lex_state = 65},
  [2466] = {.lex_state = 65},
  [2467] = {.lex_state = 65},
  [2468] = {.lex_state = 65},
  [2469] = {.lex_state = 65},
  [2470] = {.lex_state = 65},
  [2471] = {.lex_state = 65},
  [2472] = {.lex_state = 65},
  [2473] = {.lex_state = 65},
  [2474] = {.lex_state = 65},
  [2475] = {.lex_state = 65},
  [2476] = {.lex_state = 65},
  [2477] = {.lex_state = 65},
  [2478] = {.lex_state = 65},
  [2479] = {.lex_state = 65},
  [2480] = {.lex_state = 65},
  [2481] = {.lex_state = 65},
  [2482] = {.lex_state = 65},
  [2483] = {.lex_state = 65},
  [2484] = {.lex_state = 65},
  [2485] = {.lex_state = 65},
  [2486] = {.lex_state = 65},
  [2487] = {.lex_state = 65},
  [2488] = {.lex_state = 65},
  [2489] = {.lex_state = 65, .external_lex_state = 12},
  [2490] = {.lex_state = 65},
  [2491] = {.lex_state = 65},
  [2492] = {.lex_state = 65},
  [2493] = {.lex_state = 65},
  [2494] = {.lex_state = 65},
  [2495] = {.lex_state = 65},
  [2496] = {.lex_state = 65},
  [2497] = {.lex_state = 65},
  [2498] = {.lex_state = 65},
  [2499] = {.lex_state = 65},
  [2500] = {.lex_state = 65},
  [2501] = {.lex_state = 65},
  [2502] = {.lex_state = 65},
  [2503] = {.lex_state = 10},
  [2504] = {.lex_state = 65},
  [2505] = {.lex_state = 65},
  [2506] = {.lex_state = 65},
  [2507] = {.lex_state = 65},
  [2508] = {.lex_state = 65},
  [2509] = {.lex_state = 65},
  [2510] = {.lex_state = 65},
  [2511] = {.lex_state = 17},
  [2512] = {.lex_state = 65},
  [2513] = {.lex_state = 65},
  [2514] = {.lex_state = 65},
  [2515] = {.lex_state = 65},
  [2516] = {.lex_state = 65, .external_lex_state = 11},
  [2517] = {.lex_state = 65, .external_lex_state = 11},
  [2518] = {.lex_state = 65},
  [2519] = {.lex_state = 65},
  [2520] = {.lex_state = 65},
  [2521] = {.lex_state = 65},
  [2522] = {.lex_state = 65},
  [2523] = {.lex_state = 65},
  [2524] = {.lex_state = 65},
  [2525] = {.lex_state = 65},
  [2526] = {.lex_state = 65},
  [2527] = {.lex_state = 65},
  [2528] = {.lex_state = 65},
  [2529] = {.lex_state = 65},
  [2530] = {.lex_state = 65},
  [2531] = {.lex_state = 65},
  [2532] = {.lex_state = 65},
  [2533] = {.lex_state = 65},
  [2534] = {.lex_state = 17},
  [2535] = {.lex_state = 65},
  [2536] = {.lex_state = 65},
  [2537] = {.lex_state = 65},
  [2538] = {.lex_state = 65},
  [2539] = {.lex_state = 65},
  [2540] = {.lex_state = 65},
  [2541] = {.lex_state = 65},
  [2542] = {.lex_state = 65},
  [2543] = {.lex_state = 65},
  [2544] = {.lex_state = 65},
  [2545] = {.lex_state = 65},
  [2546] = {.lex_state = 65},
  [2547] = {.lex_state = 65},
  [2548] = {.lex_state = 65},
  [2549] = {.lex_state = 65},
  [2550] = {.lex_state = 65},
  [2551] = {.lex_state = 65},
  [2552] = {.lex_state = 65},
  [2553] = {.lex_state = 65},
  [2554] = {.lex_state = 65},
  [2555] = {.lex_state = 65},
  [2556] = {.lex_state = 65},
  [2557] = {.lex_state = 65},
  [2558] = {.lex_state = 65},
  [2559] = {.lex_state = 65},
  [2560] = {.lex_state = 65},
  [2561] = {.lex_state = 65},
  [2562] = {.lex_state = 65},
  [2563] = {.lex_state = 65},
  [2564] = {.lex_state = 65},
  [2565] = {.lex_state = 65},
  [2566] = {.lex_state = 65},
  [2567] = {.lex_state = 65},
  [2568] = {.lex_state = 65},
  [2569] = {.lex_state = 65},
  [2570] = {.lex_state = 65},
  [2571] = {.lex_state = 65},
  [2572] = {.lex_state = 65},
  [2573] = {.lex_state = 65, .external_lex_state = 12},
  [2574] = {.lex_state = 65, .external_lex_state = 12},
  [2575] = {.lex_state = 65},
  [2576] = {.lex_state = 65},
  [2577] = {.lex_state = 65},
  [2578] = {.lex_state = 65},
  [2579] = {.lex_state = 65},
  [2580] = {.lex_state = 65},
  [2581] = {.lex_state = 65, .external_lex_state = 12},
  [2582] = {.lex_state = 65},
  [2583] = {.lex_state = 65},
  [2584] = {.lex_state = 65},
  [2585] = {.lex_state = 65},
  [2586] = {.lex_state = 65},
  [2587] = {.lex_state = 65},
  [2588] = {.lex_state = 65},
  [2589] = {.lex_state = 65},
  [2590] = {.lex_state = 65},
  [2591] = {.lex_state = 65},
  [2592] = {.lex_state = 65},
  [2593] = {.lex_state = 65},
  [2594] = {.lex_state = 65},
  [2595] = {.lex_state = 65},
  [2596] = {.lex_state = 65},
  [2597] = {.lex_state = 65},
  [2598] = {.lex_state = 65},
  [2599] = {.lex_state = 65},
  [2600] = {.lex_state = 65},
  [2601] = {.lex_state = 65},
  [2602] = {.lex_state = 65},
  [2603] = {.lex_state = 65},
  [2604] = {.lex_state = 65},
  [2605] = {.lex_state = 65},
  [2606] = {.lex_state = 65},
  [2607] = {.lex_state = 65},
  [2608] = {.lex_state = 65},
  [2609] = {.lex_state = 65},
  [2610] = {.lex_state = 65},
  [2611] = {.lex_state = 65},
  [2612] = {.lex_state = 65},
  [2613] = {.lex_state = 65},
  [2614] = {.lex_state = 65},
  [2615] = {.lex_state = 65},
  [2616] = {.lex_state = 65},
  [2617] = {.lex_state = 65},
  [2618] = {.lex_state = 65},
  [2619] = {.lex_state = 65},
  [2620] = {.lex_state = 65},
  [2621] = {.lex_state = 65},
  [2622] = {.lex_state = 65},
  [2623] = {.lex_state = 65},
  [2624] = {.lex_state = 65},
  [2625] = {.lex_state = 65},
  [2626] = {.lex_state = 65},
  [2627] = {.lex_state = 65, .external_lex_state = 11},
  [2628] = {.lex_state = 65, .external_lex_state = 11},
  [2629] = {.lex_state = 65},
  [2630] = {.lex_state = 65},
  [2631] = {.lex_state = 65},
  [2632] = {.lex_state = 65},
  [2633] = {.lex_state = 65},
  [2634] = {.lex_state = 65},
  [2635] = {.lex_state = 65},
  [2636] = {.lex_state = 65},
  [2637] = {.lex_state = 65},
  [2638] = {.lex_state = 65},
  [2639] = {.lex_state = 65},
  [2640] = {.lex_state = 65},
  [2641] = {.lex_state = 65},
  [2642] = {.lex_state = 65},
  [2643] = {.lex_state = 65},
  [2644] = {.lex_state = 65},
  [2645] = {.lex_state = 65},
  [2646] = {.lex_state = 65},
  [2647] = {.lex_state = 65},
  [2648] = {.lex_state = 65},
  [2649] = {.lex_state = 65},
  [2650] = {.lex_state = 65},
  [2651] = {.lex_state = 65},
  [2652] = {.lex_state = 65},
  [2653] = {.lex_state = 65},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2623),
    [sym_statement] = STATE(47),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(6),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(1926),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_colon_block] = STATE(2468),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1925),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(348),
  },
  [8] = {
    [sym_statement] = STATE(15),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(9),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(406),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(409),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(412),
    [aux_sym_foreach_statement_token1] = ACTIONS(415),
    [aux_sym_if_statement_token1] = ACTIONS(418),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_colon_block] = STATE(2528),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(496),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(421),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(421),
  },
  [11] = {
    [sym_statement] = STATE(12),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token2] = ACTIONS(404),
    [aux_sym_else_if_clause_token1] = ACTIONS(404),
    [aux_sym_else_clause_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(9),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token2] = ACTIONS(433),
    [aux_sym_else_if_clause_token1] = ACTIONS(433),
    [aux_sym_else_clause_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_colon_block] = STATE(2528),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(496),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(421),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(421),
  },
  [14] = {
    [sym_statement] = STATE(1926),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_colon_block] = STATE(2468),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1925),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(348),
  },
  [15] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(433),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_statement] = STATE(1911),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1910),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [17] = {
    [sym_statement] = STATE(524),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [18] = {
    [sym_statement] = STATE(1928),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1927),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [19] = {
    [sym_statement] = STATE(1913),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1912),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [20] = {
    [sym_statement] = STATE(1916),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1915),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [21] = {
    [sym_statement] = STATE(1930),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1929),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [22] = {
    [sym_statement] = STATE(1932),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1931),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [23] = {
    [sym_statement] = STATE(1952),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1951),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [24] = {
    [sym_statement] = STATE(1985),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1985),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [25] = {
    [sym_statement] = STATE(506),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(506),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [26] = {
    [sym_statement] = STATE(1898),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1897),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [27] = {
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(547),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [28] = {
    [sym_statement] = STATE(485),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(493),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [29] = {
    [sym_statement] = STATE(475),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [30] = {
    [sym_statement] = STATE(527),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(457),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [31] = {
    [sym_statement] = STATE(1928),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1927),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [32] = {
    [sym_statement] = STATE(1930),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1929),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [33] = {
    [sym_statement] = STATE(1932),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1931),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [34] = {
    [sym_statement] = STATE(560),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(562),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [35] = {
    [sym_statement] = STATE(1916),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1915),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [36] = {
    [sym_statement] = STATE(572),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(575),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [37] = {
    [sym_statement] = STATE(560),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(562),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [38] = {
    [sym_statement] = STATE(516),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [39] = {
    [sym_statement] = STATE(1985),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1985),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [40] = {
    [sym_statement] = STATE(572),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(575),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [41] = {
    [sym_statement] = STATE(506),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(506),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [42] = {
    [sym_statement] = STATE(1898),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1897),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [43] = {
    [sym_statement] = STATE(524),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [44] = {
    [sym_statement] = STATE(516),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [45] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(517),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(519),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_statement] = STATE(1913),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1912),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [47] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(547),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [49] = {
    [sym_statement] = STATE(1911),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1910),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [50] = {
    [sym_statement] = STATE(45),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_statement] = STATE(485),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(493),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [52] = {
    [sym_statement] = STATE(1952),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(1951),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [53] = {
    [sym_statement] = STATE(527),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(457),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [54] = {
    [sym_statement] = STATE(475),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [55] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(83),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(85),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(57),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(93),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(537),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(539),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_statement] = STATE(55),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(446),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_colon_block] = STATE(1625),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(543),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(529),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(90),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(547),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(1629),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_colon_block] = STATE(1569),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(543),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(69),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(1572),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_colon_block] = STATE(1569),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(543),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(71),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(72),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(73),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(2061),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_colon_block] = STATE(2498),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(448),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_colon_block] = STATE(1625),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(543),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_statement] = STATE(77),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(77),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(577),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(101),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(81),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_statement] = STATE(2061),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_colon_block] = STATE(2498),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_statement] = STATE(94),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(583),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(585),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_statement] = STATE(67),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(587),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_statement] = STATE(100),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(100),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(591),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(593),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_statement] = STATE(56),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(595),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(529),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(597),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_statement] = STATE(103),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(599),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(97),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(601),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(603),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(605),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(104),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(104),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(607),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(609),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(611),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(82),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(613),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(62),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(615),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(617),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(107),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_program_repeat1] = STATE(107),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(619),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(546),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(2589),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(498),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(2495),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(1981),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(1981),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(1950),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2113),
    [sym__modifier] = STATE(1339),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2245),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(2114),
    [sym_exit_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1309),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1339),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(498),
    [sym_empty_statement] = STATE(473),
    [sym_function_static_declaration] = STATE(473),
    [sym_global_declaration] = STATE(473),
    [sym_namespace_definition] = STATE(473),
    [sym_namespace_use_declaration] = STATE(473),
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(473),
    [sym_interface_declaration] = STATE(473),
    [sym_enum_declaration] = STATE(473),
    [sym_class_declaration] = STATE(473),
    [sym_final_modifier] = STATE(1340),
    [sym_abstract_modifier] = STATE(1340),
    [sym_readonly_modifier] = STATE(1340),
    [sym_const_declaration] = STATE(473),
    [sym__const_declaration] = STATE(569),
    [sym__modifier] = STATE(1340),
    [sym_static_modifier] = STATE(1438),
    [sym_visibility_modifier] = STATE(1340),
    [sym_function_definition] = STATE(473),
    [sym__function_definition_header] = STATE(2223),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_echo_statement] = STATE(473),
    [sym_exit_statement] = STATE(473),
    [sym_unset_statement] = STATE(473),
    [sym_declare_statement] = STATE(473),
    [sym_literal] = STATE(1066),
    [sym_try_statement] = STATE(473),
    [sym_goto_statement] = STATE(473),
    [sym_continue_statement] = STATE(473),
    [sym_break_statement] = STATE(473),
    [sym_return_statement] = STATE(473),
    [sym_throw_expression] = STATE(1066),
    [sym_while_statement] = STATE(473),
    [sym_do_statement] = STATE(473),
    [sym_for_statement] = STATE(473),
    [sym_foreach_statement] = STATE(473),
    [sym_if_statement] = STATE(473),
    [sym_match_expression] = STATE(1122),
    [sym_switch_statement] = STATE(473),
    [sym_compound_statement] = STATE(473),
    [sym_named_label_statement] = STATE(473),
    [sym_expression_statement] = STATE(473),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1315),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(1340),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1004),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_yield_expression_token2] = ACTIONS(679),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym_variadic_unpacking] = STATE(1055),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_by_ref] = STATE(1055),
    [sym_yield_expression] = STATE(1122),
    [sym_array_element_initializer] = STATE(1095),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(691),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(695),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [119] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1004),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1004),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_yield_expression_token2] = ACTIONS(747),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2552),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2596),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2519),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2487),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2555),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2467),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2563),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2571),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2519),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2463),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_cast_type] = STATE(2569),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_variadic_placeholder] = STATE(2575),
    [sym_argument] = STATE(2195),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(683),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(666),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2252),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(791),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(793),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(683),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(666),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2252),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1963),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(795),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(797),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_variadic_placeholder] = STATE(2603),
    [sym_argument] = STATE(2207),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(683),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(666),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2252),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(791),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_variadic_placeholder] = STATE(2477),
    [sym_argument] = STATE(2056),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(683),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(666),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2252),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(791),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(805),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_variadic_placeholder] = STATE(2542),
    [sym_argument] = STATE(2184),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_variadic_placeholder] = STATE(2605),
    [sym_argument] = STATE(2206),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(809),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(683),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(683),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(683),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(683),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(666),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2252),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(791),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_variadic_placeholder] = STATE(2497),
    [sym_argument] = STATE(2034),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(813),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(819),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(821),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(829),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_reference_modifier] = STATE(228),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(185),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2329),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1538),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(841),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2016),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(845),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(1963),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2026),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(855),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(861),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2115),
    [sym_match_default_expression] = STATE(2115),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(863),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(865),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(869),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(873),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2083),
    [sym_match_default_expression] = STATE(2083),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(877),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(879),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2236),
    [sym_match_default_expression] = STATE(2236),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(881),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2236),
    [sym_match_default_expression] = STATE(2236),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(674),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(674),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(674),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(674),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(2307),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym__variable_subscript_expression] = STATE(681),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(681),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2307),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(674),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(674),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(674),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(674),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(2307),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym__variable_subscript_expression] = STATE(681),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(681),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2307),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(891),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(992),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(992),
    [sym_yield_expression] = STATE(988),
    [sym_array_element_initializer] = STATE(2133),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2236),
    [sym_match_default_expression] = STATE(2236),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(1851),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(656),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(656),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(656),
    [sym_nullsafe_member_call_expression] = STATE(656),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(656),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(656),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2021),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__list_destructing_repeat1] = STATE(2023),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(896),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [anon_sym_RPAREN2] = ACTIONS(898),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(674),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(674),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(674),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(674),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(2307),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym__variable_subscript_expression] = STATE(681),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(681),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2307),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(885),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(889),
    [anon_sym_RBRACK] = ACTIONS(900),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2236),
    [sym_match_default_expression] = STATE(2236),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_foreach_pair] = STATE(2439),
    [sym__foreach_value] = STATE(2439),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2439),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_foreach_pair] = STATE(2472),
    [sym__foreach_value] = STATE(2472),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2472),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_foreach_pair] = STATE(2597),
    [sym__foreach_value] = STATE(2597),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2597),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2236),
    [sym_match_default_expression] = STATE(2236),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(682),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2116),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(667),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym__variable_subscript_expression] = STATE(678),
    [sym__dereferencable_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2407),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(905),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [anon_sym_RPAREN2] = ACTIONS(905),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_reference_modifier] = STATE(229),
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2393),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1529),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_foreach_pair] = STATE(2488),
    [sym__foreach_value] = STATE(2488),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2488),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2432),
    [sym_sequence_expression] = STATE(2432),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2465),
    [sym_sequence_expression] = STATE(2465),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(909),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2599),
    [sym_sequence_expression] = STATE(2599),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2520),
    [sym_sequence_expression] = STATE(2520),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__foreach_value] = STATE(2523),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2523),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2420),
    [sym_sequence_expression] = STATE(2420),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(915),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2648),
    [sym_sequence_expression] = STATE(2648),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2469),
    [sym_sequence_expression] = STATE(2469),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(919),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2641),
    [sym_sequence_expression] = STATE(2641),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2474),
    [sym_sequence_expression] = STATE(2474),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2476),
    [sym_sequence_expression] = STATE(2476),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(2102),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(927),
  },
  [199] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(2095),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(929),
  },
  [200] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(2094),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [201] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2490),
    [sym_sequence_expression] = STATE(2490),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2536),
    [sym_sequence_expression] = STATE(2536),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(935),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2493),
    [sym_sequence_expression] = STATE(2493),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2594),
    [sym_sequence_expression] = STATE(2594),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(939),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2598),
    [sym_sequence_expression] = STATE(2598),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2638),
    [sym_sequence_expression] = STATE(2638),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(486),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(945),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(945),
  },
  [208] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(489),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(947),
  },
  [209] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2478),
    [sym_sequence_expression] = STATE(2478),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(949),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [sym__semicolon] = STATE(492),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(951),
  },
  [211] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2586),
    [sym_sequence_expression] = STATE(2586),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2449),
    [sym_sequence_expression] = STATE(2449),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2601),
    [sym_sequence_expression] = STATE(2601),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(957),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2616),
    [sym_sequence_expression] = STATE(2616),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(959),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2436),
    [sym_sequence_expression] = STATE(2436),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(961),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2600),
    [sym_sequence_expression] = STATE(2600),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2595),
    [sym_sequence_expression] = STATE(2595),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(965),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2445),
    [sym_sequence_expression] = STATE(2445),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2424),
    [sym_sequence_expression] = STATE(2424),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(969),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2471),
    [sym_sequence_expression] = STATE(2471),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(971),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__expressions] = STATE(2473),
    [sym_sequence_expression] = STATE(2473),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2132),
    [sym_function_call_expression] = STATE(673),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(673),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(673),
    [sym_nullsafe_member_call_expression] = STATE(673),
    [sym__variable_subscript_expression] = STATE(686),
    [sym__dereferencable_subscript_expression] = STATE(673),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(686),
    [sym__callable_variable] = STATE(673),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2403),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym__expressions] = STATE(1957),
    [sym_sequence_expression] = STATE(1957),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2395),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1526),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(2296),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1541),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_by_ref] = STATE(1079),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(789),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym__expressions] = STATE(1983),
    [sym_sequence_expression] = STATE(1983),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [anon_sym_AMP] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_sequence_expression] = STATE(2372),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(989),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(993),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(995),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(1001),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1003),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_sequence_expression] = STATE(2308),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1009),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(1011),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1013),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_sequence_expression] = STATE(2308),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1019),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(1021),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(1023),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_match_expression] = STATE(1122),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1132),
    [sym_unary_op_expression] = STATE(1132),
    [sym_error_suppression_expression] = STATE(1122),
    [sym_clone_expression] = STATE(1132),
    [sym_primary_expression] = STATE(1132),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1132),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1122),
    [sym_reference_assignment_expression] = STATE(1122),
    [sym_conditional_expression] = STATE(1122),
    [sym_augmented_assignment_expression] = STATE(1122),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(660),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(628),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym__variable_subscript_expression] = STATE(648),
    [sym__dereferencable_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(648),
    [sym__callable_variable] = STATE(628),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1122),
    [sym_binary_expression] = STATE(1122),
    [sym_include_expression] = STATE(1122),
    [sym_include_once_expression] = STATE(1122),
    [sym_require_expression] = STATE(1122),
    [sym_require_once_expression] = STATE(1122),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(650),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(626),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym__variable_subscript_expression] = STATE(654),
    [sym__dereferencable_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(654),
    [sym__callable_variable] = STATE(626),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2584),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(617),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym__variable_subscript_expression] = STATE(643),
    [sym__dereferencable_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(643),
    [sym__callable_variable] = STATE(617),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_match_expression] = STATE(988),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(988),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(988),
    [sym_reference_assignment_expression] = STATE(988),
    [sym_conditional_expression] = STATE(988),
    [sym_augmented_assignment_expression] = STATE(988),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2226),
    [sym__array_destructing] = STATE(2226),
    [sym_function_call_expression] = STATE(661),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym__variable_subscript_expression] = STATE(669),
    [sym__dereferencable_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(669),
    [sym__callable_variable] = STATE(661),
    [sym_variable_name] = STATE(612),
    [sym_yield_expression] = STATE(988),
    [sym_binary_expression] = STATE(988),
    [sym_include_expression] = STATE(988),
    [sym_include_once_expression] = STATE(988),
    [sym_require_expression] = STATE(988),
    [sym_require_once_expression] = STATE(988),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__unary_expression] = STATE(975),
    [sym_unary_op_expression] = STATE(975),
    [sym_error_suppression_expression] = STATE(975),
    [sym_clone_expression] = STATE(975),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(975),
    [sym_cast_variable] = STATE(613),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(613),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_function_call_expression] = STATE(592),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym__variable_subscript_expression] = STATE(614),
    [sym__dereferencable_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(614),
    [sym__callable_variable] = STATE(592),
    [sym_variable_name] = STATE(612),
    [sym_include_expression] = STATE(975),
    [sym_include_once_expression] = STATE(975),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__unary_expression] = STATE(975),
    [sym_unary_op_expression] = STATE(975),
    [sym_error_suppression_expression] = STATE(975),
    [sym_clone_expression] = STATE(975),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(975),
    [sym_cast_variable] = STATE(613),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(613),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_function_call_expression] = STATE(592),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym__variable_subscript_expression] = STATE(614),
    [sym__dereferencable_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(614),
    [sym__callable_variable] = STATE(592),
    [sym_variable_name] = STATE(612),
    [sym_include_expression] = STATE(975),
    [sym_include_once_expression] = STATE(975),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1081),
    [sym_unary_op_expression] = STATE(1081),
    [sym_error_suppression_expression] = STATE(1081),
    [sym_clone_expression] = STATE(1081),
    [sym_primary_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_expression] = STATE(1081),
    [sym_cast_variable] = STATE(649),
    [sym__variable_member_access_expression] = STATE(647),
    [sym_member_access_expression] = STATE(649),
    [sym__variable_nullsafe_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym__variable_scoped_property_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_function_call_expression] = STATE(622),
    [sym__callable_expression] = STATE(2227),
    [sym_scoped_call_expression] = STATE(622),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(622),
    [sym_nullsafe_member_call_expression] = STATE(622),
    [sym__variable_subscript_expression] = STATE(652),
    [sym__dereferencable_subscript_expression] = STATE(622),
    [sym__dereferencable_expression] = STATE(1829),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(652),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(640),
    [sym_include_expression] = STATE(1081),
    [sym_include_once_expression] = STATE(1081),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__unary_expression] = STATE(975),
    [sym_unary_op_expression] = STATE(975),
    [sym_error_suppression_expression] = STATE(975),
    [sym_clone_expression] = STATE(975),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(975),
    [sym_cast_variable] = STATE(664),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_function_call_expression] = STATE(658),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(668),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(612),
    [sym_include_expression] = STATE(975),
    [sym_include_once_expression] = STATE(975),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym__unary_expression] = STATE(975),
    [sym_unary_op_expression] = STATE(975),
    [sym_error_suppression_expression] = STATE(975),
    [sym_clone_expression] = STATE(975),
    [sym_primary_expression] = STATE(975),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_expression] = STATE(975),
    [sym_cast_variable] = STATE(613),
    [sym__variable_member_access_expression] = STATE(602),
    [sym_member_access_expression] = STATE(613),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_function_call_expression] = STATE(592),
    [sym__callable_expression] = STATE(2250),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2580),
    [sym_relative_scope] = STATE(2580),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym__variable_subscript_expression] = STATE(614),
    [sym__dereferencable_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1834),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(612),
    [sym__simple_variable] = STATE(612),
    [sym__new_variable] = STATE(614),
    [sym__callable_variable] = STATE(592),
    [sym_variable_name] = STATE(612),
    [sym_include_expression] = STATE(975),
    [sym_include_once_expression] = STATE(975),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_catch_clause] = STATE(444),
    [sym_finally_clause] = STATE(444),
    [aux_sym_try_statement_repeat1] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1033),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_catch_clause] = STATE(444),
    [sym_finally_clause] = STATE(444),
    [aux_sym_try_statement_repeat1] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1041),
    [aux_sym_finally_clause_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_else_if_clause] = STATE(484),
    [sym_else_clause] = STATE(497),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN2] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_else_if_clause] = STATE(484),
    [sym_else_clause] = STATE(483),
    [aux_sym_if_statement_repeat1] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_name] = ACTIONS(1059),
    [anon_sym_QMARK_GT] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1059),
    [aux_sym_global_declaration_token1] = ACTIONS(1059),
    [aux_sym_namespace_definition_token1] = ACTIONS(1059),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1059),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [aux_sym_trait_declaration_token1] = ACTIONS(1059),
    [aux_sym_interface_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_case_token1] = ACTIONS(1059),
    [aux_sym_class_declaration_token1] = ACTIONS(1059),
    [aux_sym_final_modifier_token1] = ACTIONS(1059),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1059),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1059),
    [sym_var_modifier] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1059),
    [anon_sym_LPAREN2] = ACTIONS(1057),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1059),
    [aux_sym_cast_type_token1] = ACTIONS(1059),
    [aux_sym_echo_statement_token1] = ACTIONS(1059),
    [aux_sym_exit_statement_token1] = ACTIONS(1059),
    [anon_sym_unset] = ACTIONS(1059),
    [aux_sym_declare_statement_token1] = ACTIONS(1059),
    [aux_sym_declare_statement_token2] = ACTIONS(1059),
    [sym_float] = ACTIONS(1059),
    [aux_sym_try_statement_token1] = ACTIONS(1059),
    [aux_sym_goto_statement_token1] = ACTIONS(1059),
    [aux_sym_continue_statement_token1] = ACTIONS(1059),
    [aux_sym_break_statement_token1] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [aux_sym_return_statement_token1] = ACTIONS(1059),
    [aux_sym_throw_expression_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token2] = ACTIONS(1059),
    [aux_sym_do_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token2] = ACTIONS(1059),
    [aux_sym_foreach_statement_token1] = ACTIONS(1059),
    [aux_sym_foreach_statement_token2] = ACTIONS(1059),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_if_statement_token2] = ACTIONS(1059),
    [aux_sym_else_if_clause_token1] = ACTIONS(1061),
    [aux_sym_else_clause_token1] = ACTIONS(1063),
    [aux_sym_match_expression_token1] = ACTIONS(1059),
    [aux_sym_match_default_expression_token1] = ACTIONS(1059),
    [aux_sym_switch_statement_token1] = ACTIONS(1059),
    [aux_sym_switch_block_token1] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [aux_sym_clone_expression_token1] = ACTIONS(1059),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1059),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [aux_sym__list_destructing_token1] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(1059),
    [anon_sym_parent] = ACTIONS(1059),
    [aux_sym__argument_name_token1] = ACTIONS(1059),
    [aux_sym__argument_name_token2] = ACTIONS(1059),
    [anon_sym_POUND_LBRACK] = ACTIONS(1057),
    [aux_sym_encapsed_string_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [aux_sym_string_token1] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1057),
    [anon_sym_LT_LT_LT] = ACTIONS(1057),
    [anon_sym_BQUOTE] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [aux_sym_yield_expression_token1] = ACTIONS(1059),
    [aux_sym_include_expression_token1] = ACTIONS(1059),
    [aux_sym_include_once_expression_token1] = ACTIONS(1059),
    [aux_sym_require_expression_token1] = ACTIONS(1059),
    [aux_sym_require_once_expression_token1] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_else_if_clause] = STATE(484),
    [sym_else_clause] = STATE(497),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN2] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1061),
    [aux_sym_else_clause_token1] = ACTIONS(1063),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_else_if_clause] = STATE(484),
    [sym_else_clause] = STATE(483),
    [aux_sym_if_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_name] = ACTIONS(1059),
    [anon_sym_QMARK_GT] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1059),
    [aux_sym_global_declaration_token1] = ACTIONS(1059),
    [aux_sym_namespace_definition_token1] = ACTIONS(1059),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1059),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [aux_sym_trait_declaration_token1] = ACTIONS(1059),
    [aux_sym_interface_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_case_token1] = ACTIONS(1059),
    [aux_sym_class_declaration_token1] = ACTIONS(1059),
    [aux_sym_final_modifier_token1] = ACTIONS(1059),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1059),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1059),
    [sym_var_modifier] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1059),
    [anon_sym_LPAREN2] = ACTIONS(1057),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1059),
    [aux_sym_cast_type_token1] = ACTIONS(1059),
    [aux_sym_echo_statement_token1] = ACTIONS(1059),
    [aux_sym_exit_statement_token1] = ACTIONS(1059),
    [anon_sym_unset] = ACTIONS(1059),
    [aux_sym_declare_statement_token1] = ACTIONS(1059),
    [aux_sym_declare_statement_token2] = ACTIONS(1059),
    [sym_float] = ACTIONS(1059),
    [aux_sym_try_statement_token1] = ACTIONS(1059),
    [aux_sym_goto_statement_token1] = ACTIONS(1059),
    [aux_sym_continue_statement_token1] = ACTIONS(1059),
    [aux_sym_break_statement_token1] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [aux_sym_return_statement_token1] = ACTIONS(1059),
    [aux_sym_throw_expression_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token2] = ACTIONS(1059),
    [aux_sym_do_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token2] = ACTIONS(1059),
    [aux_sym_foreach_statement_token1] = ACTIONS(1059),
    [aux_sym_foreach_statement_token2] = ACTIONS(1059),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_if_statement_token2] = ACTIONS(1059),
    [aux_sym_else_if_clause_token1] = ACTIONS(1065),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1059),
    [aux_sym_match_default_expression_token1] = ACTIONS(1059),
    [aux_sym_switch_statement_token1] = ACTIONS(1059),
    [aux_sym_switch_block_token1] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [aux_sym_clone_expression_token1] = ACTIONS(1059),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1059),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [aux_sym__list_destructing_token1] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(1059),
    [anon_sym_parent] = ACTIONS(1059),
    [aux_sym__argument_name_token1] = ACTIONS(1059),
    [aux_sym__argument_name_token2] = ACTIONS(1059),
    [anon_sym_POUND_LBRACK] = ACTIONS(1057),
    [aux_sym_encapsed_string_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [aux_sym_string_token1] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1057),
    [anon_sym_LT_LT_LT] = ACTIONS(1057),
    [anon_sym_BQUOTE] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [aux_sym_yield_expression_token1] = ACTIONS(1059),
    [aux_sym_include_expression_token1] = ACTIONS(1059),
    [aux_sym_include_once_expression_token1] = ACTIONS(1059),
    [aux_sym_require_expression_token1] = ACTIONS(1059),
    [aux_sym_require_once_expression_token1] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_case_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_final_modifier_token1] = ACTIONS(1073),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1073),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1073),
    [sym_var_modifier] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN2] = ACTIONS(1071),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1073),
    [aux_sym_cast_type_token1] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [aux_sym_exit_statement_token1] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [aux_sym_declare_statement_token2] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_catch_clause_token1] = ACTIONS(1073),
    [aux_sym_finally_clause_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1073),
    [aux_sym_match_default_expression_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1071),
    [aux_sym_clone_expression_token1] = ACTIONS(1073),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1073),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [aux_sym__list_destructing_token1] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [aux_sym__argument_name_token1] = ACTIONS(1073),
    [aux_sym__argument_name_token2] = ACTIONS(1073),
    [anon_sym_POUND_LBRACK] = ACTIONS(1071),
    [aux_sym_encapsed_string_token1] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_LT_LT_LT] = ACTIONS(1071),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [aux_sym_yield_expression_token1] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_name] = ACTIONS(1077),
    [anon_sym_QMARK_GT] = ACTIONS(1075),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1077),
    [aux_sym_global_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_definition_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1077),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [aux_sym_trait_declaration_token1] = ACTIONS(1077),
    [aux_sym_interface_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_case_token1] = ACTIONS(1077),
    [aux_sym_class_declaration_token1] = ACTIONS(1077),
    [aux_sym_final_modifier_token1] = ACTIONS(1077),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1077),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1077),
    [sym_var_modifier] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1077),
    [anon_sym_LPAREN2] = ACTIONS(1075),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1077),
    [aux_sym_cast_type_token1] = ACTIONS(1077),
    [aux_sym_echo_statement_token1] = ACTIONS(1077),
    [aux_sym_exit_statement_token1] = ACTIONS(1077),
    [anon_sym_unset] = ACTIONS(1077),
    [aux_sym_declare_statement_token1] = ACTIONS(1077),
    [aux_sym_declare_statement_token2] = ACTIONS(1077),
    [sym_float] = ACTIONS(1077),
    [aux_sym_try_statement_token1] = ACTIONS(1077),
    [aux_sym_catch_clause_token1] = ACTIONS(1077),
    [aux_sym_finally_clause_token1] = ACTIONS(1077),
    [aux_sym_goto_statement_token1] = ACTIONS(1077),
    [aux_sym_continue_statement_token1] = ACTIONS(1077),
    [aux_sym_break_statement_token1] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1077),
    [aux_sym_return_statement_token1] = ACTIONS(1077),
    [aux_sym_throw_expression_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token2] = ACTIONS(1077),
    [aux_sym_do_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token2] = ACTIONS(1077),
    [aux_sym_foreach_statement_token1] = ACTIONS(1077),
    [aux_sym_foreach_statement_token2] = ACTIONS(1077),
    [aux_sym_if_statement_token1] = ACTIONS(1077),
    [aux_sym_if_statement_token2] = ACTIONS(1077),
    [aux_sym_else_if_clause_token1] = ACTIONS(1077),
    [aux_sym_else_clause_token1] = ACTIONS(1077),
    [aux_sym_match_expression_token1] = ACTIONS(1077),
    [aux_sym_match_default_expression_token1] = ACTIONS(1077),
    [aux_sym_switch_statement_token1] = ACTIONS(1077),
    [aux_sym_switch_block_token1] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [aux_sym_clone_expression_token1] = ACTIONS(1077),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1077),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [aux_sym__list_destructing_token1] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_self] = ACTIONS(1077),
    [anon_sym_parent] = ACTIONS(1077),
    [aux_sym__argument_name_token1] = ACTIONS(1077),
    [aux_sym__argument_name_token2] = ACTIONS(1077),
    [anon_sym_POUND_LBRACK] = ACTIONS(1075),
    [aux_sym_encapsed_string_token1] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [aux_sym_string_token1] = ACTIONS(1075),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_LT_LT_LT] = ACTIONS(1075),
    [anon_sym_BQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [aux_sym_yield_expression_token1] = ACTIONS(1077),
    [aux_sym_include_expression_token1] = ACTIONS(1077),
    [aux_sym_include_once_expression_token1] = ACTIONS(1077),
    [aux_sym_require_expression_token1] = ACTIONS(1077),
    [aux_sym_require_once_expression_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_name] = ACTIONS(1081),
    [anon_sym_QMARK_GT] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1079),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1081),
    [aux_sym_global_declaration_token1] = ACTIONS(1081),
    [aux_sym_namespace_definition_token1] = ACTIONS(1081),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1081),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1081),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1081),
    [anon_sym_BSLASH] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [aux_sym_trait_declaration_token1] = ACTIONS(1081),
    [aux_sym_interface_declaration_token1] = ACTIONS(1081),
    [aux_sym_enum_declaration_token1] = ACTIONS(1081),
    [aux_sym_enum_case_token1] = ACTIONS(1081),
    [aux_sym_class_declaration_token1] = ACTIONS(1081),
    [aux_sym_final_modifier_token1] = ACTIONS(1081),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1081),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1081),
    [sym_var_modifier] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1081),
    [anon_sym_LPAREN2] = ACTIONS(1079),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1081),
    [aux_sym_cast_type_token1] = ACTIONS(1081),
    [aux_sym_echo_statement_token1] = ACTIONS(1081),
    [aux_sym_exit_statement_token1] = ACTIONS(1081),
    [anon_sym_unset] = ACTIONS(1081),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [aux_sym_declare_statement_token2] = ACTIONS(1081),
    [sym_float] = ACTIONS(1081),
    [aux_sym_try_statement_token1] = ACTIONS(1081),
    [aux_sym_catch_clause_token1] = ACTIONS(1081),
    [aux_sym_finally_clause_token1] = ACTIONS(1081),
    [aux_sym_goto_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [sym_integer] = ACTIONS(1081),
    [aux_sym_return_statement_token1] = ACTIONS(1081),
    [aux_sym_throw_expression_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token2] = ACTIONS(1081),
    [aux_sym_do_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token2] = ACTIONS(1081),
    [aux_sym_foreach_statement_token1] = ACTIONS(1081),
    [aux_sym_foreach_statement_token2] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token2] = ACTIONS(1081),
    [aux_sym_else_if_clause_token1] = ACTIONS(1081),
    [aux_sym_else_clause_token1] = ACTIONS(1081),
    [aux_sym_match_expression_token1] = ACTIONS(1081),
    [aux_sym_match_default_expression_token1] = ACTIONS(1081),
    [aux_sym_switch_statement_token1] = ACTIONS(1081),
    [aux_sym_switch_block_token1] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1079),
    [aux_sym_clone_expression_token1] = ACTIONS(1081),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1081),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [aux_sym__list_destructing_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_self] = ACTIONS(1081),
    [anon_sym_parent] = ACTIONS(1081),
    [aux_sym__argument_name_token1] = ACTIONS(1081),
    [aux_sym__argument_name_token2] = ACTIONS(1081),
    [anon_sym_POUND_LBRACK] = ACTIONS(1079),
    [aux_sym_encapsed_string_token1] = ACTIONS(1079),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [aux_sym_string_token1] = ACTIONS(1079),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [anon_sym_LT_LT_LT] = ACTIONS(1079),
    [anon_sym_BQUOTE] = ACTIONS(1079),
    [anon_sym_DOLLAR] = ACTIONS(1079),
    [aux_sym_yield_expression_token1] = ACTIONS(1081),
    [aux_sym_include_expression_token1] = ACTIONS(1081),
    [aux_sym_include_once_expression_token1] = ACTIONS(1081),
    [aux_sym_require_expression_token1] = ACTIONS(1081),
    [aux_sym_require_once_expression_token1] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_name] = ACTIONS(1085),
    [anon_sym_QMARK_GT] = ACTIONS(1083),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1085),
    [aux_sym_global_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_definition_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1085),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1085),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1085),
    [anon_sym_BSLASH] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [aux_sym_trait_declaration_token1] = ACTIONS(1085),
    [aux_sym_interface_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_case_token1] = ACTIONS(1085),
    [aux_sym_class_declaration_token1] = ACTIONS(1085),
    [aux_sym_final_modifier_token1] = ACTIONS(1085),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1085),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1085),
    [sym_var_modifier] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1085),
    [anon_sym_LPAREN2] = ACTIONS(1083),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1085),
    [aux_sym_cast_type_token1] = ACTIONS(1085),
    [aux_sym_echo_statement_token1] = ACTIONS(1085),
    [aux_sym_exit_statement_token1] = ACTIONS(1085),
    [anon_sym_unset] = ACTIONS(1085),
    [aux_sym_declare_statement_token1] = ACTIONS(1085),
    [aux_sym_declare_statement_token2] = ACTIONS(1085),
    [sym_float] = ACTIONS(1085),
    [aux_sym_try_statement_token1] = ACTIONS(1085),
    [aux_sym_catch_clause_token1] = ACTIONS(1085),
    [aux_sym_finally_clause_token1] = ACTIONS(1085),
    [aux_sym_goto_statement_token1] = ACTIONS(1085),
    [aux_sym_continue_statement_token1] = ACTIONS(1085),
    [aux_sym_break_statement_token1] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1085),
    [aux_sym_return_statement_token1] = ACTIONS(1085),
    [aux_sym_throw_expression_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token2] = ACTIONS(1085),
    [aux_sym_do_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token2] = ACTIONS(1085),
    [aux_sym_foreach_statement_token1] = ACTIONS(1085),
    [aux_sym_foreach_statement_token2] = ACTIONS(1085),
    [aux_sym_if_statement_token1] = ACTIONS(1085),
    [aux_sym_if_statement_token2] = ACTIONS(1085),
    [aux_sym_else_if_clause_token1] = ACTIONS(1085),
    [aux_sym_else_clause_token1] = ACTIONS(1085),
    [aux_sym_match_expression_token1] = ACTIONS(1085),
    [aux_sym_match_default_expression_token1] = ACTIONS(1085),
    [aux_sym_switch_statement_token1] = ACTIONS(1085),
    [aux_sym_switch_block_token1] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1083),
    [aux_sym_clone_expression_token1] = ACTIONS(1085),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1085),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1085),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [aux_sym__list_destructing_token1] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_self] = ACTIONS(1085),
    [anon_sym_parent] = ACTIONS(1085),
    [aux_sym__argument_name_token1] = ACTIONS(1085),
    [aux_sym__argument_name_token2] = ACTIONS(1085),
    [anon_sym_POUND_LBRACK] = ACTIONS(1083),
    [aux_sym_encapsed_string_token1] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [anon_sym_LT_LT_LT] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1083),
    [aux_sym_yield_expression_token1] = ACTIONS(1085),
    [aux_sym_include_expression_token1] = ACTIONS(1085),
    [aux_sym_include_once_expression_token1] = ACTIONS(1085),
    [aux_sym_require_expression_token1] = ACTIONS(1085),
    [aux_sym_require_once_expression_token1] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_name] = ACTIONS(1089),
    [anon_sym_QMARK_GT] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(1087),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1089),
    [aux_sym_global_declaration_token1] = ACTIONS(1089),
    [aux_sym_namespace_definition_token1] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1089),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1089),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1089),
    [anon_sym_BSLASH] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [aux_sym_trait_declaration_token1] = ACTIONS(1089),
    [aux_sym_interface_declaration_token1] = ACTIONS(1089),
    [aux_sym_enum_declaration_token1] = ACTIONS(1089),
    [aux_sym_enum_case_token1] = ACTIONS(1089),
    [aux_sym_class_declaration_token1] = ACTIONS(1089),
    [aux_sym_final_modifier_token1] = ACTIONS(1089),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1089),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1089),
    [sym_var_modifier] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1089),
    [anon_sym_LPAREN2] = ACTIONS(1087),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1089),
    [aux_sym_cast_type_token1] = ACTIONS(1089),
    [aux_sym_echo_statement_token1] = ACTIONS(1089),
    [aux_sym_exit_statement_token1] = ACTIONS(1089),
    [anon_sym_unset] = ACTIONS(1089),
    [aux_sym_declare_statement_token1] = ACTIONS(1089),
    [aux_sym_declare_statement_token2] = ACTIONS(1089),
    [sym_float] = ACTIONS(1089),
    [aux_sym_try_statement_token1] = ACTIONS(1089),
    [aux_sym_catch_clause_token1] = ACTIONS(1089),
    [aux_sym_finally_clause_token1] = ACTIONS(1089),
    [aux_sym_goto_statement_token1] = ACTIONS(1089),
    [aux_sym_continue_statement_token1] = ACTIONS(1089),
    [aux_sym_break_statement_token1] = ACTIONS(1089),
    [sym_integer] = ACTIONS(1089),
    [aux_sym_return_statement_token1] = ACTIONS(1089),
    [aux_sym_throw_expression_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token2] = ACTIONS(1089),
    [aux_sym_do_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token2] = ACTIONS(1089),
    [aux_sym_foreach_statement_token1] = ACTIONS(1089),
    [aux_sym_foreach_statement_token2] = ACTIONS(1089),
    [aux_sym_if_statement_token1] = ACTIONS(1089),
    [aux_sym_if_statement_token2] = ACTIONS(1089),
    [aux_sym_else_if_clause_token1] = ACTIONS(1089),
    [aux_sym_else_clause_token1] = ACTIONS(1089),
    [aux_sym_match_expression_token1] = ACTIONS(1089),
    [aux_sym_match_default_expression_token1] = ACTIONS(1089),
    [aux_sym_switch_statement_token1] = ACTIONS(1089),
    [aux_sym_switch_block_token1] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [aux_sym_clone_expression_token1] = ACTIONS(1089),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1089),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1089),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [aux_sym__list_destructing_token1] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_self] = ACTIONS(1089),
    [anon_sym_parent] = ACTIONS(1089),
    [aux_sym__argument_name_token1] = ACTIONS(1089),
    [aux_sym__argument_name_token2] = ACTIONS(1089),
    [anon_sym_POUND_LBRACK] = ACTIONS(1087),
    [aux_sym_encapsed_string_token1] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1087),
    [aux_sym_string_token1] = ACTIONS(1087),
    [anon_sym_SQUOTE] = ACTIONS(1087),
    [anon_sym_LT_LT_LT] = ACTIONS(1087),
    [anon_sym_BQUOTE] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1087),
    [aux_sym_yield_expression_token1] = ACTIONS(1089),
    [aux_sym_include_expression_token1] = ACTIONS(1089),
    [aux_sym_include_once_expression_token1] = ACTIONS(1089),
    [aux_sym_require_expression_token1] = ACTIONS(1089),
    [aux_sym_require_once_expression_token1] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_else_if_clause] = STATE(484),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_name] = ACTIONS(1093),
    [anon_sym_QMARK_GT] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1091),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1093),
    [aux_sym_global_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_definition_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1093),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1093),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1093),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [aux_sym_trait_declaration_token1] = ACTIONS(1093),
    [aux_sym_interface_declaration_token1] = ACTIONS(1093),
    [aux_sym_enum_declaration_token1] = ACTIONS(1093),
    [aux_sym_enum_case_token1] = ACTIONS(1093),
    [aux_sym_class_declaration_token1] = ACTIONS(1093),
    [aux_sym_final_modifier_token1] = ACTIONS(1093),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1093),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1093),
    [sym_var_modifier] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1093),
    [anon_sym_LPAREN2] = ACTIONS(1091),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1093),
    [aux_sym_cast_type_token1] = ACTIONS(1093),
    [aux_sym_echo_statement_token1] = ACTIONS(1093),
    [aux_sym_exit_statement_token1] = ACTIONS(1093),
    [anon_sym_unset] = ACTIONS(1093),
    [aux_sym_declare_statement_token1] = ACTIONS(1093),
    [aux_sym_declare_statement_token2] = ACTIONS(1093),
    [sym_float] = ACTIONS(1093),
    [aux_sym_try_statement_token1] = ACTIONS(1093),
    [aux_sym_goto_statement_token1] = ACTIONS(1093),
    [aux_sym_continue_statement_token1] = ACTIONS(1093),
    [aux_sym_break_statement_token1] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1093),
    [aux_sym_return_statement_token1] = ACTIONS(1093),
    [aux_sym_throw_expression_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token2] = ACTIONS(1093),
    [aux_sym_do_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token2] = ACTIONS(1093),
    [aux_sym_foreach_statement_token1] = ACTIONS(1093),
    [aux_sym_foreach_statement_token2] = ACTIONS(1093),
    [aux_sym_if_statement_token1] = ACTIONS(1093),
    [aux_sym_if_statement_token2] = ACTIONS(1093),
    [aux_sym_else_if_clause_token1] = ACTIONS(1095),
    [aux_sym_else_clause_token1] = ACTIONS(1093),
    [aux_sym_match_expression_token1] = ACTIONS(1093),
    [aux_sym_match_default_expression_token1] = ACTIONS(1093),
    [aux_sym_switch_statement_token1] = ACTIONS(1093),
    [aux_sym_switch_block_token1] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [aux_sym_clone_expression_token1] = ACTIONS(1093),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1093),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1093),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [aux_sym__list_destructing_token1] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_self] = ACTIONS(1093),
    [anon_sym_parent] = ACTIONS(1093),
    [aux_sym__argument_name_token1] = ACTIONS(1093),
    [aux_sym__argument_name_token2] = ACTIONS(1093),
    [anon_sym_POUND_LBRACK] = ACTIONS(1091),
    [aux_sym_encapsed_string_token1] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [aux_sym_string_token1] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [anon_sym_LT_LT_LT] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1091),
    [anon_sym_DOLLAR] = ACTIONS(1091),
    [aux_sym_yield_expression_token1] = ACTIONS(1093),
    [aux_sym_include_expression_token1] = ACTIONS(1093),
    [aux_sym_include_once_expression_token1] = ACTIONS(1093),
    [aux_sym_require_expression_token1] = ACTIONS(1093),
    [aux_sym_require_once_expression_token1] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [sym_var_modifier] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(1098),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [aux_sym_exit_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_name] = ACTIONS(1104),
    [anon_sym_QMARK_GT] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1104),
    [aux_sym_global_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_definition_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1104),
    [anon_sym_BSLASH] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [aux_sym_trait_declaration_token1] = ACTIONS(1104),
    [aux_sym_interface_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_case_token1] = ACTIONS(1104),
    [aux_sym_class_declaration_token1] = ACTIONS(1104),
    [aux_sym_final_modifier_token1] = ACTIONS(1104),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1104),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1104),
    [sym_var_modifier] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1104),
    [anon_sym_LPAREN2] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1104),
    [aux_sym_echo_statement_token1] = ACTIONS(1104),
    [aux_sym_exit_statement_token1] = ACTIONS(1104),
    [anon_sym_unset] = ACTIONS(1104),
    [aux_sym_declare_statement_token1] = ACTIONS(1104),
    [aux_sym_declare_statement_token2] = ACTIONS(1104),
    [sym_float] = ACTIONS(1104),
    [aux_sym_try_statement_token1] = ACTIONS(1104),
    [aux_sym_goto_statement_token1] = ACTIONS(1104),
    [aux_sym_continue_statement_token1] = ACTIONS(1104),
    [aux_sym_break_statement_token1] = ACTIONS(1104),
    [sym_integer] = ACTIONS(1104),
    [aux_sym_return_statement_token1] = ACTIONS(1104),
    [aux_sym_throw_expression_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token2] = ACTIONS(1104),
    [aux_sym_do_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token2] = ACTIONS(1104),
    [aux_sym_foreach_statement_token1] = ACTIONS(1104),
    [aux_sym_foreach_statement_token2] = ACTIONS(1104),
    [aux_sym_if_statement_token1] = ACTIONS(1104),
    [aux_sym_if_statement_token2] = ACTIONS(1104),
    [aux_sym_else_if_clause_token1] = ACTIONS(1104),
    [aux_sym_else_clause_token1] = ACTIONS(1104),
    [aux_sym_match_expression_token1] = ACTIONS(1104),
    [aux_sym_match_default_expression_token1] = ACTIONS(1104),
    [aux_sym_switch_statement_token1] = ACTIONS(1104),
    [aux_sym_switch_block_token1] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [aux_sym_clone_expression_token1] = ACTIONS(1104),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1104),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [aux_sym__list_destructing_token1] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_self] = ACTIONS(1104),
    [anon_sym_parent] = ACTIONS(1104),
    [aux_sym__argument_name_token1] = ACTIONS(1104),
    [aux_sym__argument_name_token2] = ACTIONS(1104),
    [anon_sym_POUND_LBRACK] = ACTIONS(1102),
    [aux_sym_encapsed_string_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [aux_sym_string_token1] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [anon_sym_LT_LT_LT] = ACTIONS(1102),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1102),
    [aux_sym_yield_expression_token1] = ACTIONS(1104),
    [aux_sym_include_expression_token1] = ACTIONS(1104),
    [aux_sym_include_once_expression_token1] = ACTIONS(1104),
    [aux_sym_require_expression_token1] = ACTIONS(1104),
    [aux_sym_require_once_expression_token1] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [anon_sym_LPAREN2] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [sym_var_modifier] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1110),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [aux_sym_exit_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [sym_var_modifier] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [aux_sym_exit_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [aux_sym__argument_name_token1] = ACTIONS(1116),
    [aux_sym__argument_name_token2] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [sym_var_modifier] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [aux_sym_exit_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [sym_var_modifier] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [aux_sym_exit_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [aux_sym__argument_name_token1] = ACTIONS(1128),
    [aux_sym__argument_name_token2] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [sym_var_modifier] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [aux_sym_exit_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [sym_var_modifier] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [aux_sym_exit_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [sym_var_modifier] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [aux_sym_exit_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [aux_sym__argument_name_token1] = ACTIONS(1188),
    [aux_sym__argument_name_token2] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [sym_var_modifier] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [aux_sym_exit_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [sym_var_modifier] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [aux_sym_exit_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [aux_sym__argument_name_token1] = ACTIONS(1208),
    [aux_sym__argument_name_token2] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [sym_var_modifier] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [aux_sym_exit_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [sym_var_modifier] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [aux_sym_exit_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [sym_var_modifier] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [aux_sym_exit_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [sym_var_modifier] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [aux_sym_exit_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [sym_var_modifier] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [aux_sym_exit_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [sym_var_modifier] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [aux_sym_exit_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [sym_var_modifier] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [aux_sym_exit_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [sym_var_modifier] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [aux_sym_exit_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [sym_var_modifier] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [aux_sym_exit_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_name] = ACTIONS(1085),
    [anon_sym_QMARK_GT] = ACTIONS(1083),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1085),
    [aux_sym_global_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_definition_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1085),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1085),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1085),
    [anon_sym_BSLASH] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [aux_sym_trait_declaration_token1] = ACTIONS(1085),
    [aux_sym_interface_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_case_token1] = ACTIONS(1085),
    [aux_sym_class_declaration_token1] = ACTIONS(1085),
    [aux_sym_final_modifier_token1] = ACTIONS(1085),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1085),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1085),
    [sym_var_modifier] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1085),
    [anon_sym_LPAREN2] = ACTIONS(1083),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1085),
    [aux_sym_cast_type_token1] = ACTIONS(1085),
    [aux_sym_echo_statement_token1] = ACTIONS(1085),
    [aux_sym_exit_statement_token1] = ACTIONS(1085),
    [anon_sym_unset] = ACTIONS(1085),
    [aux_sym_declare_statement_token1] = ACTIONS(1085),
    [aux_sym_declare_statement_token2] = ACTIONS(1085),
    [sym_float] = ACTIONS(1085),
    [aux_sym_try_statement_token1] = ACTIONS(1085),
    [aux_sym_goto_statement_token1] = ACTIONS(1085),
    [aux_sym_continue_statement_token1] = ACTIONS(1085),
    [aux_sym_break_statement_token1] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1085),
    [aux_sym_return_statement_token1] = ACTIONS(1085),
    [aux_sym_throw_expression_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token2] = ACTIONS(1085),
    [aux_sym_do_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token2] = ACTIONS(1085),
    [aux_sym_foreach_statement_token1] = ACTIONS(1085),
    [aux_sym_foreach_statement_token2] = ACTIONS(1085),
    [aux_sym_if_statement_token1] = ACTIONS(1085),
    [aux_sym_if_statement_token2] = ACTIONS(1085),
    [aux_sym_else_if_clause_token1] = ACTIONS(1085),
    [aux_sym_else_clause_token1] = ACTIONS(1085),
    [aux_sym_match_expression_token1] = ACTIONS(1085),
    [aux_sym_match_default_expression_token1] = ACTIONS(1085),
    [aux_sym_switch_statement_token1] = ACTIONS(1085),
    [aux_sym_switch_block_token1] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1083),
    [aux_sym_clone_expression_token1] = ACTIONS(1085),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1085),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1085),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [aux_sym__list_destructing_token1] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_self] = ACTIONS(1085),
    [anon_sym_parent] = ACTIONS(1085),
    [aux_sym__argument_name_token1] = ACTIONS(1085),
    [aux_sym__argument_name_token2] = ACTIONS(1085),
    [anon_sym_POUND_LBRACK] = ACTIONS(1083),
    [aux_sym_encapsed_string_token1] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [anon_sym_LT_LT_LT] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1083),
    [aux_sym_yield_expression_token1] = ACTIONS(1085),
    [aux_sym_include_expression_token1] = ACTIONS(1085),
    [aux_sym_include_once_expression_token1] = ACTIONS(1085),
    [aux_sym_require_expression_token1] = ACTIONS(1085),
    [aux_sym_require_once_expression_token1] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_case_token1] = ACTIONS(1516),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [sym_var_modifier] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [aux_sym_exit_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_declare_statement_token2] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token2] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token2] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token2] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token2] = ACTIONS(1516),
    [aux_sym_else_if_clause_token1] = ACTIONS(1516),
    [aux_sym_else_clause_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_match_default_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [aux_sym_switch_block_token1] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1514),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [aux_sym__argument_name_token1] = ACTIONS(1516),
    [aux_sym__argument_name_token2] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1514),
    [aux_sym_encapsed_string_token1] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [aux_sym_string_token1] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_LT_LT_LT] = ACTIONS(1514),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_case_token1] = ACTIONS(1520),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [aux_sym_declare_statement_token2] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token2] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token2] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token2] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token2] = ACTIONS(1520),
    [aux_sym_else_if_clause_token1] = ACTIONS(1520),
    [aux_sym_else_clause_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_match_default_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [aux_sym_switch_block_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1524),
    [aux_sym_global_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_definition_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1524),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1524),
    [aux_sym_interface_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_case_token1] = ACTIONS(1524),
    [aux_sym_class_declaration_token1] = ACTIONS(1524),
    [aux_sym_final_modifier_token1] = ACTIONS(1524),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1524),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1524),
    [sym_var_modifier] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1524),
    [aux_sym_echo_statement_token1] = ACTIONS(1524),
    [aux_sym_exit_statement_token1] = ACTIONS(1524),
    [anon_sym_unset] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_declare_statement_token2] = ACTIONS(1524),
    [sym_float] = ACTIONS(1524),
    [aux_sym_try_statement_token1] = ACTIONS(1524),
    [aux_sym_goto_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [sym_integer] = ACTIONS(1524),
    [aux_sym_return_statement_token1] = ACTIONS(1524),
    [aux_sym_throw_expression_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token2] = ACTIONS(1524),
    [aux_sym_do_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token2] = ACTIONS(1524),
    [aux_sym_foreach_statement_token1] = ACTIONS(1524),
    [aux_sym_foreach_statement_token2] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token2] = ACTIONS(1524),
    [aux_sym_else_if_clause_token1] = ACTIONS(1524),
    [aux_sym_else_clause_token1] = ACTIONS(1524),
    [aux_sym_match_expression_token1] = ACTIONS(1524),
    [aux_sym_match_default_expression_token1] = ACTIONS(1524),
    [aux_sym_switch_statement_token1] = ACTIONS(1524),
    [aux_sym_switch_block_token1] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1524),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1524),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1524),
    [anon_sym_parent] = ACTIONS(1524),
    [aux_sym__argument_name_token1] = ACTIONS(1524),
    [aux_sym__argument_name_token2] = ACTIONS(1524),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1524),
    [aux_sym_include_expression_token1] = ACTIONS(1524),
    [aux_sym_include_once_expression_token1] = ACTIONS(1524),
    [aux_sym_require_expression_token1] = ACTIONS(1524),
    [aux_sym_require_once_expression_token1] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_name] = ACTIONS(1532),
    [anon_sym_QMARK_GT] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1532),
    [aux_sym_global_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_definition_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1532),
    [anon_sym_BSLASH] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [aux_sym_trait_declaration_token1] = ACTIONS(1532),
    [aux_sym_interface_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_case_token1] = ACTIONS(1532),
    [aux_sym_class_declaration_token1] = ACTIONS(1532),
    [aux_sym_final_modifier_token1] = ACTIONS(1532),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1532),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1532),
    [sym_var_modifier] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1532),
    [aux_sym_echo_statement_token1] = ACTIONS(1532),
    [aux_sym_exit_statement_token1] = ACTIONS(1532),
    [anon_sym_unset] = ACTIONS(1532),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [aux_sym_declare_statement_token2] = ACTIONS(1532),
    [sym_float] = ACTIONS(1532),
    [aux_sym_try_statement_token1] = ACTIONS(1532),
    [aux_sym_goto_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [sym_integer] = ACTIONS(1532),
    [aux_sym_return_statement_token1] = ACTIONS(1532),
    [aux_sym_throw_expression_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [aux_sym_do_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token2] = ACTIONS(1532),
    [aux_sym_foreach_statement_token1] = ACTIONS(1532),
    [aux_sym_foreach_statement_token2] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token2] = ACTIONS(1532),
    [aux_sym_else_if_clause_token1] = ACTIONS(1532),
    [aux_sym_else_clause_token1] = ACTIONS(1532),
    [aux_sym_match_expression_token1] = ACTIONS(1532),
    [aux_sym_match_default_expression_token1] = ACTIONS(1532),
    [aux_sym_switch_statement_token1] = ACTIONS(1532),
    [aux_sym_switch_block_token1] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1530),
    [aux_sym_clone_expression_token1] = ACTIONS(1532),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1532),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [aux_sym__list_destructing_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_self] = ACTIONS(1532),
    [anon_sym_parent] = ACTIONS(1532),
    [aux_sym__argument_name_token1] = ACTIONS(1532),
    [aux_sym__argument_name_token2] = ACTIONS(1532),
    [anon_sym_POUND_LBRACK] = ACTIONS(1530),
    [aux_sym_encapsed_string_token1] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_string_token1] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_LT_LT_LT] = ACTIONS(1530),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [aux_sym_yield_expression_token1] = ACTIONS(1532),
    [aux_sym_include_expression_token1] = ACTIONS(1532),
    [aux_sym_include_once_expression_token1] = ACTIONS(1532),
    [aux_sym_require_expression_token1] = ACTIONS(1532),
    [aux_sym_require_once_expression_token1] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_name] = ACTIONS(1536),
    [anon_sym_QMARK_GT] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1536),
    [aux_sym_global_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_definition_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [aux_sym_trait_declaration_token1] = ACTIONS(1536),
    [aux_sym_interface_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_case_token1] = ACTIONS(1536),
    [aux_sym_class_declaration_token1] = ACTIONS(1536),
    [aux_sym_final_modifier_token1] = ACTIONS(1536),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1536),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1536),
    [sym_var_modifier] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1536),
    [aux_sym_echo_statement_token1] = ACTIONS(1536),
    [aux_sym_exit_statement_token1] = ACTIONS(1536),
    [anon_sym_unset] = ACTIONS(1536),
    [aux_sym_declare_statement_token1] = ACTIONS(1536),
    [aux_sym_declare_statement_token2] = ACTIONS(1536),
    [sym_float] = ACTIONS(1536),
    [aux_sym_try_statement_token1] = ACTIONS(1536),
    [aux_sym_goto_statement_token1] = ACTIONS(1536),
    [aux_sym_continue_statement_token1] = ACTIONS(1536),
    [aux_sym_break_statement_token1] = ACTIONS(1536),
    [sym_integer] = ACTIONS(1536),
    [aux_sym_return_statement_token1] = ACTIONS(1536),
    [aux_sym_throw_expression_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token2] = ACTIONS(1536),
    [aux_sym_do_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token2] = ACTIONS(1536),
    [aux_sym_foreach_statement_token1] = ACTIONS(1536),
    [aux_sym_foreach_statement_token2] = ACTIONS(1536),
    [aux_sym_if_statement_token1] = ACTIONS(1536),
    [aux_sym_if_statement_token2] = ACTIONS(1536),
    [aux_sym_else_if_clause_token1] = ACTIONS(1536),
    [aux_sym_else_clause_token1] = ACTIONS(1536),
    [aux_sym_match_expression_token1] = ACTIONS(1536),
    [aux_sym_match_default_expression_token1] = ACTIONS(1536),
    [aux_sym_switch_statement_token1] = ACTIONS(1536),
    [aux_sym_switch_block_token1] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [aux_sym_clone_expression_token1] = ACTIONS(1536),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1536),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [aux_sym__list_destructing_token1] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_self] = ACTIONS(1536),
    [anon_sym_parent] = ACTIONS(1536),
    [aux_sym__argument_name_token1] = ACTIONS(1536),
    [aux_sym__argument_name_token2] = ACTIONS(1536),
    [anon_sym_POUND_LBRACK] = ACTIONS(1534),
    [aux_sym_encapsed_string_token1] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [aux_sym_string_token1] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_LT_LT_LT] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [aux_sym_yield_expression_token1] = ACTIONS(1536),
    [aux_sym_include_expression_token1] = ACTIONS(1536),
    [aux_sym_include_once_expression_token1] = ACTIONS(1536),
    [aux_sym_require_expression_token1] = ACTIONS(1536),
    [aux_sym_require_once_expression_token1] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_name] = ACTIONS(1544),
    [anon_sym_QMARK_GT] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1542),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1544),
    [aux_sym_global_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_definition_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_trait_declaration_token1] = ACTIONS(1544),
    [aux_sym_interface_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_case_token1] = ACTIONS(1544),
    [aux_sym_class_declaration_token1] = ACTIONS(1544),
    [aux_sym_final_modifier_token1] = ACTIONS(1544),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1544),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1544),
    [sym_var_modifier] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1544),
    [anon_sym_LPAREN2] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1544),
    [aux_sym_echo_statement_token1] = ACTIONS(1544),
    [aux_sym_exit_statement_token1] = ACTIONS(1544),
    [anon_sym_unset] = ACTIONS(1544),
    [aux_sym_declare_statement_token1] = ACTIONS(1544),
    [aux_sym_declare_statement_token2] = ACTIONS(1544),
    [sym_float] = ACTIONS(1544),
    [aux_sym_try_statement_token1] = ACTIONS(1544),
    [aux_sym_goto_statement_token1] = ACTIONS(1544),
    [aux_sym_continue_statement_token1] = ACTIONS(1544),
    [aux_sym_break_statement_token1] = ACTIONS(1544),
    [sym_integer] = ACTIONS(1544),
    [aux_sym_return_statement_token1] = ACTIONS(1544),
    [aux_sym_throw_expression_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token2] = ACTIONS(1544),
    [aux_sym_do_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token2] = ACTIONS(1544),
    [aux_sym_foreach_statement_token1] = ACTIONS(1544),
    [aux_sym_foreach_statement_token2] = ACTIONS(1544),
    [aux_sym_if_statement_token1] = ACTIONS(1544),
    [aux_sym_if_statement_token2] = ACTIONS(1544),
    [aux_sym_else_if_clause_token1] = ACTIONS(1544),
    [aux_sym_else_clause_token1] = ACTIONS(1544),
    [aux_sym_match_expression_token1] = ACTIONS(1544),
    [aux_sym_match_default_expression_token1] = ACTIONS(1544),
    [aux_sym_switch_statement_token1] = ACTIONS(1544),
    [aux_sym_switch_block_token1] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [aux_sym_clone_expression_token1] = ACTIONS(1544),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1544),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [aux_sym__list_destructing_token1] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_self] = ACTIONS(1544),
    [anon_sym_parent] = ACTIONS(1544),
    [aux_sym__argument_name_token1] = ACTIONS(1544),
    [aux_sym__argument_name_token2] = ACTIONS(1544),
    [anon_sym_POUND_LBRACK] = ACTIONS(1542),
    [aux_sym_encapsed_string_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [aux_sym_string_token1] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [anon_sym_LT_LT_LT] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [aux_sym_yield_expression_token1] = ACTIONS(1544),
    [aux_sym_include_expression_token1] = ACTIONS(1544),
    [aux_sym_include_once_expression_token1] = ACTIONS(1544),
    [aux_sym_require_expression_token1] = ACTIONS(1544),
    [aux_sym_require_once_expression_token1] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [anon_sym_LPAREN2] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [anon_sym_LPAREN2] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_name] = ACTIONS(1556),
    [anon_sym_QMARK_GT] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1556),
    [aux_sym_global_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_definition_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1556),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [aux_sym_trait_declaration_token1] = ACTIONS(1556),
    [aux_sym_interface_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_case_token1] = ACTIONS(1556),
    [aux_sym_class_declaration_token1] = ACTIONS(1556),
    [aux_sym_final_modifier_token1] = ACTIONS(1556),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1556),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1556),
    [sym_var_modifier] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1556),
    [aux_sym_echo_statement_token1] = ACTIONS(1556),
    [aux_sym_exit_statement_token1] = ACTIONS(1556),
    [anon_sym_unset] = ACTIONS(1556),
    [aux_sym_declare_statement_token1] = ACTIONS(1556),
    [aux_sym_declare_statement_token2] = ACTIONS(1556),
    [sym_float] = ACTIONS(1556),
    [aux_sym_try_statement_token1] = ACTIONS(1556),
    [aux_sym_goto_statement_token1] = ACTIONS(1556),
    [aux_sym_continue_statement_token1] = ACTIONS(1556),
    [aux_sym_break_statement_token1] = ACTIONS(1556),
    [sym_integer] = ACTIONS(1556),
    [aux_sym_return_statement_token1] = ACTIONS(1556),
    [aux_sym_throw_expression_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token2] = ACTIONS(1556),
    [aux_sym_do_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token2] = ACTIONS(1556),
    [aux_sym_foreach_statement_token1] = ACTIONS(1556),
    [aux_sym_foreach_statement_token2] = ACTIONS(1556),
    [aux_sym_if_statement_token1] = ACTIONS(1556),
    [aux_sym_if_statement_token2] = ACTIONS(1556),
    [aux_sym_else_if_clause_token1] = ACTIONS(1556),
    [aux_sym_else_clause_token1] = ACTIONS(1556),
    [aux_sym_match_expression_token1] = ACTIONS(1556),
    [aux_sym_match_default_expression_token1] = ACTIONS(1556),
    [aux_sym_switch_statement_token1] = ACTIONS(1556),
    [aux_sym_switch_block_token1] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [aux_sym_clone_expression_token1] = ACTIONS(1556),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1556),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [aux_sym__list_destructing_token1] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_self] = ACTIONS(1556),
    [anon_sym_parent] = ACTIONS(1556),
    [aux_sym__argument_name_token1] = ACTIONS(1556),
    [aux_sym__argument_name_token2] = ACTIONS(1556),
    [anon_sym_POUND_LBRACK] = ACTIONS(1554),
    [aux_sym_encapsed_string_token1] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_LT_LT_LT] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [aux_sym_yield_expression_token1] = ACTIONS(1556),
    [aux_sym_include_expression_token1] = ACTIONS(1556),
    [aux_sym_include_once_expression_token1] = ACTIONS(1556),
    [aux_sym_require_expression_token1] = ACTIONS(1556),
    [aux_sym_require_once_expression_token1] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1558),
    [sym_name] = ACTIONS(1560),
    [anon_sym_QMARK_GT] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1560),
    [aux_sym_global_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_definition_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [aux_sym_trait_declaration_token1] = ACTIONS(1560),
    [aux_sym_interface_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_case_token1] = ACTIONS(1560),
    [aux_sym_class_declaration_token1] = ACTIONS(1560),
    [aux_sym_final_modifier_token1] = ACTIONS(1560),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1560),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1560),
    [sym_var_modifier] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1560),
    [anon_sym_LPAREN2] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1560),
    [aux_sym_echo_statement_token1] = ACTIONS(1560),
    [aux_sym_exit_statement_token1] = ACTIONS(1560),
    [anon_sym_unset] = ACTIONS(1560),
    [aux_sym_declare_statement_token1] = ACTIONS(1560),
    [aux_sym_declare_statement_token2] = ACTIONS(1560),
    [sym_float] = ACTIONS(1560),
    [aux_sym_try_statement_token1] = ACTIONS(1560),
    [aux_sym_goto_statement_token1] = ACTIONS(1560),
    [aux_sym_continue_statement_token1] = ACTIONS(1560),
    [aux_sym_break_statement_token1] = ACTIONS(1560),
    [sym_integer] = ACTIONS(1560),
    [aux_sym_return_statement_token1] = ACTIONS(1560),
    [aux_sym_throw_expression_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token2] = ACTIONS(1560),
    [aux_sym_do_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token2] = ACTIONS(1560),
    [aux_sym_foreach_statement_token1] = ACTIONS(1560),
    [aux_sym_foreach_statement_token2] = ACTIONS(1560),
    [aux_sym_if_statement_token1] = ACTIONS(1560),
    [aux_sym_if_statement_token2] = ACTIONS(1560),
    [aux_sym_else_if_clause_token1] = ACTIONS(1560),
    [aux_sym_else_clause_token1] = ACTIONS(1560),
    [aux_sym_match_expression_token1] = ACTIONS(1560),
    [aux_sym_match_default_expression_token1] = ACTIONS(1560),
    [aux_sym_switch_statement_token1] = ACTIONS(1560),
    [aux_sym_switch_block_token1] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [aux_sym_clone_expression_token1] = ACTIONS(1560),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1560),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1558),
    [aux_sym__list_destructing_token1] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_self] = ACTIONS(1560),
    [anon_sym_parent] = ACTIONS(1560),
    [aux_sym__argument_name_token1] = ACTIONS(1560),
    [aux_sym__argument_name_token2] = ACTIONS(1560),
    [anon_sym_POUND_LBRACK] = ACTIONS(1558),
    [aux_sym_encapsed_string_token1] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1558),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_LT_LT_LT] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [aux_sym_yield_expression_token1] = ACTIONS(1560),
    [aux_sym_include_expression_token1] = ACTIONS(1560),
    [aux_sym_include_once_expression_token1] = ACTIONS(1560),
    [aux_sym_require_expression_token1] = ACTIONS(1560),
    [aux_sym_require_once_expression_token1] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_case_token1] = ACTIONS(1564),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [aux_sym_declare_statement_token2] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token2] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token2] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token2] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token2] = ACTIONS(1564),
    [aux_sym_else_if_clause_token1] = ACTIONS(1564),
    [aux_sym_else_clause_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_match_default_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [aux_sym_switch_block_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1562),
    [aux_sym_encapsed_string_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [anon_sym_LT_LT_LT] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_name] = ACTIONS(1089),
    [anon_sym_QMARK_GT] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(1087),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1089),
    [aux_sym_global_declaration_token1] = ACTIONS(1089),
    [aux_sym_namespace_definition_token1] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1089),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1089),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1089),
    [anon_sym_BSLASH] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [aux_sym_trait_declaration_token1] = ACTIONS(1089),
    [aux_sym_interface_declaration_token1] = ACTIONS(1089),
    [aux_sym_enum_declaration_token1] = ACTIONS(1089),
    [aux_sym_enum_case_token1] = ACTIONS(1089),
    [aux_sym_class_declaration_token1] = ACTIONS(1089),
    [aux_sym_final_modifier_token1] = ACTIONS(1089),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1089),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1089),
    [sym_var_modifier] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1089),
    [anon_sym_LPAREN2] = ACTIONS(1087),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1089),
    [aux_sym_cast_type_token1] = ACTIONS(1089),
    [aux_sym_echo_statement_token1] = ACTIONS(1089),
    [aux_sym_exit_statement_token1] = ACTIONS(1089),
    [anon_sym_unset] = ACTIONS(1089),
    [aux_sym_declare_statement_token1] = ACTIONS(1089),
    [aux_sym_declare_statement_token2] = ACTIONS(1089),
    [sym_float] = ACTIONS(1089),
    [aux_sym_try_statement_token1] = ACTIONS(1089),
    [aux_sym_goto_statement_token1] = ACTIONS(1089),
    [aux_sym_continue_statement_token1] = ACTIONS(1089),
    [aux_sym_break_statement_token1] = ACTIONS(1089),
    [sym_integer] = ACTIONS(1089),
    [aux_sym_return_statement_token1] = ACTIONS(1089),
    [aux_sym_throw_expression_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token2] = ACTIONS(1089),
    [aux_sym_do_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token2] = ACTIONS(1089),
    [aux_sym_foreach_statement_token1] = ACTIONS(1089),
    [aux_sym_foreach_statement_token2] = ACTIONS(1089),
    [aux_sym_if_statement_token1] = ACTIONS(1089),
    [aux_sym_if_statement_token2] = ACTIONS(1089),
    [aux_sym_else_if_clause_token1] = ACTIONS(1089),
    [aux_sym_else_clause_token1] = ACTIONS(1089),
    [aux_sym_match_expression_token1] = ACTIONS(1089),
    [aux_sym_match_default_expression_token1] = ACTIONS(1089),
    [aux_sym_switch_statement_token1] = ACTIONS(1089),
    [aux_sym_switch_block_token1] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_AT] = ACTIONS(1087),
    [aux_sym_clone_expression_token1] = ACTIONS(1089),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1089),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1089),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [aux_sym__list_destructing_token1] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_self] = ACTIONS(1089),
    [anon_sym_parent] = ACTIONS(1089),
    [aux_sym__argument_name_token1] = ACTIONS(1089),
    [aux_sym__argument_name_token2] = ACTIONS(1089),
    [anon_sym_POUND_LBRACK] = ACTIONS(1087),
    [aux_sym_encapsed_string_token1] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1087),
    [aux_sym_string_token1] = ACTIONS(1087),
    [anon_sym_SQUOTE] = ACTIONS(1087),
    [anon_sym_LT_LT_LT] = ACTIONS(1087),
    [anon_sym_BQUOTE] = ACTIONS(1087),
    [anon_sym_DOLLAR] = ACTIONS(1087),
    [aux_sym_yield_expression_token1] = ACTIONS(1089),
    [aux_sym_include_expression_token1] = ACTIONS(1089),
    [aux_sym_include_once_expression_token1] = ACTIONS(1089),
    [aux_sym_require_expression_token1] = ACTIONS(1089),
    [aux_sym_require_once_expression_token1] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_case_token1] = ACTIONS(1568),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [aux_sym_declare_statement_token2] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token2] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token2] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token2] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token2] = ACTIONS(1568),
    [aux_sym_else_if_clause_token1] = ACTIONS(1568),
    [aux_sym_else_clause_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_match_default_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [aux_sym_switch_block_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_name] = ACTIONS(1572),
    [anon_sym_QMARK_GT] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1572),
    [aux_sym_global_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_definition_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1572),
    [aux_sym_interface_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_case_token1] = ACTIONS(1572),
    [aux_sym_class_declaration_token1] = ACTIONS(1572),
    [aux_sym_final_modifier_token1] = ACTIONS(1572),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1572),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1572),
    [sym_var_modifier] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1572),
    [aux_sym_echo_statement_token1] = ACTIONS(1572),
    [aux_sym_exit_statement_token1] = ACTIONS(1572),
    [anon_sym_unset] = ACTIONS(1572),
    [aux_sym_declare_statement_token1] = ACTIONS(1572),
    [aux_sym_declare_statement_token2] = ACTIONS(1572),
    [sym_float] = ACTIONS(1572),
    [aux_sym_try_statement_token1] = ACTIONS(1572),
    [aux_sym_goto_statement_token1] = ACTIONS(1572),
    [aux_sym_continue_statement_token1] = ACTIONS(1572),
    [aux_sym_break_statement_token1] = ACTIONS(1572),
    [sym_integer] = ACTIONS(1572),
    [aux_sym_return_statement_token1] = ACTIONS(1572),
    [aux_sym_throw_expression_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token2] = ACTIONS(1572),
    [aux_sym_do_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token2] = ACTIONS(1572),
    [aux_sym_foreach_statement_token1] = ACTIONS(1572),
    [aux_sym_foreach_statement_token2] = ACTIONS(1572),
    [aux_sym_if_statement_token1] = ACTIONS(1572),
    [aux_sym_if_statement_token2] = ACTIONS(1572),
    [aux_sym_else_if_clause_token1] = ACTIONS(1572),
    [aux_sym_else_clause_token1] = ACTIONS(1572),
    [aux_sym_match_expression_token1] = ACTIONS(1572),
    [aux_sym_match_default_expression_token1] = ACTIONS(1572),
    [aux_sym_switch_statement_token1] = ACTIONS(1572),
    [aux_sym_switch_block_token1] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1572),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1572),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1572),
    [anon_sym_parent] = ACTIONS(1572),
    [aux_sym__argument_name_token1] = ACTIONS(1572),
    [aux_sym__argument_name_token2] = ACTIONS(1572),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1572),
    [aux_sym_include_expression_token1] = ACTIONS(1572),
    [aux_sym_include_once_expression_token1] = ACTIONS(1572),
    [aux_sym_require_expression_token1] = ACTIONS(1572),
    [aux_sym_require_once_expression_token1] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_name] = ACTIONS(1576),
    [anon_sym_QMARK_GT] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1576),
    [aux_sym_global_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_definition_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_trait_declaration_token1] = ACTIONS(1576),
    [aux_sym_interface_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_case_token1] = ACTIONS(1576),
    [aux_sym_class_declaration_token1] = ACTIONS(1576),
    [aux_sym_final_modifier_token1] = ACTIONS(1576),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1576),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1576),
    [sym_var_modifier] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1576),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1576),
    [aux_sym_echo_statement_token1] = ACTIONS(1576),
    [aux_sym_exit_statement_token1] = ACTIONS(1576),
    [anon_sym_unset] = ACTIONS(1576),
    [aux_sym_declare_statement_token1] = ACTIONS(1576),
    [aux_sym_declare_statement_token2] = ACTIONS(1576),
    [sym_float] = ACTIONS(1576),
    [aux_sym_try_statement_token1] = ACTIONS(1576),
    [aux_sym_goto_statement_token1] = ACTIONS(1576),
    [aux_sym_continue_statement_token1] = ACTIONS(1576),
    [aux_sym_break_statement_token1] = ACTIONS(1576),
    [sym_integer] = ACTIONS(1576),
    [aux_sym_return_statement_token1] = ACTIONS(1576),
    [aux_sym_throw_expression_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token2] = ACTIONS(1576),
    [aux_sym_do_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token2] = ACTIONS(1576),
    [aux_sym_foreach_statement_token1] = ACTIONS(1576),
    [aux_sym_foreach_statement_token2] = ACTIONS(1576),
    [aux_sym_if_statement_token1] = ACTIONS(1576),
    [aux_sym_if_statement_token2] = ACTIONS(1576),
    [aux_sym_else_if_clause_token1] = ACTIONS(1576),
    [aux_sym_else_clause_token1] = ACTIONS(1576),
    [aux_sym_match_expression_token1] = ACTIONS(1576),
    [aux_sym_match_default_expression_token1] = ACTIONS(1576),
    [aux_sym_switch_statement_token1] = ACTIONS(1576),
    [aux_sym_switch_block_token1] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [aux_sym_clone_expression_token1] = ACTIONS(1576),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1576),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [aux_sym__list_destructing_token1] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_self] = ACTIONS(1576),
    [anon_sym_parent] = ACTIONS(1576),
    [aux_sym__argument_name_token1] = ACTIONS(1576),
    [aux_sym__argument_name_token2] = ACTIONS(1576),
    [anon_sym_POUND_LBRACK] = ACTIONS(1574),
    [aux_sym_encapsed_string_token1] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_LT_LT_LT] = ACTIONS(1574),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [aux_sym_yield_expression_token1] = ACTIONS(1576),
    [aux_sym_include_expression_token1] = ACTIONS(1576),
    [aux_sym_include_once_expression_token1] = ACTIONS(1576),
    [aux_sym_require_expression_token1] = ACTIONS(1576),
    [aux_sym_require_once_expression_token1] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_name] = ACTIONS(1580),
    [anon_sym_QMARK_GT] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1580),
    [aux_sym_global_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_definition_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_trait_declaration_token1] = ACTIONS(1580),
    [aux_sym_interface_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_case_token1] = ACTIONS(1580),
    [aux_sym_class_declaration_token1] = ACTIONS(1580),
    [aux_sym_final_modifier_token1] = ACTIONS(1580),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1580),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1580),
    [sym_var_modifier] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1580),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1580),
    [aux_sym_echo_statement_token1] = ACTIONS(1580),
    [aux_sym_exit_statement_token1] = ACTIONS(1580),
    [anon_sym_unset] = ACTIONS(1580),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [aux_sym_declare_statement_token2] = ACTIONS(1580),
    [sym_float] = ACTIONS(1580),
    [aux_sym_try_statement_token1] = ACTIONS(1580),
    [aux_sym_goto_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [sym_integer] = ACTIONS(1580),
    [aux_sym_return_statement_token1] = ACTIONS(1580),
    [aux_sym_throw_expression_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token2] = ACTIONS(1580),
    [aux_sym_do_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token2] = ACTIONS(1580),
    [aux_sym_foreach_statement_token1] = ACTIONS(1580),
    [aux_sym_foreach_statement_token2] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token2] = ACTIONS(1580),
    [aux_sym_else_if_clause_token1] = ACTIONS(1580),
    [aux_sym_else_clause_token1] = ACTIONS(1580),
    [aux_sym_match_expression_token1] = ACTIONS(1580),
    [aux_sym_match_default_expression_token1] = ACTIONS(1580),
    [aux_sym_switch_statement_token1] = ACTIONS(1580),
    [aux_sym_switch_block_token1] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [aux_sym_clone_expression_token1] = ACTIONS(1580),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1580),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [aux_sym__list_destructing_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_self] = ACTIONS(1580),
    [anon_sym_parent] = ACTIONS(1580),
    [aux_sym__argument_name_token1] = ACTIONS(1580),
    [aux_sym__argument_name_token2] = ACTIONS(1580),
    [anon_sym_POUND_LBRACK] = ACTIONS(1578),
    [aux_sym_encapsed_string_token1] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_LT_LT_LT] = ACTIONS(1578),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1578),
    [aux_sym_yield_expression_token1] = ACTIONS(1580),
    [aux_sym_include_expression_token1] = ACTIONS(1580),
    [aux_sym_include_once_expression_token1] = ACTIONS(1580),
    [aux_sym_require_expression_token1] = ACTIONS(1580),
    [aux_sym_require_once_expression_token1] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_name] = ACTIONS(1584),
    [anon_sym_QMARK_GT] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1584),
    [aux_sym_global_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_definition_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_trait_declaration_token1] = ACTIONS(1584),
    [aux_sym_interface_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_case_token1] = ACTIONS(1584),
    [aux_sym_class_declaration_token1] = ACTIONS(1584),
    [aux_sym_final_modifier_token1] = ACTIONS(1584),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1584),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1584),
    [sym_var_modifier] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1584),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1584),
    [aux_sym_echo_statement_token1] = ACTIONS(1584),
    [aux_sym_exit_statement_token1] = ACTIONS(1584),
    [anon_sym_unset] = ACTIONS(1584),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [aux_sym_declare_statement_token2] = ACTIONS(1584),
    [sym_float] = ACTIONS(1584),
    [aux_sym_try_statement_token1] = ACTIONS(1584),
    [aux_sym_goto_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [sym_integer] = ACTIONS(1584),
    [aux_sym_return_statement_token1] = ACTIONS(1584),
    [aux_sym_throw_expression_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token2] = ACTIONS(1584),
    [aux_sym_do_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token2] = ACTIONS(1584),
    [aux_sym_foreach_statement_token1] = ACTIONS(1584),
    [aux_sym_foreach_statement_token2] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token2] = ACTIONS(1584),
    [aux_sym_else_if_clause_token1] = ACTIONS(1584),
    [aux_sym_else_clause_token1] = ACTIONS(1584),
    [aux_sym_match_expression_token1] = ACTIONS(1584),
    [aux_sym_match_default_expression_token1] = ACTIONS(1584),
    [aux_sym_switch_statement_token1] = ACTIONS(1584),
    [aux_sym_switch_block_token1] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [aux_sym_clone_expression_token1] = ACTIONS(1584),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1584),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [aux_sym__list_destructing_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_self] = ACTIONS(1584),
    [anon_sym_parent] = ACTIONS(1584),
    [aux_sym__argument_name_token1] = ACTIONS(1584),
    [aux_sym__argument_name_token2] = ACTIONS(1584),
    [anon_sym_POUND_LBRACK] = ACTIONS(1582),
    [aux_sym_encapsed_string_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [anon_sym_LT_LT_LT] = ACTIONS(1582),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1582),
    [aux_sym_yield_expression_token1] = ACTIONS(1584),
    [aux_sym_include_expression_token1] = ACTIONS(1584),
    [aux_sym_include_once_expression_token1] = ACTIONS(1584),
    [aux_sym_require_expression_token1] = ACTIONS(1584),
    [aux_sym_require_once_expression_token1] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_qualified_name] = STATE(929),
    [sym__name] = STATE(1584),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(1066),
    [sym__anonymous_function_header] = STATE(2225),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1066),
    [sym_literal] = STATE(1066),
    [sym_throw_expression] = STATE(1066),
    [sym_primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(905),
    [sym_class_constant_access_expression] = STATE(978),
    [sym_print_intrinsic] = STATE(1066),
    [sym_object_creation_expression] = STATE(1066),
    [sym__new_non_dereferencable_expression] = STATE(1130),
    [sym__new_dereferencable_expression] = STATE(902),
    [sym_update_expression] = STATE(1066),
    [sym_cast_variable] = STATE(879),
    [sym__variable_member_access_expression] = STATE(872),
    [sym_member_access_expression] = STATE(879),
    [sym__variable_nullsafe_member_access_expression] = STATE(873),
    [sym_nullsafe_member_access_expression] = STATE(879),
    [sym__variable_scoped_property_access_expression] = STATE(875),
    [sym_scoped_property_access_expression] = STATE(879),
    [sym_function_call_expression] = STATE(849),
    [sym__callable_expression] = STATE(2280),
    [sym_scoped_call_expression] = STATE(849),
    [sym__scope_resolution_qualifier] = STATE(2501),
    [sym_relative_scope] = STATE(2501),
    [sym_member_call_expression] = STATE(849),
    [sym_nullsafe_member_call_expression] = STATE(849),
    [sym__variable_subscript_expression] = STATE(882),
    [sym__dereferencable_subscript_expression] = STATE(849),
    [sym__dereferencable_expression] = STATE(1818),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(892),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(931),
    [sym_string] = STATE(931),
    [sym_heredoc] = STATE(931),
    [sym_nowdoc] = STATE(931),
    [sym_shell_command_expression] = STATE(1066),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(931),
    [sym_dynamic_variable_name] = STATE(865),
    [sym__simple_variable] = STATE(865),
    [sym__new_variable] = STATE(882),
    [sym__callable_variable] = STATE(849),
    [sym_variable_name] = STATE(865),
    [sym__reserved_identifier] = STATE(1584),
    [sym__identifier] = STATE(1584),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(689),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1603),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2587),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_variable] = STATE(734),
    [sym__variable_member_access_expression] = STATE(743),
    [sym_member_access_expression] = STATE(734),
    [sym__variable_nullsafe_member_access_expression] = STATE(736),
    [sym_nullsafe_member_access_expression] = STATE(734),
    [sym__variable_scoped_property_access_expression] = STATE(747),
    [sym_scoped_property_access_expression] = STATE(734),
    [sym_function_call_expression] = STATE(719),
    [sym__callable_expression] = STATE(2254),
    [sym_scoped_call_expression] = STATE(719),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(719),
    [sym_nullsafe_member_call_expression] = STATE(719),
    [sym__variable_subscript_expression] = STATE(740),
    [sym__dereferencable_subscript_expression] = STATE(719),
    [sym__dereferencable_expression] = STATE(1804),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(715),
    [sym__simple_variable] = STATE(715),
    [sym__new_variable] = STATE(740),
    [sym__callable_variable] = STATE(719),
    [sym_variable_name] = STATE(715),
    [sym__reserved_identifier] = STATE(1603),
    [sym__identifier] = STATE(1603),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1603),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_variable] = STATE(734),
    [sym__variable_member_access_expression] = STATE(743),
    [sym_member_access_expression] = STATE(734),
    [sym__variable_nullsafe_member_access_expression] = STATE(736),
    [sym_nullsafe_member_access_expression] = STATE(734),
    [sym__variable_scoped_property_access_expression] = STATE(747),
    [sym_scoped_property_access_expression] = STATE(734),
    [sym_function_call_expression] = STATE(719),
    [sym__callable_expression] = STATE(2254),
    [sym_scoped_call_expression] = STATE(719),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(719),
    [sym_nullsafe_member_call_expression] = STATE(719),
    [sym__variable_subscript_expression] = STATE(740),
    [sym__dereferencable_subscript_expression] = STATE(719),
    [sym__dereferencable_expression] = STATE(1804),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(715),
    [sym__simple_variable] = STATE(715),
    [sym__new_variable] = STATE(740),
    [sym__callable_variable] = STATE(719),
    [sym_variable_name] = STATE(715),
    [sym__reserved_identifier] = STATE(1603),
    [sym__identifier] = STATE(1603),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym_qualified_name] = STATE(754),
    [sym__name] = STATE(1603),
    [sym_namespace_name] = STATE(2504),
    [sym_static_modifier] = STATE(2239),
    [sym_anonymous_function] = STATE(996),
    [sym__anonymous_function_header] = STATE(2248),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(996),
    [sym_literal] = STATE(996),
    [sym_throw_expression] = STATE(996),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(801),
    [sym_class_constant_access_expression] = STATE(840),
    [sym_print_intrinsic] = STATE(996),
    [sym_object_creation_expression] = STATE(996),
    [sym__new_non_dereferencable_expression] = STATE(982),
    [sym__new_dereferencable_expression] = STATE(812),
    [sym_update_expression] = STATE(996),
    [sym_cast_variable] = STATE(734),
    [sym__variable_member_access_expression] = STATE(743),
    [sym_member_access_expression] = STATE(734),
    [sym__variable_nullsafe_member_access_expression] = STATE(736),
    [sym_nullsafe_member_access_expression] = STATE(734),
    [sym__variable_scoped_property_access_expression] = STATE(747),
    [sym_scoped_property_access_expression] = STATE(734),
    [sym_function_call_expression] = STATE(719),
    [sym__callable_expression] = STATE(2254),
    [sym_scoped_call_expression] = STATE(719),
    [sym__scope_resolution_qualifier] = STATE(2621),
    [sym_relative_scope] = STATE(2621),
    [sym_member_call_expression] = STATE(719),
    [sym_nullsafe_member_call_expression] = STATE(719),
    [sym__variable_subscript_expression] = STATE(740),
    [sym__dereferencable_subscript_expression] = STATE(719),
    [sym__dereferencable_expression] = STATE(1804),
    [sym__dereferencable_scalar] = STATE(1707),
    [sym_array_creation_expression] = STATE(781),
    [sym_attribute_group] = STATE(1320),
    [sym_attribute_list] = STATE(1785),
    [sym_encapsed_string] = STATE(756),
    [sym_string] = STATE(756),
    [sym_heredoc] = STATE(756),
    [sym_nowdoc] = STATE(756),
    [sym_shell_command_expression] = STATE(996),
    [sym_boolean] = STATE(1000),
    [sym_null] = STATE(1000),
    [sym__string] = STATE(756),
    [sym_dynamic_variable_name] = STATE(715),
    [sym__simple_variable] = STATE(715),
    [sym__new_variable] = STATE(740),
    [sym__callable_variable] = STATE(719),
    [sym_variable_name] = STATE(715),
    [sym__reserved_identifier] = STATE(1603),
    [sym__identifier] = STATE(1603),
    [aux_sym_attribute_list_repeat1] = STATE(1320),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [sym_name] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1596),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [anon_sym_LPAREN2] = ACTIONS(1596),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(591), 1,
      sym_arguments,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(599), 1,
      sym_arguments,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [494] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [562] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [640] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [708] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [776] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [844] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [912] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [980] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1048] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1116] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1184] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1680), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1252] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1684), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1320] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1388] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1694), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1692), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1456] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1698), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1696), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1524] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1700), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1592] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1704), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1660] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1710), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1708), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1728] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1714), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1712), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1796] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1716), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1866] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1684), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1934] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1722), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2004] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2079] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2154] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN2,
    STATE(618), 1,
      sym_arguments,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2223] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN2,
    STATE(638), 1,
      sym_arguments,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2292] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2367] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2431] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 1,
      sym_name,
    ACTIONS(1734), 1,
      anon_sym_RBRACE,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(639), 1,
      aux_sym_use_list_repeat1,
    STATE(1575), 1,
      sym_class_constant_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2188), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1855), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1707), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2543] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2607] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2671] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2745] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2809] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2873] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1688), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2937] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3011] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2229), 1,
      sym_by_ref,
    STATE(2231), 1,
      sym__list_destructing,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1635), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1637), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1515), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3129] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1748), 1,
      anon_sym_EQ,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1750), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3203] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1698), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1696), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3267] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3331] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1710), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1708), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3395] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3459] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3523] = 27,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1752), 1,
      sym_name,
    ACTIONS(1758), 1,
      anon_sym_BSLASH,
    ACTIONS(1761), 1,
      anon_sym_RBRACE,
    ACTIONS(1763), 1,
      anon_sym_LPAREN2,
    ACTIONS(1766), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1769), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1781), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DOLLAR,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(634), 1,
      aux_sym_use_list_repeat1,
    STATE(1575), 1,
      sym_class_constant_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(1775), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1778), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2188), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1755), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1855), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1707), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [3635] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2173), 1,
      sym__list_destructing,
    STATE(2193), 1,
      sym_by_ref,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1539), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1542), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1497), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3753] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1716), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1704), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3883] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3947] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1787), 1,
      anon_sym_RBRACE,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(634), 1,
      aux_sym_use_list_repeat1,
    STATE(1575), 1,
      sym_class_constant_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2188), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1855), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1707), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [4059] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1722), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4125] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4189] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1714), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1712), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4253] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4325] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1700), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4389] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4524] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1684), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4587] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_EQ,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1750), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4658] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4729] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4800] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1684), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4863] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4934] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1694), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1692), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4997] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5068] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5131] = 11,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2123), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1680), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5273] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5346] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5409] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_EQ,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1750), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5480] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1791), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1793), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5553] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5616] = 29,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(889), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2305), 1,
      sym_by_ref,
    STATE(2310), 1,
      sym__array_destructing,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1636), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1589), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1512), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5731] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5801] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5875] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5949] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6023] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6093] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1793), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6163] = 10,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2123), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6239] = 10,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2123), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6315] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1793), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1634), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6385] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6458] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6529] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1805), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1570), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1562), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6638] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1807), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1570), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1562), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6747] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1809), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1570), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1562), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6856] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6927] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1811), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1570), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1562), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7036] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7107] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7178] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1730), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7249] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7320] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1570), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1562), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7426] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(890), 1,
      sym__variable_scoped_property_access_expression,
    STATE(947), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(951), 1,
      sym__variable_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2224), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(990), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2558), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(893), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(991), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1631), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(933), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7532] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7602] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1819), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7666] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1824), 1,
      anon_sym_LPAREN2,
    STATE(872), 1,
      sym__variable_member_access_expression,
    STATE(873), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(875), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2280), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(885), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1818), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2550), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(865), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(884), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1584), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(851), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7772] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(890), 1,
      sym__variable_scoped_property_access_expression,
    STATE(947), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(951), 1,
      sym__variable_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2224), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(993), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2558), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(893), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(995), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1631), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(965), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7878] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_EQ,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1634), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1744), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1636), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7948] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN2,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    STATE(752), 1,
      sym__variable_scoped_property_access_expression,
    STATE(762), 1,
      sym__variable_member_access_expression,
    STATE(780), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2277), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(834), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1863), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2582), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(782), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(835), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(777), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8054] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN2,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    STATE(752), 1,
      sym__variable_scoped_property_access_expression,
    STATE(762), 1,
      sym__variable_member_access_expression,
    STATE(780), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2277), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(766), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1863), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2582), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(782), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(767), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(746), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8160] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN2,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    STATE(752), 1,
      sym__variable_scoped_property_access_expression,
    STATE(762), 1,
      sym__variable_member_access_expression,
    STATE(780), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2277), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(832), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1863), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2582), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(782), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(831), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1579), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(764), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8266] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1518), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1516), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1502), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8372] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(890), 1,
      sym__variable_scoped_property_access_expression,
    STATE(947), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(951), 1,
      sym__variable_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2224), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(987), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2558), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(893), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(989), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1631), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(934), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8478] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(709), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(723), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(703), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8584] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1560), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1561), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1498), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8690] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2250), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(766), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1855), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2580), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(767), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(746), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8796] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1746), 1,
      sym_name,
    STATE(736), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(743), 1,
      sym__variable_member_access_expression,
    STATE(747), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1762), 1,
      sym__new_dereferencable_expression,
    STATE(2254), 1,
      sym__callable_expression,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(709), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1804), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(715), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(723), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1603), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(703), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1707), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1832), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8960] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9020] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1448), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1446), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9075] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9134] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1838), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1840), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1846), 1,
      sym_var_modifier,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1546), 1,
      sym_property_element,
    STATE(1726), 1,
      sym_variable_name,
    STATE(1729), 1,
      sym__function_definition_header,
    STATE(2158), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9231] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1838), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1840), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1846), 1,
      sym_var_modifier,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1525), 1,
      sym_property_element,
    STATE(1656), 1,
      sym__function_definition_header,
    STATE(1726), 1,
      sym_variable_name,
    STATE(2198), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9328] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1404), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9383] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LPAREN2,
    STATE(730), 1,
      sym_arguments,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9442] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9501] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9557] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1698), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9611] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9665] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9719] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9827] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1722), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9883] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1710), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9937] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9991] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10045] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10105] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10161] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10215] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10269] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10325] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10379] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10433] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10487] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1714), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10541] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10601] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1650), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10657] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10711] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10765] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10872] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10929] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(807), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10986] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11039] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11092] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11147] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11200] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11257] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11310] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(779), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11367] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11420] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11475] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11528] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11585] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11638] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11690] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1698), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11742] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11846] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11898] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11950] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1887), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12004] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1891), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1889), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12056] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1897), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1895), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12110] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12162] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1905), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12214] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1909), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12266] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1913), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12318] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1921), 1,
      anon_sym_DASH_GT,
    ACTIONS(1923), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1925), 1,
      anon_sym_LBRACK,
    ACTIONS(1917), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12378] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12430] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12482] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12538] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(1935), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1933), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12594] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12648] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12702] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1942), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1940), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12754] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1946), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1944), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12806] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12858] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12910] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12962] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1950), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1948), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13014] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1954), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1952), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13066] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1956), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13118] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1962), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1960), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13170] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13226] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13278] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13330] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13382] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1897), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13436] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1722), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13490] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1085), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1083), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13542] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1710), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13594] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13646] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1966), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1964), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13698] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1970), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1968), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13750] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13802] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13854] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13906] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13960] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1972), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14012] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1714), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14064] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1978), 1,
      anon_sym_COMMA,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1984), 1,
      anon_sym_RPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2015), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [14158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14262] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14314] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14366] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2008), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14418] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14470] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14526] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14578] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14630] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14682] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14734] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2016), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14786] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14838] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2020), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14890] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1933), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14942] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14994] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15046] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_LPAREN2,
    ACTIONS(2036), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15102] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15154] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15206] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15258] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15310] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15362] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15414] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15466] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2066), 1,
      anon_sym_COMMA,
    ACTIONS(2068), 1,
      anon_sym_RPAREN2,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1998), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [15560] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15612] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15716] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15768] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2084), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15820] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1089), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1087), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15872] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15924] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2090), 1,
      anon_sym_RPAREN2,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16015] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16070] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16121] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16174] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16227] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2094), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16282] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16335] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16388] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1819), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16443] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2096), 1,
      anon_sym_RPAREN2,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16534] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN2,
    STATE(855), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16589] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2098), 1,
      anon_sym_RPAREN2,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16680] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16733] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1819), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16788] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2100), 1,
      anon_sym_RPAREN2,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16879] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1698), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16929] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16979] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17029] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17079] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17129] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_RPAREN2,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17183] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17239] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1710), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17289] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17343] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17393] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17443] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17493] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17543] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17599] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17649] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      sym_name,
    ACTIONS(2104), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2106), 1,
      anon_sym_BSLASH,
    ACTIONS(2108), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2110), 1,
      sym_var_modifier,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(752), 1,
      sym__variable_scoped_property_access_expression,
    STATE(760), 1,
      sym_anonymous_class,
    STATE(762), 1,
      sym__variable_member_access_expression,
    STATE(780), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1350), 1,
      sym_attribute_list,
    STATE(2566), 1,
      sym_namespace_name,
    ACTIONS(2114), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(880), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(881), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(761), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1353), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [17743] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17843] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2116), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [17945] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2120), 1,
      sym_name,
    ACTIONS(2122), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2124), 1,
      anon_sym_BSLASH,
    ACTIONS(2126), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2128), 1,
      sym_var_modifier,
    ACTIONS(2130), 1,
      anon_sym_LPAREN2,
    STATE(890), 1,
      sym__variable_scoped_property_access_expression,
    STATE(947), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(951), 1,
      sym__variable_member_access_expression,
    STATE(958), 1,
      sym_anonymous_class,
    STATE(1348), 1,
      sym_attribute_list,
    STATE(2479), 1,
      sym_namespace_name,
    ACTIONS(2132), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1010), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1011), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(961), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1351), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [18039] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1063), 1,
      sym_attribute_list,
    STATE(1204), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1300), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [18127] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1722), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18179] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(2104), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2108), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2110), 1,
      sym_var_modifier,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(760), 1,
      sym_anonymous_class,
    STATE(1350), 1,
      sym_attribute_list,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2301), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(2389), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1769), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1353), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [18273] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18323] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1714), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18373] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18423] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18472] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18521] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18570] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18619] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18670] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18719] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN2,
    STATE(969), 1,
      sym_arguments,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18772] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18821] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18870] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18923] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(813), 1,
      sym_arguments,
    ACTIONS(2140), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2138), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18976] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19027] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19080] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN2,
    STATE(964), 1,
      sym_arguments,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19133] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19184] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19235] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1694), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19284] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19333] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2142), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [19431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19479] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19535] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1897), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19585] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_LPAREN2,
    ACTIONS(1722), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1720), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19635] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19683] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1942), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1940), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19731] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19779] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1891), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1889), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19827] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19875] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19925] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19973] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20021] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_LPAREN2,
    ACTIONS(2036), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20073] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20121] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20169] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20221] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20269] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1698), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20317] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20365] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20413] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1909), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1907), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20509] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20557] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20605] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20653] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20701] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1718), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1716), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20751] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1950), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1948), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20799] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1954), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1952), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20847] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2016), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20895] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20943] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20991] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21039] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21087] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1970), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1968), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21135] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1958), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1956), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21183] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1962), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1960), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21231] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21279] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21327] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1887), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21377] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21425] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1897), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21475] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1404), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21523] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21575] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21627] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21675] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2148), 1,
      anon_sym_COLON,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21731] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21779] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21827] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21877] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21925] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21973] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1448), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1446), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22021] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22069] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22117] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22165] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22213] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22261] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22309] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1714), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1712), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22357] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22405] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22453] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2008), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22501] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1702), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1700), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22549] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1694), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22597] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2020), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22645] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22693] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1708), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22741] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1913), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22789] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22837] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22885] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2152), 1,
      anon_sym_DASH_GT,
    ACTIONS(2154), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2156), 1,
      anon_sym_LBRACK,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22941] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1688), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23037] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23085] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23137] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23185] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1972), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23233] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23281] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23329] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_LPAREN2,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23379] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2094), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1966), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1964), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23479] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2158), 1,
      anon_sym_COLON,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23535] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1946), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1944), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23583] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23630] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23677] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23724] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23773] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1817), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1819), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23824] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23871] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(2176), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23922] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23969] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2182), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24018] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2186), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2184), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24065] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2190), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2188), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24112] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2194), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24159] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24208] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24255] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24304] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24353] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24402] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2198), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2196), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24449] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24498] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2202), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2200), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24545] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24594] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24641] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2206), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24688] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2210), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2208), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24735] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24782] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24829] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24876] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24923] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2226), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24970] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2230), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25017] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25064] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25204] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25249] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN2,
    STATE(935), 1,
      sym_arguments,
    ACTIONS(2140), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2138), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25298] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1917), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25345] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25427] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25505] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25581] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25663] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [25715] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [25769] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25851] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25897] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [25969] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26045] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26127] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26203] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26285] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2302), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2196), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26369] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26451] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26521] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26577] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26643] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26719] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26779] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26829] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26911] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26987] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27051] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27127] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27173] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27255] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27337] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27381] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27463] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27539] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27619] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27687] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27762] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2352), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2357), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2360), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2363), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2366), 1,
      sym_var_modifier,
    ACTIONS(2369), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2355), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2350), 16,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27819] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27894] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27937] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2194), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27980] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28029] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28096] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28163] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28226] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28291] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2198), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2196), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28334] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28415] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28492] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28571] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28634] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28715] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28758] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28833] = 18,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2420), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1200), 1,
      sym_visibility_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1731), 1,
      sym_type,
    STATE(2079), 1,
      sym_reference_modifier,
    STATE(2080), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [28906] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28951] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29026] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29069] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29144] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [29215] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29260] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29341] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29400] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29455] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2202), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2200), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29498] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29549] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29602] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29647] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29722] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29797] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29840] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [29919] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29962] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30043] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2186), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2184), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30086] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30161] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30236] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2206), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30279] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2210), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2208), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30322] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30403] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30484] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30559] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1089), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1087), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30602] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30645] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1085), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1083), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30688] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2422), 1,
      anon_sym_EQ_GT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2196), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [30771] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2230), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2228), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30814] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30895] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30976] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31053] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31124] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31205] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31286] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2226), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31329] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31410] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31453] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31534] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31577] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31652] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31727] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31808] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2424), 1,
      anon_sym_EQ_GT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2196), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31891] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31972] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32041] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32090] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32171] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32236] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32295] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [32350] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32431] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32512] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32563] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32644] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32687] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32730] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32799] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2190), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2188), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32842] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32885] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32966] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [33019] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33062] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33105] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33186] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33231] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33276] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33319] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33394] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33469] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33549] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33611] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33685] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33759] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33839] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      anon_sym_EQ_GT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2196), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33921] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [33999] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34073] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34153] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34197] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34271] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34345] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34419] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34499] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34547] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34615] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34695] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34761] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2234), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34825] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34869] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34943] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35023] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35103] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35157] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35207] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35287] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2232), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35339] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35409] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35489] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35569] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2232), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35645] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2232), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35703] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2318), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35786] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2364), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2474), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35869] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2322), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35952] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2247), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36035] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36118] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2351), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36201] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2375), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36284] = 4,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36327] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2328), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36410] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2488), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [36489] = 4,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36532] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(574), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36612] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36692] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2496), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1513), 1,
      sym_type,
    STATE(1700), 1,
      sym_const_element,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36754] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2498), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36832] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(2062), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36912] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(2047), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36992] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(2063), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37072] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(1395), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37152] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2508), 1,
      anon_sym_EQ_GT,
    ACTIONS(2196), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37232] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(2064), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37312] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(537), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37392] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2496), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1514), 1,
      sym_type,
    STATE(1652), 1,
      sym_const_element,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37454] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(540), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37534] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(544), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37614] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(1710), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37694] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2496), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1536), 1,
      sym_type,
    STATE(1708), 1,
      sym_const_element,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37756] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37836] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2522), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37914] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2196), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37994] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2412), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2416), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2418), 1,
      aux_sym_binary_expression_token4,
    STATE(1386), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2526), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38074] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1274), 1,
      sym_readonly_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1788), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1755), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1610), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38140] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2528), 1,
      anon_sym_COMMA,
    ACTIONS(2530), 1,
      anon_sym_EQ_GT,
    STATE(2171), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38222] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2532), 1,
      anon_sym_EQ_GT,
    ACTIONS(2196), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38302] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2496), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1545), 1,
      sym_type,
    STATE(1751), 1,
      sym_const_element,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38364] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1257), 1,
      sym_readonly_modifier,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1813), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1725), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1610), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38430] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2537), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2543), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      anon_sym_RBRACE,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2551), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2554), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2557), 1,
      sym_var_modifier,
    ACTIONS(2563), 1,
      anon_sym_POUND_LBRACK,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2560), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1205), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38501] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2574), 1,
      anon_sym_RBRACE,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2582), 1,
      sym_var_modifier,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1205), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38572] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_RPAREN2,
    ACTIONS(2586), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38651] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2582), 1,
      sym_var_modifier,
    ACTIONS(2588), 1,
      anon_sym_RBRACE,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1205), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38722] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38799] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2592), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38876] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38953] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2582), 1,
      sym_var_modifier,
    ACTIONS(2596), 1,
      anon_sym_RBRACE,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1206), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39024] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2582), 1,
      sym_var_modifier,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1224), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39095] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39172] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 1,
      anon_sym_RPAREN2,
    ACTIONS(2586), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39251] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2520), 1,
      anon_sym_SEMI,
    ACTIONS(2602), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39330] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39407] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39484] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2608), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39561] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2492), 1,
      anon_sym_SEMI,
    ACTIONS(2602), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39640] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39717] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39794] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39871] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2582), 1,
      sym_var_modifier,
    ACTIONS(2616), 1,
      anon_sym_RBRACE,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1205), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39942] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2618), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40019] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40096] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40173] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2624), 1,
      anon_sym_EQ_GT,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40252] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40329] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40406] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2582), 1,
      sym_var_modifier,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    STATE(1331), 1,
      sym_attribute_list,
    STATE(1396), 1,
      sym__class_const_declaration,
    STATE(1398), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1208), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40477] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2634), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40554] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2636), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40630] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2638), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40706] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2640), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40782] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40858] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2644), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40934] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41010] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2648), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41086] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2650), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41162] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41238] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2654), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41314] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41390] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41466] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2660), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41542] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2662), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41618] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41694] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41770] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41846] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2670), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41922] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2672), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41998] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2674), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42074] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2676), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42150] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42226] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42302] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42378] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1831), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1759), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1610), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42438] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42514] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2684), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42590] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42666] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2688), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42742] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42818] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42894] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42970] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43046] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43122] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43198] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2702), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43274] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2704), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43350] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43426] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2708), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43502] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43578] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43654] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1857), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1671), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1610), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43714] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2714), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43790] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2716), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43866] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43942] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2720), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44018] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2722), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44094] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44170] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44246] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44322] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44398] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_AMP,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2380), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2384), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_CARET,
    ACTIONS(2394), 1,
      anon_sym_GT_EQ,
    ACTIONS(2398), 1,
      anon_sym_DOT,
    ACTIONS(2402), 1,
      anon_sym_PERCENT,
    ACTIONS(2404), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2732), 1,
      anon_sym_RBRACK,
    ACTIONS(2376), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2396), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2400), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2392), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2390), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44474] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2736), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2734), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44514] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2740), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44590] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2744), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2742), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1290), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44692] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2754), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2752), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1293), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2758), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1295), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2765), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2768), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    ACTIONS(2773), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2776), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2779), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2782), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2785), 1,
      sym_var_modifier,
    ACTIONS(2791), 1,
      anon_sym_POUND_LBRACK,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2788), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1293), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44961] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2796), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2794), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44998] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2568), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    ACTIONS(2798), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      sym_attribute_list,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1293), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45063] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2802), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2800), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45099] = 12,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_name,
    ACTIONS(2808), 1,
      anon_sym_LPAREN2,
    ACTIONS(2810), 1,
      anon_sym_QMARK,
    ACTIONS(2812), 1,
      sym_bottom_type,
    STATE(1765), 1,
      sym_qualified_name,
    STATE(2043), 1,
      sym_type,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(2108), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2806), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45152] = 12,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1848), 1,
      anon_sym_LPAREN2,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2814), 1,
      sym_bottom_type,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2359), 1,
      sym_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1478), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1437), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_POUND_LBRACK,
    STATE(1299), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2818), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2816), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    STATE(1299), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2825), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2823), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2827), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2831), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2835), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45372] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2426), 1,
      sym_intersection_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45414] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2635), 1,
      sym_intersection_type,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45456] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2540), 1,
      sym_intersection_type,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45498] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(2839), 1,
      anon_sym_LPAREN2,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1471), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45540] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_name,
    ACTIONS(2810), 1,
      anon_sym_QMARK,
    ACTIONS(2841), 1,
      anon_sym_LPAREN2,
    STATE(1765), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1866), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2806), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45582] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2843), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2845), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2847), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2849), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2851), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2853), 1,
      sym_var_modifier,
    ACTIONS(2855), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1449), 1,
      sym_static_modifier,
    STATE(2283), 1,
      sym__function_definition_header,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1347), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45638] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2839), 1,
      anon_sym_LPAREN2,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1471), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45680] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(2839), 1,
      anon_sym_LPAREN2,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1463), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45722] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      sym_name,
    ACTIONS(2106), 1,
      anon_sym_BSLASH,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(752), 1,
      sym__variable_scoped_property_access_expression,
    STATE(762), 1,
      sym__variable_member_access_expression,
    STATE(780), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(2566), 1,
      sym_namespace_name,
    STATE(1005), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(881), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(761), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45772] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2527), 1,
      sym_intersection_type,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45814] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2120), 1,
      sym_name,
    ACTIONS(2124), 1,
      anon_sym_BSLASH,
    ACTIONS(2130), 1,
      anon_sym_LPAREN2,
    STATE(890), 1,
      sym__variable_scoped_property_access_expression,
    STATE(947), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(951), 1,
      sym__variable_member_access_expression,
    STATE(2479), 1,
      sym_namespace_name,
    STATE(1134), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1011), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(961), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45864] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2843), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2855), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2857), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2859), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2861), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2863), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2865), 1,
      sym_var_modifier,
    STATE(1449), 1,
      sym_static_modifier,
    STATE(2267), 1,
      sym__function_definition_header,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1343), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45920] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_name,
    ACTIONS(2810), 1,
      anon_sym_QMARK,
    ACTIONS(2841), 1,
      anon_sym_LPAREN2,
    STATE(1765), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1843), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2806), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45962] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2457), 1,
      sym_intersection_type,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46004] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    ACTIONS(2839), 1,
      anon_sym_LPAREN2,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1463), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46046] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1457), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2825), 1,
      anon_sym_AMP,
    STATE(1323), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2823), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46118] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1474), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46157] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1474), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_AMP,
    ACTIONS(2867), 1,
      anon_sym_POUND_LBRACK,
    STATE(1323), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2816), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46229] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_name,
    ACTIONS(2810), 1,
      anon_sym_QMARK,
    STATE(1765), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1865), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2806), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46268] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_name,
    ACTIONS(2810), 1,
      anon_sym_QMARK,
    STATE(1765), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1842), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2806), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46307] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_QMARK,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1457), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46346] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    ACTIONS(2870), 1,
      anon_sym_COLON_COLON,
    STATE(1663), 1,
      sym_static_variable_declaration,
    STATE(1820), 1,
      sym_variable_name,
    ACTIONS(1648), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46382] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    ACTIONS(2870), 1,
      anon_sym_COLON_COLON,
    STATE(1715), 1,
      sym_static_variable_declaration,
    STATE(1820), 1,
      sym_variable_name,
    ACTIONS(1648), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2827), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2835), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46472] = 12,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2572), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    STATE(1391), 1,
      sym__const_declaration,
    STATE(1732), 1,
      sym__function_definition_header,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(705), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2831), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46544] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1445), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46578] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2876), 1,
      sym_var_modifier,
    STATE(1732), 1,
      sym__function_definition_header,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1337), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46620] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2804), 1,
      sym_name,
    STATE(1765), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1743), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2806), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46654] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_namespace_name,
    STATE(1445), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1844), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46688] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    STATE(1656), 1,
      sym__function_definition_header,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46727] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    STATE(1729), 1,
      sym__function_definition_header,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46766] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2880), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2882), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46805] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2884), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2886), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46844] = 10,
    ACTIONS(641), 1,
      sym_integer,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2888), 1,
      sym_float,
    ACTIONS(2890), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2892), 1,
      aux_sym__argument_name_token2,
    STATE(2441), 1,
      sym_literal,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1000), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [46883] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2894), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46919] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2896), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46955] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2884), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2904), 1,
      anon_sym_BSLASHu,
    ACTIONS(2907), 1,
      sym__new_line,
    ACTIONS(2910), 1,
      anon_sym_DOLLAR,
    ACTIONS(2913), 1,
      sym_heredoc_end,
    STATE(1345), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2901), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1355), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47031] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2915), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1761), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [47055] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2917), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47091] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2919), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2921), 1,
      sym_var_modifier,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1352), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2927), 1,
      anon_sym_BSLASHu,
    ACTIONS(2929), 1,
      sym__new_line,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2934), 1,
      sym_heredoc_end,
    STATE(1345), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2925), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1355), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47167] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2936), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2938), 1,
      sym_var_modifier,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1342), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47203] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2940), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47239] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2942), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47275] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2576), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2878), 1,
      sym_var_modifier,
    ACTIONS(2944), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1046), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_LBRACE,
    ACTIONS(2952), 1,
      anon_sym_BSLASHu,
    ACTIONS(2957), 1,
      anon_sym_DOLLAR,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2949), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2955), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1354), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2962), 1,
      anon_sym_BSLASHu,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2960), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2964), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1354), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47381] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2962), 1,
      anon_sym_BSLASHu,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2913), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2960), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1354), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47416] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2927), 1,
      anon_sym_BSLASHu,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2966), 1,
      sym__new_line,
    STATE(1349), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2925), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1355), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47453] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2974), 1,
      anon_sym_BSLASHu,
    ACTIONS(2977), 1,
      anon_sym_DQUOTE,
    ACTIONS(2979), 1,
      anon_sym_DOLLAR,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1640), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2971), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1358), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2986), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47567] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_LBRACE,
    ACTIONS(2994), 1,
      anon_sym_BSLASHu,
    ACTIONS(2996), 1,
      anon_sym_DQUOTE,
    ACTIONS(2998), 1,
      anon_sym_DOLLAR,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1640), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2992), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1358), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47601] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_LBRACE,
    ACTIONS(3006), 1,
      anon_sym_BSLASHu,
    ACTIONS(3009), 1,
      anon_sym_BQUOTE,
    ACTIONS(3011), 1,
      anon_sym_DOLLAR,
    STATE(1484), 1,
      sym_variable_name,
    STATE(1639), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3003), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1364), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3014), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3018), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47715] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_LBRACE,
    ACTIONS(2994), 1,
      anon_sym_BSLASHu,
    ACTIONS(2998), 1,
      anon_sym_DOLLAR,
    ACTIONS(3022), 1,
      anon_sym_DQUOTE,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1640), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2992), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1358), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3024), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3028), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47809] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3034), 1,
      anon_sym_BSLASHu,
    ACTIONS(3036), 1,
      anon_sym_BQUOTE,
    ACTIONS(3038), 1,
      anon_sym_DOLLAR,
    STATE(1484), 1,
      sym_variable_name,
    STATE(1639), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3032), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1364), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47843] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(1660), 1,
      sym_namespace_use_clause,
    STATE(1970), 1,
      sym__namespace_use_group,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(3040), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1812), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47877] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(1724), 1,
      sym_namespace_use_clause,
    STATE(1942), 1,
      sym__namespace_use_group,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(3040), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1812), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47931] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_LBRACE,
    ACTIONS(2998), 1,
      anon_sym_DOLLAR,
    ACTIONS(3046), 1,
      anon_sym_BSLASHu,
    ACTIONS(3048), 1,
      anon_sym_DQUOTE,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1640), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3044), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1363), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47965] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3038), 1,
      anon_sym_DOLLAR,
    ACTIONS(3052), 1,
      anon_sym_BSLASHu,
    ACTIONS(3054), 1,
      anon_sym_BQUOTE,
    STATE(1484), 1,
      sym_variable_name,
    STATE(1639), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3050), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1373), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47999] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_LBRACE,
    ACTIONS(2998), 1,
      anon_sym_DOLLAR,
    ACTIONS(3058), 1,
      anon_sym_BSLASHu,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    STATE(1487), 1,
      sym_variable_name,
    STATE(1640), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3056), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48033] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3038), 1,
      anon_sym_DOLLAR,
    ACTIONS(3064), 1,
      anon_sym_BSLASHu,
    ACTIONS(3066), 1,
      anon_sym_BQUOTE,
    STATE(1484), 1,
      sym_variable_name,
    STATE(1639), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3062), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1381), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48067] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3034), 1,
      anon_sym_BSLASHu,
    ACTIONS(3038), 1,
      anon_sym_DOLLAR,
    ACTIONS(3068), 1,
      anon_sym_BQUOTE,
    STATE(1484), 1,
      sym_variable_name,
    STATE(1639), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3032), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1364), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48101] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3070), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3072), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [48126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48145] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2340), 1,
      sym_namespace_use_clause,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(3076), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2110), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3102), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48480] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [48503] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_LBRACE,
    ACTIONS(3114), 1,
      anon_sym_BSLASHu,
    ACTIONS(3116), 1,
      anon_sym_DOLLAR,
    STATE(1466), 1,
      sym_variable_name,
    STATE(1531), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3112), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1356), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48572] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2052), 1,
      sym_namespace_use_clause,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(3122), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1812), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48603] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2150), 1,
      sym_namespace_use_clause,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(3076), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2110), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48634] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3124), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym__member_name,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(949), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48662] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3130), 1,
      sym_name,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym__member_name,
    ACTIONS(3132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(642), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48690] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48718] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(2266), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(720), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48748] = 8,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(2237), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(861), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48778] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(601), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48806] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3146), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_RBRACE,
    STATE(1675), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2562), 1,
      sym_reference_modifier,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1422), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48842] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3124), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym__member_name,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(949), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48870] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3146), 1,
      sym_name,
    ACTIONS(3150), 1,
      anon_sym_RBRACE,
    STATE(1675), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2562), 1,
      sym_reference_modifier,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1424), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48906] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48934] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_RBRACK,
    STATE(2401), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48964] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(868), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48992] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(916), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49022] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_RBRACK,
    STATE(2401), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49052] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(2286), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(791), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3146), 1,
      sym_name,
    ACTIONS(3162), 1,
      anon_sym_RBRACE,
    STATE(1675), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2562), 1,
      sym_reference_modifier,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49118] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(3164), 1,
      anon_sym_RBRACK,
    STATE(2401), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3146), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_RBRACE,
    STATE(1675), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2562), 1,
      sym_reference_modifier,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49184] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3130), 1,
      sym_name,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(616), 1,
      sym__member_name,
    ACTIONS(3132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(642), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49212] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49240] = 8,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3168), 1,
      sym_name,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    STATE(2333), 1,
      sym__member_name,
    STATE(970), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(636), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49270] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym__member_name,
    ACTIONS(3172), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49298] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym__member_name,
    ACTIONS(3172), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(609), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49326] = 8,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3142), 1,
      sym_name,
    ACTIONS(3144), 1,
      anon_sym_LBRACE,
    STATE(2347), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(610), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49356] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(742), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(793), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49384] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(735), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(793), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49412] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(793), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49440] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(785), 1,
      sym__member_name,
    ACTIONS(3138), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(793), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49468] = 8,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3168), 1,
      sym_name,
    ACTIONS(3170), 1,
      anon_sym_LBRACE,
    STATE(2237), 1,
      sym__member_name,
    STATE(970), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(861), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49498] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3178), 1,
      sym_name,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym__member_name,
    ACTIONS(3180), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(727), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49526] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_AMP,
    ACTIONS(3196), 1,
      anon_sym_PIPE,
    STATE(1467), 1,
      aux_sym_union_type_repeat1,
    STATE(1468), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1476), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3191), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3184), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [49556] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3200), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3202), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3198), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3204), 1,
      sym_name,
    ACTIONS(3207), 1,
      anon_sym_AMP,
    ACTIONS(3210), 1,
      anon_sym_RBRACE,
    ACTIONS(3212), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3215), 1,
      anon_sym_POUND_LBRACK,
    STATE(1675), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2562), 1,
      sym_reference_modifier,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49614] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    ACTIONS(3218), 1,
      anon_sym_RBRACK,
    STATE(2401), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49644] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3178), 1,
      sym_name,
    ACTIONS(3182), 1,
      anon_sym_LBRACE,
    STATE(707), 1,
      sym__member_name,
    ACTIONS(3180), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(727), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49672] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3124), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym__member_name,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(949), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49700] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3124), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(883), 1,
      sym__member_name,
    ACTIONS(3126), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(949), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49728] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(838), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(868), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49756] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49775] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2401), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49802] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(1996), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49829] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(1972), 1,
      sym_attribute,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1782), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49856] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3224), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3226), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3198), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49877] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3070), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3072), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49896] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3230), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49915] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3232), 1,
      sym_name,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1507), 1,
      sym_reference_modifier,
    STATE(1702), 1,
      sym_formal_parameters,
    STATE(2228), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49943] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49967] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3232), 1,
      sym_name,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1509), 1,
      sym_reference_modifier,
    STATE(1727), 1,
      sym_formal_parameters,
    STATE(2228), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49995] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1858), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50019] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2084), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50043] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3236), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3238), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50061] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_PIPE,
    STATE(1470), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3240), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3242), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50083] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_PIPE,
    STATE(1459), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3236), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3238), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50105] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2091), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50129] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_AMP,
    STATE(1461), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3249), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3254), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [50151] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_PIPE,
    STATE(1458), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3256), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3258), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50173] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3260), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3263), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50191] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      sym_name,
    STATE(2504), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2201), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50215] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3266), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3268), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50233] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_DASH_GT,
    ACTIONS(3274), 1,
      anon_sym_LBRACK,
    ACTIONS(3278), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3270), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3276), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50257] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3284), 1,
      anon_sym_PIPE,
    STATE(1459), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3280), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3282), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50279] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_PIPE,
    STATE(1470), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3286), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3288), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50301] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1821), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50325] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym_PIPE,
    STATE(1470), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3290), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3292), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50347] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3290), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3292), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1666), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50383] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    ACTIONS(2870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1648), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50405] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3249), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3254), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50423] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1537), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50447] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_AMP,
    STATE(1461), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3297), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3299), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [50469] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2557), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1821), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50493] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3301), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3303), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50510] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1557), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1648), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50537] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1544), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1740), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50564] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1535), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1659), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50591] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1521), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3317), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1698), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50618] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1648), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50637] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_BSLASHu,
    ACTIONS(3319), 1,
      anon_sym_DASH_GT,
    ACTIONS(3321), 1,
      anon_sym_LBRACK,
    ACTIONS(3323), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3276), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50660] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1559), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1721), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50687] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1524), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1693), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50714] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3270), 1,
      anon_sym_BSLASHu,
    ACTIONS(3329), 1,
      anon_sym_DASH_GT,
    ACTIONS(3331), 1,
      anon_sym_LBRACK,
    ACTIONS(3333), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3276), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50737] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1556), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3335), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1714), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50764] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_BSLASHu,
    ACTIONS(1664), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50781] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_BSLASHu,
    ACTIONS(1664), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50798] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3072), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3070), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50821] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1523), 1,
      sym_formal_parameters,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3337), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1697), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50848] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3339), 1,
      sym_name,
    STATE(1595), 1,
      sym_reference_modifier,
    STATE(2259), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50870] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(758), 1,
      sym_declaration_list,
    STATE(1619), 1,
      sym_arguments,
    STATE(1796), 1,
      sym_base_clause,
    STATE(2360), 1,
      sym_class_interface_clause,
  [50898] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(759), 1,
      sym_declaration_list,
    STATE(1634), 1,
      sym_arguments,
    STATE(1797), 1,
      sym_base_clause,
    STATE(2357), 1,
      sym_class_interface_clause,
  [50926] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_declaration_list,
    STATE(1615), 1,
      sym_arguments,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2297), 1,
      sym_class_interface_clause,
  [50954] = 6,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      anon_sym_RPAREN2,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50976] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      anon_sym_COMMA,
    ACTIONS(3353), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50998] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_AMP,
    ACTIONS(3357), 1,
      anon_sym_PIPE,
    STATE(1737), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1741), 1,
      aux_sym_union_type_repeat1,
    STATE(1756), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3191), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51022] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_declaration_list,
    STATE(1646), 1,
      sym_arguments,
    STATE(1777), 1,
      sym_base_clause,
    STATE(2409), 1,
      sym_class_interface_clause,
  [51050] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(810), 1,
      sym_declaration_list,
    STATE(1593), 1,
      sym_arguments,
    STATE(1841), 1,
      sym_base_clause,
    STATE(2338), 1,
      sym_class_interface_clause,
  [51078] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51100] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(796), 1,
      sym_declaration_list,
    STATE(1581), 1,
      sym_arguments,
    STATE(1798), 1,
      sym_base_clause,
    STATE(2405), 1,
      sym_class_interface_clause,
  [51128] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_declaration_list,
    STATE(1592), 1,
      sym_arguments,
    STATE(1832), 1,
      sym_base_clause,
    STATE(2323), 1,
      sym_class_interface_clause,
  [51156] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    ACTIONS(2870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1648), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51174] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_declaration_list,
    STATE(1627), 1,
      sym_arguments,
    STATE(1779), 1,
      sym_base_clause,
    STATE(2410), 1,
      sym_class_interface_clause,
  [51202] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    ACTIONS(3363), 1,
      sym_name,
    STATE(1772), 1,
      sym_formal_parameters,
    STATE(2281), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51224] = 6,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3365), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3367), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1029), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1510), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51246] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    ACTIONS(3363), 1,
      sym_name,
    STATE(1692), 1,
      sym_formal_parameters,
    STATE(2281), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51268] = 6,
    ACTIONS(1039), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3369), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3372), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1037), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1510), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51290] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(3375), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51310] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(3377), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51327] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    STATE(1673), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51346] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    STATE(1742), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51365] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51382] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51401] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3385), 1,
      anon_sym_DASH,
    ACTIONS(3383), 2,
      sym_integer,
      sym_name,
    STATE(2620), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51420] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51439] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_AMP,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    STATE(1760), 1,
      aux_sym_union_type_repeat1,
    STATE(1771), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1801), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3191), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51462] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3395), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1394), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51483] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3401), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1647), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51504] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1393), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51525] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1712), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51546] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1711), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51567] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1392), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51588] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2955), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51618] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    STATE(2090), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51637] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51652] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1672), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1368), 2,
      sym_use_list,
      sym__semicolon,
  [51673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3421), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1664), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1688), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1704), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51733] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1689), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51754] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    STATE(1767), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51773] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_LBRACE,
    STATE(1530), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1362), 2,
      sym_use_list,
      sym__semicolon,
  [51794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51809] = 5,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_RPAREN2,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51828] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2264), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3072), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [51845] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2634), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51860] = 5,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_RPAREN2,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51879] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3385), 1,
      anon_sym_DASH,
    ACTIONS(3427), 2,
      sym_integer,
      sym_name,
    STATE(2421), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51898] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3429), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1749), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51919] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    STATE(1682), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51938] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1522), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1397), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51959] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3435), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3438), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3433), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1547), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [51978] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1399), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3445), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3449), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52029] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1385), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52050] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1648), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3455), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52080] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2144), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2142), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52095] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3385), 1,
      anon_sym_DASH,
    ACTIONS(3457), 2,
      sym_integer,
      sym_name,
    STATE(2443), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52114] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3459), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1733), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52135] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1738), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52156] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1548), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1400), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52177] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    ACTIONS(3309), 1,
      anon_sym_EQ_GT,
    STATE(1664), 1,
      sym_compound_statement,
    ACTIONS(3465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1739), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52198] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      anon_sym_COMMA,
    ACTIONS(3353), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52217] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      anon_sym_COMMA,
    ACTIONS(3353), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52236] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(3467), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52253] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_LBRACE,
    STATE(1676), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1387), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52274] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52288] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3471), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1826), 1,
      sym_named_type,
    STATE(2152), 1,
      sym_type_list,
    STATE(2504), 1,
      sym_namespace_name,
  [52310] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1819), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [52326] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3473), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3476), 1,
      aux_sym_else_clause_token1,
    STATE(1718), 1,
      aux_sym_if_statement_repeat1,
    STATE(1979), 1,
      sym_else_clause,
    STATE(2011), 1,
      sym_else_if_clause,
  [52348] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    STATE(1598), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52366] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3487), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3489), 1,
      aux_sym_else_clause_token1,
    STATE(1597), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2456), 1,
      sym_else_clause_2,
  [52388] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52402] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3467), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52416] = 7,
    ACTIONS(1057), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3493), 1,
      aux_sym_else_clause_token1,
    STATE(1580), 1,
      aux_sym_if_statement_repeat1,
    STATE(2009), 1,
      sym_else_clause,
    STATE(2011), 1,
      sym_else_if_clause,
  [52438] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1775), 1,
      sym_base_clause,
    STATE(2000), 1,
      sym_declaration_list,
    STATE(2415), 1,
      sym_class_interface_clause,
  [52460] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1774), 1,
      sym_base_clause,
    STATE(1999), 1,
      sym_declaration_list,
    STATE(2412), 1,
      sym_class_interface_clause,
  [52482] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3495), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52498] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    STATE(1644), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52516] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_BSLASHu,
    ACTIONS(3009), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_SQUOTE,
    ACTIONS(3503), 1,
      aux_sym_string_token2,
    ACTIONS(3505), 1,
      aux_sym_string_content_token1,
    STATE(1791), 1,
      aux_sym_string_content_repeat1,
    STATE(1608), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52550] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(749), 1,
      sym_arguments,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52566] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3493), 1,
      aux_sym_else_clause_token1,
    STATE(1718), 1,
      aux_sym_if_statement_repeat1,
    STATE(1979), 1,
      sym_else_clause,
    STATE(2011), 1,
      sym_else_if_clause,
  [52588] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(818), 1,
      sym_declaration_list,
    STATE(1814), 1,
      sym_base_clause,
    STATE(2379), 1,
      sym_class_interface_clause,
  [52610] = 5,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3507), 1,
      sym_name,
    ACTIONS(3509), 1,
      anon_sym_LBRACE,
    STATE(846), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52628] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
    ACTIONS(3513), 1,
      anon_sym_LBRACE,
    STATE(637), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52646] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN2,
    STATE(843), 1,
      sym_arguments,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52662] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3515), 1,
      aux_sym_switch_block_token1,
    STATE(1599), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52680] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 1,
      aux_sym_string_content_token1,
    ACTIONS(3517), 1,
      anon_sym_SQUOTE,
    ACTIONS(3519), 1,
      aux_sym_string_token2,
    STATE(1791), 1,
      aux_sym_string_content_repeat1,
    STATE(1612), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52700] = 5,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      sym_name,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    STATE(718), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_SQUOTE,
    ACTIONS(3527), 1,
      aux_sym_string_token2,
    ACTIONS(3530), 1,
      aux_sym_string_content_token1,
    STATE(1791), 1,
      aux_sym_string_content_repeat1,
    STATE(1588), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52738] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52752] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_BSLASHu,
    ACTIONS(3445), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52766] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_BSLASHu,
    ACTIONS(3449), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52780] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2233), 1,
      sym_class_interface_clause,
  [52802] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(759), 1,
      sym_declaration_list,
    STATE(1797), 1,
      sym_base_clause,
    STATE(2357), 1,
      sym_class_interface_clause,
  [52824] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_BSLASHu,
    ACTIONS(2977), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52838] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_name,
    STATE(2294), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52854] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_declaration_list,
    STATE(1778), 1,
      sym_base_clause,
    STATE(2321), 1,
      sym_class_interface_clause,
  [52876] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3487), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3489), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3539), 1,
      aux_sym_if_statement_token2,
    STATE(1705), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2438), 1,
      sym_else_clause_2,
  [52898] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3541), 1,
      anon_sym_RBRACE,
    STATE(1547), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52916] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3543), 1,
      aux_sym_switch_block_token1,
    STATE(1547), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52934] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_BSLASHu,
    ACTIONS(1704), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52948] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_BSLASHu,
    ACTIONS(1664), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52962] = 5,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3545), 1,
      sym_name,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(607), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52980] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LPAREN2,
    STATE(710), 1,
      sym_arguments,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52996] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_declaration_list,
    STATE(1873), 1,
      sym_base_clause,
    STATE(2291), 1,
      sym_class_interface_clause,
  [53018] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3549), 1,
      sym_name,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3553), 1,
      anon_sym_DOLLAR,
    STATE(1600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53036] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3555), 1,
      sym_name,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    ACTIONS(3559), 1,
      anon_sym_DOLLAR,
    STATE(1642), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53054] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    ACTIONS(3561), 1,
      sym_name,
    ACTIONS(3563), 1,
      anon_sym_LBRACE,
    STATE(803), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 1,
      aux_sym_string_content_token1,
    ACTIONS(3565), 1,
      anon_sym_SQUOTE,
    ACTIONS(3567), 1,
      aux_sym_string_token2,
    STATE(1791), 1,
      aux_sym_string_content_repeat1,
    STATE(1588), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53092] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_declaration_list,
    STATE(1847), 1,
      sym_base_clause,
    STATE(2276), 1,
      sym_class_interface_clause,
  [53114] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_DOLLAR,
    ACTIONS(3196), 1,
      anon_sym_PIPE,
    ACTIONS(3569), 1,
      anon_sym_AMP,
    STATE(1467), 1,
      aux_sym_union_type_repeat1,
    STATE(1468), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(2124), 1,
      aux_sym_intersection_type_repeat1,
  [53136] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(605), 1,
      sym_arguments,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 1,
      aux_sym_string_content_token1,
    ACTIONS(3567), 1,
      aux_sym_string_token2,
    ACTIONS(3575), 1,
      anon_sym_SQUOTE,
    STATE(1791), 1,
      aux_sym_string_content_repeat1,
    STATE(1588), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53172] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3553), 1,
      anon_sym_DOLLAR,
    ACTIONS(3577), 1,
      sym_name,
    STATE(1600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53190] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      sym_name,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR,
    STATE(1534), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53208] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_declaration_list,
    STATE(1779), 1,
      sym_base_clause,
    STATE(2410), 1,
      sym_class_interface_clause,
  [53230] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3583), 1,
      anon_sym_DOLLAR,
    ACTIONS(3585), 1,
      sym_name,
    STATE(1534), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53248] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN2,
    STATE(629), 1,
      sym_arguments,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53264] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_BSLASHu,
    ACTIONS(3455), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53278] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(796), 1,
      sym_declaration_list,
    STATE(1798), 1,
      sym_base_clause,
    STATE(2405), 1,
      sym_class_interface_clause,
  [53300] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3587), 1,
      aux_sym_switch_block_token1,
    STATE(1645), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53318] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1811), 1,
      sym_base_clause,
    STATE(1967), 1,
      sym_declaration_list,
    STATE(2396), 1,
      sym_class_interface_clause,
  [53340] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_BSLASHu,
    ACTIONS(3449), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53354] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53368] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_declaration_list,
    STATE(1773), 1,
      sym_base_clause,
    STATE(2384), 1,
      sym_class_interface_clause,
  [53390] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3487), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3489), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3589), 1,
      aux_sym_if_statement_token2,
    STATE(1641), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2430), 1,
      sym_else_clause_2,
  [53412] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_BSLASHu,
    ACTIONS(1664), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53426] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_declaration_list,
    STATE(1833), 1,
      sym_base_clause,
    STATE(2324), 1,
      sym_class_interface_clause,
  [53448] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    ACTIONS(3559), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym_name,
    STATE(1642), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53466] = 7,
    ACTIONS(1057), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3593), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3596), 1,
      aux_sym_else_clause_token1,
    STATE(1567), 1,
      aux_sym_if_statement_repeat1,
    STATE(2009), 1,
      sym_else_clause,
    STATE(2011), 1,
      sym_else_if_clause,
  [53488] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3599), 1,
      sym_name,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(906), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53506] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN2,
    STATE(907), 1,
      sym_arguments,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53522] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_BSLASHu,
    ACTIONS(3445), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53536] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1868), 1,
      sym_base_clause,
    STATE(2070), 1,
      sym_declaration_list,
    STATE(2306), 1,
      sym_class_interface_clause,
  [53558] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(795), 1,
      sym_declaration_list,
    STATE(1807), 1,
      sym_base_clause,
    STATE(2406), 1,
      sym_class_interface_clause,
  [53580] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53594] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53608] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53622] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3471), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(1826), 1,
      sym_named_type,
    STATE(2164), 1,
      sym_type_list,
    STATE(2504), 1,
      sym_namespace_name,
  [53644] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_BSLASHu,
    ACTIONS(3421), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53658] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_BSLASHu,
    ACTIONS(3421), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53672] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3487), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3489), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3603), 1,
      aux_sym_if_statement_token2,
    STATE(1705), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2496), 1,
      sym_else_clause_2,
  [53694] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_BSLASHu,
    ACTIONS(1704), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53708] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_BSLASHu,
    ACTIONS(3455), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53722] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3605), 1,
      anon_sym_RBRACE,
    STATE(1547), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53740] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3481), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3483), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3607), 1,
      aux_sym_switch_block_token1,
    STATE(1547), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53758] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_declaration_list,
    STATE(1832), 1,
      sym_base_clause,
    STATE(2323), 1,
      sym_class_interface_clause,
  [53780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3609), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3611), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3613), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3615), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53806] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym_name,
    ACTIONS(3619), 1,
      anon_sym_BSLASH,
    STATE(518), 1,
      sym_compound_statement,
    STATE(1723), 1,
      sym_namespace_name,
  [53825] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3471), 1,
      sym_name,
    STATE(1450), 1,
      sym_qualified_name,
    STATE(2185), 1,
      sym_named_type,
    STATE(2504), 1,
      sym_namespace_name,
  [53844] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3365), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3367), 1,
      aux_sym_finally_clause_token1,
    STATE(1508), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [53859] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1735), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2076), 1,
      sym__semicolon,
    ACTIONS(3621), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53876] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      anon_sym_COLON,
    STATE(2071), 1,
      sym_enum_declaration_list,
    STATE(2304), 1,
      sym_class_interface_clause,
  [53895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1083), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1087), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53921] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1359), 1,
      sym_compound_statement,
    STATE(1370), 1,
      sym__semicolon,
    ACTIONS(3629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53938] = 5,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_RPAREN2,
    STATE(2271), 2,
      sym_variable_name,
      sym_by_ref,
  [53955] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(557), 1,
      sym__semicolon,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3635), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3637), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53985] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2081), 1,
      sym__semicolon,
    ACTIONS(3639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54002] = 5,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2085), 1,
      sym__semicolon,
    STATE(2086), 1,
      sym_compound_statement,
    ACTIONS(3643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54019] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COMMA,
    STATE(1681), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2088), 1,
      sym__semicolon,
    ACTIONS(3645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54036] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COMMA,
    STATE(1747), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2089), 1,
      sym__semicolon,
    ACTIONS(3649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3653), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3655), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54066] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1938), 1,
      sym__semicolon,
    ACTIONS(3657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54083] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3242), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54098] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3661), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54109] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1885), 1,
      sym__semicolon,
    ACTIONS(3663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54126] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3665), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54137] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3669), 1,
      anon_sym_EQ,
    STATE(2327), 1,
      sym_property_hook_list,
    ACTIONS(3667), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54154] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3673), 1,
      anon_sym_EQ,
    STATE(2253), 1,
      sym_property_hook_list,
    ACTIONS(3671), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54171] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_COMMA,
    STATE(1672), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3675), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54186] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1665), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1966), 1,
      sym__semicolon,
    ACTIONS(3680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54203] = 5,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3682), 1,
      anon_sym_RPAREN2,
    STATE(2271), 2,
      sym_variable_name,
      sym_by_ref,
  [54220] = 6,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3684), 1,
      sym_name,
    STATE(2200), 1,
      sym_final_modifier,
    STATE(2588), 1,
      sym_reference_modifier,
  [54239] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_COMMA,
    STATE(1676), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3686), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54254] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3693), 1,
      anon_sym_EQ,
    STATE(2241), 1,
      sym_property_hook_list,
    ACTIONS(3691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54271] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(480), 1,
      sym__semicolon,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54288] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    STATE(2216), 1,
      sym_anonymous_function_use_clause,
    STATE(2626), 1,
      sym__return_type,
  [54307] = 3,
    ACTIONS(1073), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1071), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54320] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COMMA,
    STATE(1822), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2053), 1,
      sym__semicolon,
    ACTIONS(3703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54337] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(508), 1,
      sym__semicolon,
    STATE(1736), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54354] = 6,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1727), 1,
      sym_formal_parameters,
    STATE(2292), 1,
      sym_reference_modifier,
  [54373] = 6,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1947), 1,
      sym_formal_parameters,
    STATE(2242), 1,
      sym_reference_modifier,
  [54392] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3707), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3292), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54407] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_AMP,
    STATE(1686), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3254), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54422] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_PIPE,
    STATE(1687), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3238), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54437] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3718), 1,
      anon_sym_EQ,
    STATE(2257), 1,
      sym_property_hook_list,
    ACTIONS(3716), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3722), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54467] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1994), 1,
      sym__semicolon,
    ACTIONS(3724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54484] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_PIPE,
    STATE(1666), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3258), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54499] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(2082), 1,
      sym_anonymous_function_use_clause,
    STATE(2454), 1,
      sym__return_type,
  [54518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3730), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54531] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3732), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1879), 1,
      sym_variable_name,
    STATE(2067), 1,
      sym_reference_modifier,
  [54550] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_COLON,
    STATE(1997), 1,
      sym__return_type,
    ACTIONS(3734), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54565] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3738), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3740), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3742), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3746), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54602] = 6,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3617), 1,
      sym_name,
    ACTIONS(3619), 1,
      anon_sym_BSLASH,
    STATE(1661), 1,
      sym_namespace_name,
    STATE(2111), 1,
      sym_compound_statement,
  [54621] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1668), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2038), 1,
      sym__semicolon,
    ACTIONS(3748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54638] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(2142), 1,
      sym_anonymous_function_use_clause,
    STATE(2437), 1,
      sym__return_type,
  [54657] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3752), 1,
      anon_sym_LBRACE,
    STATE(2145), 1,
      sym_anonymous_function_use_clause,
    STATE(2434), 1,
      sym__return_type,
  [54676] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3754), 1,
      sym_name,
    STATE(2148), 1,
      sym_visibility_modifier,
    ACTIONS(3756), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54691] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    ACTIONS(3760), 1,
      anon_sym_COLON,
    STATE(481), 1,
      sym_enum_declaration_list,
    STATE(2385), 1,
      sym_class_interface_clause,
  [54710] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3762), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3764), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3767), 1,
      aux_sym_else_clause_token1,
    STATE(1705), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
  [54729] = 3,
    ACTIONS(1081), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1079), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54742] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_LPAREN2,
    ACTIONS(1642), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [54755] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(557), 1,
      sym__semicolon,
    STATE(1764), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54772] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym_BSLASH,
    STATE(1709), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3769), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3774), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3776), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3780), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3784), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54826] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_COMMA,
    STATE(548), 1,
      sym__semicolon,
    STATE(1817), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3786), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3788), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3790), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54856] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      sym__semicolon,
    STATE(1719), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54873] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_BSLASH,
    STATE(1734), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3794), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54888] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COMMA,
    STATE(542), 1,
      sym__semicolon,
    STATE(1822), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3798), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54905] = 6,
    ACTIONS(1091), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1093), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3800), 1,
      aux_sym_else_if_clause_token1,
    STATE(1718), 1,
      aux_sym_if_statement_repeat1,
    STATE(2011), 1,
      sym_else_if_clause,
  [54924] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COMMA,
    STATE(538), 1,
      sym__semicolon,
    STATE(1780), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54941] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COMMA,
    STATE(466), 1,
      sym__semicolon,
    STATE(1717), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3809), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54971] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_BSLASH,
    STATE(1757), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3811), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54986] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(467), 1,
      sym_compound_statement,
    STATE(468), 1,
      sym__semicolon,
    ACTIONS(3813), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55003] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_COMMA,
    STATE(471), 1,
      sym__semicolon,
    STATE(1713), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3815), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55020] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3819), 1,
      anon_sym_EQ,
    STATE(2377), 1,
      sym_property_hook_list,
    ACTIONS(3817), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55037] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_EQ,
    ACTIONS(3821), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [55050] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3825), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_anonymous_function_use_clause,
    STATE(2543), 1,
      sym__return_type,
  [55069] = 3,
    ACTIONS(1077), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1075), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55082] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1360), 1,
      sym__semicolon,
    STATE(1372), 1,
      sym_compound_statement,
    ACTIONS(3827), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55099] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    ACTIONS(3829), 1,
      anon_sym_COLON,
    STATE(2002), 1,
      sym_enum_declaration_list,
    STATE(2417), 1,
      sym_class_interface_clause,
  [55118] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3831), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2155), 1,
      sym_reference_modifier,
    STATE(2156), 1,
      sym_variable_name,
  [55137] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1361), 1,
      sym__semicolon,
    STATE(1376), 1,
      sym_compound_statement,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3835), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3837), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55167] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_BSLASH,
    STATE(1709), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3839), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55182] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2038), 1,
      sym__semicolon,
    ACTIONS(3748), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55199] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(559), 1,
      sym__semicolon,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55216] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3288), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3843), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3845), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3849), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3851), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3853), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55270] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_PIPE,
    STATE(1687), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3282), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55285] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(1690), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2040), 1,
      sym__semicolon,
    ACTIONS(3857), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55302] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3222), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55313] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_COLON,
    STATE(2042), 1,
      sym__return_type,
    ACTIONS(3859), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55328] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3861), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55339] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3641), 1,
      anon_sym_COMMA,
    STATE(1817), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2018), 1,
      sym__semicolon,
    ACTIONS(3863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55356] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3651), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2054), 1,
      sym__semicolon,
    ACTIONS(3865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55373] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3242), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3869), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3871), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55401] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_PIPE,
    STATE(1750), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3238), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55416] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      sym__semicolon,
    STATE(1658), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55433] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    ACTIONS(3878), 1,
      anon_sym_COLON,
    STATE(520), 1,
      sym_enum_declaration_list,
    STATE(2289), 1,
      sym_class_interface_clause,
  [55452] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3292), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55467] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1365), 1,
      sym_compound_statement,
    STATE(1367), 1,
      sym__semicolon,
    ACTIONS(3883), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55484] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3887), 1,
      anon_sym_EQ,
    STATE(2261), 1,
      sym_property_hook_list,
    ACTIONS(3885), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55501] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_AMP,
    STATE(1686), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3299), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55516] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_BSLASH,
    STATE(1709), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3794), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55531] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_EQ,
    STATE(2270), 1,
      sym_property_hook_list,
    ACTIONS(3889), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55548] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3895), 1,
      anon_sym_EQ,
    STATE(2272), 1,
      sym_property_hook_list,
    ACTIONS(3893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55565] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_PIPE,
    STATE(1750), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3282), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55580] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3899), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3901), 1,
      aux_sym_finally_clause_token1,
    STATE(443), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55595] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_LPAREN2,
    ACTIONS(2036), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55608] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_PIPE,
    STATE(1748), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3258), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55623] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(534), 1,
      sym__semicolon,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55640] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3072), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55651] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3230), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55662] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    STATE(554), 1,
      sym__semicolon,
    STATE(1678), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3905), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55679] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3907), 1,
      anon_sym_LBRACE,
    STATE(2180), 1,
      sym_anonymous_function_use_clause,
    STATE(2532), 1,
      sym__return_type,
  [55698] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3911), 1,
      anon_sym_DASH_GT,
    ACTIONS(3913), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3915), 1,
      anon_sym_LBRACK,
  [55717] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3917), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_anonymous_function_use_clause,
    STATE(2548), 1,
      sym__return_type,
  [55736] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_PIPE,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3288), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55751] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3919), 1,
      anon_sym_LBRACE,
    STATE(2181), 1,
      sym_anonymous_function_use_clause,
    STATE(2537), 1,
      sym__return_type,
  [55770] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      sym_declaration_list,
    STATE(2287), 1,
      sym_class_interface_clause,
  [55786] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1960), 1,
      sym_declaration_list,
    STATE(2394), 1,
      sym_class_interface_clause,
  [55802] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1968), 1,
      sym_declaration_list,
    STATE(2398), 1,
      sym_class_interface_clause,
  [55818] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3921), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [55828] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_class_interface_clause,
  [55844] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_declaration_list,
    STATE(2275), 1,
      sym_class_interface_clause,
  [55860] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_declaration_list,
    STATE(2324), 1,
      sym_class_interface_clause,
  [55876] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3925), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3923), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55890] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2521), 1,
      sym_declare_directive,
    ACTIONS(3928), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55902] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(2309), 1,
      sym_arguments,
    ACTIONS(3930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [55916] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3661), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 1,
      sym_nowdoc_string,
    STATE(1784), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3932), 2,
      sym_heredoc_end,
      sym__new_line,
  [55940] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2566), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2855), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3937), 1,
      aux_sym__namespace_use_type_token1,
    STATE(2293), 1,
      sym_static_modifier,
  [55956] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_enum_declaration_list,
    STATE(2353), 1,
      sym_class_interface_clause,
  [55972] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(2736), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [55984] = 4,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1688), 2,
      sym_variable_name,
      sym_by_ref,
  [55998] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1727), 1,
      sym_formal_parameters,
    STATE(2292), 1,
      sym_reference_modifier,
  [56014] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3943), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 1,
      aux_sym_string_content_token1,
    STATE(1848), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3945), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(3953), 1,
      sym_heredoc_end,
    STATE(2317), 1,
      sym_heredoc_body,
  [56058] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
    STATE(2285), 1,
      sym_base_clause,
  [56074] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_AMP,
    STATE(1794), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3254), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56088] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3958), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56102] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(796), 1,
      sym_declaration_list,
    STATE(2405), 1,
      sym_class_interface_clause,
  [56118] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(795), 1,
      sym_declaration_list,
    STATE(2406), 1,
      sym_class_interface_clause,
  [56134] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(818), 1,
      sym_declaration_list,
    STATE(2379), 1,
      sym_class_interface_clause,
  [56150] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1701), 1,
      sym_formal_parameters,
    STATE(2331), 1,
      sym_reference_modifier,
  [56166] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2039), 1,
      sym_formal_parameters,
    STATE(2332), 1,
      sym_reference_modifier,
  [56182] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_AMP,
    STATE(1794), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3299), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56196] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_enum_declaration_list,
    STATE(2408), 1,
      sym_class_interface_clause,
  [56212] = 4,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2157), 2,
      sym_variable_name,
      sym_by_ref,
  [56226] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3968), 1,
      anon_sym_DASH_GT,
    ACTIONS(3970), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3972), 1,
      anon_sym_LBRACK,
  [56242] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2041), 1,
      sym_formal_parameters,
    STATE(2337), 1,
      sym_reference_modifier,
  [56258] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    STATE(2003), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_base_clause,
  [56274] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(819), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_class_interface_clause,
  [56290] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    STATE(1869), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3974), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56304] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3978), 1,
      anon_sym_EQ,
    STATE(1388), 1,
      sym__semicolon,
    ACTIONS(3976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56318] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_enum_declaration_list,
    STATE(2362), 1,
      sym_class_interface_clause,
  [56334] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1940), 1,
      sym_declaration_list,
    STATE(2361), 1,
      sym_class_interface_clause,
  [56350] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3982), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3980), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56362] = 4,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1758), 2,
      sym_variable_name,
      sym_by_ref,
  [56376] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(776), 1,
      sym_declaration_list,
    STATE(2345), 1,
      sym_class_interface_clause,
  [56392] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3984), 1,
      anon_sym_DASH_GT,
    ACTIONS(3986), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3988), 1,
      anon_sym_LBRACK,
  [56408] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3738), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56418] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3992), 1,
      anon_sym_COMMA,
    STATE(1817), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3990), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56432] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3995), 1,
      anon_sym_DASH_GT,
    ACTIONS(3997), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3999), 1,
      anon_sym_LBRACK,
  [56448] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2049), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56460] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4003), 1,
      anon_sym_EQ,
    ACTIONS(4001), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56472] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4007), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(4005), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56484] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_COMMA,
    STATE(1822), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4009), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56498] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2466), 1,
      sym_declare_directive,
    ACTIONS(3928), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56510] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3769), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [56520] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3861), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56530] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_PIPE,
    STATE(1875), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4014), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56544] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2147), 1,
      sym_formal_parameters,
    STATE(2382), 1,
      sym_reference_modifier,
  [56560] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2507), 1,
      sym_declare_directive,
    ACTIONS(3928), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56572] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4018), 1,
      anon_sym_DASH_GT,
    ACTIONS(4020), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4022), 1,
      anon_sym_LBRACK,
  [56588] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1770), 1,
      sym_formal_parameters,
    STATE(2383), 1,
      sym_reference_modifier,
  [56604] = 4,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1677), 2,
      sym_variable_name,
      sym_by_ref,
  [56618] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_declaration_list,
    STATE(2233), 1,
      sym_class_interface_clause,
  [56634] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_declaration_list,
    STATE(2232), 1,
      sym_class_interface_clause,
  [56650] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4024), 1,
      anon_sym_DASH_GT,
    ACTIONS(4026), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4028), 1,
      anon_sym_LBRACK,
  [56666] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_declaration_list,
    STATE(2387), 1,
      sym_base_clause,
  [56682] = 4,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2271), 2,
      sym_variable_name,
      sym_by_ref,
  [56696] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1662), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4030), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4032), 1,
      sym_heredoc_end,
    STATE(2217), 1,
      sym_heredoc_body,
  [56724] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56734] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4036), 1,
      anon_sym_LPAREN2,
    STATE(2105), 1,
      sym__semicolon,
    ACTIONS(4034), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56748] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(759), 1,
      sym_declaration_list,
    STATE(2357), 1,
      sym_class_interface_clause,
  [56764] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3254), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [56774] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3263), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56784] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_enum_declaration_list,
    STATE(2325), 1,
      sym_class_interface_clause,
  [56800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4038), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4040), 1,
      sym_heredoc_end,
    STATE(2397), 1,
      sym_heredoc_body,
  [56816] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR,
    STATE(789), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56828] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_declaration_list,
    STATE(2234), 1,
      sym_class_interface_clause,
  [56844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      aux_sym_string_content_token1,
    STATE(1848), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4042), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56858] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4047), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [56868] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4051), 1,
      anon_sym_PIPE,
    STATE(1850), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4049), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56882] = 5,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_EQ,
    ACTIONS(4056), 1,
      anon_sym_RPAREN2,
    STATE(2128), 1,
      aux_sym__list_destructing_repeat1,
  [56898] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3686), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56908] = 3,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(596), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4058), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4060), 1,
      sym_heredoc_end,
    STATE(2341), 1,
      sym_heredoc_body,
  [56936] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4028), 1,
      anon_sym_LBRACK,
    ACTIONS(4062), 1,
      anon_sym_DASH_GT,
    ACTIONS(4064), 1,
      anon_sym_QMARK_DASH_GT,
  [56952] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3665), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56962] = 4,
    ACTIONS(789), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1670), 2,
      sym_variable_name,
      sym_by_ref,
  [56976] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3675), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56986] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2585), 1,
      sym_declare_directive,
    ACTIONS(3928), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56998] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3268), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57008] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_LPAREN2,
    STATE(470), 1,
      sym__semicolon,
    ACTIONS(4066), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57022] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1947), 1,
      sym_formal_parameters,
    STATE(2242), 1,
      sym_reference_modifier,
  [57038] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4070), 1,
      anon_sym_DASH_GT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4074), 1,
      anon_sym_LBRACK,
  [57054] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_declaration_list,
    STATE(2410), 1,
      sym_class_interface_clause,
  [57070] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3238), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57080] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3292), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      sym_nowdoc_string,
    STATE(1784), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4076), 2,
      sym_heredoc_end,
      sym__new_line,
  [57104] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    STATE(2030), 1,
      sym_declaration_list,
    STATE(2352), 1,
      sym_class_interface_clause,
  [57120] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_COMMA,
    STATE(1869), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3675), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57134] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(913), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57146] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
    STATE(2312), 1,
      sym_class_interface_clause,
  [57162] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_EQ,
    STATE(1403), 1,
      sym__semicolon,
    ACTIONS(4083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57176] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3345), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_declaration_list,
    STATE(2365), 1,
      sym_class_interface_clause,
  [57192] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1702), 1,
      sym_formal_parameters,
    STATE(2369), 1,
      sym_reference_modifier,
  [57208] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_PIPE,
    STATE(1850), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4087), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [57222] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_base_clause_token1,
    STATE(2072), 1,
      sym_declaration_list,
    STATE(2303), 1,
      sym_base_clause,
  [57238] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1720), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57250] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(460), 1,
      sym__semicolon,
    ACTIONS(3605), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57261] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_EQ,
    ACTIONS(4089), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [57272] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57283] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1880), 1,
      sym__semicolon,
    ACTIONS(4093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57294] = 3,
    ACTIONS(1544), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1542), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57305] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57316] = 3,
    ACTIONS(1532), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1530), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57327] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57338] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1882), 1,
      sym__semicolon,
    ACTIONS(4095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57349] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1883), 1,
      sym__semicolon,
    ACTIONS(4097), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57360] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57371] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1884), 1,
      sym__semicolon,
    ACTIONS(4099), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57382] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57393] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57404] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2073), 1,
      sym__semicolon,
    ACTIONS(4101), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57415] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57426] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57437] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57448] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57459] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57470] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57481] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1888), 1,
      sym__semicolon,
    ACTIONS(4103), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57492] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1890), 1,
      sym__semicolon,
    ACTIONS(4105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57503] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1891), 1,
      sym__semicolon,
    ACTIONS(4107), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57514] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57525] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1893), 1,
      sym__semicolon,
    ACTIONS(4109), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57536] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1894), 1,
      sym__semicolon,
    ACTIONS(4111), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57547] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57558] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1895), 1,
      sym__semicolon,
    ACTIONS(4113), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57569] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57580] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57591] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1896), 1,
      sym__semicolon,
    ACTIONS(4115), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57602] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57613] = 3,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57624] = 3,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57635] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57646] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1902), 1,
      sym__semicolon,
    ACTIONS(4117), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57657] = 3,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57668] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57679] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1905), 1,
      sym__semicolon,
    ACTIONS(4119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57690] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1907), 1,
      sym__semicolon,
    ACTIONS(4121), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57701] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1908), 1,
      sym__semicolon,
    ACTIONS(4123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57712] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57723] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57734] = 3,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57745] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57756] = 3,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57767] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57778] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57789] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57800] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57811] = 3,
    ACTIONS(1572), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1570), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57822] = 3,
    ACTIONS(1564), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1562), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57833] = 3,
    ACTIONS(1524), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1522), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57844] = 3,
    ACTIONS(1516), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1514), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57855] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1920), 1,
      sym__semicolon,
    ACTIONS(4125), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57866] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1921), 1,
      sym__semicolon,
    ACTIONS(4127), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57877] = 3,
    ACTIONS(1104), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1102), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57888] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57899] = 3,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57910] = 3,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57921] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_DQUOTE,
    ACTIONS(4131), 1,
      anon_sym_SQUOTE,
    ACTIONS(4133), 1,
      sym_heredoc_start,
  [57934] = 3,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57945] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57956] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(478), 1,
      sym__semicolon,
    ACTIONS(4135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57967] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57978] = 3,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1924), 1,
      sym__semicolon,
    ACTIONS(4137), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58000] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_COMMA,
    ACTIONS(4142), 1,
      anon_sym_RPAREN2,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [58013] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4144), 1,
      anon_sym_EQ_GT,
    STATE(2530), 1,
      sym__return_type,
  [58026] = 3,
    ACTIONS(1556), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1554), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58037] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58048] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58059] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58070] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58081] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1935), 1,
      sym__semicolon,
    ACTIONS(4146), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58092] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1936), 1,
      sym__semicolon,
    ACTIONS(4148), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58103] = 3,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58114] = 3,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58125] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(578), 1,
      sym__semicolon,
    ACTIONS(4150), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58136] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(565), 1,
      sym__semicolon,
    ACTIONS(4152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58147] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    ACTIONS(4156), 1,
      anon_sym_COLON,
    STATE(507), 1,
      sym_switch_block,
  [58160] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58171] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_EQ,
    ACTIONS(4158), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58182] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RBRACK,
    STATE(2024), 1,
      aux_sym__array_destructing_repeat1,
  [58195] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_RBRACK,
    STATE(2025), 1,
      aux_sym_array_creation_expression_repeat1,
  [58208] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1984), 1,
      sym__semicolon,
    ACTIONS(4168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58219] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RBRACK,
    STATE(2028), 1,
      aux_sym__array_destructing_repeat1,
  [58232] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58243] = 3,
    ACTIONS(1520), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1518), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58254] = 3,
    ACTIONS(1580), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1578), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58265] = 3,
    ACTIONS(1576), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1574), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58276] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2078), 1,
      sym__semicolon,
    ACTIONS(4170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58287] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58298] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      aux_sym_attribute_group_repeat1,
  [58311] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1944), 1,
      sym__semicolon,
    ACTIONS(4176), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58322] = 3,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58333] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1948), 1,
      sym__semicolon,
    ACTIONS(4178), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58344] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    STATE(1820), 1,
      sym_variable_name,
    STATE(2044), 1,
      sym_static_variable_declaration,
  [58357] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1949), 1,
      sym__semicolon,
    ACTIONS(4180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58368] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58379] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58390] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_name,
    ACTIONS(4184), 1,
      anon_sym_LBRACE,
    STATE(2342), 1,
      sym_namespace_use_group,
  [58403] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58414] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58425] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2068), 1,
      sym__semicolon,
    ACTIONS(4186), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58436] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58447] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58458] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58469] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1955), 1,
      sym__semicolon,
    ACTIONS(4188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58480] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4190), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2058), 1,
      sym_variable_name,
  [58493] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_LBRACE,
    ACTIONS(4194), 1,
      anon_sym_COLON,
    STATE(2059), 1,
      sym_switch_block,
  [58506] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58517] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58528] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58539] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58550] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58561] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_COMMA,
    ACTIONS(4198), 1,
      anon_sym_RBRACK,
    STATE(2046), 1,
      aux_sym_array_creation_expression_repeat1,
  [58574] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_COMMA,
    ACTIONS(4202), 1,
      anon_sym_RBRACK,
    STATE(2048), 1,
      aux_sym_attribute_group_repeat1,
  [58587] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4204), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58596] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_COMMA,
    ACTIONS(4208), 1,
      anon_sym_RPAREN2,
    STATE(2060), 1,
      aux_sym_formal_parameters_repeat1,
  [58609] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58620] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58631] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_EQ,
    ACTIONS(4210), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [58642] = 3,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58653] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58664] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    STATE(2451), 1,
      sym__return_type,
  [58677] = 3,
    ACTIONS(1188), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1186), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58688] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1974), 1,
      sym__semicolon,
    ACTIONS(3541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58699] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58710] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1978), 1,
      sym__semicolon,
    ACTIONS(4216), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58721] = 3,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58732] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3859), 1,
      anon_sym_LBRACE,
    STATE(2450), 1,
      sym__return_type,
  [58745] = 3,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58756] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1982), 1,
      sym__semicolon,
    ACTIONS(4218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58767] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_AMP,
    ACTIONS(4220), 1,
      anon_sym_RPAREN2,
    STATE(1476), 1,
      aux_sym_intersection_type_repeat1,
  [58780] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4222), 1,
      anon_sym_EQ_GT,
    STATE(2444), 1,
      sym__return_type,
  [58793] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    ACTIONS(4226), 1,
      anon_sym_RPAREN2,
    STATE(2069), 1,
      aux_sym_formal_parameters_repeat1,
  [58806] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4228), 1,
      anon_sym_COMMA,
    ACTIONS(4230), 1,
      anon_sym_RPAREN2,
    STATE(2096), 1,
      aux_sym_array_creation_expression_repeat1,
  [58819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(499), 1,
      sym__semicolon,
    ACTIONS(4232), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58830] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58841] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4234), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [58850] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1986), 1,
      sym__semicolon,
    ACTIONS(4236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58861] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2123), 1,
      aux_sym__list_destructing_repeat1,
  [58874] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1990), 1,
      sym__semicolon,
    ACTIONS(4238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58885] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
  [58898] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4240), 1,
      anon_sym_RBRACK,
    STATE(2028), 1,
      aux_sym__array_destructing_repeat1,
  [58911] = 4,
    ACTIONS(861), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_array_creation_expression_repeat1,
  [58924] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_COMMA,
    ACTIONS(4246), 1,
      anon_sym_RPAREN2,
    STATE(2075), 1,
      aux_sym_array_creation_expression_repeat1,
  [58937] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58948] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    ACTIONS(4251), 1,
      anon_sym_RBRACK,
    STATE(2028), 1,
      aux_sym__array_destructing_repeat1,
  [58961] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2754), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [58970] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58981] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_RBRACK,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      aux_sym_attribute_group_repeat1,
  [58994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4255), 1,
      sym_heredoc_end,
    STATE(2399), 1,
      sym_heredoc_body,
  [59007] = 4,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2278), 1,
      sym_parenthesized_expression,
  [59020] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    ACTIONS(4259), 1,
      anon_sym_RPAREN2,
    STATE(2141), 1,
      aux_sym_arguments_repeat1,
  [59033] = 3,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59044] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59055] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59066] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59077] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4261), 1,
      anon_sym_EQ_GT,
    STATE(2423), 1,
      sym__return_type,
  [59090] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59101] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4263), 1,
      anon_sym_EQ_GT,
    STATE(2431), 1,
      sym__return_type,
  [59114] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4265), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59123] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4267), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59132] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3923), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59141] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    ACTIONS(4269), 1,
      anon_sym_COMMA,
    STATE(2045), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [59154] = 4,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_array_creation_expression_repeat1,
  [59167] = 3,
    ACTIONS(1568), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1566), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59178] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_RBRACK,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      aux_sym_attribute_group_repeat1,
  [59191] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4009), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59200] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_name,
    ACTIONS(4184), 1,
      anon_sym_LBRACE,
    STATE(2380), 1,
      sym_namespace_use_group,
  [59213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4276), 1,
      sym_heredoc_end,
    STATE(2374), 1,
      sym_heredoc_body,
  [59226] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3990), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59235] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59246] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59257] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4278), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59266] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_COMMA,
    ACTIONS(4282), 1,
      anon_sym_RPAREN2,
    STATE(2103), 1,
      aux_sym_arguments_repeat1,
  [59279] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59290] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(4284), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59301] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59312] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_RPAREN2,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    STATE(2151), 1,
      aux_sym_formal_parameters_repeat1,
  [59325] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59336] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59347] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59358] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59369] = 3,
    ACTIONS(1536), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1534), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59380] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2027), 1,
      sym__semicolon,
    ACTIONS(4290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59391] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4292), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2153), 1,
      sym_variable_name,
  [59404] = 3,
    ACTIONS(1584), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1582), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59415] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_RPAREN2,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    STATE(2151), 1,
      aux_sym_formal_parameters_repeat1,
  [59428] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59439] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59450] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59461] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59472] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59483] = 4,
    ACTIONS(857), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [59496] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59507] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RPAREN2,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_unset_statement_repeat1,
  [59520] = 3,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59531] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4300), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2154), 1,
      sym_variable_name,
  [59544] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_EQ,
    ACTIONS(4302), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59555] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59566] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4306), 1,
      anon_sym_LBRACE,
    STATE(2452), 1,
      sym__return_type,
  [59579] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
    STATE(2126), 1,
      aux_sym_match_block_repeat1,
  [59592] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4312), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(4005), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59603] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59614] = 3,
    ACTIONS(1148), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1146), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59625] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3734), 1,
      anon_sym_LBRACE,
    STATE(2453), 1,
      sym__return_type,
  [59638] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59649] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59660] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3958), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59669] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    ACTIONS(4314), 1,
      anon_sym_LBRACE,
    STATE(2159), 1,
      aux_sym_base_clause_repeat1,
  [59682] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59693] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59704] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59715] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59726] = 4,
    ACTIONS(859), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [59739] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(519), 1,
      sym__semicolon,
    ACTIONS(4318), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59750] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(517), 1,
      sym__semicolon,
    ACTIONS(4320), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4322), 1,
      sym_heredoc_end,
    STATE(2402), 1,
      sym_heredoc_body,
  [59774] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_RPAREN2,
    ACTIONS(4324), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_unset_statement_repeat1,
  [59787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__new_line,
    ACTIONS(4328), 1,
      sym_heredoc_end,
    STATE(2400), 1,
      sym_nowdoc_body,
  [59800] = 3,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59811] = 4,
    ACTIONS(823), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [59824] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2065), 1,
      sym__semicolon,
    ACTIONS(4332), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59835] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59846] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(503), 1,
      sym__semicolon,
    ACTIONS(4334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59857] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(502), 1,
      sym__semicolon,
    ACTIONS(4336), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59868] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59877] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(495), 1,
      sym__semicolon,
    ACTIONS(4338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59888] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3980), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59899] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59910] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4342), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59921] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59932] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59943] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_COMMA,
    ACTIONS(4348), 1,
      anon_sym_RBRACE,
    STATE(2170), 1,
      aux_sym_match_block_repeat1,
  [59956] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_EQ,
    ACTIONS(4350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59967] = 3,
    ACTIONS(1560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1558), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59978] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(568), 1,
      sym__semicolon,
    ACTIONS(4352), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(567), 1,
      sym__semicolon,
    ACTIONS(4354), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60000] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4356), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60009] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(566), 1,
      sym__semicolon,
    ACTIONS(4358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60020] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(564), 1,
      sym__semicolon,
    ACTIONS(4360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60031] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_RPAREN2,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
  [60044] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3299), 1,
      anon_sym_DOLLAR,
    ACTIONS(4364), 1,
      anon_sym_AMP,
    STATE(1461), 1,
      aux_sym_intersection_type_repeat1,
  [60057] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(563), 1,
      sym__semicolon,
    ACTIONS(4367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60068] = 4,
    ACTIONS(881), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_COMMA,
    STATE(2209), 1,
      aux_sym_match_block_repeat1,
  [60081] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4371), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60090] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN2,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
  [60103] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1800), 1,
      anon_sym_RPAREN2,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
  [60116] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(552), 1,
      sym__semicolon,
    ACTIONS(4378), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60127] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(558), 1,
      sym__semicolon,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60138] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_EQ,
    ACTIONS(4382), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60149] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4142), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [60158] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_RBRACK,
    ACTIONS(4384), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_array_creation_expression_repeat1,
  [60171] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_COMMA,
    ACTIONS(4390), 1,
      anon_sym_RBRACK,
    STATE(2135), 1,
      aux_sym_attribute_group_repeat1,
  [60184] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(556), 1,
      sym__semicolon,
    ACTIONS(4392), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60195] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(555), 1,
      sym__semicolon,
    ACTIONS(4394), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      sym__new_line,
    ACTIONS(4396), 1,
      sym_heredoc_end,
    STATE(2302), 1,
      sym_heredoc_body,
  [60219] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(553), 1,
      sym__semicolon,
    ACTIONS(4398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__new_line,
    ACTIONS(4400), 1,
      sym_heredoc_end,
    STATE(2299), 1,
      sym_nowdoc_body,
  [60243] = 4,
    ACTIONS(821), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [60256] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
    STATE(2533), 1,
      sym__return_type,
  [60269] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(551), 1,
      sym__semicolon,
    ACTIONS(4406), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60280] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4408), 1,
      anon_sym_EQ_GT,
    STATE(2535), 1,
      sym__return_type,
  [60293] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_LBRACE,
    STATE(2538), 1,
      sym__return_type,
  [60306] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_EQ_GT,
    STATE(2546), 1,
      sym__return_type,
  [60319] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4414), 1,
      anon_sym_EQ_GT,
    STATE(2549), 1,
      sym__return_type,
  [60332] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4416), 1,
      sym_name,
    ACTIONS(4418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60343] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4420), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60352] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    ACTIONS(4424), 1,
      anon_sym_RBRACE,
    STATE(2191), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [60365] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    ACTIONS(4429), 1,
      anon_sym_RPAREN2,
    STATE(2151), 1,
      aux_sym_formal_parameters_repeat1,
  [60378] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4431), 1,
      anon_sym_RPAREN2,
    STATE(2442), 1,
      sym_variable_name,
  [60391] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60402] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_EQ,
    ACTIONS(4437), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60413] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4441), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2196), 1,
      sym_variable_name,
  [60426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_EQ,
    ACTIONS(4443), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60437] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_COMMA,
    ACTIONS(4449), 1,
      anon_sym_RPAREN2,
    STATE(2197), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60450] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    STATE(1520), 1,
      sym_property_element,
    STATE(1726), 1,
      sym_variable_name,
  [60463] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    ACTIONS(4451), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      aux_sym_base_clause_repeat1,
  [60476] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(549), 1,
      sym__semicolon,
    ACTIONS(4453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60487] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(541), 1,
      sym__semicolon,
    ACTIONS(4455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60498] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(458), 1,
      sym__semicolon,
    ACTIONS(4457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60509] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_RPAREN2,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_unset_statement_repeat1,
  [60522] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4462), 1,
      anon_sym_RPAREN2,
    STATE(2593), 1,
      sym_variable_name,
  [60535] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(539), 1,
      sym__semicolon,
    ACTIONS(4464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60546] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(535), 1,
      sym__semicolon,
    ACTIONS(4466), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60557] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(523), 1,
      sym__semicolon,
    ACTIONS(4468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60568] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(550), 1,
      sym__semicolon,
    ACTIONS(4470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60579] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(570), 1,
      sym__semicolon,
    ACTIONS(4472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60590] = 4,
    ACTIONS(894), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_COMMA,
    STATE(2209), 1,
      aux_sym_match_block_repeat1,
  [60603] = 4,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_match_condition_list_repeat1,
  [60616] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(461), 1,
      sym__semicolon,
    ACTIONS(4478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60627] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_RPAREN2,
    STATE(2214), 1,
      aux_sym__list_destructing_repeat1,
  [60640] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_DQUOTE,
    ACTIONS(4484), 1,
      anon_sym_SQUOTE,
    ACTIONS(4486), 1,
      sym_heredoc_start,
  [60653] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4488), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60662] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4490), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60671] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4492), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60680] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4494), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60689] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_COMMA,
    ACTIONS(4499), 1,
      anon_sym_RPAREN2,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [60702] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4501), 1,
      anon_sym_LBRACE,
    STATE(2631), 1,
      sym__return_type,
  [60715] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4503), 1,
      anon_sym_LBRACE,
    STATE(2508), 1,
      sym__return_type,
  [60728] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(522), 1,
      sym__semicolon,
    ACTIONS(4505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60739] = 4,
    ACTIONS(837), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4507), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [60752] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym_COMMA,
    ACTIONS(4511), 1,
      anon_sym_RPAREN2,
    STATE(2183), 1,
      aux_sym_arguments_repeat1,
  [60765] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4049), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [60774] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4513), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym__return_type,
  [60787] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(490), 1,
      sym__semicolon,
    ACTIONS(4515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60798] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1346), 1,
      sym__semicolon,
    ACTIONS(4517), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60809] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_COMMA,
    ACTIONS(4522), 1,
      anon_sym_RPAREN2,
    STATE(2189), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60822] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_EQ_GT,
    STATE(2615), 1,
      sym__return_type,
  [60835] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    ACTIONS(4526), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [60848] = 4,
    ACTIONS(833), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [60861] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_RPAREN2,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
  [60874] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(4530), 1,
      sym_name,
    STATE(2591), 1,
      sym_reference_modifier,
  [60887] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_COMMA,
    ACTIONS(4534), 1,
      anon_sym_RPAREN2,
    STATE(2192), 1,
      aux_sym_arguments_repeat1,
  [60900] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_EQ,
    ACTIONS(4536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60911] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3631), 1,
      anon_sym_RPAREN2,
    ACTIONS(4540), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60924] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    STATE(1558), 1,
      sym_property_element,
    STATE(1726), 1,
      sym_variable_name,
  [60937] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_DOLLAR,
    STATE(1726), 1,
      sym_variable_name,
    STATE(1852), 1,
      sym_property_element,
  [60950] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(4542), 1,
      sym_name,
    STATE(2419), 1,
      sym_reference_modifier,
  [60963] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3675), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [60972] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(511), 1,
      sym__semicolon,
    ACTIONS(4544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60983] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(456), 1,
      sym__semicolon,
    ACTIONS(4546), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60994] = 4,
    ACTIONS(827), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [61007] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4550), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [61018] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_COMMA,
    ACTIONS(4556), 1,
      anon_sym_RPAREN2,
    STATE(2204), 1,
      aux_sym_arguments_repeat1,
  [61031] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_COMMA,
    ACTIONS(4560), 1,
      anon_sym_RPAREN2,
    STATE(2215), 1,
      aux_sym_arguments_repeat1,
  [61044] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(487), 1,
      sym__semicolon,
    ACTIONS(4562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61055] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_COMMA,
    ACTIONS(4567), 1,
      anon_sym_RBRACE,
    STATE(2209), 1,
      aux_sym_match_block_repeat1,
  [61068] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_EQ_GT,
    ACTIONS(4569), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_match_condition_list_repeat1,
  [61081] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4572), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [61090] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_RPAREN2,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
  [61103] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4576), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [61112] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_RPAREN2,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
  [61125] = 4,
    ACTIONS(819), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_arguments_repeat1,
  [61138] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    STATE(2505), 1,
      sym__return_type,
  [61151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__new_line,
    ACTIONS(4586), 1,
      sym_heredoc_end,
  [61161] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1761), 1,
      sym_compound_statement,
  [61171] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(65), 1,
      sym_parenthesized_expression,
  [61181] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(64), 1,
      sym_parenthesized_expression,
  [61191] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2249), 1,
      sym_parenthesized_expression,
  [61201] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(1959), 1,
      sym_parenthesized_expression,
  [61211] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(491), 1,
      sym_compound_statement,
  [61221] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN2,
    STATE(907), 1,
      sym_arguments,
  [61231] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_compound_statement,
  [61241] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4054), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [61249] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN2,
    STATE(629), 1,
      sym_arguments,
  [61259] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2010), 1,
      sym_formal_parameters,
  [61269] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61277] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_declaration_list,
  [61287] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4592), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61295] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_declaration_list,
  [61305] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
  [61315] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
  [61325] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61333] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61341] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN2,
    STATE(860), 1,
      sym_arguments,
  [61351] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_LPAREN2,
    ACTIONS(4598), 1,
      anon_sym_RPAREN2,
  [61361] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3200), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3202), 1,
      aux_sym__arrow_function_header_token1,
  [61371] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LPAREN2,
    STATE(968), 1,
      sym_arguments,
  [61381] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61389] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2014), 1,
      sym_formal_parameters,
  [61399] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(79), 1,
      sym_parenthesized_expression,
  [61409] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(74), 1,
      sym_parenthesized_expression,
  [61419] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2092), 1,
      sym_compound_statement,
  [61429] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61437] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61445] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1003), 1,
      sym_compound_statement,
  [61455] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym_match_block,
  [61465] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(605), 1,
      sym_arguments,
  [61475] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3088), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61483] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4606), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61491] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4609), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61499] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LPAREN2,
    STATE(710), 1,
      sym_arguments,
  [61509] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(96), 1,
      sym_parenthesized_expression,
  [61519] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61527] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4613), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61535] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2265), 1,
      sym_variable_name,
  [61545] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1744), 1,
      sym_formal_parameters,
  [61555] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4615), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61563] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61571] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4619), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61579] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4621), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61587] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_BSLASH,
    STATE(2319), 1,
      aux_sym_namespace_name_repeat1,
  [61597] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61605] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_LPAREN2,
    STATE(731), 1,
      sym_arguments,
  [61615] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(528), 1,
      sym_compound_statement,
  [61625] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(2074), 1,
      sym_declaration_list,
  [61635] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4625), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61643] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61651] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61659] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61667] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2343), 1,
      sym_variable_name,
  [61677] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61685] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
  [61695] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_declaration_list,
  [61705] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(749), 1,
      sym_arguments,
  [61715] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4633), 1,
      anon_sym_LBRACE,
    STATE(994), 1,
      sym_match_block,
  [61725] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4420), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61733] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN2,
    STATE(843), 1,
      sym_arguments,
  [61743] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2087), 1,
      sym_formal_parameters,
  [61753] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(68), 1,
      sym_parenthesized_expression,
  [61763] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2057), 1,
      sym_compound_statement,
  [61773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4635), 1,
      anon_sym_BSLASH,
    STATE(2319), 1,
      aux_sym_namespace_name_repeat1,
  [61783] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_declaration_list,
  [61793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(770), 1,
      sym_arguments,
  [61803] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_declaration_list,
  [61813] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4638), 2,
      anon_sym_string,
      anon_sym_int,
  [61821] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_enum_declaration_list,
  [61831] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [61841] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_declaration_list,
  [61851] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1692), 1,
      sym_formal_parameters,
  [61861] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3224), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3226), 1,
      aux_sym__arrow_function_header_token1,
  [61871] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_LPAREN2,
    STATE(1695), 1,
      sym_formal_parameters,
  [61881] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_compound_statement,
  [61891] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2634), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61899] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_declaration_list,
  [61909] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4499), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym__new_line,
    ACTIONS(4644), 1,
      sym_heredoc_end,
  [61927] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym_nowdoc_string,
    STATE(1867), 1,
      aux_sym_nowdoc_body_repeat1,
  [61937] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(813), 1,
      sym_arguments,
  [61947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym__new_line,
    ACTIONS(4650), 1,
      sym_heredoc_end,
  [61957] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(2037), 1,
      sym_declaration_list,
  [61967] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_enum_declaration_list,
  [61977] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61985] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(2030), 1,
      sym_declaration_list,
  [61995] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4251), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62003] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2492), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [62011] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4652), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62019] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4382), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62027] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1680), 1,
      sym_compound_statement,
  [62037] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_declaration_list,
  [62047] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1651), 1,
      sym_compound_statement,
  [62057] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(80), 1,
      sym_parenthesized_expression,
  [62067] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2278), 1,
      sym_parenthesized_expression,
  [62077] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(1989), 1,
      sym_parenthesized_expression,
  [62087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym__new_line,
    ACTIONS(4656), 1,
      sym_heredoc_end,
  [62097] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62105] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_BSLASH,
    STATE(2319), 1,
      aux_sym_namespace_name_repeat1,
  [62115] = 3,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_LPAREN2,
  [62125] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_declaration_list,
  [62135] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4663), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62143] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_declaration_list,
  [62153] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_declaration_list,
  [62163] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_enum_declaration_list,
  [62173] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4665), 1,
      anon_sym_LPAREN2,
    STATE(2012), 1,
      sym_parenthesized_expression,
  [62183] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4667), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62191] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62199] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62207] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4671), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62215] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1768), 1,
      sym_formal_parameters,
  [62225] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2144), 1,
      sym_formal_parameters,
  [62235] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_LPAREN2,
    STATE(630), 1,
      sym_arguments,
  [62245] = 3,
    ACTIONS(543), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2205), 1,
      sym_colon_block,
  [62255] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(4673), 1,
      anon_sym_EQ,
  [62265] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4665), 1,
      anon_sym_LPAREN2,
    STATE(2107), 1,
      sym_parenthesized_expression,
  [62275] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2146), 1,
      sym_formal_parameters,
  [62285] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(759), 1,
      sym_declaration_list,
  [62295] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4278), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62303] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3990), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__new_line,
    ACTIONS(4677), 1,
      sym_heredoc_end,
  [62321] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4679), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62329] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62337] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2378), 1,
      sym_variable_name,
  [62347] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(792), 1,
      sym_declaration_list,
  [62357] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4683), 2,
      anon_sym_string,
      anon_sym_int,
  [62365] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(598), 1,
      sym_arguments,
  [62375] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(2005), 1,
      sym_declaration_list,
  [62385] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2373), 1,
      sym_variable_name,
  [62395] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(88), 1,
      sym_parenthesized_expression,
  [62405] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62413] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_declaration_list,
  [62423] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_enum_declaration_list,
  [62433] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2367), 1,
      sym_variable_name,
  [62443] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(115), 1,
      sym_parenthesized_expression,
  [62453] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(795), 1,
      sym_declaration_list,
  [62471] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1728), 1,
      sym_compound_statement,
  [62481] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4267), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62489] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(796), 1,
      sym_declaration_list,
  [62499] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1922), 1,
      sym_declaration_list,
  [62509] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1923), 1,
      sym_enum_declaration_list,
  [62519] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2260), 1,
      sym_variable_name,
  [62529] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4689), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62537] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_declaration_list,
  [62547] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2262), 1,
      sym_variable_name,
  [62557] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62565] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_string,
      anon_sym_int,
  [62573] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1772), 1,
      sym_formal_parameters,
  [62583] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_declaration_list,
  [62593] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2263), 1,
      sym_variable_name,
  [62603] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62611] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4695), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      sym__new_line,
    ACTIONS(4699), 1,
      sym_heredoc_end,
  [62629] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4701), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62637] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4429), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62645] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4703), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62653] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4705), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62661] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(776), 1,
      sym_declaration_list,
  [62671] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62679] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62687] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2190), 1,
      sym_formal_parameters,
  [62697] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1679), 1,
      sym_formal_parameters,
  [62707] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      sym_declaration_list,
  [62717] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_enum_declaration_list,
  [62727] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_string,
      anon_sym_int,
  [62735] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_declaration_list,
  [62745] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62753] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN2,
    ACTIONS(3909), 1,
      anon_sym_COLON_COLON,
  [62763] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1706), 1,
      sym_compound_statement,
  [62773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_LPAREN2,
    STATE(109), 1,
      sym_parenthesized_expression,
  [62783] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_compound_statement,
  [62793] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62801] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1937), 1,
      sym_declaration_list,
  [62811] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1940), 1,
      sym_declaration_list,
  [62829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      sym__new_line,
    ACTIONS(4715), 1,
      sym_heredoc_end,
  [62839] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1941), 1,
      sym_declaration_list,
  [62849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 1,
      sym__new_line,
    ACTIONS(4719), 1,
      sym_heredoc_end,
  [62859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      sym__new_line,
    ACTIONS(4723), 1,
      sym_heredoc_end,
  [62869] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      sym__new_line,
    ACTIONS(4727), 1,
      sym_heredoc_end,
  [62887] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4729), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62895] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62903] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(818), 1,
      sym_declaration_list,
  [62913] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(819), 1,
      sym_declaration_list,
  [62923] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62931] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_enum_declaration_list,
  [62941] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_declaration_list,
  [62951] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_declaration_list,
  [62961] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4734), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62969] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1960), 1,
      sym_declaration_list,
  [62979] = 3,
    ACTIONS(368), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2492), 1,
      sym_colon_block,
  [62989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2334), 1,
      sym_parenthesized_expression,
  [62999] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_declaration_list,
  [63009] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
  [63019] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3625), 1,
      anon_sym_LBRACE,
    STATE(1969), 1,
      sym_enum_declaration_list,
  [63029] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(1971), 1,
      sym_declaration_list,
  [63039] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_name,
  [63046] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_RPAREN2,
  [63053] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RBRACK,
  [63060] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_integer,
  [63067] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
  [63074] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_RPAREN2,
  [63081] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_heredoc_end,
  [63088] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RPAREN2,
  [63095] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_EQ_GT,
  [63102] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
  [63109] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_RBRACE,
  [63116] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_if_statement_token2,
  [63123] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_EQ_GT,
  [63130] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RPAREN2,
  [63137] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4762), 1,
      sym_heredoc_end,
  [63144] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_LBRACE,
  [63151] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4766), 1,
      sym_heredoc_end,
  [63158] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_SEMI,
  [63165] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
  [63172] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4772), 1,
      aux_sym_if_statement_token2,
  [63179] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_RPAREN2,
  [63186] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4776), 1,
      sym_heredoc_end,
  [63193] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN2,
  [63200] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_RPAREN2,
  [63207] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RBRACK,
  [63214] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_EQ_GT,
  [63221] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_SEMI,
  [63228] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4788), 1,
      sym_heredoc_end,
  [63235] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4790), 1,
      sym_heredoc_end,
  [63242] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_name,
  [63249] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_SEMI,
  [63256] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_LBRACE,
  [63263] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_LBRACE,
  [63270] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_LBRACE,
  [63277] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_LBRACE,
  [63284] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
  [63291] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RBRACE,
  [63298] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4802), 1,
      aux_sym_if_statement_token2,
  [63305] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_RPAREN2,
  [63312] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_name,
  [63319] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_name,
  [63326] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_SQUOTE2,
  [63333] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_EQ_GT,
  [63340] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_EQ,
  [63347] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_RPAREN2,
  [63354] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4818), 1,
      sym_name,
  [63361] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN2,
  [63368] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_RPAREN2,
  [63375] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_RPAREN2,
  [63382] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4826), 1,
      aux_sym_foreach_statement_token2,
  [63389] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_RPAREN2,
  [63396] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_LPAREN2,
  [63403] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_RPAREN2,
  [63410] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_RPAREN2,
  [63417] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN2,
  [63424] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_RPAREN2,
  [63431] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_name,
  [63438] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RPAREN2,
  [63445] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_RPAREN2,
  [63452] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_SEMI,
  [63459] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_BSLASH,
  [63466] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym_name,
  [63473] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_name,
  [63480] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4850), 1,
      sym_name,
  [63487] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_name,
  [63494] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4854), 1,
      sym_name,
  [63501] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4856), 1,
      sym_name,
  [63508] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4858), 1,
      sym_name,
  [63515] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_RPAREN2,
  [63522] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_RPAREN2,
  [63529] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4864), 1,
      sym_heredoc_start,
  [63536] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_SEMI,
  [63543] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RBRACK,
  [63550] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4868), 1,
      aux_sym_if_statement_token2,
  [63557] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_SEMI,
  [63564] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4872), 1,
      sym_name,
  [63571] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_while_statement_token1,
  [63578] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4876), 1,
      aux_sym_if_statement_token2,
  [63585] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_RPAREN2,
  [63592] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym_while_statement_token2,
  [63599] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4880), 1,
      sym_name,
  [63606] = 2,
    ACTIONS(997), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
  [63613] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4882), 1,
      anon_sym_COLON_COLON,
  [63620] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3769), 1,
      anon_sym_BSLASH,
  [63627] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_SQUOTE2,
  [63634] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_BSLASH,
  [63641] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_LBRACE,
  [63648] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4890), 1,
      sym_name,
  [63655] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_RPAREN2,
  [63662] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_LBRACE,
  [63669] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4896), 1,
      sym_name,
  [63676] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_RPAREN2,
  [63683] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN,
  [63690] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_name,
  [63697] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4902), 1,
      sym_name,
  [63704] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4904), 1,
      sym_name,
  [63711] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_RBRACK,
  [63718] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4908), 1,
      sym_heredoc_end,
  [63725] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4910), 1,
      sym_heredoc_end,
  [63732] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_RBRACK,
  [63739] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_RPAREN2,
  [63746] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_SEMI,
  [63753] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_RPAREN2,
  [63760] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4918), 1,
      aux_sym_while_statement_token2,
  [63767] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_RPAREN2,
  [63774] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_LPAREN2,
  [63781] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4924), 1,
      sym_name,
  [63788] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_EQ,
  [63795] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_RPAREN2,
  [63802] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4930), 1,
      aux_sym_foreach_statement_token2,
  [63809] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_RPAREN2,
  [63816] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_EQ_GT,
  [63823] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_RPAREN2,
  [63830] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_LBRACE,
  [63837] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_LBRACE,
  [63844] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_RPAREN,
  [63851] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_EQ_GT,
  [63858] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_RPAREN2,
  [63865] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_LBRACE,
  [63872] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_LBRACE,
  [63879] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4948), 1,
      sym_name,
  [63886] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_RPAREN2,
  [63893] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4952), 1,
      sym_name,
  [63900] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_RPAREN2,
  [63907] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_LBRACE,
  [63914] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym_name,
  [63921] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_LPAREN2,
  [63928] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_EQ_GT,
  [63935] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4962), 1,
      sym_name,
  [63942] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4964), 1,
      anon_sym_LBRACE,
  [63949] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_EQ_GT,
  [63956] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_COLON_COLON,
  [63963] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_RPAREN2,
  [63970] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_RPAREN2,
  [63977] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_EQ_GT,
  [63984] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_EQ,
  [63991] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_RPAREN2,
  [63998] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4978), 1,
      sym_name,
  [64005] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_BSLASH,
  [64012] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4982), 1,
      anon_sym_COLON_COLON,
  [64019] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_BSLASH,
  [64026] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4986), 1,
      ts_builtin_sym_end,
  [64033] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4988), 1,
      sym_name,
  [64040] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4990), 1,
      sym_name,
  [64047] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_RPAREN2,
  [64054] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4994), 1,
      sym_name,
  [64061] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4996), 1,
      sym_name,
  [64068] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4998), 1,
      anon_sym_BSLASH,
  [64075] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5000), 1,
      sym_name,
  [64082] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_EQ,
  [64089] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5004), 1,
      anon_sym_RPAREN2,
  [64096] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_name,
  [64103] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5006), 1,
      anon_sym_RPAREN2,
  [64110] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5008), 1,
      sym_name,
  [64117] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5010), 1,
      sym_heredoc_start,
  [64124] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5012), 1,
      sym_heredoc_start,
  [64131] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_RPAREN2,
  [64138] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_LPAREN2,
  [64145] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5016), 1,
      anon_sym_LPAREN2,
  [64152] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5018), 1,
      sym_name,
  [64159] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3545), 1,
      sym_name,
  [64166] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_COLON_COLON,
  [64173] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5022), 1,
      sym_heredoc_start,
  [64180] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_COLON_COLON,
  [64187] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5026), 1,
      sym_name,
  [64194] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_EQ,
  [64201] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_RPAREN2,
  [64208] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5030), 1,
      anon_sym_SEMI,
  [64215] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_EQ_GT,
  [64222] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5034), 1,
      sym_name,
  [64229] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5036), 1,
      aux_sym_while_statement_token1,
  [64236] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5038), 1,
      sym_name,
  [64243] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5040), 1,
      sym_name,
  [64250] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5042), 1,
      sym_name,
  [64257] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_RPAREN2,
  [64264] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_RPAREN2,
  [64271] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_RPAREN2,
  [64278] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_RPAREN2,
  [64285] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5052), 1,
      anon_sym_RPAREN2,
  [64292] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5054), 1,
      anon_sym_RPAREN2,
  [64299] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_RPAREN2,
  [64306] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5058), 1,
      anon_sym_RPAREN2,
  [64313] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5060), 1,
      anon_sym_RPAREN2,
  [64320] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_RPAREN2,
  [64327] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_RPAREN2,
  [64334] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5062), 1,
      sym_name,
  [64341] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_RPAREN2,
  [64348] = 2,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [64355] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5064), 1,
      sym_name,
  [64362] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym_name,
  [64369] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5068), 1,
      anon_sym_BSLASH,
  [64376] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5070), 1,
      sym_name,
  [64383] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3511), 1,
      sym_name,
  [64390] = 2,
    ACTIONS(517), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [64397] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5072), 1,
      anon_sym_COLON_COLON,
  [64404] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_LPAREN2,
  [64411] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_EQ_GT,
  [64418] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_SEMI,
  [64425] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_LBRACE,
  [64432] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_EQ,
  [64439] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_EQ_GT,
  [64446] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5086), 1,
      anon_sym_RBRACK,
  [64453] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5088), 1,
      anon_sym_COLON_COLON,
  [64460] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5090), 1,
      anon_sym_BSLASH,
  [64467] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5092), 1,
      ts_builtin_sym_end,
  [64474] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5094), 1,
      sym_name,
  [64481] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_LPAREN2,
  [64488] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
  [64495] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5100), 1,
      sym_heredoc_end,
  [64502] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5102), 1,
      sym_heredoc_end,
  [64509] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LPAREN2,
  [64516] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LPAREN2,
  [64523] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5108), 1,
      anon_sym_LBRACE,
  [64530] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_LPAREN2,
  [64537] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5112), 1,
      sym_name,
  [64544] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5114), 1,
      sym_name,
  [64551] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5116), 1,
      anon_sym_RPAREN2,
  [64558] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5118), 1,
      anon_sym_LPAREN2,
  [64565] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_LPAREN2,
  [64572] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5122), 1,
      anon_sym_SEMI,
  [64579] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_LPAREN2,
  [64586] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_LPAREN2,
  [64593] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5128), 1,
      anon_sym_SEMI,
  [64600] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_LPAREN2,
  [64607] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5132), 1,
      sym_name,
  [64614] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
  [64621] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_LPAREN2,
  [64628] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5138), 1,
      sym_name,
  [64635] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5140), 1,
      sym_name,
  [64642] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5142), 1,
      anon_sym_SEMI,
  [64649] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5144), 1,
      sym_name,
  [64656] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_LPAREN2,
  [64663] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_LPAREN2,
  [64670] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_name,
  [64677] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5152), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(584)] = 0,
  [SMALL_STATE(585)] = 70,
  [SMALL_STATE(586)] = 140,
  [SMALL_STATE(587)] = 210,
  [SMALL_STATE(588)] = 280,
  [SMALL_STATE(589)] = 353,
  [SMALL_STATE(590)] = 426,
  [SMALL_STATE(591)] = 494,
  [SMALL_STATE(592)] = 562,
  [SMALL_STATE(593)] = 640,
  [SMALL_STATE(594)] = 708,
  [SMALL_STATE(595)] = 776,
  [SMALL_STATE(596)] = 844,
  [SMALL_STATE(597)] = 912,
  [SMALL_STATE(598)] = 980,
  [SMALL_STATE(599)] = 1048,
  [SMALL_STATE(600)] = 1116,
  [SMALL_STATE(601)] = 1184,
  [SMALL_STATE(602)] = 1252,
  [SMALL_STATE(603)] = 1320,
  [SMALL_STATE(604)] = 1388,
  [SMALL_STATE(605)] = 1456,
  [SMALL_STATE(606)] = 1524,
  [SMALL_STATE(607)] = 1592,
  [SMALL_STATE(608)] = 1660,
  [SMALL_STATE(609)] = 1728,
  [SMALL_STATE(610)] = 1796,
  [SMALL_STATE(611)] = 1866,
  [SMALL_STATE(612)] = 1934,
  [SMALL_STATE(613)] = 2004,
  [SMALL_STATE(614)] = 2079,
  [SMALL_STATE(615)] = 2154,
  [SMALL_STATE(616)] = 2223,
  [SMALL_STATE(617)] = 2292,
  [SMALL_STATE(618)] = 2367,
  [SMALL_STATE(619)] = 2431,
  [SMALL_STATE(620)] = 2543,
  [SMALL_STATE(621)] = 2607,
  [SMALL_STATE(622)] = 2671,
  [SMALL_STATE(623)] = 2745,
  [SMALL_STATE(624)] = 2809,
  [SMALL_STATE(625)] = 2873,
  [SMALL_STATE(626)] = 2937,
  [SMALL_STATE(627)] = 3011,
  [SMALL_STATE(628)] = 3129,
  [SMALL_STATE(629)] = 3203,
  [SMALL_STATE(630)] = 3267,
  [SMALL_STATE(631)] = 3331,
  [SMALL_STATE(632)] = 3395,
  [SMALL_STATE(633)] = 3459,
  [SMALL_STATE(634)] = 3523,
  [SMALL_STATE(635)] = 3635,
  [SMALL_STATE(636)] = 3753,
  [SMALL_STATE(637)] = 3819,
  [SMALL_STATE(638)] = 3883,
  [SMALL_STATE(639)] = 3947,
  [SMALL_STATE(640)] = 4059,
  [SMALL_STATE(641)] = 4125,
  [SMALL_STATE(642)] = 4189,
  [SMALL_STATE(643)] = 4253,
  [SMALL_STATE(644)] = 4325,
  [SMALL_STATE(645)] = 4389,
  [SMALL_STATE(646)] = 4461,
  [SMALL_STATE(647)] = 4524,
  [SMALL_STATE(648)] = 4587,
  [SMALL_STATE(649)] = 4658,
  [SMALL_STATE(650)] = 4729,
  [SMALL_STATE(651)] = 4800,
  [SMALL_STATE(652)] = 4863,
  [SMALL_STATE(653)] = 4934,
  [SMALL_STATE(654)] = 4997,
  [SMALL_STATE(655)] = 5068,
  [SMALL_STATE(656)] = 5131,
  [SMALL_STATE(657)] = 5210,
  [SMALL_STATE(658)] = 5273,
  [SMALL_STATE(659)] = 5346,
  [SMALL_STATE(660)] = 5409,
  [SMALL_STATE(661)] = 5480,
  [SMALL_STATE(662)] = 5553,
  [SMALL_STATE(663)] = 5616,
  [SMALL_STATE(664)] = 5731,
  [SMALL_STATE(665)] = 5801,
  [SMALL_STATE(666)] = 5875,
  [SMALL_STATE(667)] = 5949,
  [SMALL_STATE(668)] = 6023,
  [SMALL_STATE(669)] = 6093,
  [SMALL_STATE(670)] = 6163,
  [SMALL_STATE(671)] = 6239,
  [SMALL_STATE(672)] = 6315,
  [SMALL_STATE(673)] = 6385,
  [SMALL_STATE(674)] = 6458,
  [SMALL_STATE(675)] = 6529,
  [SMALL_STATE(676)] = 6638,
  [SMALL_STATE(677)] = 6747,
  [SMALL_STATE(678)] = 6856,
  [SMALL_STATE(679)] = 6927,
  [SMALL_STATE(680)] = 7036,
  [SMALL_STATE(681)] = 7107,
  [SMALL_STATE(682)] = 7178,
  [SMALL_STATE(683)] = 7249,
  [SMALL_STATE(684)] = 7320,
  [SMALL_STATE(685)] = 7426,
  [SMALL_STATE(686)] = 7532,
  [SMALL_STATE(687)] = 7602,
  [SMALL_STATE(688)] = 7666,
  [SMALL_STATE(689)] = 7772,
  [SMALL_STATE(690)] = 7878,
  [SMALL_STATE(691)] = 7948,
  [SMALL_STATE(692)] = 8054,
  [SMALL_STATE(693)] = 8160,
  [SMALL_STATE(694)] = 8266,
  [SMALL_STATE(695)] = 8372,
  [SMALL_STATE(696)] = 8478,
  [SMALL_STATE(697)] = 8584,
  [SMALL_STATE(698)] = 8690,
  [SMALL_STATE(699)] = 8796,
  [SMALL_STATE(700)] = 8902,
  [SMALL_STATE(701)] = 8960,
  [SMALL_STATE(702)] = 9020,
  [SMALL_STATE(703)] = 9075,
  [SMALL_STATE(704)] = 9134,
  [SMALL_STATE(705)] = 9231,
  [SMALL_STATE(706)] = 9328,
  [SMALL_STATE(707)] = 9383,
  [SMALL_STATE(708)] = 9442,
  [SMALL_STATE(709)] = 9501,
  [SMALL_STATE(710)] = 9557,
  [SMALL_STATE(711)] = 9611,
  [SMALL_STATE(712)] = 9665,
  [SMALL_STATE(713)] = 9719,
  [SMALL_STATE(714)] = 9773,
  [SMALL_STATE(715)] = 9827,
  [SMALL_STATE(716)] = 9883,
  [SMALL_STATE(717)] = 9937,
  [SMALL_STATE(718)] = 9991,
  [SMALL_STATE(719)] = 10045,
  [SMALL_STATE(720)] = 10105,
  [SMALL_STATE(721)] = 10161,
  [SMALL_STATE(722)] = 10215,
  [SMALL_STATE(723)] = 10269,
  [SMALL_STATE(724)] = 10325,
  [SMALL_STATE(725)] = 10379,
  [SMALL_STATE(726)] = 10433,
  [SMALL_STATE(727)] = 10487,
  [SMALL_STATE(728)] = 10541,
  [SMALL_STATE(729)] = 10601,
  [SMALL_STATE(730)] = 10657,
  [SMALL_STATE(731)] = 10711,
  [SMALL_STATE(732)] = 10765,
  [SMALL_STATE(733)] = 10819,
  [SMALL_STATE(734)] = 10872,
  [SMALL_STATE(735)] = 10929,
  [SMALL_STATE(736)] = 10986,
  [SMALL_STATE(737)] = 11039,
  [SMALL_STATE(738)] = 11092,
  [SMALL_STATE(739)] = 11147,
  [SMALL_STATE(740)] = 11200,
  [SMALL_STATE(741)] = 11257,
  [SMALL_STATE(742)] = 11310,
  [SMALL_STATE(743)] = 11367,
  [SMALL_STATE(744)] = 11420,
  [SMALL_STATE(745)] = 11475,
  [SMALL_STATE(746)] = 11528,
  [SMALL_STATE(747)] = 11585,
  [SMALL_STATE(748)] = 11638,
  [SMALL_STATE(749)] = 11690,
  [SMALL_STATE(750)] = 11742,
  [SMALL_STATE(751)] = 11794,
  [SMALL_STATE(752)] = 11846,
  [SMALL_STATE(753)] = 11898,
  [SMALL_STATE(754)] = 11950,
  [SMALL_STATE(755)] = 12004,
  [SMALL_STATE(756)] = 12056,
  [SMALL_STATE(757)] = 12110,
  [SMALL_STATE(758)] = 12162,
  [SMALL_STATE(759)] = 12214,
  [SMALL_STATE(760)] = 12266,
  [SMALL_STATE(761)] = 12318,
  [SMALL_STATE(762)] = 12378,
  [SMALL_STATE(763)] = 12430,
  [SMALL_STATE(764)] = 12482,
  [SMALL_STATE(765)] = 12538,
  [SMALL_STATE(766)] = 12594,
  [SMALL_STATE(767)] = 12648,
  [SMALL_STATE(768)] = 12702,
  [SMALL_STATE(769)] = 12754,
  [SMALL_STATE(770)] = 12806,
  [SMALL_STATE(771)] = 12858,
  [SMALL_STATE(772)] = 12910,
  [SMALL_STATE(773)] = 12962,
  [SMALL_STATE(774)] = 13014,
  [SMALL_STATE(775)] = 13066,
  [SMALL_STATE(776)] = 13118,
  [SMALL_STATE(777)] = 13170,
  [SMALL_STATE(778)] = 13226,
  [SMALL_STATE(779)] = 13278,
  [SMALL_STATE(780)] = 13330,
  [SMALL_STATE(781)] = 13382,
  [SMALL_STATE(782)] = 13436,
  [SMALL_STATE(783)] = 13490,
  [SMALL_STATE(784)] = 13542,
  [SMALL_STATE(785)] = 13594,
  [SMALL_STATE(786)] = 13646,
  [SMALL_STATE(787)] = 13698,
  [SMALL_STATE(788)] = 13750,
  [SMALL_STATE(789)] = 13802,
  [SMALL_STATE(790)] = 13854,
  [SMALL_STATE(791)] = 13906,
  [SMALL_STATE(792)] = 13960,
  [SMALL_STATE(793)] = 14012,
  [SMALL_STATE(794)] = 14064,
  [SMALL_STATE(795)] = 14158,
  [SMALL_STATE(796)] = 14210,
  [SMALL_STATE(797)] = 14262,
  [SMALL_STATE(798)] = 14314,
  [SMALL_STATE(799)] = 14366,
  [SMALL_STATE(800)] = 14418,
  [SMALL_STATE(801)] = 14470,
  [SMALL_STATE(802)] = 14526,
  [SMALL_STATE(803)] = 14578,
  [SMALL_STATE(804)] = 14630,
  [SMALL_STATE(805)] = 14682,
  [SMALL_STATE(806)] = 14734,
  [SMALL_STATE(807)] = 14786,
  [SMALL_STATE(808)] = 14838,
  [SMALL_STATE(809)] = 14890,
  [SMALL_STATE(810)] = 14942,
  [SMALL_STATE(811)] = 14994,
  [SMALL_STATE(812)] = 15046,
  [SMALL_STATE(813)] = 15102,
  [SMALL_STATE(814)] = 15154,
  [SMALL_STATE(815)] = 15206,
  [SMALL_STATE(816)] = 15258,
  [SMALL_STATE(817)] = 15310,
  [SMALL_STATE(818)] = 15362,
  [SMALL_STATE(819)] = 15414,
  [SMALL_STATE(820)] = 15466,
  [SMALL_STATE(821)] = 15560,
  [SMALL_STATE(822)] = 15612,
  [SMALL_STATE(823)] = 15664,
  [SMALL_STATE(824)] = 15716,
  [SMALL_STATE(825)] = 15768,
  [SMALL_STATE(826)] = 15820,
  [SMALL_STATE(827)] = 15872,
  [SMALL_STATE(828)] = 15924,
  [SMALL_STATE(829)] = 16015,
  [SMALL_STATE(830)] = 16070,
  [SMALL_STATE(831)] = 16121,
  [SMALL_STATE(832)] = 16174,
  [SMALL_STATE(833)] = 16227,
  [SMALL_STATE(834)] = 16282,
  [SMALL_STATE(835)] = 16335,
  [SMALL_STATE(836)] = 16388,
  [SMALL_STATE(837)] = 16443,
  [SMALL_STATE(838)] = 16534,
  [SMALL_STATE(839)] = 16589,
  [SMALL_STATE(840)] = 16680,
  [SMALL_STATE(841)] = 16733,
  [SMALL_STATE(842)] = 16788,
  [SMALL_STATE(843)] = 16879,
  [SMALL_STATE(844)] = 16929,
  [SMALL_STATE(845)] = 16979,
  [SMALL_STATE(846)] = 17029,
  [SMALL_STATE(847)] = 17079,
  [SMALL_STATE(848)] = 17129,
  [SMALL_STATE(849)] = 17183,
  [SMALL_STATE(850)] = 17239,
  [SMALL_STATE(851)] = 17289,
  [SMALL_STATE(852)] = 17343,
  [SMALL_STATE(853)] = 17393,
  [SMALL_STATE(854)] = 17443,
  [SMALL_STATE(855)] = 17493,
  [SMALL_STATE(856)] = 17543,
  [SMALL_STATE(857)] = 17599,
  [SMALL_STATE(858)] = 17649,
  [SMALL_STATE(859)] = 17743,
  [SMALL_STATE(860)] = 17793,
  [SMALL_STATE(861)] = 17843,
  [SMALL_STATE(862)] = 17895,
  [SMALL_STATE(863)] = 17945,
  [SMALL_STATE(864)] = 18039,
  [SMALL_STATE(865)] = 18127,
  [SMALL_STATE(866)] = 18179,
  [SMALL_STATE(867)] = 18273,
  [SMALL_STATE(868)] = 18323,
  [SMALL_STATE(869)] = 18373,
  [SMALL_STATE(870)] = 18423,
  [SMALL_STATE(871)] = 18472,
  [SMALL_STATE(872)] = 18521,
  [SMALL_STATE(873)] = 18570,
  [SMALL_STATE(874)] = 18619,
  [SMALL_STATE(875)] = 18670,
  [SMALL_STATE(876)] = 18719,
  [SMALL_STATE(877)] = 18772,
  [SMALL_STATE(878)] = 18821,
  [SMALL_STATE(879)] = 18870,
  [SMALL_STATE(880)] = 18923,
  [SMALL_STATE(881)] = 18976,
  [SMALL_STATE(882)] = 19027,
  [SMALL_STATE(883)] = 19080,
  [SMALL_STATE(884)] = 19133,
  [SMALL_STATE(885)] = 19184,
  [SMALL_STATE(886)] = 19235,
  [SMALL_STATE(887)] = 19284,
  [SMALL_STATE(888)] = 19333,
  [SMALL_STATE(889)] = 19382,
  [SMALL_STATE(890)] = 19431,
  [SMALL_STATE(891)] = 19479,
  [SMALL_STATE(892)] = 19535,
  [SMALL_STATE(893)] = 19585,
  [SMALL_STATE(894)] = 19635,
  [SMALL_STATE(895)] = 19683,
  [SMALL_STATE(896)] = 19731,
  [SMALL_STATE(897)] = 19779,
  [SMALL_STATE(898)] = 19827,
  [SMALL_STATE(899)] = 19875,
  [SMALL_STATE(900)] = 19925,
  [SMALL_STATE(901)] = 19973,
  [SMALL_STATE(902)] = 20021,
  [SMALL_STATE(903)] = 20073,
  [SMALL_STATE(904)] = 20121,
  [SMALL_STATE(905)] = 20169,
  [SMALL_STATE(906)] = 20221,
  [SMALL_STATE(907)] = 20269,
  [SMALL_STATE(908)] = 20317,
  [SMALL_STATE(909)] = 20365,
  [SMALL_STATE(910)] = 20413,
  [SMALL_STATE(911)] = 20461,
  [SMALL_STATE(912)] = 20509,
  [SMALL_STATE(913)] = 20557,
  [SMALL_STATE(914)] = 20605,
  [SMALL_STATE(915)] = 20653,
  [SMALL_STATE(916)] = 20701,
  [SMALL_STATE(917)] = 20751,
  [SMALL_STATE(918)] = 20799,
  [SMALL_STATE(919)] = 20847,
  [SMALL_STATE(920)] = 20895,
  [SMALL_STATE(921)] = 20943,
  [SMALL_STATE(922)] = 20991,
  [SMALL_STATE(923)] = 21039,
  [SMALL_STATE(924)] = 21087,
  [SMALL_STATE(925)] = 21135,
  [SMALL_STATE(926)] = 21183,
  [SMALL_STATE(927)] = 21231,
  [SMALL_STATE(928)] = 21279,
  [SMALL_STATE(929)] = 21327,
  [SMALL_STATE(930)] = 21377,
  [SMALL_STATE(931)] = 21425,
  [SMALL_STATE(932)] = 21475,
  [SMALL_STATE(933)] = 21523,
  [SMALL_STATE(934)] = 21575,
  [SMALL_STATE(935)] = 21627,
  [SMALL_STATE(936)] = 21675,
  [SMALL_STATE(937)] = 21731,
  [SMALL_STATE(938)] = 21779,
  [SMALL_STATE(939)] = 21827,
  [SMALL_STATE(940)] = 21877,
  [SMALL_STATE(941)] = 21925,
  [SMALL_STATE(942)] = 21973,
  [SMALL_STATE(943)] = 22021,
  [SMALL_STATE(944)] = 22069,
  [SMALL_STATE(945)] = 22117,
  [SMALL_STATE(946)] = 22165,
  [SMALL_STATE(947)] = 22213,
  [SMALL_STATE(948)] = 22261,
  [SMALL_STATE(949)] = 22309,
  [SMALL_STATE(950)] = 22357,
  [SMALL_STATE(951)] = 22405,
  [SMALL_STATE(952)] = 22453,
  [SMALL_STATE(953)] = 22501,
  [SMALL_STATE(954)] = 22549,
  [SMALL_STATE(955)] = 22597,
  [SMALL_STATE(956)] = 22645,
  [SMALL_STATE(957)] = 22693,
  [SMALL_STATE(958)] = 22741,
  [SMALL_STATE(959)] = 22789,
  [SMALL_STATE(960)] = 22837,
  [SMALL_STATE(961)] = 22885,
  [SMALL_STATE(962)] = 22941,
  [SMALL_STATE(963)] = 22989,
  [SMALL_STATE(964)] = 23037,
  [SMALL_STATE(965)] = 23085,
  [SMALL_STATE(966)] = 23137,
  [SMALL_STATE(967)] = 23185,
  [SMALL_STATE(968)] = 23233,
  [SMALL_STATE(969)] = 23281,
  [SMALL_STATE(970)] = 23329,
  [SMALL_STATE(971)] = 23379,
  [SMALL_STATE(972)] = 23431,
  [SMALL_STATE(973)] = 23479,
  [SMALL_STATE(974)] = 23535,
  [SMALL_STATE(975)] = 23583,
  [SMALL_STATE(976)] = 23630,
  [SMALL_STATE(977)] = 23677,
  [SMALL_STATE(978)] = 23724,
  [SMALL_STATE(979)] = 23773,
  [SMALL_STATE(980)] = 23824,
  [SMALL_STATE(981)] = 23871,
  [SMALL_STATE(982)] = 23922,
  [SMALL_STATE(983)] = 23969,
  [SMALL_STATE(984)] = 24018,
  [SMALL_STATE(985)] = 24065,
  [SMALL_STATE(986)] = 24112,
  [SMALL_STATE(987)] = 24159,
  [SMALL_STATE(988)] = 24208,
  [SMALL_STATE(989)] = 24255,
  [SMALL_STATE(990)] = 24304,
  [SMALL_STATE(991)] = 24353,
  [SMALL_STATE(992)] = 24402,
  [SMALL_STATE(993)] = 24449,
  [SMALL_STATE(994)] = 24498,
  [SMALL_STATE(995)] = 24545,
  [SMALL_STATE(996)] = 24594,
  [SMALL_STATE(997)] = 24641,
  [SMALL_STATE(998)] = 24688,
  [SMALL_STATE(999)] = 24735,
  [SMALL_STATE(1000)] = 24782,
  [SMALL_STATE(1001)] = 24829,
  [SMALL_STATE(1002)] = 24876,
  [SMALL_STATE(1003)] = 24923,
  [SMALL_STATE(1004)] = 24970,
  [SMALL_STATE(1005)] = 25017,
  [SMALL_STATE(1006)] = 25064,
  [SMALL_STATE(1007)] = 25111,
  [SMALL_STATE(1008)] = 25158,
  [SMALL_STATE(1009)] = 25204,
  [SMALL_STATE(1010)] = 25249,
  [SMALL_STATE(1011)] = 25298,
  [SMALL_STATE(1012)] = 25345,
  [SMALL_STATE(1013)] = 25427,
  [SMALL_STATE(1014)] = 25505,
  [SMALL_STATE(1015)] = 25581,
  [SMALL_STATE(1016)] = 25663,
  [SMALL_STATE(1017)] = 25715,
  [SMALL_STATE(1018)] = 25769,
  [SMALL_STATE(1019)] = 25851,
  [SMALL_STATE(1020)] = 25897,
  [SMALL_STATE(1021)] = 25969,
  [SMALL_STATE(1022)] = 26045,
  [SMALL_STATE(1023)] = 26127,
  [SMALL_STATE(1024)] = 26203,
  [SMALL_STATE(1025)] = 26285,
  [SMALL_STATE(1026)] = 26369,
  [SMALL_STATE(1027)] = 26451,
  [SMALL_STATE(1028)] = 26521,
  [SMALL_STATE(1029)] = 26577,
  [SMALL_STATE(1030)] = 26643,
  [SMALL_STATE(1031)] = 26719,
  [SMALL_STATE(1032)] = 26779,
  [SMALL_STATE(1033)] = 26829,
  [SMALL_STATE(1034)] = 26911,
  [SMALL_STATE(1035)] = 26987,
  [SMALL_STATE(1036)] = 27051,
  [SMALL_STATE(1037)] = 27127,
  [SMALL_STATE(1038)] = 27173,
  [SMALL_STATE(1039)] = 27255,
  [SMALL_STATE(1040)] = 27337,
  [SMALL_STATE(1041)] = 27381,
  [SMALL_STATE(1042)] = 27463,
  [SMALL_STATE(1043)] = 27539,
  [SMALL_STATE(1044)] = 27619,
  [SMALL_STATE(1045)] = 27687,
  [SMALL_STATE(1046)] = 27762,
  [SMALL_STATE(1047)] = 27819,
  [SMALL_STATE(1048)] = 27894,
  [SMALL_STATE(1049)] = 27937,
  [SMALL_STATE(1050)] = 27980,
  [SMALL_STATE(1051)] = 28029,
  [SMALL_STATE(1052)] = 28096,
  [SMALL_STATE(1053)] = 28163,
  [SMALL_STATE(1054)] = 28226,
  [SMALL_STATE(1055)] = 28291,
  [SMALL_STATE(1056)] = 28334,
  [SMALL_STATE(1057)] = 28415,
  [SMALL_STATE(1058)] = 28492,
  [SMALL_STATE(1059)] = 28571,
  [SMALL_STATE(1060)] = 28634,
  [SMALL_STATE(1061)] = 28715,
  [SMALL_STATE(1062)] = 28758,
  [SMALL_STATE(1063)] = 28833,
  [SMALL_STATE(1064)] = 28906,
  [SMALL_STATE(1065)] = 28951,
  [SMALL_STATE(1066)] = 29026,
  [SMALL_STATE(1067)] = 29069,
  [SMALL_STATE(1068)] = 29144,
  [SMALL_STATE(1069)] = 29215,
  [SMALL_STATE(1070)] = 29260,
  [SMALL_STATE(1071)] = 29341,
  [SMALL_STATE(1072)] = 29400,
  [SMALL_STATE(1073)] = 29455,
  [SMALL_STATE(1074)] = 29498,
  [SMALL_STATE(1075)] = 29549,
  [SMALL_STATE(1076)] = 29602,
  [SMALL_STATE(1077)] = 29647,
  [SMALL_STATE(1078)] = 29722,
  [SMALL_STATE(1079)] = 29797,
  [SMALL_STATE(1080)] = 29840,
  [SMALL_STATE(1081)] = 29919,
  [SMALL_STATE(1082)] = 29962,
  [SMALL_STATE(1083)] = 30043,
  [SMALL_STATE(1084)] = 30086,
  [SMALL_STATE(1085)] = 30161,
  [SMALL_STATE(1086)] = 30236,
  [SMALL_STATE(1087)] = 30279,
  [SMALL_STATE(1088)] = 30322,
  [SMALL_STATE(1089)] = 30403,
  [SMALL_STATE(1090)] = 30484,
  [SMALL_STATE(1091)] = 30559,
  [SMALL_STATE(1092)] = 30602,
  [SMALL_STATE(1093)] = 30645,
  [SMALL_STATE(1094)] = 30688,
  [SMALL_STATE(1095)] = 30771,
  [SMALL_STATE(1096)] = 30814,
  [SMALL_STATE(1097)] = 30895,
  [SMALL_STATE(1098)] = 30976,
  [SMALL_STATE(1099)] = 31053,
  [SMALL_STATE(1100)] = 31124,
  [SMALL_STATE(1101)] = 31205,
  [SMALL_STATE(1102)] = 31286,
  [SMALL_STATE(1103)] = 31329,
  [SMALL_STATE(1104)] = 31410,
  [SMALL_STATE(1105)] = 31453,
  [SMALL_STATE(1106)] = 31534,
  [SMALL_STATE(1107)] = 31577,
  [SMALL_STATE(1108)] = 31652,
  [SMALL_STATE(1109)] = 31727,
  [SMALL_STATE(1110)] = 31808,
  [SMALL_STATE(1111)] = 31891,
  [SMALL_STATE(1112)] = 31972,
  [SMALL_STATE(1113)] = 32041,
  [SMALL_STATE(1114)] = 32090,
  [SMALL_STATE(1115)] = 32171,
  [SMALL_STATE(1116)] = 32236,
  [SMALL_STATE(1117)] = 32295,
  [SMALL_STATE(1118)] = 32350,
  [SMALL_STATE(1119)] = 32431,
  [SMALL_STATE(1120)] = 32512,
  [SMALL_STATE(1121)] = 32563,
  [SMALL_STATE(1122)] = 32644,
  [SMALL_STATE(1123)] = 32687,
  [SMALL_STATE(1124)] = 32730,
  [SMALL_STATE(1125)] = 32799,
  [SMALL_STATE(1126)] = 32842,
  [SMALL_STATE(1127)] = 32885,
  [SMALL_STATE(1128)] = 32966,
  [SMALL_STATE(1129)] = 33019,
  [SMALL_STATE(1130)] = 33062,
  [SMALL_STATE(1131)] = 33105,
  [SMALL_STATE(1132)] = 33186,
  [SMALL_STATE(1133)] = 33231,
  [SMALL_STATE(1134)] = 33276,
  [SMALL_STATE(1135)] = 33319,
  [SMALL_STATE(1136)] = 33394,
  [SMALL_STATE(1137)] = 33469,
  [SMALL_STATE(1138)] = 33549,
  [SMALL_STATE(1139)] = 33611,
  [SMALL_STATE(1140)] = 33685,
  [SMALL_STATE(1141)] = 33759,
  [SMALL_STATE(1142)] = 33839,
  [SMALL_STATE(1143)] = 33921,
  [SMALL_STATE(1144)] = 33999,
  [SMALL_STATE(1145)] = 34073,
  [SMALL_STATE(1146)] = 34153,
  [SMALL_STATE(1147)] = 34197,
  [SMALL_STATE(1148)] = 34271,
  [SMALL_STATE(1149)] = 34345,
  [SMALL_STATE(1150)] = 34419,
  [SMALL_STATE(1151)] = 34499,
  [SMALL_STATE(1152)] = 34547,
  [SMALL_STATE(1153)] = 34615,
  [SMALL_STATE(1154)] = 34695,
  [SMALL_STATE(1155)] = 34761,
  [SMALL_STATE(1156)] = 34825,
  [SMALL_STATE(1157)] = 34869,
  [SMALL_STATE(1158)] = 34943,
  [SMALL_STATE(1159)] = 35023,
  [SMALL_STATE(1160)] = 35103,
  [SMALL_STATE(1161)] = 35157,
  [SMALL_STATE(1162)] = 35207,
  [SMALL_STATE(1163)] = 35287,
  [SMALL_STATE(1164)] = 35339,
  [SMALL_STATE(1165)] = 35409,
  [SMALL_STATE(1166)] = 35489,
  [SMALL_STATE(1167)] = 35569,
  [SMALL_STATE(1168)] = 35645,
  [SMALL_STATE(1169)] = 35703,
  [SMALL_STATE(1170)] = 35786,
  [SMALL_STATE(1171)] = 35869,
  [SMALL_STATE(1172)] = 35952,
  [SMALL_STATE(1173)] = 36035,
  [SMALL_STATE(1174)] = 36118,
  [SMALL_STATE(1175)] = 36201,
  [SMALL_STATE(1176)] = 36284,
  [SMALL_STATE(1177)] = 36327,
  [SMALL_STATE(1178)] = 36410,
  [SMALL_STATE(1179)] = 36489,
  [SMALL_STATE(1180)] = 36532,
  [SMALL_STATE(1181)] = 36612,
  [SMALL_STATE(1182)] = 36692,
  [SMALL_STATE(1183)] = 36754,
  [SMALL_STATE(1184)] = 36832,
  [SMALL_STATE(1185)] = 36912,
  [SMALL_STATE(1186)] = 36992,
  [SMALL_STATE(1187)] = 37072,
  [SMALL_STATE(1188)] = 37152,
  [SMALL_STATE(1189)] = 37232,
  [SMALL_STATE(1190)] = 37312,
  [SMALL_STATE(1191)] = 37392,
  [SMALL_STATE(1192)] = 37454,
  [SMALL_STATE(1193)] = 37534,
  [SMALL_STATE(1194)] = 37614,
  [SMALL_STATE(1195)] = 37694,
  [SMALL_STATE(1196)] = 37756,
  [SMALL_STATE(1197)] = 37836,
  [SMALL_STATE(1198)] = 37914,
  [SMALL_STATE(1199)] = 37994,
  [SMALL_STATE(1200)] = 38074,
  [SMALL_STATE(1201)] = 38140,
  [SMALL_STATE(1202)] = 38222,
  [SMALL_STATE(1203)] = 38302,
  [SMALL_STATE(1204)] = 38364,
  [SMALL_STATE(1205)] = 38430,
  [SMALL_STATE(1206)] = 38501,
  [SMALL_STATE(1207)] = 38572,
  [SMALL_STATE(1208)] = 38651,
  [SMALL_STATE(1209)] = 38722,
  [SMALL_STATE(1210)] = 38799,
  [SMALL_STATE(1211)] = 38876,
  [SMALL_STATE(1212)] = 38953,
  [SMALL_STATE(1213)] = 39024,
  [SMALL_STATE(1214)] = 39095,
  [SMALL_STATE(1215)] = 39172,
  [SMALL_STATE(1216)] = 39251,
  [SMALL_STATE(1217)] = 39330,
  [SMALL_STATE(1218)] = 39407,
  [SMALL_STATE(1219)] = 39484,
  [SMALL_STATE(1220)] = 39561,
  [SMALL_STATE(1221)] = 39640,
  [SMALL_STATE(1222)] = 39717,
  [SMALL_STATE(1223)] = 39794,
  [SMALL_STATE(1224)] = 39871,
  [SMALL_STATE(1225)] = 39942,
  [SMALL_STATE(1226)] = 40019,
  [SMALL_STATE(1227)] = 40096,
  [SMALL_STATE(1228)] = 40173,
  [SMALL_STATE(1229)] = 40252,
  [SMALL_STATE(1230)] = 40329,
  [SMALL_STATE(1231)] = 40406,
  [SMALL_STATE(1232)] = 40477,
  [SMALL_STATE(1233)] = 40554,
  [SMALL_STATE(1234)] = 40630,
  [SMALL_STATE(1235)] = 40706,
  [SMALL_STATE(1236)] = 40782,
  [SMALL_STATE(1237)] = 40858,
  [SMALL_STATE(1238)] = 40934,
  [SMALL_STATE(1239)] = 41010,
  [SMALL_STATE(1240)] = 41086,
  [SMALL_STATE(1241)] = 41162,
  [SMALL_STATE(1242)] = 41238,
  [SMALL_STATE(1243)] = 41314,
  [SMALL_STATE(1244)] = 41390,
  [SMALL_STATE(1245)] = 41466,
  [SMALL_STATE(1246)] = 41542,
  [SMALL_STATE(1247)] = 41618,
  [SMALL_STATE(1248)] = 41694,
  [SMALL_STATE(1249)] = 41770,
  [SMALL_STATE(1250)] = 41846,
  [SMALL_STATE(1251)] = 41922,
  [SMALL_STATE(1252)] = 41998,
  [SMALL_STATE(1253)] = 42074,
  [SMALL_STATE(1254)] = 42150,
  [SMALL_STATE(1255)] = 42226,
  [SMALL_STATE(1256)] = 42302,
  [SMALL_STATE(1257)] = 42378,
  [SMALL_STATE(1258)] = 42438,
  [SMALL_STATE(1259)] = 42514,
  [SMALL_STATE(1260)] = 42590,
  [SMALL_STATE(1261)] = 42666,
  [SMALL_STATE(1262)] = 42742,
  [SMALL_STATE(1263)] = 42818,
  [SMALL_STATE(1264)] = 42894,
  [SMALL_STATE(1265)] = 42970,
  [SMALL_STATE(1266)] = 43046,
  [SMALL_STATE(1267)] = 43122,
  [SMALL_STATE(1268)] = 43198,
  [SMALL_STATE(1269)] = 43274,
  [SMALL_STATE(1270)] = 43350,
  [SMALL_STATE(1271)] = 43426,
  [SMALL_STATE(1272)] = 43502,
  [SMALL_STATE(1273)] = 43578,
  [SMALL_STATE(1274)] = 43654,
  [SMALL_STATE(1275)] = 43714,
  [SMALL_STATE(1276)] = 43790,
  [SMALL_STATE(1277)] = 43866,
  [SMALL_STATE(1278)] = 43942,
  [SMALL_STATE(1279)] = 44018,
  [SMALL_STATE(1280)] = 44094,
  [SMALL_STATE(1281)] = 44170,
  [SMALL_STATE(1282)] = 44246,
  [SMALL_STATE(1283)] = 44322,
  [SMALL_STATE(1284)] = 44398,
  [SMALL_STATE(1285)] = 44474,
  [SMALL_STATE(1286)] = 44514,
  [SMALL_STATE(1287)] = 44590,
  [SMALL_STATE(1288)] = 44627,
  [SMALL_STATE(1289)] = 44692,
  [SMALL_STATE(1290)] = 44729,
  [SMALL_STATE(1291)] = 44794,
  [SMALL_STATE(1292)] = 44831,
  [SMALL_STATE(1293)] = 44896,
  [SMALL_STATE(1294)] = 44961,
  [SMALL_STATE(1295)] = 44998,
  [SMALL_STATE(1296)] = 45063,
  [SMALL_STATE(1297)] = 45099,
  [SMALL_STATE(1298)] = 45152,
  [SMALL_STATE(1299)] = 45205,
  [SMALL_STATE(1300)] = 45242,
  [SMALL_STATE(1301)] = 45279,
  [SMALL_STATE(1302)] = 45310,
  [SMALL_STATE(1303)] = 45341,
  [SMALL_STATE(1304)] = 45372,
  [SMALL_STATE(1305)] = 45414,
  [SMALL_STATE(1306)] = 45456,
  [SMALL_STATE(1307)] = 45498,
  [SMALL_STATE(1308)] = 45540,
  [SMALL_STATE(1309)] = 45582,
  [SMALL_STATE(1310)] = 45638,
  [SMALL_STATE(1311)] = 45680,
  [SMALL_STATE(1312)] = 45722,
  [SMALL_STATE(1313)] = 45772,
  [SMALL_STATE(1314)] = 45814,
  [SMALL_STATE(1315)] = 45864,
  [SMALL_STATE(1316)] = 45920,
  [SMALL_STATE(1317)] = 45962,
  [SMALL_STATE(1318)] = 46004,
  [SMALL_STATE(1319)] = 46046,
  [SMALL_STATE(1320)] = 46085,
  [SMALL_STATE(1321)] = 46118,
  [SMALL_STATE(1322)] = 46157,
  [SMALL_STATE(1323)] = 46196,
  [SMALL_STATE(1324)] = 46229,
  [SMALL_STATE(1325)] = 46268,
  [SMALL_STATE(1326)] = 46307,
  [SMALL_STATE(1327)] = 46346,
  [SMALL_STATE(1328)] = 46382,
  [SMALL_STATE(1329)] = 46418,
  [SMALL_STATE(1330)] = 46445,
  [SMALL_STATE(1331)] = 46472,
  [SMALL_STATE(1332)] = 46517,
  [SMALL_STATE(1333)] = 46544,
  [SMALL_STATE(1334)] = 46578,
  [SMALL_STATE(1335)] = 46620,
  [SMALL_STATE(1336)] = 46654,
  [SMALL_STATE(1337)] = 46688,
  [SMALL_STATE(1338)] = 46727,
  [SMALL_STATE(1339)] = 46766,
  [SMALL_STATE(1340)] = 46805,
  [SMALL_STATE(1341)] = 46844,
  [SMALL_STATE(1342)] = 46883,
  [SMALL_STATE(1343)] = 46919,
  [SMALL_STATE(1344)] = 46955,
  [SMALL_STATE(1345)] = 46991,
  [SMALL_STATE(1346)] = 47031,
  [SMALL_STATE(1347)] = 47055,
  [SMALL_STATE(1348)] = 47091,
  [SMALL_STATE(1349)] = 47127,
  [SMALL_STATE(1350)] = 47167,
  [SMALL_STATE(1351)] = 47203,
  [SMALL_STATE(1352)] = 47239,
  [SMALL_STATE(1353)] = 47275,
  [SMALL_STATE(1354)] = 47311,
  [SMALL_STATE(1355)] = 47346,
  [SMALL_STATE(1356)] = 47381,
  [SMALL_STATE(1357)] = 47416,
  [SMALL_STATE(1358)] = 47453,
  [SMALL_STATE(1359)] = 47487,
  [SMALL_STATE(1360)] = 47507,
  [SMALL_STATE(1361)] = 47527,
  [SMALL_STATE(1362)] = 47547,
  [SMALL_STATE(1363)] = 47567,
  [SMALL_STATE(1364)] = 47601,
  [SMALL_STATE(1365)] = 47635,
  [SMALL_STATE(1366)] = 47655,
  [SMALL_STATE(1367)] = 47675,
  [SMALL_STATE(1368)] = 47695,
  [SMALL_STATE(1369)] = 47715,
  [SMALL_STATE(1370)] = 47749,
  [SMALL_STATE(1371)] = 47769,
  [SMALL_STATE(1372)] = 47789,
  [SMALL_STATE(1373)] = 47809,
  [SMALL_STATE(1374)] = 47843,
  [SMALL_STATE(1375)] = 47877,
  [SMALL_STATE(1376)] = 47911,
  [SMALL_STATE(1377)] = 47931,
  [SMALL_STATE(1378)] = 47965,
  [SMALL_STATE(1379)] = 47999,
  [SMALL_STATE(1380)] = 48033,
  [SMALL_STATE(1381)] = 48067,
  [SMALL_STATE(1382)] = 48101,
  [SMALL_STATE(1383)] = 48126,
  [SMALL_STATE(1384)] = 48145,
  [SMALL_STATE(1385)] = 48176,
  [SMALL_STATE(1386)] = 48195,
  [SMALL_STATE(1387)] = 48214,
  [SMALL_STATE(1388)] = 48233,
  [SMALL_STATE(1389)] = 48252,
  [SMALL_STATE(1390)] = 48271,
  [SMALL_STATE(1391)] = 48290,
  [SMALL_STATE(1392)] = 48309,
  [SMALL_STATE(1393)] = 48328,
  [SMALL_STATE(1394)] = 48347,
  [SMALL_STATE(1395)] = 48366,
  [SMALL_STATE(1396)] = 48385,
  [SMALL_STATE(1397)] = 48404,
  [SMALL_STATE(1398)] = 48423,
  [SMALL_STATE(1399)] = 48442,
  [SMALL_STATE(1400)] = 48461,
  [SMALL_STATE(1401)] = 48480,
  [SMALL_STATE(1402)] = 48503,
  [SMALL_STATE(1403)] = 48534,
  [SMALL_STATE(1404)] = 48553,
  [SMALL_STATE(1405)] = 48572,
  [SMALL_STATE(1406)] = 48603,
  [SMALL_STATE(1407)] = 48634,
  [SMALL_STATE(1408)] = 48662,
  [SMALL_STATE(1409)] = 48690,
  [SMALL_STATE(1410)] = 48718,
  [SMALL_STATE(1411)] = 48748,
  [SMALL_STATE(1412)] = 48778,
  [SMALL_STATE(1413)] = 48806,
  [SMALL_STATE(1414)] = 48842,
  [SMALL_STATE(1415)] = 48870,
  [SMALL_STATE(1416)] = 48906,
  [SMALL_STATE(1417)] = 48934,
  [SMALL_STATE(1418)] = 48964,
  [SMALL_STATE(1419)] = 48992,
  [SMALL_STATE(1420)] = 49022,
  [SMALL_STATE(1421)] = 49052,
  [SMALL_STATE(1422)] = 49082,
  [SMALL_STATE(1423)] = 49118,
  [SMALL_STATE(1424)] = 49148,
  [SMALL_STATE(1425)] = 49184,
  [SMALL_STATE(1426)] = 49212,
  [SMALL_STATE(1427)] = 49240,
  [SMALL_STATE(1428)] = 49270,
  [SMALL_STATE(1429)] = 49298,
  [SMALL_STATE(1430)] = 49326,
  [SMALL_STATE(1431)] = 49356,
  [SMALL_STATE(1432)] = 49384,
  [SMALL_STATE(1433)] = 49412,
  [SMALL_STATE(1434)] = 49440,
  [SMALL_STATE(1435)] = 49468,
  [SMALL_STATE(1436)] = 49498,
  [SMALL_STATE(1437)] = 49526,
  [SMALL_STATE(1438)] = 49556,
  [SMALL_STATE(1439)] = 49578,
  [SMALL_STATE(1440)] = 49614,
  [SMALL_STATE(1441)] = 49644,
  [SMALL_STATE(1442)] = 49672,
  [SMALL_STATE(1443)] = 49700,
  [SMALL_STATE(1444)] = 49728,
  [SMALL_STATE(1445)] = 49756,
  [SMALL_STATE(1446)] = 49775,
  [SMALL_STATE(1447)] = 49802,
  [SMALL_STATE(1448)] = 49829,
  [SMALL_STATE(1449)] = 49856,
  [SMALL_STATE(1450)] = 49877,
  [SMALL_STATE(1451)] = 49896,
  [SMALL_STATE(1452)] = 49915,
  [SMALL_STATE(1453)] = 49943,
  [SMALL_STATE(1454)] = 49967,
  [SMALL_STATE(1455)] = 49995,
  [SMALL_STATE(1456)] = 50019,
  [SMALL_STATE(1457)] = 50043,
  [SMALL_STATE(1458)] = 50061,
  [SMALL_STATE(1459)] = 50083,
  [SMALL_STATE(1460)] = 50105,
  [SMALL_STATE(1461)] = 50129,
  [SMALL_STATE(1462)] = 50151,
  [SMALL_STATE(1463)] = 50173,
  [SMALL_STATE(1464)] = 50191,
  [SMALL_STATE(1465)] = 50215,
  [SMALL_STATE(1466)] = 50233,
  [SMALL_STATE(1467)] = 50257,
  [SMALL_STATE(1468)] = 50279,
  [SMALL_STATE(1469)] = 50301,
  [SMALL_STATE(1470)] = 50325,
  [SMALL_STATE(1471)] = 50347,
  [SMALL_STATE(1472)] = 50365,
  [SMALL_STATE(1473)] = 50383,
  [SMALL_STATE(1474)] = 50405,
  [SMALL_STATE(1475)] = 50423,
  [SMALL_STATE(1476)] = 50447,
  [SMALL_STATE(1477)] = 50469,
  [SMALL_STATE(1478)] = 50493,
  [SMALL_STATE(1479)] = 50510,
  [SMALL_STATE(1480)] = 50537,
  [SMALL_STATE(1481)] = 50564,
  [SMALL_STATE(1482)] = 50591,
  [SMALL_STATE(1483)] = 50618,
  [SMALL_STATE(1484)] = 50637,
  [SMALL_STATE(1485)] = 50660,
  [SMALL_STATE(1486)] = 50687,
  [SMALL_STATE(1487)] = 50714,
  [SMALL_STATE(1488)] = 50737,
  [SMALL_STATE(1489)] = 50764,
  [SMALL_STATE(1490)] = 50781,
  [SMALL_STATE(1491)] = 50798,
  [SMALL_STATE(1492)] = 50821,
  [SMALL_STATE(1493)] = 50848,
  [SMALL_STATE(1494)] = 50870,
  [SMALL_STATE(1495)] = 50898,
  [SMALL_STATE(1496)] = 50926,
  [SMALL_STATE(1497)] = 50954,
  [SMALL_STATE(1498)] = 50976,
  [SMALL_STATE(1499)] = 50998,
  [SMALL_STATE(1500)] = 51022,
  [SMALL_STATE(1501)] = 51050,
  [SMALL_STATE(1502)] = 51078,
  [SMALL_STATE(1503)] = 51100,
  [SMALL_STATE(1504)] = 51128,
  [SMALL_STATE(1505)] = 51156,
  [SMALL_STATE(1506)] = 51174,
  [SMALL_STATE(1507)] = 51202,
  [SMALL_STATE(1508)] = 51224,
  [SMALL_STATE(1509)] = 51246,
  [SMALL_STATE(1510)] = 51268,
  [SMALL_STATE(1511)] = 51290,
  [SMALL_STATE(1512)] = 51310,
  [SMALL_STATE(1513)] = 51327,
  [SMALL_STATE(1514)] = 51346,
  [SMALL_STATE(1515)] = 51365,
  [SMALL_STATE(1516)] = 51382,
  [SMALL_STATE(1517)] = 51401,
  [SMALL_STATE(1518)] = 51420,
  [SMALL_STATE(1519)] = 51439,
  [SMALL_STATE(1520)] = 51462,
  [SMALL_STATE(1521)] = 51483,
  [SMALL_STATE(1522)] = 51504,
  [SMALL_STATE(1523)] = 51525,
  [SMALL_STATE(1524)] = 51546,
  [SMALL_STATE(1525)] = 51567,
  [SMALL_STATE(1526)] = 51588,
  [SMALL_STATE(1527)] = 51603,
  [SMALL_STATE(1528)] = 51618,
  [SMALL_STATE(1529)] = 51637,
  [SMALL_STATE(1530)] = 51652,
  [SMALL_STATE(1531)] = 51673,
  [SMALL_STATE(1532)] = 51688,
  [SMALL_STATE(1533)] = 51703,
  [SMALL_STATE(1534)] = 51718,
  [SMALL_STATE(1535)] = 51733,
  [SMALL_STATE(1536)] = 51754,
  [SMALL_STATE(1537)] = 51773,
  [SMALL_STATE(1538)] = 51794,
  [SMALL_STATE(1539)] = 51809,
  [SMALL_STATE(1540)] = 51828,
  [SMALL_STATE(1541)] = 51845,
  [SMALL_STATE(1542)] = 51860,
  [SMALL_STATE(1543)] = 51879,
  [SMALL_STATE(1544)] = 51898,
  [SMALL_STATE(1545)] = 51919,
  [SMALL_STATE(1546)] = 51938,
  [SMALL_STATE(1547)] = 51959,
  [SMALL_STATE(1548)] = 51978,
  [SMALL_STATE(1549)] = 51999,
  [SMALL_STATE(1550)] = 52014,
  [SMALL_STATE(1551)] = 52029,
  [SMALL_STATE(1552)] = 52050,
  [SMALL_STATE(1553)] = 52065,
  [SMALL_STATE(1554)] = 52080,
  [SMALL_STATE(1555)] = 52095,
  [SMALL_STATE(1556)] = 52114,
  [SMALL_STATE(1557)] = 52135,
  [SMALL_STATE(1558)] = 52156,
  [SMALL_STATE(1559)] = 52177,
  [SMALL_STATE(1560)] = 52198,
  [SMALL_STATE(1561)] = 52217,
  [SMALL_STATE(1562)] = 52236,
  [SMALL_STATE(1563)] = 52253,
  [SMALL_STATE(1564)] = 52274,
  [SMALL_STATE(1565)] = 52288,
  [SMALL_STATE(1566)] = 52310,
  [SMALL_STATE(1567)] = 52326,
  [SMALL_STATE(1568)] = 52348,
  [SMALL_STATE(1569)] = 52366,
  [SMALL_STATE(1570)] = 52388,
  [SMALL_STATE(1571)] = 52402,
  [SMALL_STATE(1572)] = 52416,
  [SMALL_STATE(1573)] = 52438,
  [SMALL_STATE(1574)] = 52460,
  [SMALL_STATE(1575)] = 52482,
  [SMALL_STATE(1576)] = 52498,
  [SMALL_STATE(1577)] = 52516,
  [SMALL_STATE(1578)] = 52530,
  [SMALL_STATE(1579)] = 52550,
  [SMALL_STATE(1580)] = 52566,
  [SMALL_STATE(1581)] = 52588,
  [SMALL_STATE(1582)] = 52610,
  [SMALL_STATE(1583)] = 52628,
  [SMALL_STATE(1584)] = 52646,
  [SMALL_STATE(1585)] = 52662,
  [SMALL_STATE(1586)] = 52680,
  [SMALL_STATE(1587)] = 52700,
  [SMALL_STATE(1588)] = 52718,
  [SMALL_STATE(1589)] = 52738,
  [SMALL_STATE(1590)] = 52752,
  [SMALL_STATE(1591)] = 52766,
  [SMALL_STATE(1592)] = 52780,
  [SMALL_STATE(1593)] = 52802,
  [SMALL_STATE(1594)] = 52824,
  [SMALL_STATE(1595)] = 52838,
  [SMALL_STATE(1596)] = 52854,
  [SMALL_STATE(1597)] = 52876,
  [SMALL_STATE(1598)] = 52898,
  [SMALL_STATE(1599)] = 52916,
  [SMALL_STATE(1600)] = 52934,
  [SMALL_STATE(1601)] = 52948,
  [SMALL_STATE(1602)] = 52962,
  [SMALL_STATE(1603)] = 52980,
  [SMALL_STATE(1604)] = 52996,
  [SMALL_STATE(1605)] = 53018,
  [SMALL_STATE(1606)] = 53036,
  [SMALL_STATE(1607)] = 53054,
  [SMALL_STATE(1608)] = 53072,
  [SMALL_STATE(1609)] = 53092,
  [SMALL_STATE(1610)] = 53114,
  [SMALL_STATE(1611)] = 53136,
  [SMALL_STATE(1612)] = 53152,
  [SMALL_STATE(1613)] = 53172,
  [SMALL_STATE(1614)] = 53190,
  [SMALL_STATE(1615)] = 53208,
  [SMALL_STATE(1616)] = 53230,
  [SMALL_STATE(1617)] = 53248,
  [SMALL_STATE(1618)] = 53264,
  [SMALL_STATE(1619)] = 53278,
  [SMALL_STATE(1620)] = 53300,
  [SMALL_STATE(1621)] = 53318,
  [SMALL_STATE(1622)] = 53340,
  [SMALL_STATE(1623)] = 53354,
  [SMALL_STATE(1624)] = 53368,
  [SMALL_STATE(1625)] = 53390,
  [SMALL_STATE(1626)] = 53412,
  [SMALL_STATE(1627)] = 53426,
  [SMALL_STATE(1628)] = 53448,
  [SMALL_STATE(1629)] = 53466,
  [SMALL_STATE(1630)] = 53488,
  [SMALL_STATE(1631)] = 53506,
  [SMALL_STATE(1632)] = 53522,
  [SMALL_STATE(1633)] = 53536,
  [SMALL_STATE(1634)] = 53558,
  [SMALL_STATE(1635)] = 53580,
  [SMALL_STATE(1636)] = 53594,
  [SMALL_STATE(1637)] = 53608,
  [SMALL_STATE(1638)] = 53622,
  [SMALL_STATE(1639)] = 53644,
  [SMALL_STATE(1640)] = 53658,
  [SMALL_STATE(1641)] = 53672,
  [SMALL_STATE(1642)] = 53694,
  [SMALL_STATE(1643)] = 53708,
  [SMALL_STATE(1644)] = 53722,
  [SMALL_STATE(1645)] = 53740,
  [SMALL_STATE(1646)] = 53758,
  [SMALL_STATE(1647)] = 53780,
  [SMALL_STATE(1648)] = 53793,
  [SMALL_STATE(1649)] = 53806,
  [SMALL_STATE(1650)] = 53825,
  [SMALL_STATE(1651)] = 53844,
  [SMALL_STATE(1652)] = 53859,
  [SMALL_STATE(1653)] = 53876,
  [SMALL_STATE(1654)] = 53895,
  [SMALL_STATE(1655)] = 53908,
  [SMALL_STATE(1656)] = 53921,
  [SMALL_STATE(1657)] = 53938,
  [SMALL_STATE(1658)] = 53955,
  [SMALL_STATE(1659)] = 53972,
  [SMALL_STATE(1660)] = 53985,
  [SMALL_STATE(1661)] = 54002,
  [SMALL_STATE(1662)] = 54019,
  [SMALL_STATE(1663)] = 54036,
  [SMALL_STATE(1664)] = 54053,
  [SMALL_STATE(1665)] = 54066,
  [SMALL_STATE(1666)] = 54083,
  [SMALL_STATE(1667)] = 54098,
  [SMALL_STATE(1668)] = 54109,
  [SMALL_STATE(1669)] = 54126,
  [SMALL_STATE(1670)] = 54137,
  [SMALL_STATE(1671)] = 54154,
  [SMALL_STATE(1672)] = 54171,
  [SMALL_STATE(1673)] = 54186,
  [SMALL_STATE(1674)] = 54203,
  [SMALL_STATE(1675)] = 54220,
  [SMALL_STATE(1676)] = 54239,
  [SMALL_STATE(1677)] = 54254,
  [SMALL_STATE(1678)] = 54271,
  [SMALL_STATE(1679)] = 54288,
  [SMALL_STATE(1680)] = 54307,
  [SMALL_STATE(1681)] = 54320,
  [SMALL_STATE(1682)] = 54337,
  [SMALL_STATE(1683)] = 54354,
  [SMALL_STATE(1684)] = 54373,
  [SMALL_STATE(1685)] = 54392,
  [SMALL_STATE(1686)] = 54407,
  [SMALL_STATE(1687)] = 54422,
  [SMALL_STATE(1688)] = 54437,
  [SMALL_STATE(1689)] = 54454,
  [SMALL_STATE(1690)] = 54467,
  [SMALL_STATE(1691)] = 54484,
  [SMALL_STATE(1692)] = 54499,
  [SMALL_STATE(1693)] = 54518,
  [SMALL_STATE(1694)] = 54531,
  [SMALL_STATE(1695)] = 54550,
  [SMALL_STATE(1696)] = 54565,
  [SMALL_STATE(1697)] = 54576,
  [SMALL_STATE(1698)] = 54589,
  [SMALL_STATE(1699)] = 54602,
  [SMALL_STATE(1700)] = 54621,
  [SMALL_STATE(1701)] = 54638,
  [SMALL_STATE(1702)] = 54657,
  [SMALL_STATE(1703)] = 54676,
  [SMALL_STATE(1704)] = 54691,
  [SMALL_STATE(1705)] = 54710,
  [SMALL_STATE(1706)] = 54729,
  [SMALL_STATE(1707)] = 54742,
  [SMALL_STATE(1708)] = 54755,
  [SMALL_STATE(1709)] = 54772,
  [SMALL_STATE(1710)] = 54787,
  [SMALL_STATE(1711)] = 54800,
  [SMALL_STATE(1712)] = 54813,
  [SMALL_STATE(1713)] = 54826,
  [SMALL_STATE(1714)] = 54843,
  [SMALL_STATE(1715)] = 54856,
  [SMALL_STATE(1716)] = 54873,
  [SMALL_STATE(1717)] = 54888,
  [SMALL_STATE(1718)] = 54905,
  [SMALL_STATE(1719)] = 54924,
  [SMALL_STATE(1720)] = 54941,
  [SMALL_STATE(1721)] = 54958,
  [SMALL_STATE(1722)] = 54971,
  [SMALL_STATE(1723)] = 54986,
  [SMALL_STATE(1724)] = 55003,
  [SMALL_STATE(1725)] = 55020,
  [SMALL_STATE(1726)] = 55037,
  [SMALL_STATE(1727)] = 55050,
  [SMALL_STATE(1728)] = 55069,
  [SMALL_STATE(1729)] = 55082,
  [SMALL_STATE(1730)] = 55099,
  [SMALL_STATE(1731)] = 55118,
  [SMALL_STATE(1732)] = 55137,
  [SMALL_STATE(1733)] = 55154,
  [SMALL_STATE(1734)] = 55167,
  [SMALL_STATE(1735)] = 55182,
  [SMALL_STATE(1736)] = 55199,
  [SMALL_STATE(1737)] = 55216,
  [SMALL_STATE(1738)] = 55231,
  [SMALL_STATE(1739)] = 55244,
  [SMALL_STATE(1740)] = 55257,
  [SMALL_STATE(1741)] = 55270,
  [SMALL_STATE(1742)] = 55285,
  [SMALL_STATE(1743)] = 55302,
  [SMALL_STATE(1744)] = 55313,
  [SMALL_STATE(1745)] = 55328,
  [SMALL_STATE(1746)] = 55339,
  [SMALL_STATE(1747)] = 55356,
  [SMALL_STATE(1748)] = 55373,
  [SMALL_STATE(1749)] = 55388,
  [SMALL_STATE(1750)] = 55401,
  [SMALL_STATE(1751)] = 55416,
  [SMALL_STATE(1752)] = 55433,
  [SMALL_STATE(1753)] = 55452,
  [SMALL_STATE(1754)] = 55467,
  [SMALL_STATE(1755)] = 55484,
  [SMALL_STATE(1756)] = 55501,
  [SMALL_STATE(1757)] = 55516,
  [SMALL_STATE(1758)] = 55531,
  [SMALL_STATE(1759)] = 55548,
  [SMALL_STATE(1760)] = 55565,
  [SMALL_STATE(1761)] = 55580,
  [SMALL_STATE(1762)] = 55595,
  [SMALL_STATE(1763)] = 55608,
  [SMALL_STATE(1764)] = 55623,
  [SMALL_STATE(1765)] = 55640,
  [SMALL_STATE(1766)] = 55651,
  [SMALL_STATE(1767)] = 55662,
  [SMALL_STATE(1768)] = 55679,
  [SMALL_STATE(1769)] = 55698,
  [SMALL_STATE(1770)] = 55717,
  [SMALL_STATE(1771)] = 55736,
  [SMALL_STATE(1772)] = 55751,
  [SMALL_STATE(1773)] = 55770,
  [SMALL_STATE(1774)] = 55786,
  [SMALL_STATE(1775)] = 55802,
  [SMALL_STATE(1776)] = 55818,
  [SMALL_STATE(1777)] = 55828,
  [SMALL_STATE(1778)] = 55844,
  [SMALL_STATE(1779)] = 55860,
  [SMALL_STATE(1780)] = 55876,
  [SMALL_STATE(1781)] = 55890,
  [SMALL_STATE(1782)] = 55902,
  [SMALL_STATE(1783)] = 55916,
  [SMALL_STATE(1784)] = 55926,
  [SMALL_STATE(1785)] = 55940,
  [SMALL_STATE(1786)] = 55956,
  [SMALL_STATE(1787)] = 55972,
  [SMALL_STATE(1788)] = 55984,
  [SMALL_STATE(1789)] = 55998,
  [SMALL_STATE(1790)] = 56014,
  [SMALL_STATE(1791)] = 56028,
  [SMALL_STATE(1792)] = 56042,
  [SMALL_STATE(1793)] = 56058,
  [SMALL_STATE(1794)] = 56074,
  [SMALL_STATE(1795)] = 56088,
  [SMALL_STATE(1796)] = 56102,
  [SMALL_STATE(1797)] = 56118,
  [SMALL_STATE(1798)] = 56134,
  [SMALL_STATE(1799)] = 56150,
  [SMALL_STATE(1800)] = 56166,
  [SMALL_STATE(1801)] = 56182,
  [SMALL_STATE(1802)] = 56196,
  [SMALL_STATE(1803)] = 56212,
  [SMALL_STATE(1804)] = 56226,
  [SMALL_STATE(1805)] = 56242,
  [SMALL_STATE(1806)] = 56258,
  [SMALL_STATE(1807)] = 56274,
  [SMALL_STATE(1808)] = 56290,
  [SMALL_STATE(1809)] = 56304,
  [SMALL_STATE(1810)] = 56318,
  [SMALL_STATE(1811)] = 56334,
  [SMALL_STATE(1812)] = 56350,
  [SMALL_STATE(1813)] = 56362,
  [SMALL_STATE(1814)] = 56376,
  [SMALL_STATE(1815)] = 56392,
  [SMALL_STATE(1816)] = 56408,
  [SMALL_STATE(1817)] = 56418,
  [SMALL_STATE(1818)] = 56432,
  [SMALL_STATE(1819)] = 56448,
  [SMALL_STATE(1820)] = 56460,
  [SMALL_STATE(1821)] = 56472,
  [SMALL_STATE(1822)] = 56484,
  [SMALL_STATE(1823)] = 56498,
  [SMALL_STATE(1824)] = 56510,
  [SMALL_STATE(1825)] = 56520,
  [SMALL_STATE(1826)] = 56530,
  [SMALL_STATE(1827)] = 56544,
  [SMALL_STATE(1828)] = 56560,
  [SMALL_STATE(1829)] = 56572,
  [SMALL_STATE(1830)] = 56588,
  [SMALL_STATE(1831)] = 56604,
  [SMALL_STATE(1832)] = 56618,
  [SMALL_STATE(1833)] = 56634,
  [SMALL_STATE(1834)] = 56650,
  [SMALL_STATE(1835)] = 56666,
  [SMALL_STATE(1836)] = 56682,
  [SMALL_STATE(1837)] = 56696,
  [SMALL_STATE(1838)] = 56708,
  [SMALL_STATE(1839)] = 56724,
  [SMALL_STATE(1840)] = 56734,
  [SMALL_STATE(1841)] = 56748,
  [SMALL_STATE(1842)] = 56764,
  [SMALL_STATE(1843)] = 56774,
  [SMALL_STATE(1844)] = 56784,
  [SMALL_STATE(1845)] = 56800,
  [SMALL_STATE(1846)] = 56816,
  [SMALL_STATE(1847)] = 56828,
  [SMALL_STATE(1848)] = 56844,
  [SMALL_STATE(1849)] = 56858,
  [SMALL_STATE(1850)] = 56868,
  [SMALL_STATE(1851)] = 56882,
  [SMALL_STATE(1852)] = 56898,
  [SMALL_STATE(1853)] = 56908,
  [SMALL_STATE(1854)] = 56920,
  [SMALL_STATE(1855)] = 56936,
  [SMALL_STATE(1856)] = 56952,
  [SMALL_STATE(1857)] = 56962,
  [SMALL_STATE(1858)] = 56976,
  [SMALL_STATE(1859)] = 56986,
  [SMALL_STATE(1860)] = 56998,
  [SMALL_STATE(1861)] = 57008,
  [SMALL_STATE(1862)] = 57022,
  [SMALL_STATE(1863)] = 57038,
  [SMALL_STATE(1864)] = 57054,
  [SMALL_STATE(1865)] = 57070,
  [SMALL_STATE(1866)] = 57080,
  [SMALL_STATE(1867)] = 57090,
  [SMALL_STATE(1868)] = 57104,
  [SMALL_STATE(1869)] = 57120,
  [SMALL_STATE(1870)] = 57134,
  [SMALL_STATE(1871)] = 57146,
  [SMALL_STATE(1872)] = 57162,
  [SMALL_STATE(1873)] = 57176,
  [SMALL_STATE(1874)] = 57192,
  [SMALL_STATE(1875)] = 57208,
  [SMALL_STATE(1876)] = 57222,
  [SMALL_STATE(1877)] = 57238,
  [SMALL_STATE(1878)] = 57250,
  [SMALL_STATE(1879)] = 57261,
  [SMALL_STATE(1880)] = 57272,
  [SMALL_STATE(1881)] = 57283,
  [SMALL_STATE(1882)] = 57294,
  [SMALL_STATE(1883)] = 57305,
  [SMALL_STATE(1884)] = 57316,
  [SMALL_STATE(1885)] = 57327,
  [SMALL_STATE(1886)] = 57338,
  [SMALL_STATE(1887)] = 57349,
  [SMALL_STATE(1888)] = 57360,
  [SMALL_STATE(1889)] = 57371,
  [SMALL_STATE(1890)] = 57382,
  [SMALL_STATE(1891)] = 57393,
  [SMALL_STATE(1892)] = 57404,
  [SMALL_STATE(1893)] = 57415,
  [SMALL_STATE(1894)] = 57426,
  [SMALL_STATE(1895)] = 57437,
  [SMALL_STATE(1896)] = 57448,
  [SMALL_STATE(1897)] = 57459,
  [SMALL_STATE(1898)] = 57470,
  [SMALL_STATE(1899)] = 57481,
  [SMALL_STATE(1900)] = 57492,
  [SMALL_STATE(1901)] = 57503,
  [SMALL_STATE(1902)] = 57514,
  [SMALL_STATE(1903)] = 57525,
  [SMALL_STATE(1904)] = 57536,
  [SMALL_STATE(1905)] = 57547,
  [SMALL_STATE(1906)] = 57558,
  [SMALL_STATE(1907)] = 57569,
  [SMALL_STATE(1908)] = 57580,
  [SMALL_STATE(1909)] = 57591,
  [SMALL_STATE(1910)] = 57602,
  [SMALL_STATE(1911)] = 57613,
  [SMALL_STATE(1912)] = 57624,
  [SMALL_STATE(1913)] = 57635,
  [SMALL_STATE(1914)] = 57646,
  [SMALL_STATE(1915)] = 57657,
  [SMALL_STATE(1916)] = 57668,
  [SMALL_STATE(1917)] = 57679,
  [SMALL_STATE(1918)] = 57690,
  [SMALL_STATE(1919)] = 57701,
  [SMALL_STATE(1920)] = 57712,
  [SMALL_STATE(1921)] = 57723,
  [SMALL_STATE(1922)] = 57734,
  [SMALL_STATE(1923)] = 57745,
  [SMALL_STATE(1924)] = 57756,
  [SMALL_STATE(1925)] = 57767,
  [SMALL_STATE(1926)] = 57778,
  [SMALL_STATE(1927)] = 57789,
  [SMALL_STATE(1928)] = 57800,
  [SMALL_STATE(1929)] = 57811,
  [SMALL_STATE(1930)] = 57822,
  [SMALL_STATE(1931)] = 57833,
  [SMALL_STATE(1932)] = 57844,
  [SMALL_STATE(1933)] = 57855,
  [SMALL_STATE(1934)] = 57866,
  [SMALL_STATE(1935)] = 57877,
  [SMALL_STATE(1936)] = 57888,
  [SMALL_STATE(1937)] = 57899,
  [SMALL_STATE(1938)] = 57910,
  [SMALL_STATE(1939)] = 57921,
  [SMALL_STATE(1940)] = 57934,
  [SMALL_STATE(1941)] = 57945,
  [SMALL_STATE(1942)] = 57956,
  [SMALL_STATE(1943)] = 57967,
  [SMALL_STATE(1944)] = 57978,
  [SMALL_STATE(1945)] = 57989,
  [SMALL_STATE(1946)] = 58000,
  [SMALL_STATE(1947)] = 58013,
  [SMALL_STATE(1948)] = 58026,
  [SMALL_STATE(1949)] = 58037,
  [SMALL_STATE(1950)] = 58048,
  [SMALL_STATE(1951)] = 58059,
  [SMALL_STATE(1952)] = 58070,
  [SMALL_STATE(1953)] = 58081,
  [SMALL_STATE(1954)] = 58092,
  [SMALL_STATE(1955)] = 58103,
  [SMALL_STATE(1956)] = 58114,
  [SMALL_STATE(1957)] = 58125,
  [SMALL_STATE(1958)] = 58136,
  [SMALL_STATE(1959)] = 58147,
  [SMALL_STATE(1960)] = 58160,
  [SMALL_STATE(1961)] = 58171,
  [SMALL_STATE(1962)] = 58182,
  [SMALL_STATE(1963)] = 58195,
  [SMALL_STATE(1964)] = 58208,
  [SMALL_STATE(1965)] = 58219,
  [SMALL_STATE(1966)] = 58232,
  [SMALL_STATE(1967)] = 58243,
  [SMALL_STATE(1968)] = 58254,
  [SMALL_STATE(1969)] = 58265,
  [SMALL_STATE(1970)] = 58276,
  [SMALL_STATE(1971)] = 58287,
  [SMALL_STATE(1972)] = 58298,
  [SMALL_STATE(1973)] = 58311,
  [SMALL_STATE(1974)] = 58322,
  [SMALL_STATE(1975)] = 58333,
  [SMALL_STATE(1976)] = 58344,
  [SMALL_STATE(1977)] = 58357,
  [SMALL_STATE(1978)] = 58368,
  [SMALL_STATE(1979)] = 58379,
  [SMALL_STATE(1980)] = 58390,
  [SMALL_STATE(1981)] = 58403,
  [SMALL_STATE(1982)] = 58414,
  [SMALL_STATE(1983)] = 58425,
  [SMALL_STATE(1984)] = 58436,
  [SMALL_STATE(1985)] = 58447,
  [SMALL_STATE(1986)] = 58458,
  [SMALL_STATE(1987)] = 58469,
  [SMALL_STATE(1988)] = 58480,
  [SMALL_STATE(1989)] = 58493,
  [SMALL_STATE(1990)] = 58506,
  [SMALL_STATE(1991)] = 58517,
  [SMALL_STATE(1992)] = 58528,
  [SMALL_STATE(1993)] = 58539,
  [SMALL_STATE(1994)] = 58550,
  [SMALL_STATE(1995)] = 58561,
  [SMALL_STATE(1996)] = 58574,
  [SMALL_STATE(1997)] = 58587,
  [SMALL_STATE(1998)] = 58596,
  [SMALL_STATE(1999)] = 58609,
  [SMALL_STATE(2000)] = 58620,
  [SMALL_STATE(2001)] = 58631,
  [SMALL_STATE(2002)] = 58642,
  [SMALL_STATE(2003)] = 58653,
  [SMALL_STATE(2004)] = 58664,
  [SMALL_STATE(2005)] = 58677,
  [SMALL_STATE(2006)] = 58688,
  [SMALL_STATE(2007)] = 58699,
  [SMALL_STATE(2008)] = 58710,
  [SMALL_STATE(2009)] = 58721,
  [SMALL_STATE(2010)] = 58732,
  [SMALL_STATE(2011)] = 58745,
  [SMALL_STATE(2012)] = 58756,
  [SMALL_STATE(2013)] = 58767,
  [SMALL_STATE(2014)] = 58780,
  [SMALL_STATE(2015)] = 58793,
  [SMALL_STATE(2016)] = 58806,
  [SMALL_STATE(2017)] = 58819,
  [SMALL_STATE(2018)] = 58830,
  [SMALL_STATE(2019)] = 58841,
  [SMALL_STATE(2020)] = 58850,
  [SMALL_STATE(2021)] = 58861,
  [SMALL_STATE(2022)] = 58874,
  [SMALL_STATE(2023)] = 58885,
  [SMALL_STATE(2024)] = 58898,
  [SMALL_STATE(2025)] = 58911,
  [SMALL_STATE(2026)] = 58924,
  [SMALL_STATE(2027)] = 58937,
  [SMALL_STATE(2028)] = 58948,
  [SMALL_STATE(2029)] = 58961,
  [SMALL_STATE(2030)] = 58970,
  [SMALL_STATE(2031)] = 58981,
  [SMALL_STATE(2032)] = 58994,
  [SMALL_STATE(2033)] = 59007,
  [SMALL_STATE(2034)] = 59020,
  [SMALL_STATE(2035)] = 59033,
  [SMALL_STATE(2036)] = 59044,
  [SMALL_STATE(2037)] = 59055,
  [SMALL_STATE(2038)] = 59066,
  [SMALL_STATE(2039)] = 59077,
  [SMALL_STATE(2040)] = 59090,
  [SMALL_STATE(2041)] = 59101,
  [SMALL_STATE(2042)] = 59114,
  [SMALL_STATE(2043)] = 59123,
  [SMALL_STATE(2044)] = 59132,
  [SMALL_STATE(2045)] = 59141,
  [SMALL_STATE(2046)] = 59154,
  [SMALL_STATE(2047)] = 59167,
  [SMALL_STATE(2048)] = 59178,
  [SMALL_STATE(2049)] = 59191,
  [SMALL_STATE(2050)] = 59200,
  [SMALL_STATE(2051)] = 59213,
  [SMALL_STATE(2052)] = 59226,
  [SMALL_STATE(2053)] = 59235,
  [SMALL_STATE(2054)] = 59246,
  [SMALL_STATE(2055)] = 59257,
  [SMALL_STATE(2056)] = 59266,
  [SMALL_STATE(2057)] = 59279,
  [SMALL_STATE(2058)] = 59290,
  [SMALL_STATE(2059)] = 59301,
  [SMALL_STATE(2060)] = 59312,
  [SMALL_STATE(2061)] = 59325,
  [SMALL_STATE(2062)] = 59336,
  [SMALL_STATE(2063)] = 59347,
  [SMALL_STATE(2064)] = 59358,
  [SMALL_STATE(2065)] = 59369,
  [SMALL_STATE(2066)] = 59380,
  [SMALL_STATE(2067)] = 59391,
  [SMALL_STATE(2068)] = 59404,
  [SMALL_STATE(2069)] = 59415,
  [SMALL_STATE(2070)] = 59428,
  [SMALL_STATE(2071)] = 59439,
  [SMALL_STATE(2072)] = 59450,
  [SMALL_STATE(2073)] = 59461,
  [SMALL_STATE(2074)] = 59472,
  [SMALL_STATE(2075)] = 59483,
  [SMALL_STATE(2076)] = 59496,
  [SMALL_STATE(2077)] = 59507,
  [SMALL_STATE(2078)] = 59520,
  [SMALL_STATE(2079)] = 59531,
  [SMALL_STATE(2080)] = 59544,
  [SMALL_STATE(2081)] = 59555,
  [SMALL_STATE(2082)] = 59566,
  [SMALL_STATE(2083)] = 59579,
  [SMALL_STATE(2084)] = 59592,
  [SMALL_STATE(2085)] = 59603,
  [SMALL_STATE(2086)] = 59614,
  [SMALL_STATE(2087)] = 59625,
  [SMALL_STATE(2088)] = 59638,
  [SMALL_STATE(2089)] = 59649,
  [SMALL_STATE(2090)] = 59660,
  [SMALL_STATE(2091)] = 59669,
  [SMALL_STATE(2092)] = 59682,
  [SMALL_STATE(2093)] = 59693,
  [SMALL_STATE(2094)] = 59704,
  [SMALL_STATE(2095)] = 59715,
  [SMALL_STATE(2096)] = 59726,
  [SMALL_STATE(2097)] = 59739,
  [SMALL_STATE(2098)] = 59750,
  [SMALL_STATE(2099)] = 59761,
  [SMALL_STATE(2100)] = 59774,
  [SMALL_STATE(2101)] = 59787,
  [SMALL_STATE(2102)] = 59800,
  [SMALL_STATE(2103)] = 59811,
  [SMALL_STATE(2104)] = 59824,
  [SMALL_STATE(2105)] = 59835,
  [SMALL_STATE(2106)] = 59846,
  [SMALL_STATE(2107)] = 59857,
  [SMALL_STATE(2108)] = 59868,
  [SMALL_STATE(2109)] = 59877,
  [SMALL_STATE(2110)] = 59888,
  [SMALL_STATE(2111)] = 59899,
  [SMALL_STATE(2112)] = 59910,
  [SMALL_STATE(2113)] = 59921,
  [SMALL_STATE(2114)] = 59932,
  [SMALL_STATE(2115)] = 59943,
  [SMALL_STATE(2116)] = 59956,
  [SMALL_STATE(2117)] = 59967,
  [SMALL_STATE(2118)] = 59978,
  [SMALL_STATE(2119)] = 59989,
  [SMALL_STATE(2120)] = 60000,
  [SMALL_STATE(2121)] = 60009,
  [SMALL_STATE(2122)] = 60020,
  [SMALL_STATE(2123)] = 60031,
  [SMALL_STATE(2124)] = 60044,
  [SMALL_STATE(2125)] = 60057,
  [SMALL_STATE(2126)] = 60068,
  [SMALL_STATE(2127)] = 60081,
  [SMALL_STATE(2128)] = 60090,
  [SMALL_STATE(2129)] = 60103,
  [SMALL_STATE(2130)] = 60116,
  [SMALL_STATE(2131)] = 60127,
  [SMALL_STATE(2132)] = 60138,
  [SMALL_STATE(2133)] = 60149,
  [SMALL_STATE(2134)] = 60158,
  [SMALL_STATE(2135)] = 60171,
  [SMALL_STATE(2136)] = 60184,
  [SMALL_STATE(2137)] = 60195,
  [SMALL_STATE(2138)] = 60206,
  [SMALL_STATE(2139)] = 60219,
  [SMALL_STATE(2140)] = 60230,
  [SMALL_STATE(2141)] = 60243,
  [SMALL_STATE(2142)] = 60256,
  [SMALL_STATE(2143)] = 60269,
  [SMALL_STATE(2144)] = 60280,
  [SMALL_STATE(2145)] = 60293,
  [SMALL_STATE(2146)] = 60306,
  [SMALL_STATE(2147)] = 60319,
  [SMALL_STATE(2148)] = 60332,
  [SMALL_STATE(2149)] = 60343,
  [SMALL_STATE(2150)] = 60352,
  [SMALL_STATE(2151)] = 60365,
  [SMALL_STATE(2152)] = 60378,
  [SMALL_STATE(2153)] = 60391,
  [SMALL_STATE(2154)] = 60402,
  [SMALL_STATE(2155)] = 60413,
  [SMALL_STATE(2156)] = 60426,
  [SMALL_STATE(2157)] = 60437,
  [SMALL_STATE(2158)] = 60450,
  [SMALL_STATE(2159)] = 60463,
  [SMALL_STATE(2160)] = 60476,
  [SMALL_STATE(2161)] = 60487,
  [SMALL_STATE(2162)] = 60498,
  [SMALL_STATE(2163)] = 60509,
  [SMALL_STATE(2164)] = 60522,
  [SMALL_STATE(2165)] = 60535,
  [SMALL_STATE(2166)] = 60546,
  [SMALL_STATE(2167)] = 60557,
  [SMALL_STATE(2168)] = 60568,
  [SMALL_STATE(2169)] = 60579,
  [SMALL_STATE(2170)] = 60590,
  [SMALL_STATE(2171)] = 60603,
  [SMALL_STATE(2172)] = 60616,
  [SMALL_STATE(2173)] = 60627,
  [SMALL_STATE(2174)] = 60640,
  [SMALL_STATE(2175)] = 60653,
  [SMALL_STATE(2176)] = 60662,
  [SMALL_STATE(2177)] = 60671,
  [SMALL_STATE(2178)] = 60680,
  [SMALL_STATE(2179)] = 60689,
  [SMALL_STATE(2180)] = 60702,
  [SMALL_STATE(2181)] = 60715,
  [SMALL_STATE(2182)] = 60728,
  [SMALL_STATE(2183)] = 60739,
  [SMALL_STATE(2184)] = 60752,
  [SMALL_STATE(2185)] = 60765,
  [SMALL_STATE(2186)] = 60774,
  [SMALL_STATE(2187)] = 60787,
  [SMALL_STATE(2188)] = 60798,
  [SMALL_STATE(2189)] = 60809,
  [SMALL_STATE(2190)] = 60822,
  [SMALL_STATE(2191)] = 60835,
  [SMALL_STATE(2192)] = 60848,
  [SMALL_STATE(2193)] = 60861,
  [SMALL_STATE(2194)] = 60874,
  [SMALL_STATE(2195)] = 60887,
  [SMALL_STATE(2196)] = 60900,
  [SMALL_STATE(2197)] = 60911,
  [SMALL_STATE(2198)] = 60924,
  [SMALL_STATE(2199)] = 60937,
  [SMALL_STATE(2200)] = 60950,
  [SMALL_STATE(2201)] = 60963,
  [SMALL_STATE(2202)] = 60972,
  [SMALL_STATE(2203)] = 60983,
  [SMALL_STATE(2204)] = 60994,
  [SMALL_STATE(2205)] = 61007,
  [SMALL_STATE(2206)] = 61018,
  [SMALL_STATE(2207)] = 61031,
  [SMALL_STATE(2208)] = 61044,
  [SMALL_STATE(2209)] = 61055,
  [SMALL_STATE(2210)] = 61068,
  [SMALL_STATE(2211)] = 61081,
  [SMALL_STATE(2212)] = 61090,
  [SMALL_STATE(2213)] = 61103,
  [SMALL_STATE(2214)] = 61112,
  [SMALL_STATE(2215)] = 61125,
  [SMALL_STATE(2216)] = 61138,
  [SMALL_STATE(2217)] = 61151,
  [SMALL_STATE(2218)] = 61161,
  [SMALL_STATE(2219)] = 61171,
  [SMALL_STATE(2220)] = 61181,
  [SMALL_STATE(2221)] = 61191,
  [SMALL_STATE(2222)] = 61201,
  [SMALL_STATE(2223)] = 61211,
  [SMALL_STATE(2224)] = 61221,
  [SMALL_STATE(2225)] = 61231,
  [SMALL_STATE(2226)] = 61241,
  [SMALL_STATE(2227)] = 61249,
  [SMALL_STATE(2228)] = 61259,
  [SMALL_STATE(2229)] = 61269,
  [SMALL_STATE(2230)] = 61277,
  [SMALL_STATE(2231)] = 61287,
  [SMALL_STATE(2232)] = 61295,
  [SMALL_STATE(2233)] = 61305,
  [SMALL_STATE(2234)] = 61315,
  [SMALL_STATE(2235)] = 61325,
  [SMALL_STATE(2236)] = 61333,
  [SMALL_STATE(2237)] = 61341,
  [SMALL_STATE(2238)] = 61351,
  [SMALL_STATE(2239)] = 61361,
  [SMALL_STATE(2240)] = 61371,
  [SMALL_STATE(2241)] = 61381,
  [SMALL_STATE(2242)] = 61389,
  [SMALL_STATE(2243)] = 61399,
  [SMALL_STATE(2244)] = 61409,
  [SMALL_STATE(2245)] = 61419,
  [SMALL_STATE(2246)] = 61429,
  [SMALL_STATE(2247)] = 61437,
  [SMALL_STATE(2248)] = 61445,
  [SMALL_STATE(2249)] = 61455,
  [SMALL_STATE(2250)] = 61465,
  [SMALL_STATE(2251)] = 61475,
  [SMALL_STATE(2252)] = 61483,
  [SMALL_STATE(2253)] = 61491,
  [SMALL_STATE(2254)] = 61499,
  [SMALL_STATE(2255)] = 61509,
  [SMALL_STATE(2256)] = 61519,
  [SMALL_STATE(2257)] = 61527,
  [SMALL_STATE(2258)] = 61535,
  [SMALL_STATE(2259)] = 61545,
  [SMALL_STATE(2260)] = 61555,
  [SMALL_STATE(2261)] = 61563,
  [SMALL_STATE(2262)] = 61571,
  [SMALL_STATE(2263)] = 61579,
  [SMALL_STATE(2264)] = 61587,
  [SMALL_STATE(2265)] = 61597,
  [SMALL_STATE(2266)] = 61605,
  [SMALL_STATE(2267)] = 61615,
  [SMALL_STATE(2268)] = 61625,
  [SMALL_STATE(2269)] = 61635,
  [SMALL_STATE(2270)] = 61643,
  [SMALL_STATE(2271)] = 61651,
  [SMALL_STATE(2272)] = 61659,
  [SMALL_STATE(2273)] = 61667,
  [SMALL_STATE(2274)] = 61677,
  [SMALL_STATE(2275)] = 61685,
  [SMALL_STATE(2276)] = 61695,
  [SMALL_STATE(2277)] = 61705,
  [SMALL_STATE(2278)] = 61715,
  [SMALL_STATE(2279)] = 61725,
  [SMALL_STATE(2280)] = 61733,
  [SMALL_STATE(2281)] = 61743,
  [SMALL_STATE(2282)] = 61753,
  [SMALL_STATE(2283)] = 61763,
  [SMALL_STATE(2284)] = 61773,
  [SMALL_STATE(2285)] = 61783,
  [SMALL_STATE(2286)] = 61793,
  [SMALL_STATE(2287)] = 61803,
  [SMALL_STATE(2288)] = 61813,
  [SMALL_STATE(2289)] = 61821,
  [SMALL_STATE(2290)] = 61831,
  [SMALL_STATE(2291)] = 61841,
  [SMALL_STATE(2292)] = 61851,
  [SMALL_STATE(2293)] = 61861,
  [SMALL_STATE(2294)] = 61871,
  [SMALL_STATE(2295)] = 61881,
  [SMALL_STATE(2296)] = 61891,
  [SMALL_STATE(2297)] = 61899,
  [SMALL_STATE(2298)] = 61909,
  [SMALL_STATE(2299)] = 61917,
  [SMALL_STATE(2300)] = 61927,
  [SMALL_STATE(2301)] = 61937,
  [SMALL_STATE(2302)] = 61947,
  [SMALL_STATE(2303)] = 61957,
  [SMALL_STATE(2304)] = 61967,
  [SMALL_STATE(2305)] = 61977,
  [SMALL_STATE(2306)] = 61985,
  [SMALL_STATE(2307)] = 61995,
  [SMALL_STATE(2308)] = 62003,
  [SMALL_STATE(2309)] = 62011,
  [SMALL_STATE(2310)] = 62019,
  [SMALL_STATE(2311)] = 62027,
  [SMALL_STATE(2312)] = 62037,
  [SMALL_STATE(2313)] = 62047,
  [SMALL_STATE(2314)] = 62057,
  [SMALL_STATE(2315)] = 62067,
  [SMALL_STATE(2316)] = 62077,
  [SMALL_STATE(2317)] = 62087,
  [SMALL_STATE(2318)] = 62097,
  [SMALL_STATE(2319)] = 62105,
  [SMALL_STATE(2320)] = 62115,
  [SMALL_STATE(2321)] = 62125,
  [SMALL_STATE(2322)] = 62135,
  [SMALL_STATE(2323)] = 62143,
  [SMALL_STATE(2324)] = 62153,
  [SMALL_STATE(2325)] = 62163,
  [SMALL_STATE(2326)] = 62173,
  [SMALL_STATE(2327)] = 62183,
  [SMALL_STATE(2328)] = 62191,
  [SMALL_STATE(2329)] = 62199,
  [SMALL_STATE(2330)] = 62207,
  [SMALL_STATE(2331)] = 62215,
  [SMALL_STATE(2332)] = 62225,
  [SMALL_STATE(2333)] = 62235,
  [SMALL_STATE(2334)] = 62245,
  [SMALL_STATE(2335)] = 62255,
  [SMALL_STATE(2336)] = 62265,
  [SMALL_STATE(2337)] = 62275,
  [SMALL_STATE(2338)] = 62285,
  [SMALL_STATE(2339)] = 62295,
  [SMALL_STATE(2340)] = 62303,
  [SMALL_STATE(2341)] = 62311,
  [SMALL_STATE(2342)] = 62321,
  [SMALL_STATE(2343)] = 62329,
  [SMALL_STATE(2344)] = 62337,
  [SMALL_STATE(2345)] = 62347,
  [SMALL_STATE(2346)] = 62357,
  [SMALL_STATE(2347)] = 62365,
  [SMALL_STATE(2348)] = 62375,
  [SMALL_STATE(2349)] = 62385,
  [SMALL_STATE(2350)] = 62395,
  [SMALL_STATE(2351)] = 62405,
  [SMALL_STATE(2352)] = 62413,
  [SMALL_STATE(2353)] = 62423,
  [SMALL_STATE(2354)] = 62433,
  [SMALL_STATE(2355)] = 62443,
  [SMALL_STATE(2356)] = 62453,
  [SMALL_STATE(2357)] = 62461,
  [SMALL_STATE(2358)] = 62471,
  [SMALL_STATE(2359)] = 62481,
  [SMALL_STATE(2360)] = 62489,
  [SMALL_STATE(2361)] = 62499,
  [SMALL_STATE(2362)] = 62509,
  [SMALL_STATE(2363)] = 62519,
  [SMALL_STATE(2364)] = 62529,
  [SMALL_STATE(2365)] = 62537,
  [SMALL_STATE(2366)] = 62547,
  [SMALL_STATE(2367)] = 62557,
  [SMALL_STATE(2368)] = 62565,
  [SMALL_STATE(2369)] = 62573,
  [SMALL_STATE(2370)] = 62583,
  [SMALL_STATE(2371)] = 62593,
  [SMALL_STATE(2372)] = 62603,
  [SMALL_STATE(2373)] = 62611,
  [SMALL_STATE(2374)] = 62619,
  [SMALL_STATE(2375)] = 62629,
  [SMALL_STATE(2376)] = 62637,
  [SMALL_STATE(2377)] = 62645,
  [SMALL_STATE(2378)] = 62653,
  [SMALL_STATE(2379)] = 62661,
  [SMALL_STATE(2380)] = 62671,
  [SMALL_STATE(2381)] = 62679,
  [SMALL_STATE(2382)] = 62687,
  [SMALL_STATE(2383)] = 62697,
  [SMALL_STATE(2384)] = 62707,
  [SMALL_STATE(2385)] = 62717,
  [SMALL_STATE(2386)] = 62727,
  [SMALL_STATE(2387)] = 62735,
  [SMALL_STATE(2388)] = 62745,
  [SMALL_STATE(2389)] = 62753,
  [SMALL_STATE(2390)] = 62763,
  [SMALL_STATE(2391)] = 62773,
  [SMALL_STATE(2392)] = 62783,
  [SMALL_STATE(2393)] = 62793,
  [SMALL_STATE(2394)] = 62801,
  [SMALL_STATE(2395)] = 62811,
  [SMALL_STATE(2396)] = 62819,
  [SMALL_STATE(2397)] = 62829,
  [SMALL_STATE(2398)] = 62839,
  [SMALL_STATE(2399)] = 62849,
  [SMALL_STATE(2400)] = 62859,
  [SMALL_STATE(2401)] = 62869,
  [SMALL_STATE(2402)] = 62877,
  [SMALL_STATE(2403)] = 62887,
  [SMALL_STATE(2404)] = 62895,
  [SMALL_STATE(2405)] = 62903,
  [SMALL_STATE(2406)] = 62913,
  [SMALL_STATE(2407)] = 62923,
  [SMALL_STATE(2408)] = 62931,
  [SMALL_STATE(2409)] = 62941,
  [SMALL_STATE(2410)] = 62951,
  [SMALL_STATE(2411)] = 62961,
  [SMALL_STATE(2412)] = 62969,
  [SMALL_STATE(2413)] = 62979,
  [SMALL_STATE(2414)] = 62989,
  [SMALL_STATE(2415)] = 62999,
  [SMALL_STATE(2416)] = 63009,
  [SMALL_STATE(2417)] = 63019,
  [SMALL_STATE(2418)] = 63029,
  [SMALL_STATE(2419)] = 63039,
  [SMALL_STATE(2420)] = 63046,
  [SMALL_STATE(2421)] = 63053,
  [SMALL_STATE(2422)] = 63060,
  [SMALL_STATE(2423)] = 63067,
  [SMALL_STATE(2424)] = 63074,
  [SMALL_STATE(2425)] = 63081,
  [SMALL_STATE(2426)] = 63088,
  [SMALL_STATE(2427)] = 63095,
  [SMALL_STATE(2428)] = 63102,
  [SMALL_STATE(2429)] = 63109,
  [SMALL_STATE(2430)] = 63116,
  [SMALL_STATE(2431)] = 63123,
  [SMALL_STATE(2432)] = 63130,
  [SMALL_STATE(2433)] = 63137,
  [SMALL_STATE(2434)] = 63144,
  [SMALL_STATE(2435)] = 63151,
  [SMALL_STATE(2436)] = 63158,
  [SMALL_STATE(2437)] = 63165,
  [SMALL_STATE(2438)] = 63172,
  [SMALL_STATE(2439)] = 63179,
  [SMALL_STATE(2440)] = 63186,
  [SMALL_STATE(2441)] = 63193,
  [SMALL_STATE(2442)] = 63200,
  [SMALL_STATE(2443)] = 63207,
  [SMALL_STATE(2444)] = 63214,
  [SMALL_STATE(2445)] = 63221,
  [SMALL_STATE(2446)] = 63228,
  [SMALL_STATE(2447)] = 63235,
  [SMALL_STATE(2448)] = 63242,
  [SMALL_STATE(2449)] = 63249,
  [SMALL_STATE(2450)] = 63256,
  [SMALL_STATE(2451)] = 63263,
  [SMALL_STATE(2452)] = 63270,
  [SMALL_STATE(2453)] = 63277,
  [SMALL_STATE(2454)] = 63284,
  [SMALL_STATE(2455)] = 63291,
  [SMALL_STATE(2456)] = 63298,
  [SMALL_STATE(2457)] = 63305,
  [SMALL_STATE(2458)] = 63312,
  [SMALL_STATE(2459)] = 63319,
  [SMALL_STATE(2460)] = 63326,
  [SMALL_STATE(2461)] = 63333,
  [SMALL_STATE(2462)] = 63340,
  [SMALL_STATE(2463)] = 63347,
  [SMALL_STATE(2464)] = 63354,
  [SMALL_STATE(2465)] = 63361,
  [SMALL_STATE(2466)] = 63368,
  [SMALL_STATE(2467)] = 63375,
  [SMALL_STATE(2468)] = 63382,
  [SMALL_STATE(2469)] = 63389,
  [SMALL_STATE(2470)] = 63396,
  [SMALL_STATE(2471)] = 63403,
  [SMALL_STATE(2472)] = 63410,
  [SMALL_STATE(2473)] = 63417,
  [SMALL_STATE(2474)] = 63424,
  [SMALL_STATE(2475)] = 63431,
  [SMALL_STATE(2476)] = 63438,
  [SMALL_STATE(2477)] = 63445,
  [SMALL_STATE(2478)] = 63452,
  [SMALL_STATE(2479)] = 63459,
  [SMALL_STATE(2480)] = 63466,
  [SMALL_STATE(2481)] = 63473,
  [SMALL_STATE(2482)] = 63480,
  [SMALL_STATE(2483)] = 63487,
  [SMALL_STATE(2484)] = 63494,
  [SMALL_STATE(2485)] = 63501,
  [SMALL_STATE(2486)] = 63508,
  [SMALL_STATE(2487)] = 63515,
  [SMALL_STATE(2488)] = 63522,
  [SMALL_STATE(2489)] = 63529,
  [SMALL_STATE(2490)] = 63536,
  [SMALL_STATE(2491)] = 63543,
  [SMALL_STATE(2492)] = 63550,
  [SMALL_STATE(2493)] = 63557,
  [SMALL_STATE(2494)] = 63564,
  [SMALL_STATE(2495)] = 63571,
  [SMALL_STATE(2496)] = 63578,
  [SMALL_STATE(2497)] = 63585,
  [SMALL_STATE(2498)] = 63592,
  [SMALL_STATE(2499)] = 63599,
  [SMALL_STATE(2500)] = 63606,
  [SMALL_STATE(2501)] = 63613,
  [SMALL_STATE(2502)] = 63620,
  [SMALL_STATE(2503)] = 63627,
  [SMALL_STATE(2504)] = 63634,
  [SMALL_STATE(2505)] = 63641,
  [SMALL_STATE(2506)] = 63648,
  [SMALL_STATE(2507)] = 63655,
  [SMALL_STATE(2508)] = 63662,
  [SMALL_STATE(2509)] = 63669,
  [SMALL_STATE(2510)] = 63676,
  [SMALL_STATE(2511)] = 63683,
  [SMALL_STATE(2512)] = 63690,
  [SMALL_STATE(2513)] = 63697,
  [SMALL_STATE(2514)] = 63704,
  [SMALL_STATE(2515)] = 63711,
  [SMALL_STATE(2516)] = 63718,
  [SMALL_STATE(2517)] = 63725,
  [SMALL_STATE(2518)] = 63732,
  [SMALL_STATE(2519)] = 63739,
  [SMALL_STATE(2520)] = 63746,
  [SMALL_STATE(2521)] = 63753,
  [SMALL_STATE(2522)] = 63760,
  [SMALL_STATE(2523)] = 63767,
  [SMALL_STATE(2524)] = 63774,
  [SMALL_STATE(2525)] = 63781,
  [SMALL_STATE(2526)] = 63788,
  [SMALL_STATE(2527)] = 63795,
  [SMALL_STATE(2528)] = 63802,
  [SMALL_STATE(2529)] = 63809,
  [SMALL_STATE(2530)] = 63816,
  [SMALL_STATE(2531)] = 63823,
  [SMALL_STATE(2532)] = 63830,
  [SMALL_STATE(2533)] = 63837,
  [SMALL_STATE(2534)] = 63844,
  [SMALL_STATE(2535)] = 63851,
  [SMALL_STATE(2536)] = 63858,
  [SMALL_STATE(2537)] = 63865,
  [SMALL_STATE(2538)] = 63872,
  [SMALL_STATE(2539)] = 63879,
  [SMALL_STATE(2540)] = 63886,
  [SMALL_STATE(2541)] = 63893,
  [SMALL_STATE(2542)] = 63900,
  [SMALL_STATE(2543)] = 63907,
  [SMALL_STATE(2544)] = 63914,
  [SMALL_STATE(2545)] = 63921,
  [SMALL_STATE(2546)] = 63928,
  [SMALL_STATE(2547)] = 63935,
  [SMALL_STATE(2548)] = 63942,
  [SMALL_STATE(2549)] = 63949,
  [SMALL_STATE(2550)] = 63956,
  [SMALL_STATE(2551)] = 63963,
  [SMALL_STATE(2552)] = 63970,
  [SMALL_STATE(2553)] = 63977,
  [SMALL_STATE(2554)] = 63984,
  [SMALL_STATE(2555)] = 63991,
  [SMALL_STATE(2556)] = 63998,
  [SMALL_STATE(2557)] = 64005,
  [SMALL_STATE(2558)] = 64012,
  [SMALL_STATE(2559)] = 64019,
  [SMALL_STATE(2560)] = 64026,
  [SMALL_STATE(2561)] = 64033,
  [SMALL_STATE(2562)] = 64040,
  [SMALL_STATE(2563)] = 64047,
  [SMALL_STATE(2564)] = 64054,
  [SMALL_STATE(2565)] = 64061,
  [SMALL_STATE(2566)] = 64068,
  [SMALL_STATE(2567)] = 64075,
  [SMALL_STATE(2568)] = 64082,
  [SMALL_STATE(2569)] = 64089,
  [SMALL_STATE(2570)] = 64096,
  [SMALL_STATE(2571)] = 64103,
  [SMALL_STATE(2572)] = 64110,
  [SMALL_STATE(2573)] = 64117,
  [SMALL_STATE(2574)] = 64124,
  [SMALL_STATE(2575)] = 64131,
  [SMALL_STATE(2576)] = 64138,
  [SMALL_STATE(2577)] = 64145,
  [SMALL_STATE(2578)] = 64152,
  [SMALL_STATE(2579)] = 64159,
  [SMALL_STATE(2580)] = 64166,
  [SMALL_STATE(2581)] = 64173,
  [SMALL_STATE(2582)] = 64180,
  [SMALL_STATE(2583)] = 64187,
  [SMALL_STATE(2584)] = 64194,
  [SMALL_STATE(2585)] = 64201,
  [SMALL_STATE(2586)] = 64208,
  [SMALL_STATE(2587)] = 64215,
  [SMALL_STATE(2588)] = 64222,
  [SMALL_STATE(2589)] = 64229,
  [SMALL_STATE(2590)] = 64236,
  [SMALL_STATE(2591)] = 64243,
  [SMALL_STATE(2592)] = 64250,
  [SMALL_STATE(2593)] = 64257,
  [SMALL_STATE(2594)] = 64264,
  [SMALL_STATE(2595)] = 64271,
  [SMALL_STATE(2596)] = 64278,
  [SMALL_STATE(2597)] = 64285,
  [SMALL_STATE(2598)] = 64292,
  [SMALL_STATE(2599)] = 64299,
  [SMALL_STATE(2600)] = 64306,
  [SMALL_STATE(2601)] = 64313,
  [SMALL_STATE(2602)] = 64320,
  [SMALL_STATE(2603)] = 64327,
  [SMALL_STATE(2604)] = 64334,
  [SMALL_STATE(2605)] = 64341,
  [SMALL_STATE(2606)] = 64348,
  [SMALL_STATE(2607)] = 64355,
  [SMALL_STATE(2608)] = 64362,
  [SMALL_STATE(2609)] = 64369,
  [SMALL_STATE(2610)] = 64376,
  [SMALL_STATE(2611)] = 64383,
  [SMALL_STATE(2612)] = 64390,
  [SMALL_STATE(2613)] = 64397,
  [SMALL_STATE(2614)] = 64404,
  [SMALL_STATE(2615)] = 64411,
  [SMALL_STATE(2616)] = 64418,
  [SMALL_STATE(2617)] = 64425,
  [SMALL_STATE(2618)] = 64432,
  [SMALL_STATE(2619)] = 64439,
  [SMALL_STATE(2620)] = 64446,
  [SMALL_STATE(2621)] = 64453,
  [SMALL_STATE(2622)] = 64460,
  [SMALL_STATE(2623)] = 64467,
  [SMALL_STATE(2624)] = 64474,
  [SMALL_STATE(2625)] = 64481,
  [SMALL_STATE(2626)] = 64488,
  [SMALL_STATE(2627)] = 64495,
  [SMALL_STATE(2628)] = 64502,
  [SMALL_STATE(2629)] = 64509,
  [SMALL_STATE(2630)] = 64516,
  [SMALL_STATE(2631)] = 64523,
  [SMALL_STATE(2632)] = 64530,
  [SMALL_STATE(2633)] = 64537,
  [SMALL_STATE(2634)] = 64544,
  [SMALL_STATE(2635)] = 64551,
  [SMALL_STATE(2636)] = 64558,
  [SMALL_STATE(2637)] = 64565,
  [SMALL_STATE(2638)] = 64572,
  [SMALL_STATE(2639)] = 64579,
  [SMALL_STATE(2640)] = 64586,
  [SMALL_STATE(2641)] = 64593,
  [SMALL_STATE(2642)] = 64600,
  [SMALL_STATE(2643)] = 64607,
  [SMALL_STATE(2644)] = 64614,
  [SMALL_STATE(2645)] = 64621,
  [SMALL_STATE(2646)] = 64628,
  [SMALL_STATE(2647)] = 64635,
  [SMALL_STATE(2648)] = 64642,
  [SMALL_STATE(2649)] = 64649,
  [SMALL_STATE(2650)] = 64656,
  [SMALL_STATE(2651)] = 64663,
  [SMALL_STATE(2652)] = 64670,
  [SMALL_STATE(2653)] = 64677,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1649),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1375),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1454),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2652),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2647),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2646),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1340),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2640),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1861),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1104),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2218),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(291),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2219),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(579),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(863),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(695),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2625),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1552),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1129),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1126),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1583),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 135),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 135),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 135),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 135),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2255),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2651),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2653),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2314),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(822),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(927),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2391),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(111),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2391),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(111),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2391),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [1755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1552),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2624),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2470),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [1775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [1778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1586),
  [1781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2174),
  [1784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1602),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2572),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2572),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 173),
  [1954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 173),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [1962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [1970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 67),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1046),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 201),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 152),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 118),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 177),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 158),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 86),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [2543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [2557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [2560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [2563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 116),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 184),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 126),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 86),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 120),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 156),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 133),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 134),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 160),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 63),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 103),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [2762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [2910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1402),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(387),
  [2949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1354),
  [2952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1354),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1614),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(433),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1358),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1358),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1606),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 130),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(403),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1364),
  [3006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1364),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1605),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 90),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 163),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 127),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 186),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 161),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 89),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 91),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 161),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 202),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 185),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 185),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 82),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3184] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3191] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1481),
  [3207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1554),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [3215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [3372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2311),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [3387] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1321),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(306),
  [3438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2355),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(114),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1588),
  [3530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1791),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3569] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1322),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2355),
  [3596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(114),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1455),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2199),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1308),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [3713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 123),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96), SHIFT_REPEAT(2414),
  [3767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2547),
  [3774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2355),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [3880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 84),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 79),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 73),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1976),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1784),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1528),
  [3963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1321),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1650),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1464),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 88),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 55),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1322),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 56),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [4375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 56),
  [4384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [4387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [4414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 73),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 75),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 81),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 83),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(684),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 139),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 56),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 64),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 70),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 73),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1836),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 139),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 111),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 138),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 118),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 123),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 124),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 84),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 121),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 159),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 79),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2572),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 152),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 158),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 177),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 201),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 82),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 80),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 183),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 77),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 76),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 71),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 71),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 65),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 87),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 175),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 144),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 105),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 104),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 109),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 108),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 112),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 112),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 147),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 148),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5092] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
